unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, TeEngine, Series, TeeProcs, Chart,
  VclTee.TeeGDIPlus;

{$define UseMetafile}
type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Image1: TImage;
    Button1: TButton;
    lblChartVersion: TLabel;
    chrtContribs: TChart;
    srsCurrContribAlloc: TPieSeries;
    srsCurrBalance: TPieSeries;
    srsRetireBalance: TPieSeries;
    procedure Button1Click(Sender: TObject);
    procedure chrtContribsBeforeDrawAxes(Sender: TObject);
    procedure Series1BeforeDrawValues(Sender: TObject);
  private
    procedure UpdateImage;
    function GetCurrentContribRect(aChart: TChart): TRect;
    { Private declarations }
  public
    { Public declarations }
    constructor Create(aOwner: TComponent); override;
  end;

var
  Form1: TForm1;

implementation

uses
  TeeConst, CodeSiteLogging, math, TeCanvas;

{$R *.dfm}

procedure ConfigChart(const aChart: TChart; const aSwapAxis: boolean);
var
 lAxis: TChartAxis;
begin

  aChart.Align := alClient;
  aChart.AlignWithMargins := False;
  aChart.AllowPanning := pmBoth;
//  aChart.Anchors := [TAnchors];
//  aChart.Anchors.akLeft := True;
//  aChart.Anchors.akTop := True;
//  aChart.Anchors.akRight := True;
//  aChart.Anchors.akBottom := True;
//  aChart.Animations := (TChartAnimations);
  aChart.AutoSize := False;
  aChart.AxisBehind := True;
  aChart.AxisVisible := True;
//  aChart.BackImage := (TBackImage);
  aChart.BackImage.Bottom := 0;
//  aChart.BackImage.DrawQuality := sqHigh;
//  aChart.BackImage.Filters := (TFilterItems);
  aChart.BackImage.Inside := False;
  aChart.BackImage.Left := 0;
  aChart.BackImage.Mode := pbmStretch;
  aChart.BackImage.Right := 0;
  aChart.BackImage.Top := 0;
  aChart.BackImageInside := False;
  aChart.BackImageMode := pbmStretch;
  aChart.BackImageTransp := False;
//  aChart.BackWall := (TChartBackWall);
  aChart.BackWall.AutoHide := False;
//  aChart.BackWall.Brush := (TTeeBrush);
  aChart.BackWall.Brush.BackColor := clNone;
  aChart.BackWall.Brush.Color := clDefault;
//  aChart.BackWall.Brush.Gradient := (TTeeGradient);
  aChart.BackWall.Brush.Gradient.Angle := 0;
  aChart.BackWall.Brush.Gradient.Balance := 50;
//  aChart.BackWall.Brush.Gradient.Colors := (TTeeGradientColors);
//  aChart.BackWall.Brush.Gradient.Direction := gdTopBottom;
  aChart.BackWall.Brush.Gradient.EndColor := clYellow;
  aChart.BackWall.Brush.Gradient.MidColor := clNone;
  aChart.BackWall.Brush.Gradient.RadialX := 0;
  aChart.BackWall.Brush.Gradient.RadialY := 0;
  aChart.BackWall.Brush.Gradient.StartColor := clWhite;
//  aChart.BackWall.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.BackWall.Brush.Gradient.SubGradient.Angle := 0;
  aChart.BackWall.Brush.Gradient.SubGradient.Balance := 50;
//  aChart.BackWall.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
//  aChart.BackWall.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BackWall.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.BackWall.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.BackWall.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.BackWall.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.BackWall.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.BackWall.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.BackWall.Brush.Gradient.SubGradient.Visible := False;
  aChart.BackWall.Brush.Gradient.Visible := False;
//  aChart.BackWall.Brush.Image := (TTeePicture);
//  aChart.BackWall.Brush.Image.Filters := (TFilterItems);
  aChart.BackWall.Brush.Style := bsSolid;
  aChart.BackWall.Color := clSilver;
  aChart.BackWall.Dark3D := True;
//  aChart.BackWall.Emboss := (TTeeEmboss);
  aChart.BackWall.Emboss.Clip := False;
  aChart.BackWall.Emboss.Color := clGray;
  aChart.BackWall.Emboss.HorizSize := 0;
  aChart.BackWall.Emboss.Smooth := True;
  aChart.BackWall.Emboss.SmoothBlur := 0;
  aChart.BackWall.Emboss.Transparency := 50;
  aChart.BackWall.Emboss.VertSize := 0;
  aChart.BackWall.Emboss.Visible := False;
  aChart.BackWall.EndPosition := 100;
//  aChart.BackWall.Gradient := (TTeeGradient);
  aChart.BackWall.Gradient.Angle := 0;
  aChart.BackWall.Gradient.Balance := 50;
//  aChart.BackWall.Gradient.Colors := (TTeeGradientColors);
//  aChart.BackWall.Gradient.Direction := gdTopBottom;
  aChart.BackWall.Gradient.EndColor := clYellow;
  aChart.BackWall.Gradient.MidColor := clNone;
  aChart.BackWall.Gradient.RadialX := 0;
  aChart.BackWall.Gradient.RadialY := 0;
  aChart.BackWall.Gradient.StartColor := clWhite;
//  aChart.BackWall.Gradient.SubGradient := (TSubGradient);
  aChart.BackWall.Gradient.SubGradient.Angle := 0;
  aChart.BackWall.Gradient.SubGradient.Balance := 50;
//  aChart.BackWall.Gradient.SubGradient.Colors := (TTeeGradientColors);
//  aChart.BackWall.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BackWall.Gradient.SubGradient.EndColor := clYellow;
  aChart.BackWall.Gradient.SubGradient.MidColor := clNone;
  aChart.BackWall.Gradient.SubGradient.RadialX := 0;
  aChart.BackWall.Gradient.SubGradient.RadialY := 0;
  aChart.BackWall.Gradient.SubGradient.StartColor := clWhite;
  aChart.BackWall.Gradient.SubGradient.Transparency := 50;
  aChart.BackWall.Gradient.SubGradient.Visible := False;
  aChart.BackWall.Gradient.Visible := False;
//  aChart.BackWall.Pen := (TTeePen);
  aChart.BackWall.Pen.Color := clBlack;
//  aChart.BackWall.Pen.EndStyle := esRound;
//  aChart.BackWall.Pen.Fill := (TTeeBrush);
  aChart.BackWall.Pen.Fill.BackColor := clNone;
  aChart.BackWall.Pen.Fill.Color := clDefault;
//  aChart.BackWall.Pen.Fill.Gradient := (TTeeGradient);
  aChart.BackWall.Pen.Fill.Gradient.Angle := 0;
  aChart.BackWall.Pen.Fill.Gradient.Balance := 50;
//  aChart.BackWall.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
//  aChart.BackWall.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.BackWall.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.BackWall.Pen.Fill.Gradient.MidColor := clNone;
  aChart.BackWall.Pen.Fill.Gradient.RadialX := 0;
  aChart.BackWall.Pen.Fill.Gradient.RadialY := 0;
  aChart.BackWall.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.BackWall.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BackWall.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BackWall.Pen.Fill.Gradient.SubGradient.Balance := 50;
//  aChart.BackWall.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
//  aChart.BackWall.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BackWall.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BackWall.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BackWall.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BackWall.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BackWall.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BackWall.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BackWall.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.BackWall.Pen.Fill.Gradient.Visible := False;
//  aChart.BackWall.Pen.Fill.Image := (TTeePicture);
//  aChart.BackWall.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.BackWall.Pen.Fill.Style := bsSolid;
//  aChart.BackWall.Pen.JoinStyle := jsRound;
  aChart.BackWall.Pen.Mode := pmCopy;
  aChart.BackWall.Pen.SmallDots := False;
  aChart.BackWall.Pen.SmallSpace := 0;
  aChart.BackWall.Pen.Style := psSolid;
  aChart.BackWall.Pen.Visible := True;
  aChart.BackWall.Pen.Width := 1;
//  aChart.BackWall.Picture := (TBackImage);
  aChart.BackWall.Picture.Bottom := 0;
//  aChart.BackWall.Picture.DrawQuality := sqHigh;
//  aChart.BackWall.Picture.Filters := (TFilterItems);
  aChart.BackWall.Picture.Inside := False;
  aChart.BackWall.Picture.Left := 0;
  aChart.BackWall.Picture.Mode := pbmStretch;
  aChart.BackWall.Picture.Right := 0;
  aChart.BackWall.Picture.Top := 0;
  aChart.BackWall.RoundSize := 16;
//  aChart.BackWall.Shadow := (TTeeShadow);
  aChart.BackWall.Shadow.Clip := False;
  aChart.BackWall.Shadow.Color := clGray;
  aChart.BackWall.Shadow.HorizSize := 0;
  aChart.BackWall.Shadow.Smooth := True;
  aChart.BackWall.Shadow.SmoothBlur := 0;
  aChart.BackWall.Shadow.Transparency := 50;
  aChart.BackWall.Shadow.VertSize := 0;
  aChart.BackWall.Shadow.Visible := False;
  aChart.BackWall.Size := 0;
  aChart.BackWall.StartPosition := 0;
  aChart.BackWall.Transparency := 0;
  aChart.BackWall.Transparent := True;
  aChart.BackWall.Visible := False;
  aChart.BevelInner := bvNone;
  aChart.BevelOuter := bvNone;
  aChart.BevelWidth := 1;
//  aChart.Border := (TTeeHiddenPen);
  aChart.Border.Color := clBlack;
//  aChart.Border.EndStyle := esRound;
//  aChart.Border.Fill := (TTeeBrush);
  aChart.Border.Fill.BackColor := clNone;
  aChart.Border.Fill.Color := clDefault;
//  aChart.Border.Fill.Gradient := (TTeeGradient);
  aChart.Border.Fill.Gradient.Angle := 0;
  aChart.Border.Fill.Gradient.Balance := 50;
//  aChart.Border.Fill.Gradient.Colors := (TTeeGradientColors);
//  aChart.Border.Fill.Gradient.Direction := gdTopBottom;
  aChart.Border.Fill.Gradient.EndColor := clYellow;
  aChart.Border.Fill.Gradient.MidColor := clNone;
  aChart.Border.Fill.Gradient.RadialX := 0;
  aChart.Border.Fill.Gradient.RadialY := 0;
  aChart.Border.Fill.Gradient.StartColor := clWhite;
//  aChart.Border.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Border.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Border.Fill.Gradient.SubGradient.Balance := 50;
//  aChart.Border.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
//  aChart.Border.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Border.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Border.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Border.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Border.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Border.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Border.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Border.Fill.Gradient.SubGradient.Visible := False;
  aChart.Border.Fill.Gradient.Visible := False;
//  aChart.Border.Fill.Image := (TTeePicture);
//  aChart.Border.Fill.Image.Filters := (TFilterItems);
  aChart.Border.Fill.Style := bsSolid;
//  aChart.Border.JoinStyle := jsRound;
  aChart.Border.Mode := pmCopy;
  aChart.Border.SmallDots := False;
  aChart.Border.SmallSpace := 0;
  aChart.Border.Style := psSolid;
  aChart.Border.Visible := False;
  aChart.Border.Width := 1;
  aChart.BorderRound := 0;
  aChart.BorderWidth := 0;
//  aChart.BottomAxis := (TChartAxis);
  aChart.BottomAxis.Automatic := True;
  aChart.BottomAxis.AutomaticMaximum := True;
  aChart.BottomAxis.AutomaticMinimum := True;
//  aChart.BottomAxis.Axis := (TChartAxisPen);
  aChart.BottomAxis.Axis.Color := clBlack;
//  aChart.BottomAxis.Axis.EndStyle := esFlat;
//  aChart.BottomAxis.Axis.Fill := (TTeeBrush);
  aChart.BottomAxis.Axis.Fill.BackColor := clNone;
  aChart.BottomAxis.Axis.Fill.Color := clDefault;
//  aChart.BottomAxis.Axis.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.Axis.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.Axis.Fill.Gradient.Balance := 50;
//  aChart.BottomAxis.Axis.Fill.Gradient.Colors := (TTeeGradientColors);
//  aChart.BottomAxis.Axis.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Axis.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Axis.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.Axis.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.Axis.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.Axis.Fill.Gradient.StartColor := clWhite;
//  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient.Balance := 50;
//  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
//  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Axis.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Axis.Fill.Gradient.Visible := False;
//  aChart.BottomAxis.Axis.Fill.Image := (TTeePicture);
//  aChart.BottomAxis.Axis.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.Axis.Fill.Style := bsSolid;
//  aChart.BottomAxis.Axis.JoinStyle := jsRound;
  aChart.BottomAxis.Axis.LineMode := lmLine;
  aChart.BottomAxis.Axis.Mode := pmCopy;
  aChart.BottomAxis.Axis.SmallDots := False;
  aChart.BottomAxis.Axis.SmallSpace := 0;
  aChart.BottomAxis.Axis.Style := psSolid;
  aChart.BottomAxis.Axis.Visible := True;
  aChart.BottomAxis.Axis.Width := 1;
//  aChart.BottomAxis.AxisValuesFormat := #,##0.###;
//  aChart.BottomAxis.DateTimeFormat := ;
  aChart.BottomAxis.EndPosition := 100;
  aChart.BottomAxis.ExactDateTime := True;
//  aChart.BottomAxis.Grid := (TAxisGridPen);
  aChart.BottomAxis.Grid.Color := clSilver;
  aChart.BottomAxis.Grid.DrawEvery := 1;
//  aChart.BottomAxis.Grid.EndStyle := esRound;
//  aChart.BottomAxis.Grid.Fill := (TTeeBrush);
  aChart.BottomAxis.Grid.Fill.BackColor := clNone;
  aChart.BottomAxis.Grid.Fill.Color := clDefault;
//  aChart.BottomAxis.Grid.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.Grid.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.Grid.Fill.Gradient.Balance := 50;
//  aChart.BottomAxis.Grid.Fill.Gradient.Colors := (TTeeGradientColors);
//  aChart.BottomAxis.Grid.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Grid.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Grid.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.Grid.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.Grid.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.Grid.Fill.Gradient.StartColor := clWhite;
//  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient.Balance := 50;
//  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
//  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Grid.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Grid.Fill.Gradient.Visible := False;
//  aChart.BottomAxis.Grid.Fill.Image := (TTeePicture);
//  aChart.BottomAxis.Grid.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.Grid.Fill.Style := bsSolid;
//  aChart.BottomAxis.Grid.JoinStyle := jsRound;
  aChart.BottomAxis.Grid.Mode := pmCopy;
  aChart.BottomAxis.Grid.SmallDots := False;
  aChart.BottomAxis.Grid.SmallSpace := 0;
  aChart.BottomAxis.Grid.Style := psSolid;
  aChart.BottomAxis.Grid.Visible := False;
  aChart.BottomAxis.Grid.Width := 1;
  aChart.BottomAxis.Grid.ZPosition := 0;
  aChart.BottomAxis.GridCentered := False;
  aChart.BottomAxis.Horizontal := True;
  aChart.BottomAxis.Increment := 0;
  aChart.BottomAxis.Inverted := False;
  aChart.BottomAxis.Labels := True;
  aChart.BottomAxis.LabelsAlign := alDefault;
  aChart.BottomAxis.LabelsAlternate := False;
  aChart.BottomAxis.LabelsAngle := 0;
  aChart.BottomAxis.LabelsBehind := False;
  aChart.BottomAxis.LabelsExponent := False;
//  aChart.BottomAxis.LabelsFont := Arial, 9 , Normal;
//  aChart.BottomAxis.LabelsFont.Brush := (TTeeBrush);
  aChart.BottomAxis.LabelsFont.Brush.BackColor := clNone;
  aChart.BottomAxis.LabelsFont.Brush.Color := clBlack;
//  aChart.BottomAxis.LabelsFont.Brush.Gradient := (TTeeGradient);
  aChart.BottomAxis.LabelsFont.Brush.Gradient.Angle := 0;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.Balance := 50;
//  aChart.BottomAxis.LabelsFont.Brush.Gradient.Colors := (TTeeGradientColors);
//  aChart.BottomAxis.LabelsFont.Brush.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.RadialX := 0;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.RadialY := 0;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.StartColor := clWhite;
//  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient.Balance := 50;
//  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
//  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.LabelsFont.Brush.Gradient.Visible := False;
//  aChart.BottomAxis.LabelsFont.Brush.Image := (TTeePicture);
//  aChart.BottomAxis.LabelsFont.Brush.Image.Filters := (TFilterItems);
  aChart.BottomAxis.LabelsFont.Brush.Style := bsSolid;
  aChart.BottomAxis.LabelsFont.Charset := 1;
  aChart.BottomAxis.LabelsFont.Color := clBlack;
  aChart.BottomAxis.LabelsFont.Depth := 0;
//  aChart.BottomAxis.LabelsFont.Emboss := (TTeeEmboss);
  aChart.BottomAxis.LabelsFont.Emboss.Clip := False;
  aChart.BottomAxis.LabelsFont.Emboss.Color := clSilver;
  aChart.BottomAxis.LabelsFont.Emboss.HorizSize := 0;
  aChart.BottomAxis.LabelsFont.Emboss.Smooth := True;
  aChart.BottomAxis.LabelsFont.Emboss.SmoothBlur := 0;
  aChart.BottomAxis.LabelsFont.Emboss.Transparency := 50;
  aChart.BottomAxis.LabelsFont.Emboss.VertSize := 0;
  aChart.BottomAxis.LabelsFont.Emboss.Visible := False;
//  aChart.BottomAxis.LabelsFont.Gradient := (TTeeGradient);
  aChart.BottomAxis.LabelsFont.Gradient.Angle := 0;
  aChart.BottomAxis.LabelsFont.Gradient.Balance := 50;

  //aChart.BottomAxis.LabelsFont.Gradient.Colors := (TTeeGradientColors);
  //aChart.BottomAxis.LabelsFont.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFont.Gradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFont.Gradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFont.Gradient.RadialX := 0;
  aChart.BottomAxis.LabelsFont.Gradient.RadialY := 0;
  aChart.BottomAxis.LabelsFont.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.LabelsFont.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.LabelsFont.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.LabelsFont.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.LabelsFont.Gradient.SubGradient.Colors := (TTeeGradientColors);
  //aChart.BottomAxis.LabelsFont.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFont.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFont.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFont.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.LabelsFont.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.LabelsFont.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.LabelsFont.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.LabelsFont.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.LabelsFont.Gradient.Visible := False;
  aChart.BottomAxis.LabelsFont.Height := -12;
  aChart.BottomAxis.LabelsFont.InterCharSize := 0;
  //aChart.BottomAxis.LabelsFont.Name := Arial;
  aChart.BottomAxis.LabelsFont.Orientation := 0;
  //aChart.BottomAxis.LabelsFont.OutLine := (TTeeHiddenPen);
  aChart.BottomAxis.LabelsFont.OutLine.Color := clBlack;
  //aChart.BottomAxis.LabelsFont.OutLine.EndStyle := esRound;
  //aChart.BottomAxis.LabelsFont.OutLine.Fill := (TTeeBrush);
  aChart.BottomAxis.LabelsFont.OutLine.Fill.BackColor := clNone;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Color := clDefault;
  //aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.Balance := 50;
  //aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Gradient.Visible := False;
  //aChart.BottomAxis.LabelsFont.OutLine.Fill.Image := (TTeePicture);
  //aChart.BottomAxis.LabelsFont.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.LabelsFont.OutLine.Fill.Style := bsSolid;
  aChart.BottomAxis.LabelsFont.OutLine.JoinStyle := jsRound;
  aChart.BottomAxis.LabelsFont.OutLine.Mode := pmCopy;
  aChart.BottomAxis.LabelsFont.OutLine.SmallDots := False;
  aChart.BottomAxis.LabelsFont.OutLine.SmallSpace := 0;
  aChart.BottomAxis.LabelsFont.OutLine.Style := psSolid;
  aChart.BottomAxis.LabelsFont.OutLine.Visible := False;
  aChart.BottomAxis.LabelsFont.OutLine.Width := 1;
  //aChart.BottomAxis.LabelsFont.Picture := (TTeePicture);
  //aChart.BottomAxis.LabelsFont.Picture.Filters := (TFilterItems);
  aChart.BottomAxis.LabelsFont.Pitch := fpDefault;
  aChart.BottomAxis.LabelsFont.Quality := fqDefault;
  //aChart.BottomAxis.LabelsFont.Shadow := (TTeeShadow);
  aChart.BottomAxis.LabelsFont.Shadow.Clip := False;
  aChart.BottomAxis.LabelsFont.Shadow.Color := clSilver;
  aChart.BottomAxis.LabelsFont.Shadow.HorizSize := 0;
  aChart.BottomAxis.LabelsFont.Shadow.Smooth := True;
  aChart.BottomAxis.LabelsFont.Shadow.SmoothBlur := 0;
  aChart.BottomAxis.LabelsFont.Shadow.Transparency := 50;
  aChart.BottomAxis.LabelsFont.Shadow.VertSize := 0;
  aChart.BottomAxis.LabelsFont.Shadow.Visible := True;
  aChart.BottomAxis.LabelsFont.Size := 9;
  aChart.BottomAxis.LabelsFont.SizeFloat := 9;
  //aChart.BottomAxis.LabelsFont.Style := [TFontStyles];
  //aChart.BottomAxis.LabelsFont.Style.fsBold := False;
  //aChart.BottomAxis.LabelsFont.Style.fsItalic := False;
  //aChart.BottomAxis.LabelsFont.Style.fsUnderline := False;
  //aChart.BottomAxis.LabelsFont.Style.fsStrikeOut := False;
  //aChart.BottomAxis.LabelsFormat := (TAxisLabelsFormat);
  aChart.BottomAxis.LabelsFormat.Bevel := bvNone;
  aChart.BottomAxis.LabelsFormat.BevelWidth := 2;
  //aChart.BottomAxis.LabelsFormat.Brush := (TTeeBrush);
  aChart.BottomAxis.LabelsFormat.Brush.BackColor := clNone;
  aChart.BottomAxis.LabelsFormat.Brush.Color := clDefault;
  //aChart.BottomAxis.LabelsFormat.Brush.Gradient := (TTeeGradient);
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.LabelsFormat.Brush.Gradient.Visible := False;
  //aChart.BottomAxis.LabelsFormat.Brush.Image := (TTeePicture);
  //aChart.BottomAxis.LabelsFormat.Brush.Image.Filters := (TFilterItems);
  aChart.BottomAxis.LabelsFormat.Brush.Style := bsSolid;
  aChart.BottomAxis.LabelsFormat.ChildLayout := slTopBottom;
  //aChart.BottomAxis.LabelsFormat.Children := (TTeeShapes);
  aChart.BottomAxis.LabelsFormat.ClipText := True;
  aChart.BottomAxis.LabelsFormat.Cursor := crDefault;
  //aChart.BottomAxis.LabelsFormat.Emboss := (TTeeEmboss);
  aChart.BottomAxis.LabelsFormat.Emboss.Clip := False;
  aChart.BottomAxis.LabelsFormat.Emboss.Color := clBlack;
  aChart.BottomAxis.LabelsFormat.Emboss.HorizSize := 3;
  aChart.BottomAxis.LabelsFormat.Emboss.Smooth := True;
  aChart.BottomAxis.LabelsFormat.Emboss.SmoothBlur := 0;
  aChart.BottomAxis.LabelsFormat.Emboss.Transparency := 50;
  aChart.BottomAxis.LabelsFormat.Emboss.VertSize := 3;
  aChart.BottomAxis.LabelsFormat.Emboss.Visible := False;
  //aChart.BottomAxis.LabelsFormat.Font := Arial, 9 , Normal;
  //aChart.BottomAxis.LabelsFormat.Font.Brush := (TTeeBrush);
  aChart.BottomAxis.LabelsFormat.Font.Brush.BackColor := clNone;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Color := clBlack;
  //aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient := (TTeeGradient);
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.LabelsFormat.Font.Brush.Gradient.Visible := False;
  //aChart.BottomAxis.LabelsFormat.Font.Brush.Image := (TTeePicture);
  //aChart.BottomAxis.LabelsFormat.Font.Brush.Image.Filters := (TFilterItems);
  aChart.BottomAxis.LabelsFormat.Font.Brush.Style := bsSolid;
  aChart.BottomAxis.LabelsFormat.Font.Charset := 1;
  aChart.BottomAxis.LabelsFormat.Font.Color := clBlack;
  aChart.BottomAxis.LabelsFormat.Font.Depth := 0;
  //aChart.BottomAxis.LabelsFormat.Font.Emboss := (TTeeEmboss);
  aChart.BottomAxis.LabelsFormat.Font.Emboss.Clip := False;
  aChart.BottomAxis.LabelsFormat.Font.Emboss.Color := clSilver;
  aChart.BottomAxis.LabelsFormat.Font.Emboss.HorizSize := 0;
  aChart.BottomAxis.LabelsFormat.Font.Emboss.Smooth := True;
  aChart.BottomAxis.LabelsFormat.Font.Emboss.SmoothBlur := 0;
  aChart.BottomAxis.LabelsFormat.Font.Emboss.Transparency := 50;
  aChart.BottomAxis.LabelsFormat.Font.Emboss.VertSize := 0;
  aChart.BottomAxis.LabelsFormat.Font.Emboss.Visible := False;
  //aChart.BottomAxis.LabelsFormat.Font.Gradient := (TTeeGradient);
  aChart.BottomAxis.LabelsFormat.Font.Gradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Font.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.LabelsFormat.Font.Gradient.Visible := False;
  aChart.BottomAxis.LabelsFormat.Font.Height := -12;
  aChart.BottomAxis.LabelsFormat.Font.InterCharSize := 0;
  //aChart.BottomAxis.LabelsFormat.Font.Name := Arial;
  aChart.BottomAxis.LabelsFormat.Font.Orientation := 0;
  //aChart.BottomAxis.LabelsFormat.Font.OutLine := (TTeeHiddenPen);
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Color := clBlack;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.EndStyle := esRound;
  //aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill := (TTeeBrush);
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.BackColor := clNone;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Color := clDefault;
  //aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Fill.Style := bsSolid;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.JoinStyle := jsRound;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Mode := pmCopy;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.SmallDots := False;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.SmallSpace := 0;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Style := psSolid;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Visible := False;
  aChart.BottomAxis.LabelsFormat.Font.OutLine.Width := 1;
  //aChart.BottomAxis.LabelsFormat.Font.Picture := (TTeePicture);
  //aChart.BottomAxis.LabelsFormat.Font.Picture.Filters := (TFilterItems);
  aChart.BottomAxis.LabelsFormat.Font.Pitch := fpDefault;
  aChart.BottomAxis.LabelsFormat.Font.Quality := fqDefault;
  //aChart.BottomAxis.LabelsFormat.Font.Shadow := (TTeeShadow);
  aChart.BottomAxis.LabelsFormat.Font.Shadow.Clip := False;
  aChart.BottomAxis.LabelsFormat.Font.Shadow.Color := clSilver;
  aChart.BottomAxis.LabelsFormat.Font.Shadow.HorizSize := 0;
  aChart.BottomAxis.LabelsFormat.Font.Shadow.Smooth := True;
  aChart.BottomAxis.LabelsFormat.Font.Shadow.SmoothBlur := 0;
  aChart.BottomAxis.LabelsFormat.Font.Shadow.Transparency := 50;
  aChart.BottomAxis.LabelsFormat.Font.Shadow.VertSize := 0;
  aChart.BottomAxis.LabelsFormat.Font.Shadow.Visible := True;
  aChart.BottomAxis.LabelsFormat.Font.Size := 9;
  aChart.BottomAxis.LabelsFormat.Font.SizeFloat := 9;
  //aChart.BottomAxis.LabelsFormat.Font.Style := [TFontStyles];
  //aChart.BottomAxis.LabelsFormat.Font.Style.fsBold := False;
  //aChart.BottomAxis.LabelsFormat.Font.Style.fsItalic := False;
  //aChart.BottomAxis.LabelsFormat.Font.Style.fsUnderline := False;
  //aChart.BottomAxis.LabelsFormat.Font.Style.fsStrikeOut := False;
  //aChart.BottomAxis.LabelsFormat.Frame := (TTeePen);
  aChart.BottomAxis.LabelsFormat.Frame.Color := clBlack;
  aChart.BottomAxis.LabelsFormat.Frame.EndStyle := esRound;
  //aChart.BottomAxis.LabelsFormat.Frame.Fill := (TTeeBrush);
  aChart.BottomAxis.LabelsFormat.Frame.Fill.BackColor := clNone;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Color := clDefault;
  //aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Gradient.Visible := False;
  //aChart.BottomAxis.LabelsFormat.Frame.Fill.Image := (TTeePicture);
  //aChart.BottomAxis.LabelsFormat.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.LabelsFormat.Frame.Fill.Style := bsSolid;
  aChart.BottomAxis.LabelsFormat.Frame.JoinStyle := jsRound;
  aChart.BottomAxis.LabelsFormat.Frame.Mode := pmCopy;
  aChart.BottomAxis.LabelsFormat.Frame.SmallDots := False;
  aChart.BottomAxis.LabelsFormat.Frame.SmallSpace := 0;
  aChart.BottomAxis.LabelsFormat.Frame.Style := psSolid;
  aChart.BottomAxis.LabelsFormat.Frame.Visible := True;
  aChart.BottomAxis.LabelsFormat.Frame.Width := 1;
  //aChart.BottomAxis.LabelsFormat.Gradient := (TTeeGradient);
  aChart.BottomAxis.LabelsFormat.Gradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Gradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Gradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Gradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Gradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Gradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.LabelsFormat.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.LabelsFormat.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.LabelsFormat.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.LabelsFormat.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.LabelsFormat.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.LabelsFormat.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.LabelsFormat.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.LabelsFormat.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.LabelsFormat.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.LabelsFormat.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.LabelsFormat.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.LabelsFormat.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.LabelsFormat.Gradient.Visible := False;
  //aChart.BottomAxis.LabelsFormat.Margins := (TMargins);
  aChart.BottomAxis.LabelsFormat.Margins.Bottom := 5;
  aChart.BottomAxis.LabelsFormat.Margins.Left := 10;
  aChart.BottomAxis.LabelsFormat.Margins.Right := 10;
  aChart.BottomAxis.LabelsFormat.Margins.Top := 5;
  aChart.BottomAxis.LabelsFormat.Margins.Units := maPercentFont;
  //aChart.BottomAxis.LabelsFormat.Picture := (TBackImage);
  aChart.BottomAxis.LabelsFormat.Picture.Bottom := 0;
  aChart.BottomAxis.LabelsFormat.Picture.DrawQuality := sqHigh;
  //aChart.BottomAxis.LabelsFormat.Picture.Filters := (TFilterItems);
  aChart.BottomAxis.LabelsFormat.Picture.Inside := False;
  aChart.BottomAxis.LabelsFormat.Picture.Left := 0;
  aChart.BottomAxis.LabelsFormat.Picture.Mode := pbmStretch;
  aChart.BottomAxis.LabelsFormat.Picture.Right := 0;
  aChart.BottomAxis.LabelsFormat.Picture.Top := 0;
  aChart.BottomAxis.LabelsFormat.RoundSize := 16;
  //aChart.BottomAxis.LabelsFormat.Shadow := (TTeeShadow);
  aChart.BottomAxis.LabelsFormat.Shadow.Clip := False;
  aChart.BottomAxis.LabelsFormat.Shadow.Color := clBlack;
  aChart.BottomAxis.LabelsFormat.Shadow.HorizSize := 3;
  aChart.BottomAxis.LabelsFormat.Shadow.Smooth := True;
  aChart.BottomAxis.LabelsFormat.Shadow.SmoothBlur := 0;
  aChart.BottomAxis.LabelsFormat.Shadow.Transparency := 50;
  aChart.BottomAxis.LabelsFormat.Shadow.VertSize := 3;
  aChart.BottomAxis.LabelsFormat.Shadow.Visible := True;
  aChart.BottomAxis.LabelsFormat.ShapeStyle := fosRectangle;
  aChart.BottomAxis.LabelsFormat.TextAlignment := taCenter;
  aChart.BottomAxis.LabelsFormat.TextFormat := ttfNormal;
  aChart.BottomAxis.LabelsFormat.Transparency := 0;
  aChart.BottomAxis.LabelsFormat.Transparent := True;
  aChart.BottomAxis.LabelsFormat.VertTextAlign := vtaCenter;
  aChart.BottomAxis.LabelsFormat.Visible := True;
  aChart.BottomAxis.LabelsGridIgnoresLabelSize := False;
  aChart.BottomAxis.LabelsMultiLine := False;
  aChart.BottomAxis.LabelsOnAxis := True;
  aChart.BottomAxis.LabelsSeparation := 50;
  aChart.BottomAxis.LabelsSize := 0;
  aChart.BottomAxis.LabelStyle := talAuto;
  aChart.BottomAxis.Logarithmic := False;
  aChart.BottomAxis.LogarithmicBase := 10;
  aChart.BottomAxis.Maximum := 0;
  aChart.BottomAxis.MaximumOffset := 0;
  aChart.BottomAxis.MaximumRound := False;
  aChart.BottomAxis.Minimum := 0;
  aChart.BottomAxis.MinimumOffset := 0;
  aChart.BottomAxis.MinimumRound := False;
  //aChart.BottomAxis.MinorGrid := (TTeeHiddenPen);
  aChart.BottomAxis.MinorGrid.Color := clBlack;
  aChart.BottomAxis.MinorGrid.EndStyle := esRound;
  //aChart.BottomAxis.MinorGrid.Fill := (TTeeBrush);
  aChart.BottomAxis.MinorGrid.Fill.BackColor := clNone;
  aChart.BottomAxis.MinorGrid.Fill.Color := clDefault;
  //aChart.BottomAxis.MinorGrid.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.MinorGrid.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.Balance := 50;
  //aChart.BottomAxis.MinorGrid.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.MinorGrid.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.MinorGrid.Fill.Gradient.Visible := False;
  //aChart.BottomAxis.MinorGrid.Fill.Image := (TTeePicture);
  //aChart.BottomAxis.MinorGrid.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.MinorGrid.Fill.Style := bsSolid;
  aChart.BottomAxis.MinorGrid.JoinStyle := jsRound;
  aChart.BottomAxis.MinorGrid.Mode := pmCopy;
  aChart.BottomAxis.MinorGrid.SmallDots := False;
  aChart.BottomAxis.MinorGrid.SmallSpace := 0;
  aChart.BottomAxis.MinorGrid.Style := psSolid;
  aChart.BottomAxis.MinorGrid.Visible := False;
  aChart.BottomAxis.MinorGrid.Width := 1;
  aChart.BottomAxis.MinorTickCount := 3;
  aChart.BottomAxis.MinorTickLength := 2;
  //aChart.BottomAxis.MinorTicks := (TTicks);
  aChart.BottomAxis.MinorTicks.Color := clGray;
  aChart.BottomAxis.MinorTicks.EndStyle := esRound;
  //aChart.BottomAxis.MinorTicks.Fill := (TTeeBrush);
  aChart.BottomAxis.MinorTicks.Fill.BackColor := clNone;
  aChart.BottomAxis.MinorTicks.Fill.Color := clDefault;
  //aChart.BottomAxis.MinorTicks.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.MinorTicks.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.Balance := 50;
  //aChart.BottomAxis.MinorTicks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.MinorTicks.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.MinorTicks.Fill.Gradient.Visible := False;
  //aChart.BottomAxis.MinorTicks.Fill.Image := (TTeePicture);
  //aChart.BottomAxis.MinorTicks.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.MinorTicks.Fill.Style := bsSolid;
  aChart.BottomAxis.MinorTicks.JoinStyle := jsRound;
  aChart.BottomAxis.MinorTicks.Mode := pmCopy;
  aChart.BottomAxis.MinorTicks.SmallDots := False;
  aChart.BottomAxis.MinorTicks.SmallSpace := 0;
  aChart.BottomAxis.MinorTicks.Style := psSolid;
  aChart.BottomAxis.MinorTicks.Visible := False;
  aChart.BottomAxis.MinorTicks.Width := 1;
  aChart.BottomAxis.OtherSide := False;
  aChart.BottomAxis.PartnerAxis := nil;
  aChart.BottomAxis.PositionPercent := 0;
  aChart.BottomAxis.PositionUnits := muPercent;
  aChart.BottomAxis.RoundFirstLabel := True;
  //aChart.BottomAxis.Shape := (TAxisBackShape);
  aChart.BottomAxis.Shape.Angle := 0;
  aChart.BottomAxis.Shape.Bevel := bvNone;
  aChart.BottomAxis.Shape.BevelWidth := 2;
  aChart.BottomAxis.Shape.ChildLayout := slTopBottom;
  //aChart.BottomAxis.Shape.Children := (TTeeShapes);
  aChart.BottomAxis.Shape.Color := clWhite;
  //aChart.BottomAxis.Shape.Corners := (TTeeCorners);
  //aChart.BottomAxis.Shape.Corners.LeftBottom := (TTeeCorner);
  aChart.BottomAxis.Shape.Corners.LeftBottom.Style := cosRound;
  //aChart.BottomAxis.Shape.Corners.LeftTop := (TTeeCorner);
  aChart.BottomAxis.Shape.Corners.LeftTop.Style := cosRound;
  //aChart.BottomAxis.Shape.Corners.RightBottom := (TTeeCorner);
  aChart.BottomAxis.Shape.Corners.RightBottom.Style := cosRound;
  //aChart.BottomAxis.Shape.Corners.RightTop := (TTeeCorner);
  aChart.BottomAxis.Shape.Corners.RightTop.Style := cosRound;
  //aChart.BottomAxis.Shape.Emboss := (TTeeEmboss);
  aChart.BottomAxis.Shape.Emboss.Clip := False;
  aChart.BottomAxis.Shape.Emboss.Color := clBlack;
  aChart.BottomAxis.Shape.Emboss.HorizSize := 3;
  aChart.BottomAxis.Shape.Emboss.Smooth := True;
  aChart.BottomAxis.Shape.Emboss.SmoothBlur := 0;
  aChart.BottomAxis.Shape.Emboss.Transparency := 50;
  aChart.BottomAxis.Shape.Emboss.VertSize := 3;
  aChart.BottomAxis.Shape.Emboss.Visible := False;
  //aChart.BottomAxis.Shape.Font := Arial, 8 , Normal;
  //aChart.BottomAxis.Shape.Font.Brush := (TTeeBrush);
  aChart.BottomAxis.Shape.Font.Brush.BackColor := clNone;
  aChart.BottomAxis.Shape.Font.Brush.Color := clBlack;
  //aChart.BottomAxis.Shape.Font.Brush.Gradient := (TTeeGradient);
  aChart.BottomAxis.Shape.Font.Brush.Gradient.Angle := 0;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.Balance := 50;
  //aChart.BottomAxis.Shape.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Shape.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.MidColor := clNone;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.RadialX := 0;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.RadialY := 0;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Shape.Font.Brush.Gradient.Visible := False;
  //aChart.BottomAxis.Shape.Font.Brush.Image := (TTeePicture);
  //aChart.BottomAxis.Shape.Font.Brush.Image.Filters := (TFilterItems);
  aChart.BottomAxis.Shape.Font.Brush.Style := bsSolid;
  aChart.BottomAxis.Shape.Font.Charset := 1;
  aChart.BottomAxis.Shape.Font.Color := clBlack;
  aChart.BottomAxis.Shape.Font.Depth := 0;
  //aChart.BottomAxis.Shape.Font.Emboss := (TTeeEmboss);
  aChart.BottomAxis.Shape.Font.Emboss.Clip := False;
  aChart.BottomAxis.Shape.Font.Emboss.Color := clSilver;
  aChart.BottomAxis.Shape.Font.Emboss.HorizSize := 0;
  aChart.BottomAxis.Shape.Font.Emboss.Smooth := True;
  aChart.BottomAxis.Shape.Font.Emboss.SmoothBlur := 0;
  aChart.BottomAxis.Shape.Font.Emboss.Transparency := 50;
  aChart.BottomAxis.Shape.Font.Emboss.VertSize := 0;
  aChart.BottomAxis.Shape.Font.Emboss.Visible := False;
  //aChart.BottomAxis.Shape.Font.Gradient := (TTeeGradient);
  aChart.BottomAxis.Shape.Font.Gradient.Angle := 0;
  aChart.BottomAxis.Shape.Font.Gradient.Balance := 50;
  //aChart.BottomAxis.Shape.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Shape.Font.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Shape.Font.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Shape.Font.Gradient.MidColor := clNone;
  aChart.BottomAxis.Shape.Font.Gradient.RadialX := 0;
  aChart.BottomAxis.Shape.Font.Gradient.RadialY := 0;
  aChart.BottomAxis.Shape.Font.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.Shape.Font.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Shape.Font.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Shape.Font.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.Shape.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Shape.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Shape.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Shape.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Shape.Font.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Shape.Font.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Shape.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Shape.Font.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Shape.Font.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Shape.Font.Gradient.Visible := False;
  aChart.BottomAxis.Shape.Font.Height := -11;
  aChart.BottomAxis.Shape.Font.InterCharSize := 0;
  //aChart.BottomAxis.Shape.Font.Name := Arial;
  aChart.BottomAxis.Shape.Font.Orientation := 0;
  //aChart.BottomAxis.Shape.Font.OutLine := (TTeeHiddenPen);
  aChart.BottomAxis.Shape.Font.OutLine.Color := clBlack;
  aChart.BottomAxis.Shape.Font.OutLine.EndStyle := esRound;
  //aChart.BottomAxis.Shape.Font.OutLine.Fill := (TTeeBrush);
  aChart.BottomAxis.Shape.Font.OutLine.Fill.BackColor := clNone;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Color := clDefault;
  //aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.BottomAxis.Shape.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.BottomAxis.Shape.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.Shape.Font.OutLine.Fill.Style := bsSolid;
  aChart.BottomAxis.Shape.Font.OutLine.JoinStyle := jsRound;
  aChart.BottomAxis.Shape.Font.OutLine.Mode := pmCopy;
  aChart.BottomAxis.Shape.Font.OutLine.SmallDots := False;
  aChart.BottomAxis.Shape.Font.OutLine.SmallSpace := 0;
  aChart.BottomAxis.Shape.Font.OutLine.Style := psSolid;
  aChart.BottomAxis.Shape.Font.OutLine.Visible := False;
  aChart.BottomAxis.Shape.Font.OutLine.Width := 1;
  //aChart.BottomAxis.Shape.Font.Picture := (TTeePicture);
  //aChart.BottomAxis.Shape.Font.Picture.Filters := (TFilterItems);
  aChart.BottomAxis.Shape.Font.Pitch := fpDefault;
  aChart.BottomAxis.Shape.Font.Quality := fqDefault;
  //aChart.BottomAxis.Shape.Font.Shadow := (TTeeShadow);
  aChart.BottomAxis.Shape.Font.Shadow.Clip := False;
  aChart.BottomAxis.Shape.Font.Shadow.Color := clSilver;
  aChart.BottomAxis.Shape.Font.Shadow.HorizSize := 0;
  aChart.BottomAxis.Shape.Font.Shadow.Smooth := True;
  aChart.BottomAxis.Shape.Font.Shadow.SmoothBlur := 0;
  aChart.BottomAxis.Shape.Font.Shadow.Transparency := 50;
  aChart.BottomAxis.Shape.Font.Shadow.VertSize := 0;
  aChart.BottomAxis.Shape.Font.Shadow.Visible := True;
  aChart.BottomAxis.Shape.Font.Size := 8;
  aChart.BottomAxis.Shape.Font.SizeFloat := 8;
  //aChart.BottomAxis.Shape.Font.Style := [TFontStyles];
  //aChart.BottomAxis.Shape.Font.Style.fsBold := False;
  //aChart.BottomAxis.Shape.Font.Style.fsItalic := False;
  //aChart.BottomAxis.Shape.Font.Style.fsUnderline := False;
  //aChart.BottomAxis.Shape.Font.Style.fsStrikeOut := False;
  //aChart.BottomAxis.Shape.Gradient := (TTeeGradient);
  aChart.BottomAxis.Shape.Gradient.Angle := 0;
  aChart.BottomAxis.Shape.Gradient.Balance := 50;
  //aChart.BottomAxis.Shape.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Shape.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Shape.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Shape.Gradient.MidColor := clNone;
  aChart.BottomAxis.Shape.Gradient.RadialX := 0;
  aChart.BottomAxis.Shape.Gradient.RadialY := 0;
  aChart.BottomAxis.Shape.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.Shape.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Shape.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Shape.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.Shape.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Shape.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Shape.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Shape.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Shape.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Shape.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Shape.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Shape.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Shape.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Shape.Gradient.Visible := False;
  //aChart.BottomAxis.Shape.Picture := (TBackImage);
  aChart.BottomAxis.Shape.Picture.Bottom := 0;
  aChart.BottomAxis.Shape.Picture.DrawQuality := sqHigh;
  //aChart.BottomAxis.Shape.Picture.Filters := (TFilterItems);
  aChart.BottomAxis.Shape.Picture.Inside := False;
  aChart.BottomAxis.Shape.Picture.Left := 0;
  aChart.BottomAxis.Shape.Picture.Mode := pbmStretch;
  aChart.BottomAxis.Shape.Picture.Right := 0;
  aChart.BottomAxis.Shape.Picture.Top := 0;
  aChart.BottomAxis.Shape.RoundSize := 16;
  //aChart.BottomAxis.Shape.Shadow := (TTeeShadow);
  aChart.BottomAxis.Shape.Shadow.Clip := False;
  aChart.BottomAxis.Shape.Shadow.Color := clBlack;
  aChart.BottomAxis.Shape.Shadow.HorizSize := 3;
  aChart.BottomAxis.Shape.Shadow.Smooth := True;
  aChart.BottomAxis.Shape.Shadow.SmoothBlur := 0;
  aChart.BottomAxis.Shape.Shadow.Transparency := 50;
  aChart.BottomAxis.Shape.Shadow.VertSize := 3;
  aChart.BottomAxis.Shape.Shadow.Visible := False;
  //aChart.BottomAxis.Shape.ShapeCallout := (TShapeCallout);
  aChart.BottomAxis.Shape.ShapeCallout.PointPosition := 50;
  aChart.BottomAxis.Shape.ShapeCallout.Position := 50;
  aChart.BottomAxis.Shape.ShapeCallout.Side := csNone;
  aChart.BottomAxis.Shape.ShapeCallout.Size := 25;
  aChart.BottomAxis.Shape.ShapeCallout.Width := 20;
  aChart.BottomAxis.Shape.ShapeStyle := fosRectangle;
  aChart.BottomAxis.Shape.Transparency := 0;
  aChart.BottomAxis.Shape.Transparent := False;
  aChart.BottomAxis.Shape.Visible := False;
  aChart.BottomAxis.StartPosition := 0;
  //aChart.BottomAxis.SubAxes := (TChartCustomAxes);
  aChart.BottomAxis.TickInnerLength := 0;
  aChart.BottomAxis.TickLength := 4;
  aChart.BottomAxis.TickOnLabelsOnly := True;
  //aChart.BottomAxis.Ticks := (TTicks);
  aChart.BottomAxis.Ticks.Color := clGray;
  aChart.BottomAxis.Ticks.EndStyle := esRound;
  //aChart.BottomAxis.Ticks.Fill := (TTeeBrush);
  aChart.BottomAxis.Ticks.Fill.BackColor := clNone;
  aChart.BottomAxis.Ticks.Fill.Color := clDefault;
  //aChart.BottomAxis.Ticks.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.Ticks.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.Ticks.Fill.Gradient.Balance := 50;
  //aChart.BottomAxis.Ticks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Ticks.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Ticks.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Ticks.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.Ticks.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.Ticks.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.Ticks.Fill.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Ticks.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Ticks.Fill.Gradient.Visible := False;
  //aChart.BottomAxis.Ticks.Fill.Image := (TTeePicture);
  //aChart.BottomAxis.Ticks.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.Ticks.Fill.Style := bsSolid;
  aChart.BottomAxis.Ticks.JoinStyle := jsRound;
  aChart.BottomAxis.Ticks.Mode := pmCopy;
  aChart.BottomAxis.Ticks.SmallDots := False;
  aChart.BottomAxis.Ticks.SmallSpace := 0;
  aChart.BottomAxis.Ticks.Style := psSolid;
  aChart.BottomAxis.Ticks.Visible := True;
  aChart.BottomAxis.Ticks.Width := 1;
  //aChart.BottomAxis.TicksInner := (TTicks);
  aChart.BottomAxis.TicksInner.Color := clGray;
  aChart.BottomAxis.TicksInner.EndStyle := esRound;
  //aChart.BottomAxis.TicksInner.Fill := (TTeeBrush);
  aChart.BottomAxis.TicksInner.Fill.BackColor := clNone;
  aChart.BottomAxis.TicksInner.Fill.Color := clDefault;
  //aChart.BottomAxis.TicksInner.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.TicksInner.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.TicksInner.Fill.Gradient.Balance := 50;
  //aChart.BottomAxis.TicksInner.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.TicksInner.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.TicksInner.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.TicksInner.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.TicksInner.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.TicksInner.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.TicksInner.Fill.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.TicksInner.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.TicksInner.Fill.Gradient.Visible := False;
  //aChart.BottomAxis.TicksInner.Fill.Image := (TTeePicture);
  //aChart.BottomAxis.TicksInner.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.TicksInner.Fill.Style := bsSolid;
  aChart.BottomAxis.TicksInner.JoinStyle := jsRound;
  aChart.BottomAxis.TicksInner.Mode := pmCopy;
  aChart.BottomAxis.TicksInner.SmallDots := False;
  aChart.BottomAxis.TicksInner.SmallSpace := 0;
  aChart.BottomAxis.TicksInner.Style := psSolid;
  aChart.BottomAxis.TicksInner.Visible := False;
  aChart.BottomAxis.TicksInner.Width := 1;
  //aChart.BottomAxis.Title := (TChartAxisTitle);
  aChart.BottomAxis.Title.Angle := 0;
  aChart.BottomAxis.Title.Bevel := bvNone;
  aChart.BottomAxis.Title.BevelWidth := 2;
  //aChart.BottomAxis.Title.Brush := (TTeeBrush);
  aChart.BottomAxis.Title.Brush.BackColor := clNone;
  aChart.BottomAxis.Title.Brush.Color := clDefault;
  //aChart.BottomAxis.Title.Brush.Gradient := (TTeeGradient);
  aChart.BottomAxis.Title.Brush.Gradient.Angle := 0;
  aChart.BottomAxis.Title.Brush.Gradient.Balance := 50;
  //aChart.BottomAxis.Title.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Brush.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Brush.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Brush.Gradient.MidColor := clNone;
  aChart.BottomAxis.Title.Brush.Gradient.RadialX := 0;
  aChart.BottomAxis.Title.Brush.Gradient.RadialY := 0;
  aChart.BottomAxis.Title.Brush.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.Title.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Title.Brush.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Title.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.Title.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Title.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Title.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Title.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Title.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Title.Brush.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Title.Brush.Gradient.Visible := False;
  //aChart.BottomAxis.Title.Brush.Image := (TTeePicture);
  //aChart.BottomAxis.Title.Brush.Image.Filters := (TFilterItems);
  aChart.BottomAxis.Title.Brush.Style := bsSolid;
  //aChart.BottomAxis.Title.Caption := ;
  aChart.BottomAxis.Title.ChildLayout := slTopBottom;
  //aChart.BottomAxis.Title.Children := (TTeeShapes);
  aChart.BottomAxis.Title.Color := clWhite;
  //aChart.BottomAxis.Title.Emboss := (TTeeEmboss);
  aChart.BottomAxis.Title.Emboss.Clip := False;
  aChart.BottomAxis.Title.Emboss.Color := clBlack;
  aChart.BottomAxis.Title.Emboss.HorizSize := 3;
  aChart.BottomAxis.Title.Emboss.Smooth := True;
  aChart.BottomAxis.Title.Emboss.SmoothBlur := 0;
  aChart.BottomAxis.Title.Emboss.Transparency := 50;
  aChart.BottomAxis.Title.Emboss.VertSize := 3;
  aChart.BottomAxis.Title.Emboss.Visible := False;
  //aChart.BottomAxis.Title.Font := Arial, 10 , Bold;
  //aChart.BottomAxis.Title.Font.Brush := (TTeeBrush);
  aChart.BottomAxis.Title.Font.Brush.BackColor := clNone;
  aChart.BottomAxis.Title.Font.Brush.Color := clBlack;
  //aChart.BottomAxis.Title.Font.Brush.Gradient := (TTeeGradient);
  aChart.BottomAxis.Title.Font.Brush.Gradient.Angle := 0;
  aChart.BottomAxis.Title.Font.Brush.Gradient.Balance := 50;
  //aChart.BottomAxis.Title.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Font.Brush.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Font.Brush.Gradient.MidColor := clNone;
  aChart.BottomAxis.Title.Font.Brush.Gradient.RadialX := 0;
  aChart.BottomAxis.Title.Font.Brush.Gradient.RadialY := 0;
  aChart.BottomAxis.Title.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Title.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Title.Font.Brush.Gradient.Visible := False;
  //aChart.BottomAxis.Title.Font.Brush.Image := (TTeePicture);
  //aChart.BottomAxis.Title.Font.Brush.Image.Filters := (TFilterItems);
  aChart.BottomAxis.Title.Font.Brush.Style := bsSolid;
  aChart.BottomAxis.Title.Font.Charset := 1;
  aChart.BottomAxis.Title.Font.Color := clBlack;
  aChart.BottomAxis.Title.Font.Depth := 0;
  //aChart.BottomAxis.Title.Font.Emboss := (TTeeEmboss);
  aChart.BottomAxis.Title.Font.Emboss.Clip := False;
  aChart.BottomAxis.Title.Font.Emboss.Color := clSilver;
  aChart.BottomAxis.Title.Font.Emboss.HorizSize := 0;
  aChart.BottomAxis.Title.Font.Emboss.Smooth := True;
  aChart.BottomAxis.Title.Font.Emboss.SmoothBlur := 0;
  aChart.BottomAxis.Title.Font.Emboss.Transparency := 50;
  aChart.BottomAxis.Title.Font.Emboss.VertSize := 0;
  aChart.BottomAxis.Title.Font.Emboss.Visible := False;
  //aChart.BottomAxis.Title.Font.Gradient := (TTeeGradient);
  aChart.BottomAxis.Title.Font.Gradient.Angle := 0;
  aChart.BottomAxis.Title.Font.Gradient.Balance := 50;
  //aChart.BottomAxis.Title.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Font.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Font.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Font.Gradient.MidColor := clNone;
  aChart.BottomAxis.Title.Font.Gradient.RadialX := 0;
  aChart.BottomAxis.Title.Font.Gradient.RadialY := 0;
  aChart.BottomAxis.Title.Font.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.Title.Font.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Title.Font.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Title.Font.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.Title.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Title.Font.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Title.Font.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Title.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Title.Font.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Title.Font.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Title.Font.Gradient.Visible := False;
  aChart.BottomAxis.Title.Font.Height := -13;
  aChart.BottomAxis.Title.Font.InterCharSize := 0;
  //aChart.BottomAxis.Title.Font.Name := Arial;
  aChart.BottomAxis.Title.Font.Orientation := 0;
  //aChart.BottomAxis.Title.Font.OutLine := (TTeeHiddenPen);
  aChart.BottomAxis.Title.Font.OutLine.Color := clBlack;
  aChart.BottomAxis.Title.Font.OutLine.EndStyle := esRound;
  //aChart.BottomAxis.Title.Font.OutLine.Fill := (TTeeBrush);
  aChart.BottomAxis.Title.Font.OutLine.Fill.BackColor := clNone;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Color := clDefault;
  //aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Title.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.BottomAxis.Title.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.BottomAxis.Title.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.Title.Font.OutLine.Fill.Style := bsSolid;
  aChart.BottomAxis.Title.Font.OutLine.JoinStyle := jsRound;
  aChart.BottomAxis.Title.Font.OutLine.Mode := pmCopy;
  aChart.BottomAxis.Title.Font.OutLine.SmallDots := False;
  aChart.BottomAxis.Title.Font.OutLine.SmallSpace := 0;
  aChart.BottomAxis.Title.Font.OutLine.Style := psSolid;
  aChart.BottomAxis.Title.Font.OutLine.Visible := False;
  aChart.BottomAxis.Title.Font.OutLine.Width := 1;
  //aChart.BottomAxis.Title.Font.Picture := (TTeePicture);
  //aChart.BottomAxis.Title.Font.Picture.Filters := (TFilterItems);
  aChart.BottomAxis.Title.Font.Pitch := fpDefault;
  aChart.BottomAxis.Title.Font.Quality := fqDefault;
  //aChart.BottomAxis.Title.Font.Shadow := (TTeeShadow);
  aChart.BottomAxis.Title.Font.Shadow.Clip := False;
  aChart.BottomAxis.Title.Font.Shadow.Color := clSilver;
  aChart.BottomAxis.Title.Font.Shadow.HorizSize := 0;
  aChart.BottomAxis.Title.Font.Shadow.Smooth := True;
  aChart.BottomAxis.Title.Font.Shadow.SmoothBlur := 0;
  aChart.BottomAxis.Title.Font.Shadow.Transparency := 50;
  aChart.BottomAxis.Title.Font.Shadow.VertSize := 0;
  aChart.BottomAxis.Title.Font.Shadow.Visible := True;
  aChart.BottomAxis.Title.Font.Size := 10;
  aChart.BottomAxis.Title.Font.SizeFloat := 10;
  //aChart.BottomAxis.Title.Font.Style := [TFontStyles];
  //aChart.BottomAxis.Title.Font.Style.fsBold := True;
  //aChart.BottomAxis.Title.Font.Style.fsItalic := False;
  //aChart.BottomAxis.Title.Font.Style.fsUnderline := False;
  //aChart.BottomAxis.Title.Font.Style.fsStrikeOut := False;
  //aChart.BottomAxis.Title.Gradient := (TTeeGradient);
  aChart.BottomAxis.Title.Gradient.Angle := 0;
  aChart.BottomAxis.Title.Gradient.Balance := 50;
  //aChart.BottomAxis.Title.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Gradient.MidColor := clNone;
  aChart.BottomAxis.Title.Gradient.RadialX := 0;
  aChart.BottomAxis.Title.Gradient.RadialY := 0;
  aChart.BottomAxis.Title.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.Title.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Title.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Title.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.Title.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Title.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Title.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Title.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Title.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Title.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Title.Gradient.Visible := False;
  //aChart.BottomAxis.Title.Pen := (TTeePen);
  aChart.BottomAxis.Title.Pen.Color := clBlack;
  aChart.BottomAxis.Title.Pen.EndStyle := esRound;
  //aChart.BottomAxis.Title.Pen.Fill := (TTeeBrush);
  aChart.BottomAxis.Title.Pen.Fill.BackColor := clNone;
  aChart.BottomAxis.Title.Pen.Fill.Color := clDefault;
  //aChart.BottomAxis.Title.Pen.Fill.Gradient := (TTeeGradient);
  aChart.BottomAxis.Title.Pen.Fill.Gradient.Angle := 0;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.Balance := 50;
  //aChart.BottomAxis.Title.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.MidColor := clNone;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.RadialX := 0;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.RadialY := 0;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomAxis.Title.Pen.Fill.Gradient.Visible := False;
  //aChart.BottomAxis.Title.Pen.Fill.Image := (TTeePicture);
  //aChart.BottomAxis.Title.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.BottomAxis.Title.Pen.Fill.Style := bsSolid;
  aChart.BottomAxis.Title.Pen.JoinStyle := jsRound;
  aChart.BottomAxis.Title.Pen.Mode := pmCopy;
  aChart.BottomAxis.Title.Pen.SmallDots := False;
  aChart.BottomAxis.Title.Pen.SmallSpace := 0;
  aChart.BottomAxis.Title.Pen.Style := psSolid;
  aChart.BottomAxis.Title.Pen.Visible := True;
  aChart.BottomAxis.Title.Pen.Width := 1;
  //aChart.BottomAxis.Title.Picture := (TBackImage);
  aChart.BottomAxis.Title.Picture.Bottom := 0;
  aChart.BottomAxis.Title.Picture.DrawQuality := sqHigh;
  //aChart.BottomAxis.Title.Picture.Filters := (TFilterItems);
  aChart.BottomAxis.Title.Picture.Inside := False;
  aChart.BottomAxis.Title.Picture.Left := 0;
  aChart.BottomAxis.Title.Picture.Mode := pbmStretch;
  aChart.BottomAxis.Title.Picture.Right := 0;
  aChart.BottomAxis.Title.Picture.Top := 0;
  aChart.BottomAxis.Title.Position := tpCenter;
  aChart.BottomAxis.Title.RoundSize := 16;
  //aChart.BottomAxis.Title.Shadow := (TTeeShadow);
  aChart.BottomAxis.Title.Shadow.Clip := False;
  aChart.BottomAxis.Title.Shadow.Color := clBlack;
  aChart.BottomAxis.Title.Shadow.HorizSize := 3;
  aChart.BottomAxis.Title.Shadow.Smooth := True;
  aChart.BottomAxis.Title.Shadow.SmoothBlur := 0;
  aChart.BottomAxis.Title.Shadow.Transparency := 50;
  aChart.BottomAxis.Title.Shadow.VertSize := 3;
  aChart.BottomAxis.Title.Shadow.Visible := True;
  //aChart.BottomAxis.Title.ShapeCallout := (TShapeCallout);
  aChart.BottomAxis.Title.ShapeCallout.PointPosition := 50;
  aChart.BottomAxis.Title.ShapeCallout.Position := 50;
  aChart.BottomAxis.Title.ShapeCallout.Side := csNone;
  aChart.BottomAxis.Title.ShapeCallout.Size := 25;
  aChart.BottomAxis.Title.ShapeCallout.Width := 20;
  aChart.BottomAxis.Title.ShapeStyle := fosRectangle;
  aChart.BottomAxis.Title.TextAlignment := taCenter;
  aChart.BottomAxis.Title.Transparency := 0;
  aChart.BottomAxis.Title.Transparent := True;
  aChart.BottomAxis.Title.Visible := True;
  aChart.BottomAxis.TitleSize := 0;
  aChart.BottomAxis.UsePartnerAxis := False;
  aChart.BottomAxis.Visible := True;
  aChart.BottomAxis.ZPosition := 0;
  //aChart.BottomWall := (TChartBottomWall);
  aChart.BottomWall.AutoHide := False;
  //aChart.BottomWall.Brush := (TTeeBrush);
  aChart.BottomWall.Brush.BackColor := clNone;
  aChart.BottomWall.Brush.Color := clDefault;
  //aChart.BottomWall.Brush.Gradient := (TTeeGradient);
  aChart.BottomWall.Brush.Gradient.Angle := 0;
  aChart.BottomWall.Brush.Gradient.Balance := 50;
  //aChart.BottomWall.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomWall.Brush.Gradient.Direction := gdTopBottom;
  aChart.BottomWall.Brush.Gradient.EndColor := clYellow;
  aChart.BottomWall.Brush.Gradient.MidColor := clNone;
  aChart.BottomWall.Brush.Gradient.RadialX := 0;
  aChart.BottomWall.Brush.Gradient.RadialY := 0;
  aChart.BottomWall.Brush.Gradient.StartColor := clWhite;
  //aChart.BottomWall.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.BottomWall.Brush.Gradient.SubGradient.Angle := 0;
  aChart.BottomWall.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.BottomWall.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomWall.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomWall.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomWall.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomWall.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.BottomWall.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.BottomWall.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomWall.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.BottomWall.Brush.Gradient.SubGradient.Visible := False;
  aChart.BottomWall.Brush.Gradient.Visible := False;
  //aChart.BottomWall.Brush.Image := (TTeePicture);
  //aChart.BottomWall.Brush.Image.Filters := (TFilterItems);
  aChart.BottomWall.Brush.Style := bsSolid;
  aChart.BottomWall.Color := clWhite;
  aChart.BottomWall.Dark3D := True;
  aChart.BottomWall.EndPosition := 100;
  //aChart.BottomWall.Gradient := (TTeeGradient);
  aChart.BottomWall.Gradient.Angle := 0;
  aChart.BottomWall.Gradient.Balance := 50;
  //aChart.BottomWall.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomWall.Gradient.Direction := gdTopBottom;
  aChart.BottomWall.Gradient.EndColor := clYellow;
  aChart.BottomWall.Gradient.MidColor := clNone;
  aChart.BottomWall.Gradient.RadialX := 0;
  aChart.BottomWall.Gradient.RadialY := 0;
  aChart.BottomWall.Gradient.StartColor := clWhite;
  //aChart.BottomWall.Gradient.SubGradient := (TSubGradient);
  aChart.BottomWall.Gradient.SubGradient.Angle := 0;
  aChart.BottomWall.Gradient.SubGradient.Balance := 50;
  //aChart.BottomWall.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomWall.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomWall.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomWall.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomWall.Gradient.SubGradient.RadialX := 0;
  aChart.BottomWall.Gradient.SubGradient.RadialY := 0;
  aChart.BottomWall.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomWall.Gradient.SubGradient.Transparency := 50;
  aChart.BottomWall.Gradient.SubGradient.Visible := False;
  aChart.BottomWall.Gradient.Visible := False;
  //aChart.BottomWall.Pen := (TTeePen);
  aChart.BottomWall.Pen.Color := clBlack;
  aChart.BottomWall.Pen.EndStyle := esRound;
  //aChart.BottomWall.Pen.Fill := (TTeeBrush);
  aChart.BottomWall.Pen.Fill.BackColor := clNone;
  aChart.BottomWall.Pen.Fill.Color := clDefault;
  //aChart.BottomWall.Pen.Fill.Gradient := (TTeeGradient);
  aChart.BottomWall.Pen.Fill.Gradient.Angle := 0;
  aChart.BottomWall.Pen.Fill.Gradient.Balance := 50;
  //aChart.BottomWall.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.BottomWall.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.BottomWall.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.BottomWall.Pen.Fill.Gradient.MidColor := clNone;
  aChart.BottomWall.Pen.Fill.Gradient.RadialX := 0;
  aChart.BottomWall.Pen.Fill.Gradient.RadialY := 0;
  aChart.BottomWall.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.BottomWall.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.BottomWall.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.BottomWall.Pen.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.BottomWall.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.BottomWall.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.BottomWall.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.BottomWall.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.BottomWall.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.BottomWall.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.BottomWall.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.BottomWall.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.BottomWall.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.BottomWall.Pen.Fill.Gradient.Visible := False;
  //aChart.BottomWall.Pen.Fill.Image := (TTeePicture);
  //aChart.BottomWall.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.BottomWall.Pen.Fill.Style := bsSolid;
  aChart.BottomWall.Pen.JoinStyle := jsRound;
  aChart.BottomWall.Pen.Mode := pmCopy;
  aChart.BottomWall.Pen.SmallDots := False;
  aChart.BottomWall.Pen.SmallSpace := 0;
  aChart.BottomWall.Pen.Style := psSolid;
  aChart.BottomWall.Pen.Visible := True;
  aChart.BottomWall.Pen.Width := 1;
  //aChart.BottomWall.Picture := (TBackImage);
  aChart.BottomWall.Picture.Bottom := 0;
  aChart.BottomWall.Picture.DrawQuality := sqHigh;
  //aChart.BottomWall.Picture.Filters := (TFilterItems);
  aChart.BottomWall.Picture.Inside := False;
  aChart.BottomWall.Picture.Left := 0;
  aChart.BottomWall.Picture.Mode := pbmStretch;
  aChart.BottomWall.Picture.Right := 0;
  aChart.BottomWall.Picture.Top := 0;
  aChart.BottomWall.RoundSize := 16;
  aChart.BottomWall.Size := 0;
  aChart.BottomWall.StartPosition := 0;
  aChart.BottomWall.Transparency := 0;
  aChart.BottomWall.Transparent := False;
  aChart.BottomWall.Visible := True;
  aChart.Chart3DPercent := 15;
  aChart.ClipPoints := True;
  aChart.Color := clWhite;
  //aChart.Constraints := (TSizeConstraints);
  aChart.Constraints.MaxHeight := 0;
  aChart.Constraints.MaxWidth := 0;
  aChart.Constraints.MinHeight := 0;
  aChart.Constraints.MinWidth := 0;
  aChart.Cursor := crDefault;
  //aChart.CustomAxes := (TChartCustomAxes);
  aChart.CustomHint := nil;
  //aChart.DepthAxis := (TChartDepthAxis);
  aChart.DepthAxis.Automatic := True;
  aChart.DepthAxis.AutomaticMaximum := True;
  aChart.DepthAxis.AutomaticMinimum := True;
  //aChart.DepthAxis.Axis := (TChartAxisPen);
  aChart.DepthAxis.Axis.Color := clBlack;
  aChart.DepthAxis.Axis.EndStyle := esFlat;
  //aChart.DepthAxis.Axis.Fill := (TTeeBrush);
  aChart.DepthAxis.Axis.Fill.BackColor := clNone;
  aChart.DepthAxis.Axis.Fill.Color := clDefault;
  //aChart.DepthAxis.Axis.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.Axis.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.Axis.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.Axis.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Axis.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Axis.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Axis.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.Axis.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.Axis.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.Axis.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Axis.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Axis.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Axis.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Axis.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Axis.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Axis.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Axis.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Axis.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Axis.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Axis.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Axis.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Axis.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Axis.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.Axis.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.Axis.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.Axis.Fill.Style := bsSolid;
  aChart.DepthAxis.Axis.JoinStyle := jsRound;
  aChart.DepthAxis.Axis.LineMode := lmLine;
  aChart.DepthAxis.Axis.Mode := pmCopy;
  aChart.DepthAxis.Axis.SmallDots := False;
  aChart.DepthAxis.Axis.SmallSpace := 0;
  aChart.DepthAxis.Axis.Style := psSolid;
  aChart.DepthAxis.Axis.Visible := True;
  aChart.DepthAxis.Axis.Width := 2;
  //aChart.DepthAxis.AxisValuesFormat := #,##0.###;
  //aChart.DepthAxis.DateTimeFormat := ;
  aChart.DepthAxis.EndPosition := 100;
  aChart.DepthAxis.ExactDateTime := True;
  //aChart.DepthAxis.Grid := (TAxisGridPen);
  aChart.DepthAxis.Grid.Color := clSilver;
  aChart.DepthAxis.Grid.DrawEvery := 1;
  aChart.DepthAxis.Grid.EndStyle := esRound;
  //aChart.DepthAxis.Grid.Fill := (TTeeBrush);
  aChart.DepthAxis.Grid.Fill.BackColor := clNone;
  aChart.DepthAxis.Grid.Fill.Color := clDefault;
  //aChart.DepthAxis.Grid.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.Grid.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.Grid.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.Grid.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Grid.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Grid.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Grid.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.Grid.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.Grid.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.Grid.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Grid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Grid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Grid.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Grid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Grid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Grid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Grid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Grid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Grid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Grid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Grid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Grid.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Grid.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.Grid.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.Grid.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.Grid.Fill.Style := bsSolid;
  aChart.DepthAxis.Grid.JoinStyle := jsRound;
  aChart.DepthAxis.Grid.Mode := pmCopy;
  aChart.DepthAxis.Grid.SmallDots := False;
  aChart.DepthAxis.Grid.SmallSpace := 0;
  aChart.DepthAxis.Grid.Style := psSolid;
  aChart.DepthAxis.Grid.Visible := True;
  aChart.DepthAxis.Grid.Width := 1;
  aChart.DepthAxis.Grid.ZPosition := 0;
  aChart.DepthAxis.GridCentered := False;
  aChart.DepthAxis.Horizontal := False;
  aChart.DepthAxis.Increment := 0;
  aChart.DepthAxis.Inverted := False;
  aChart.DepthAxis.Labels := True;
  aChart.DepthAxis.LabelsAlign := alDefault;
  aChart.DepthAxis.LabelsAlternate := False;
  aChart.DepthAxis.LabelsAngle := 0;
  aChart.DepthAxis.LabelsAsSeriesTitles := True;
  aChart.DepthAxis.LabelsBehind := False;
  aChart.DepthAxis.LabelsExponent := False;
  //aChart.DepthAxis.LabelsFont := Arial, 8 , Normal;
  //aChart.DepthAxis.LabelsFont.Brush := (TTeeBrush);
  aChart.DepthAxis.LabelsFont.Brush.BackColor := clNone;
  aChart.DepthAxis.LabelsFont.Brush.Color := clBlack;
  //aChart.DepthAxis.LabelsFont.Brush.Gradient := (TTeeGradient);
  aChart.DepthAxis.LabelsFont.Brush.Gradient.Angle := 0;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.Balance := 50;
  //aChart.DepthAxis.LabelsFont.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFont.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.RadialX := 0;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.RadialY := 0;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.LabelsFont.Brush.Gradient.Visible := False;
  //aChart.DepthAxis.LabelsFont.Brush.Image := (TTeePicture);
  //aChart.DepthAxis.LabelsFont.Brush.Image.Filters := (TFilterItems);
  aChart.DepthAxis.LabelsFont.Brush.Style := bsSolid;
  aChart.DepthAxis.LabelsFont.Charset := 1;
  aChart.DepthAxis.LabelsFont.Color := clBlack;
  aChart.DepthAxis.LabelsFont.Depth := 0;
  //aChart.DepthAxis.LabelsFont.Emboss := (TTeeEmboss);
  aChart.DepthAxis.LabelsFont.Emboss.Clip := False;
  aChart.DepthAxis.LabelsFont.Emboss.Color := clSilver;
  aChart.DepthAxis.LabelsFont.Emboss.HorizSize := 0;
  aChart.DepthAxis.LabelsFont.Emboss.Smooth := True;
  aChart.DepthAxis.LabelsFont.Emboss.SmoothBlur := 0;
  aChart.DepthAxis.LabelsFont.Emboss.Transparency := 50;
  aChart.DepthAxis.LabelsFont.Emboss.VertSize := 0;
  aChart.DepthAxis.LabelsFont.Emboss.Visible := False;
  //aChart.DepthAxis.LabelsFont.Gradient := (TTeeGradient);
  aChart.DepthAxis.LabelsFont.Gradient.Angle := 0;
  aChart.DepthAxis.LabelsFont.Gradient.Balance := 50;
  //aChart.DepthAxis.LabelsFont.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFont.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFont.Gradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFont.Gradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFont.Gradient.RadialX := 0;
  aChart.DepthAxis.LabelsFont.Gradient.RadialY := 0;
  aChart.DepthAxis.LabelsFont.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.LabelsFont.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.LabelsFont.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.LabelsFont.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.LabelsFont.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFont.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFont.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFont.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFont.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.LabelsFont.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.LabelsFont.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.LabelsFont.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.LabelsFont.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.LabelsFont.Gradient.Visible := False;
  aChart.DepthAxis.LabelsFont.Height := -11;
  aChart.DepthAxis.LabelsFont.InterCharSize := 0;
  //aChart.DepthAxis.LabelsFont.Name := Arial;
  aChart.DepthAxis.LabelsFont.Orientation := 0;
  //aChart.DepthAxis.LabelsFont.OutLine := (TTeeHiddenPen);
  aChart.DepthAxis.LabelsFont.OutLine.Color := clBlack;
  aChart.DepthAxis.LabelsFont.OutLine.EndStyle := esRound;
  //aChart.DepthAxis.LabelsFont.OutLine.Fill := (TTeeBrush);
  aChart.DepthAxis.LabelsFont.OutLine.Fill.BackColor := clNone;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Color := clDefault;
  //aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.LabelsFont.OutLine.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.LabelsFont.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.LabelsFont.OutLine.Fill.Style := bsSolid;
  aChart.DepthAxis.LabelsFont.OutLine.JoinStyle := jsRound;
  aChart.DepthAxis.LabelsFont.OutLine.Mode := pmCopy;
  aChart.DepthAxis.LabelsFont.OutLine.SmallDots := False;
  aChart.DepthAxis.LabelsFont.OutLine.SmallSpace := 0;
  aChart.DepthAxis.LabelsFont.OutLine.Style := psSolid;
  aChart.DepthAxis.LabelsFont.OutLine.Visible := False;
  aChart.DepthAxis.LabelsFont.OutLine.Width := 1;
  //aChart.DepthAxis.LabelsFont.Picture := (TTeePicture);
  //aChart.DepthAxis.LabelsFont.Picture.Filters := (TFilterItems);
  aChart.DepthAxis.LabelsFont.Pitch := fpDefault;
  aChart.DepthAxis.LabelsFont.Quality := fqDefault;
  //aChart.DepthAxis.LabelsFont.Shadow := (TTeeShadow);
  aChart.DepthAxis.LabelsFont.Shadow.Clip := False;
  aChart.DepthAxis.LabelsFont.Shadow.Color := clSilver;
  aChart.DepthAxis.LabelsFont.Shadow.HorizSize := 0;
  aChart.DepthAxis.LabelsFont.Shadow.Smooth := True;
  aChart.DepthAxis.LabelsFont.Shadow.SmoothBlur := 0;
  aChart.DepthAxis.LabelsFont.Shadow.Transparency := 50;
  aChart.DepthAxis.LabelsFont.Shadow.VertSize := 0;
  aChart.DepthAxis.LabelsFont.Shadow.Visible := True;
  aChart.DepthAxis.LabelsFont.Size := 8;
  aChart.DepthAxis.LabelsFont.SizeFloat := 8;
  //aChart.DepthAxis.LabelsFont.Style := [TFontStyles];
  //aChart.DepthAxis.LabelsFont.Style.fsBold := False;
  //aChart.DepthAxis.LabelsFont.Style.fsItalic := False;
  //aChart.DepthAxis.LabelsFont.Style.fsUnderline := False;
  //aChart.DepthAxis.LabelsFont.Style.fsStrikeOut := False;
  //aChart.DepthAxis.LabelsFormat := (TAxisLabelsFormat);
  aChart.DepthAxis.LabelsFormat.Bevel := bvNone;
  aChart.DepthAxis.LabelsFormat.BevelWidth := 2;
  //aChart.DepthAxis.LabelsFormat.Brush := (TTeeBrush);
  aChart.DepthAxis.LabelsFormat.Brush.BackColor := clNone;
  aChart.DepthAxis.LabelsFormat.Brush.Color := clDefault;
  //aChart.DepthAxis.LabelsFormat.Brush.Gradient := (TTeeGradient);
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.LabelsFormat.Brush.Gradient.Visible := False;
  //aChart.DepthAxis.LabelsFormat.Brush.Image := (TTeePicture);
  //aChart.DepthAxis.LabelsFormat.Brush.Image.Filters := (TFilterItems);
  aChart.DepthAxis.LabelsFormat.Brush.Style := bsSolid;
  aChart.DepthAxis.LabelsFormat.ChildLayout := slTopBottom;
  //aChart.DepthAxis.LabelsFormat.Children := (TTeeShapes);
  aChart.DepthAxis.LabelsFormat.ClipText := True;
  aChart.DepthAxis.LabelsFormat.Cursor := crDefault;
  //aChart.DepthAxis.LabelsFormat.Emboss := (TTeeEmboss);
  aChart.DepthAxis.LabelsFormat.Emboss.Clip := False;
  aChart.DepthAxis.LabelsFormat.Emboss.Color := clBlack;
  aChart.DepthAxis.LabelsFormat.Emboss.HorizSize := 3;
  aChart.DepthAxis.LabelsFormat.Emboss.Smooth := True;
  aChart.DepthAxis.LabelsFormat.Emboss.SmoothBlur := 0;
  aChart.DepthAxis.LabelsFormat.Emboss.Transparency := 50;
  aChart.DepthAxis.LabelsFormat.Emboss.VertSize := 3;
  aChart.DepthAxis.LabelsFormat.Emboss.Visible := False;
  //aChart.DepthAxis.LabelsFormat.Font := Arial, 8 , Normal;
  //aChart.DepthAxis.LabelsFormat.Font.Brush := (TTeeBrush);
  aChart.DepthAxis.LabelsFormat.Font.Brush.BackColor := clNone;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Color := clBlack;
  //aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient := (TTeeGradient);
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.LabelsFormat.Font.Brush.Gradient.Visible := False;
  //aChart.DepthAxis.LabelsFormat.Font.Brush.Image := (TTeePicture);
  //aChart.DepthAxis.LabelsFormat.Font.Brush.Image.Filters := (TFilterItems);
  aChart.DepthAxis.LabelsFormat.Font.Brush.Style := bsSolid;
  aChart.DepthAxis.LabelsFormat.Font.Charset := 1;
  aChart.DepthAxis.LabelsFormat.Font.Color := clBlack;
  aChart.DepthAxis.LabelsFormat.Font.Depth := 0;
  //aChart.DepthAxis.LabelsFormat.Font.Emboss := (TTeeEmboss);
  aChart.DepthAxis.LabelsFormat.Font.Emboss.Clip := False;
  aChart.DepthAxis.LabelsFormat.Font.Emboss.Color := clSilver;
  aChart.DepthAxis.LabelsFormat.Font.Emboss.HorizSize := 0;
  aChart.DepthAxis.LabelsFormat.Font.Emboss.Smooth := True;
  aChart.DepthAxis.LabelsFormat.Font.Emboss.SmoothBlur := 0;
  aChart.DepthAxis.LabelsFormat.Font.Emboss.Transparency := 50;
  aChart.DepthAxis.LabelsFormat.Font.Emboss.VertSize := 0;
  aChart.DepthAxis.LabelsFormat.Font.Emboss.Visible := False;
  //aChart.DepthAxis.LabelsFormat.Font.Gradient := (TTeeGradient);
  aChart.DepthAxis.LabelsFormat.Font.Gradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Font.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.LabelsFormat.Font.Gradient.Visible := False;
  aChart.DepthAxis.LabelsFormat.Font.Height := -11;
  aChart.DepthAxis.LabelsFormat.Font.InterCharSize := 0;
  //aChart.DepthAxis.LabelsFormat.Font.Name := Arial;
  aChart.DepthAxis.LabelsFormat.Font.Orientation := 0;
  //aChart.DepthAxis.LabelsFormat.Font.OutLine := (TTeeHiddenPen);
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Color := clBlack;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.EndStyle := esRound;
  //aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill := (TTeeBrush);
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.BackColor := clNone;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Color := clDefault;
  //aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Fill.Style := bsSolid;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.JoinStyle := jsRound;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Mode := pmCopy;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.SmallDots := False;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.SmallSpace := 0;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Style := psSolid;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Visible := False;
  aChart.DepthAxis.LabelsFormat.Font.OutLine.Width := 1;
  //aChart.DepthAxis.LabelsFormat.Font.Picture := (TTeePicture);
  //aChart.DepthAxis.LabelsFormat.Font.Picture.Filters := (TFilterItems);
  aChart.DepthAxis.LabelsFormat.Font.Pitch := fpDefault;
  aChart.DepthAxis.LabelsFormat.Font.Quality := fqDefault;
  //aChart.DepthAxis.LabelsFormat.Font.Shadow := (TTeeShadow);
  aChart.DepthAxis.LabelsFormat.Font.Shadow.Clip := False;
  aChart.DepthAxis.LabelsFormat.Font.Shadow.Color := clSilver;
  aChart.DepthAxis.LabelsFormat.Font.Shadow.HorizSize := 0;
  aChart.DepthAxis.LabelsFormat.Font.Shadow.Smooth := True;
  aChart.DepthAxis.LabelsFormat.Font.Shadow.SmoothBlur := 0;
  aChart.DepthAxis.LabelsFormat.Font.Shadow.Transparency := 50;
  aChart.DepthAxis.LabelsFormat.Font.Shadow.VertSize := 0;
  aChart.DepthAxis.LabelsFormat.Font.Shadow.Visible := True;
  aChart.DepthAxis.LabelsFormat.Font.Size := 8;
  aChart.DepthAxis.LabelsFormat.Font.SizeFloat := 8;

  //aChart.DepthAxis.LabelsFormat.Font.Style := [TFontStyles];
  //aChart.DepthAxis.LabelsFormat.Font.Style.fsBold := False;
  //aChart.DepthAxis.LabelsFormat.Font.Style.fsItalic := False;
  //aChart.DepthAxis.LabelsFormat.Font.Style.fsUnderline := False;
  //aChart.DepthAxis.LabelsFormat.Font.Style.fsStrikeOut := False;
  //aChart.DepthAxis.LabelsFormat.Frame := (TTeePen);
  aChart.DepthAxis.LabelsFormat.Frame.Color := clBlack;
  aChart.DepthAxis.LabelsFormat.Frame.EndStyle := esRound;
  //aChart.DepthAxis.LabelsFormat.Frame.Fill := (TTeeBrush);
  aChart.DepthAxis.LabelsFormat.Frame.Fill.BackColor := clNone;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Color := clDefault;
  //aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.LabelsFormat.Frame.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.LabelsFormat.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.LabelsFormat.Frame.Fill.Style := bsSolid;
  aChart.DepthAxis.LabelsFormat.Frame.JoinStyle := jsRound;
  aChart.DepthAxis.LabelsFormat.Frame.Mode := pmCopy;
  aChart.DepthAxis.LabelsFormat.Frame.SmallDots := False;
  aChart.DepthAxis.LabelsFormat.Frame.SmallSpace := 0;
  aChart.DepthAxis.LabelsFormat.Frame.Style := psSolid;
  aChart.DepthAxis.LabelsFormat.Frame.Visible := True;
  aChart.DepthAxis.LabelsFormat.Frame.Width := 1;
  //aChart.DepthAxis.LabelsFormat.Gradient := (TTeeGradient);
  aChart.DepthAxis.LabelsFormat.Gradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Gradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Gradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Gradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Gradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Gradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.LabelsFormat.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.LabelsFormat.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.LabelsFormat.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.LabelsFormat.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.LabelsFormat.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.LabelsFormat.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.LabelsFormat.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.LabelsFormat.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.LabelsFormat.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.LabelsFormat.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.LabelsFormat.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.LabelsFormat.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.LabelsFormat.Gradient.Visible := False;
  //aChart.DepthAxis.LabelsFormat.Margins := (TMargins);
  aChart.DepthAxis.LabelsFormat.Margins.Bottom := 5;
  aChart.DepthAxis.LabelsFormat.Margins.Left := 10;
  aChart.DepthAxis.LabelsFormat.Margins.Right := 10;
  aChart.DepthAxis.LabelsFormat.Margins.Top := 5;
  aChart.DepthAxis.LabelsFormat.Margins.Units := maPercentFont;
  //aChart.DepthAxis.LabelsFormat.Picture := (TBackImage);
  aChart.DepthAxis.LabelsFormat.Picture.Bottom := 0;
  aChart.DepthAxis.LabelsFormat.Picture.DrawQuality := sqHigh;
  //aChart.DepthAxis.LabelsFormat.Picture.Filters := (TFilterItems);
  aChart.DepthAxis.LabelsFormat.Picture.Inside := False;
  aChart.DepthAxis.LabelsFormat.Picture.Left := 0;
  aChart.DepthAxis.LabelsFormat.Picture.Mode := pbmStretch;
  aChart.DepthAxis.LabelsFormat.Picture.Right := 0;
  aChart.DepthAxis.LabelsFormat.Picture.Top := 0;
  aChart.DepthAxis.LabelsFormat.RoundSize := 16;
  //aChart.DepthAxis.LabelsFormat.Shadow := (TTeeShadow);
  aChart.DepthAxis.LabelsFormat.Shadow.Clip := False;
  aChart.DepthAxis.LabelsFormat.Shadow.Color := clBlack;
  aChart.DepthAxis.LabelsFormat.Shadow.HorizSize := 3;
  aChart.DepthAxis.LabelsFormat.Shadow.Smooth := True;
  aChart.DepthAxis.LabelsFormat.Shadow.SmoothBlur := 0;
  aChart.DepthAxis.LabelsFormat.Shadow.Transparency := 50;
  aChart.DepthAxis.LabelsFormat.Shadow.VertSize := 3;
  aChart.DepthAxis.LabelsFormat.Shadow.Visible := True;
  aChart.DepthAxis.LabelsFormat.ShapeStyle := fosRectangle;
  aChart.DepthAxis.LabelsFormat.TextAlignment := taCenter;
  aChart.DepthAxis.LabelsFormat.TextFormat := ttfNormal;
  aChart.DepthAxis.LabelsFormat.Transparency := 0;
  aChart.DepthAxis.LabelsFormat.Transparent := True;
  aChart.DepthAxis.LabelsFormat.VertTextAlign := vtaCenter;
  aChart.DepthAxis.LabelsFormat.Visible := True;
  aChart.DepthAxis.LabelsGridIgnoresLabelSize := False;
  aChart.DepthAxis.LabelsMultiLine := False;
  aChart.DepthAxis.LabelsOnAxis := True;
  aChart.DepthAxis.LabelsSeparation := 10;
  aChart.DepthAxis.LabelsSize := 0;
  aChart.DepthAxis.LabelStyle := talAuto;
  aChart.DepthAxis.Logarithmic := False;
  aChart.DepthAxis.LogarithmicBase := 10;
  aChart.DepthAxis.Maximum := 0.5;
  aChart.DepthAxis.MaximumOffset := 0;
  aChart.DepthAxis.MaximumRound := False;
  aChart.DepthAxis.Minimum := -0.5;
  aChart.DepthAxis.MinimumOffset := 0;
  aChart.DepthAxis.MinimumRound := False;
  //aChart.DepthAxis.MinorGrid := (TTeeHiddenPen);
  aChart.DepthAxis.MinorGrid.Color := clBlack;
  aChart.DepthAxis.MinorGrid.EndStyle := esRound;
  //aChart.DepthAxis.MinorGrid.Fill := (TTeeBrush);
  aChart.DepthAxis.MinorGrid.Fill.BackColor := clNone;
  aChart.DepthAxis.MinorGrid.Fill.Color := clDefault;
  //aChart.DepthAxis.MinorGrid.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.MinorGrid.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.MinorGrid.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.MinorGrid.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.MinorGrid.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.MinorGrid.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.MinorGrid.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.MinorGrid.Fill.Style := bsSolid;
  aChart.DepthAxis.MinorGrid.JoinStyle := jsRound;
  aChart.DepthAxis.MinorGrid.Mode := pmCopy;
  aChart.DepthAxis.MinorGrid.SmallDots := False;
  aChart.DepthAxis.MinorGrid.SmallSpace := 0;
  aChart.DepthAxis.MinorGrid.Style := psSolid;
  aChart.DepthAxis.MinorGrid.Visible := False;
  aChart.DepthAxis.MinorGrid.Width := 1;
  aChart.DepthAxis.MinorTickCount := 3;
  aChart.DepthAxis.MinorTickLength := 2;
  //aChart.DepthAxis.MinorTicks := (TTicks);
  aChart.DepthAxis.MinorTicks.Color := clGray;
  aChart.DepthAxis.MinorTicks.EndStyle := esRound;
  //aChart.DepthAxis.MinorTicks.Fill := (TTeeBrush);
  aChart.DepthAxis.MinorTicks.Fill.BackColor := clNone;
  aChart.DepthAxis.MinorTicks.Fill.Color := clDefault;
  //aChart.DepthAxis.MinorTicks.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.MinorTicks.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.MinorTicks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.MinorTicks.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.MinorTicks.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.MinorTicks.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.MinorTicks.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.MinorTicks.Fill.Style := bsSolid;
  aChart.DepthAxis.MinorTicks.JoinStyle := jsRound;
  aChart.DepthAxis.MinorTicks.Mode := pmCopy;
  aChart.DepthAxis.MinorTicks.SmallDots := False;
  aChart.DepthAxis.MinorTicks.SmallSpace := 0;
  aChart.DepthAxis.MinorTicks.Style := psSolid;
  aChart.DepthAxis.MinorTicks.Visible := True;
  aChart.DepthAxis.MinorTicks.Width := 1;
  aChart.DepthAxis.OtherSide := True;
  aChart.DepthAxis.PartnerAxis := nil;
  aChart.DepthAxis.PositionPercent := 0;
  aChart.DepthAxis.PositionUnits := muPercent;
  aChart.DepthAxis.RoundFirstLabel := True;
  //aChart.DepthAxis.Shape := (TAxisBackShape);
  aChart.DepthAxis.Shape.Angle := 0;
  aChart.DepthAxis.Shape.Bevel := bvNone;
  aChart.DepthAxis.Shape.BevelWidth := 2;
  aChart.DepthAxis.Shape.ChildLayout := slTopBottom;
  //aChart.DepthAxis.Shape.Children := (TTeeShapes);
  aChart.DepthAxis.Shape.Color := clWhite;
  //aChart.DepthAxis.Shape.Corners := (TTeeCorners);
  //aChart.DepthAxis.Shape.Corners.LeftBottom := (TTeeCorner);
  aChart.DepthAxis.Shape.Corners.LeftBottom.Style := cosRound;
  //aChart.DepthAxis.Shape.Corners.LeftTop := (TTeeCorner);
  aChart.DepthAxis.Shape.Corners.LeftTop.Style := cosRound;
  //aChart.DepthAxis.Shape.Corners.RightBottom := (TTeeCorner);
  aChart.DepthAxis.Shape.Corners.RightBottom.Style := cosRound;
  //aChart.DepthAxis.Shape.Corners.RightTop := (TTeeCorner);
  aChart.DepthAxis.Shape.Corners.RightTop.Style := cosRound;
  //aChart.DepthAxis.Shape.Emboss := (TTeeEmboss);
  aChart.DepthAxis.Shape.Emboss.Clip := False;
  aChart.DepthAxis.Shape.Emboss.Color := clBlack;
  aChart.DepthAxis.Shape.Emboss.HorizSize := 3;
  aChart.DepthAxis.Shape.Emboss.Smooth := True;
  aChart.DepthAxis.Shape.Emboss.SmoothBlur := 0;
  aChart.DepthAxis.Shape.Emboss.Transparency := 50;
  aChart.DepthAxis.Shape.Emboss.VertSize := 3;
  aChart.DepthAxis.Shape.Emboss.Visible := False;
  //aChart.DepthAxis.Shape.Font := Arial, 8 , Normal;
  //aChart.DepthAxis.Shape.Font.Brush := (TTeeBrush);
  aChart.DepthAxis.Shape.Font.Brush.BackColor := clNone;
  aChart.DepthAxis.Shape.Font.Brush.Color := clBlack;
  //aChart.DepthAxis.Shape.Font.Brush.Gradient := (TTeeGradient);
  aChart.DepthAxis.Shape.Font.Brush.Gradient.Angle := 0;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.Balance := 50;
  //aChart.DepthAxis.Shape.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Shape.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.MidColor := clNone;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.RadialX := 0;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.RadialY := 0;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Shape.Font.Brush.Gradient.Visible := False;
  //aChart.DepthAxis.Shape.Font.Brush.Image := (TTeePicture);
  //aChart.DepthAxis.Shape.Font.Brush.Image.Filters := (TFilterItems);
  aChart.DepthAxis.Shape.Font.Brush.Style := bsSolid;
  aChart.DepthAxis.Shape.Font.Charset := 1;
  aChart.DepthAxis.Shape.Font.Color := clBlack;
  aChart.DepthAxis.Shape.Font.Depth := 0;
  //aChart.DepthAxis.Shape.Font.Emboss := (TTeeEmboss);
  aChart.DepthAxis.Shape.Font.Emboss.Clip := False;
  aChart.DepthAxis.Shape.Font.Emboss.Color := clSilver;
  aChart.DepthAxis.Shape.Font.Emboss.HorizSize := 0;
  aChart.DepthAxis.Shape.Font.Emboss.Smooth := True;
  aChart.DepthAxis.Shape.Font.Emboss.SmoothBlur := 0;
  aChart.DepthAxis.Shape.Font.Emboss.Transparency := 50;
  aChart.DepthAxis.Shape.Font.Emboss.VertSize := 0;
  aChart.DepthAxis.Shape.Font.Emboss.Visible := False;
  //aChart.DepthAxis.Shape.Font.Gradient := (TTeeGradient);
  aChart.DepthAxis.Shape.Font.Gradient.Angle := 0;
  aChart.DepthAxis.Shape.Font.Gradient.Balance := 50;
  //aChart.DepthAxis.Shape.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Shape.Font.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Shape.Font.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Shape.Font.Gradient.MidColor := clNone;
  aChart.DepthAxis.Shape.Font.Gradient.RadialX := 0;
  aChart.DepthAxis.Shape.Font.Gradient.RadialY := 0;
  aChart.DepthAxis.Shape.Font.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Shape.Font.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Shape.Font.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Shape.Font.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Shape.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Shape.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Shape.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Shape.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Shape.Font.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Shape.Font.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Shape.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Shape.Font.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Shape.Font.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Shape.Font.Gradient.Visible := False;
  aChart.DepthAxis.Shape.Font.Height := -11;
  aChart.DepthAxis.Shape.Font.InterCharSize := 0;
  //aChart.DepthAxis.Shape.Font.Name := Arial;
  aChart.DepthAxis.Shape.Font.Orientation := 0;
  //aChart.DepthAxis.Shape.Font.OutLine := (TTeeHiddenPen);
  aChart.DepthAxis.Shape.Font.OutLine.Color := clBlack;
  aChart.DepthAxis.Shape.Font.OutLine.EndStyle := esRound;
  //aChart.DepthAxis.Shape.Font.OutLine.Fill := (TTeeBrush);
  aChart.DepthAxis.Shape.Font.OutLine.Fill.BackColor := clNone;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Color := clDefault;
  //aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.Shape.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.Shape.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.Shape.Font.OutLine.Fill.Style := bsSolid;
  aChart.DepthAxis.Shape.Font.OutLine.JoinStyle := jsRound;
  aChart.DepthAxis.Shape.Font.OutLine.Mode := pmCopy;
  aChart.DepthAxis.Shape.Font.OutLine.SmallDots := False;
  aChart.DepthAxis.Shape.Font.OutLine.SmallSpace := 0;
  aChart.DepthAxis.Shape.Font.OutLine.Style := psSolid;
  aChart.DepthAxis.Shape.Font.OutLine.Visible := False;
  aChart.DepthAxis.Shape.Font.OutLine.Width := 1;
  //aChart.DepthAxis.Shape.Font.Picture := (TTeePicture);
  //aChart.DepthAxis.Shape.Font.Picture.Filters := (TFilterItems);
  aChart.DepthAxis.Shape.Font.Pitch := fpDefault;
  aChart.DepthAxis.Shape.Font.Quality := fqDefault;
  //aChart.DepthAxis.Shape.Font.Shadow := (TTeeShadow);
  aChart.DepthAxis.Shape.Font.Shadow.Clip := False;
  aChart.DepthAxis.Shape.Font.Shadow.Color := clSilver;
  aChart.DepthAxis.Shape.Font.Shadow.HorizSize := 0;
  aChart.DepthAxis.Shape.Font.Shadow.Smooth := True;
  aChart.DepthAxis.Shape.Font.Shadow.SmoothBlur := 0;
  aChart.DepthAxis.Shape.Font.Shadow.Transparency := 50;
  aChart.DepthAxis.Shape.Font.Shadow.VertSize := 0;
  aChart.DepthAxis.Shape.Font.Shadow.Visible := True;
  aChart.DepthAxis.Shape.Font.Size := 8;
  aChart.DepthAxis.Shape.Font.SizeFloat := 8;
  //aChart.DepthAxis.Shape.Font.Style := [TFontStyles];
  //aChart.DepthAxis.Shape.Font.Style.fsBold := False;
  //aChart.DepthAxis.Shape.Font.Style.fsItalic := False;
  //aChart.DepthAxis.Shape.Font.Style.fsUnderline := False;
  //aChart.DepthAxis.Shape.Font.Style.fsStrikeOut := False;
  //aChart.DepthAxis.Shape.Gradient := (TTeeGradient);
  aChart.DepthAxis.Shape.Gradient.Angle := 0;
  aChart.DepthAxis.Shape.Gradient.Balance := 50;
  //aChart.DepthAxis.Shape.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Shape.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Shape.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Shape.Gradient.MidColor := clNone;
  aChart.DepthAxis.Shape.Gradient.RadialX := 0;
  aChart.DepthAxis.Shape.Gradient.RadialY := 0;
  aChart.DepthAxis.Shape.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Shape.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Shape.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Shape.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Shape.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Shape.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Shape.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Shape.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Shape.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Shape.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Shape.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Shape.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Shape.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Shape.Gradient.Visible := False;
  //aChart.DepthAxis.Shape.Picture := (TBackImage);
  aChart.DepthAxis.Shape.Picture.Bottom := 0;
  aChart.DepthAxis.Shape.Picture.DrawQuality := sqHigh;
  //aChart.DepthAxis.Shape.Picture.Filters := (TFilterItems);
  aChart.DepthAxis.Shape.Picture.Inside := False;
  aChart.DepthAxis.Shape.Picture.Left := 0;
  aChart.DepthAxis.Shape.Picture.Mode := pbmStretch;
  aChart.DepthAxis.Shape.Picture.Right := 0;
  aChart.DepthAxis.Shape.Picture.Top := 0;
  aChart.DepthAxis.Shape.RoundSize := 16;
  //aChart.DepthAxis.Shape.Shadow := (TTeeShadow);
  aChart.DepthAxis.Shape.Shadow.Clip := False;
  aChart.DepthAxis.Shape.Shadow.Color := clBlack;
  aChart.DepthAxis.Shape.Shadow.HorizSize := 3;
  aChart.DepthAxis.Shape.Shadow.Smooth := True;
  aChart.DepthAxis.Shape.Shadow.SmoothBlur := 0;
  aChart.DepthAxis.Shape.Shadow.Transparency := 50;
  aChart.DepthAxis.Shape.Shadow.VertSize := 3;
  aChart.DepthAxis.Shape.Shadow.Visible := False;
  //aChart.DepthAxis.Shape.ShapeCallout := (TShapeCallout);
  aChart.DepthAxis.Shape.ShapeCallout.PointPosition := 50;
  aChart.DepthAxis.Shape.ShapeCallout.Position := 50;
  aChart.DepthAxis.Shape.ShapeCallout.Side := csNone;
  aChart.DepthAxis.Shape.ShapeCallout.Size := 25;
  aChart.DepthAxis.Shape.ShapeCallout.Width := 20;
  aChart.DepthAxis.Shape.ShapeStyle := fosRectangle;
  aChart.DepthAxis.Shape.Transparency := 0;
  aChart.DepthAxis.Shape.Transparent := False;
  aChart.DepthAxis.Shape.Visible := False;
  aChart.DepthAxis.StartPosition := 0;
  //aChart.DepthAxis.SubAxes := (TChartCustomAxes);
  aChart.DepthAxis.TickInnerLength := 0;
  aChart.DepthAxis.TickLength := 4;
  aChart.DepthAxis.TickOnLabelsOnly := True;
  //aChart.DepthAxis.Ticks := (TTicks);
  aChart.DepthAxis.Ticks.Color := clGray;
  aChart.DepthAxis.Ticks.EndStyle := esRound;
  //aChart.DepthAxis.Ticks.Fill := (TTeeBrush);
  aChart.DepthAxis.Ticks.Fill.BackColor := clNone;
  aChart.DepthAxis.Ticks.Fill.Color := clDefault;
  //aChart.DepthAxis.Ticks.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.Ticks.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.Ticks.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.Ticks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Ticks.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Ticks.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Ticks.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.Ticks.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.Ticks.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.Ticks.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Ticks.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Ticks.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.Ticks.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.Ticks.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.Ticks.Fill.Style := bsSolid;
  aChart.DepthAxis.Ticks.JoinStyle := jsRound;
  aChart.DepthAxis.Ticks.Mode := pmCopy;
  aChart.DepthAxis.Ticks.SmallDots := False;
  aChart.DepthAxis.Ticks.SmallSpace := 0;
  aChart.DepthAxis.Ticks.Style := psSolid;
  aChart.DepthAxis.Ticks.Visible := True;
  aChart.DepthAxis.Ticks.Width := 1;
  //aChart.DepthAxis.TicksInner := (TTicks);
  aChart.DepthAxis.TicksInner.Color := clGray;
  aChart.DepthAxis.TicksInner.EndStyle := esRound;
  //aChart.DepthAxis.TicksInner.Fill := (TTeeBrush);
  aChart.DepthAxis.TicksInner.Fill.BackColor := clNone;
  aChart.DepthAxis.TicksInner.Fill.Color := clDefault;
  //aChart.DepthAxis.TicksInner.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.TicksInner.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.TicksInner.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.TicksInner.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.TicksInner.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.TicksInner.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.TicksInner.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.TicksInner.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.TicksInner.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.TicksInner.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.TicksInner.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.TicksInner.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.TicksInner.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.TicksInner.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.TicksInner.Fill.Style := bsSolid;
  aChart.DepthAxis.TicksInner.JoinStyle := jsRound;
  aChart.DepthAxis.TicksInner.Mode := pmCopy;
  aChart.DepthAxis.TicksInner.SmallDots := False;
  aChart.DepthAxis.TicksInner.SmallSpace := 0;
  aChart.DepthAxis.TicksInner.Style := psSolid;
  aChart.DepthAxis.TicksInner.Visible := True;
  aChart.DepthAxis.TicksInner.Width := 1;
  //aChart.DepthAxis.Title := (TChartAxisTitle);
  aChart.DepthAxis.Title.Angle := 0;
  aChart.DepthAxis.Title.Bevel := bvNone;
  aChart.DepthAxis.Title.BevelWidth := 2;
  //aChart.DepthAxis.Title.Brush := (TTeeBrush);
  aChart.DepthAxis.Title.Brush.BackColor := clNone;
  aChart.DepthAxis.Title.Brush.Color := clDefault;
  //aChart.DepthAxis.Title.Brush.Gradient := (TTeeGradient);
  aChart.DepthAxis.Title.Brush.Gradient.Angle := 0;
  aChart.DepthAxis.Title.Brush.Gradient.Balance := 50;
  //aChart.DepthAxis.Title.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Brush.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Brush.Gradient.MidColor := clNone;
  aChart.DepthAxis.Title.Brush.Gradient.RadialX := 0;
  aChart.DepthAxis.Title.Brush.Gradient.RadialY := 0;
  aChart.DepthAxis.Title.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Title.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Title.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Title.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Title.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Title.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Title.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Title.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Title.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Title.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Title.Brush.Gradient.Visible := False;
  //aChart.DepthAxis.Title.Brush.Image := (TTeePicture);
  //aChart.DepthAxis.Title.Brush.Image.Filters := (TFilterItems);
  aChart.DepthAxis.Title.Brush.Style := bsSolid;
  //aChart.DepthAxis.Title.Caption := ;
  aChart.DepthAxis.Title.ChildLayout := slTopBottom;
  //aChart.DepthAxis.Title.Children := (TTeeShapes);
  aChart.DepthAxis.Title.Color := clWhite;
  //aChart.DepthAxis.Title.Emboss := (TTeeEmboss);
  aChart.DepthAxis.Title.Emboss.Clip := False;
  aChart.DepthAxis.Title.Emboss.Color := clBlack;
  aChart.DepthAxis.Title.Emboss.HorizSize := 3;
  aChart.DepthAxis.Title.Emboss.Smooth := True;
  aChart.DepthAxis.Title.Emboss.SmoothBlur := 0;
  aChart.DepthAxis.Title.Emboss.Transparency := 50;
  aChart.DepthAxis.Title.Emboss.VertSize := 3;
  aChart.DepthAxis.Title.Emboss.Visible := False;
  //aChart.DepthAxis.Title.Font := Arial, 8 , Normal;
  //aChart.DepthAxis.Title.Font.Brush := (TTeeBrush);
  aChart.DepthAxis.Title.Font.Brush.BackColor := clNone;
  aChart.DepthAxis.Title.Font.Brush.Color := clBlack;
  //aChart.DepthAxis.Title.Font.Brush.Gradient := (TTeeGradient);
  aChart.DepthAxis.Title.Font.Brush.Gradient.Angle := 0;
  aChart.DepthAxis.Title.Font.Brush.Gradient.Balance := 50;
  //aChart.DepthAxis.Title.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Font.Brush.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Font.Brush.Gradient.MidColor := clNone;
  aChart.DepthAxis.Title.Font.Brush.Gradient.RadialX := 0;
  aChart.DepthAxis.Title.Font.Brush.Gradient.RadialY := 0;
  aChart.DepthAxis.Title.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Title.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Title.Font.Brush.Gradient.Visible := False;
  //aChart.DepthAxis.Title.Font.Brush.Image := (TTeePicture);
  //aChart.DepthAxis.Title.Font.Brush.Image.Filters := (TFilterItems);
  aChart.DepthAxis.Title.Font.Brush.Style := bsSolid;
  aChart.DepthAxis.Title.Font.Charset := 1;
  aChart.DepthAxis.Title.Font.Color := clBlack;
  aChart.DepthAxis.Title.Font.Depth := 0;
  //aChart.DepthAxis.Title.Font.Emboss := (TTeeEmboss);
  aChart.DepthAxis.Title.Font.Emboss.Clip := False;
  aChart.DepthAxis.Title.Font.Emboss.Color := clSilver;
  aChart.DepthAxis.Title.Font.Emboss.HorizSize := 0;
  aChart.DepthAxis.Title.Font.Emboss.Smooth := True;
  aChart.DepthAxis.Title.Font.Emboss.SmoothBlur := 0;
  aChart.DepthAxis.Title.Font.Emboss.Transparency := 50;
  aChart.DepthAxis.Title.Font.Emboss.VertSize := 0;
  aChart.DepthAxis.Title.Font.Emboss.Visible := False;
  //aChart.DepthAxis.Title.Font.Gradient := (TTeeGradient);
  aChart.DepthAxis.Title.Font.Gradient.Angle := 0;
  aChart.DepthAxis.Title.Font.Gradient.Balance := 50;
  //aChart.DepthAxis.Title.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Font.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Font.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Font.Gradient.MidColor := clNone;
  aChart.DepthAxis.Title.Font.Gradient.RadialX := 0;
  aChart.DepthAxis.Title.Font.Gradient.RadialY := 0;
  aChart.DepthAxis.Title.Font.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Title.Font.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Title.Font.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Title.Font.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Title.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Title.Font.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Title.Font.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Title.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Title.Font.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Title.Font.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Title.Font.Gradient.Visible := False;
  aChart.DepthAxis.Title.Font.Height := -11;
  aChart.DepthAxis.Title.Font.InterCharSize := 0;
  //aChart.DepthAxis.Title.Font.Name := Arial;
  aChart.DepthAxis.Title.Font.Orientation := 0;
  //aChart.DepthAxis.Title.Font.OutLine := (TTeeHiddenPen);
  aChart.DepthAxis.Title.Font.OutLine.Color := clBlack;
  aChart.DepthAxis.Title.Font.OutLine.EndStyle := esRound;
  //aChart.DepthAxis.Title.Font.OutLine.Fill := (TTeeBrush);
  aChart.DepthAxis.Title.Font.OutLine.Fill.BackColor := clNone;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Color := clDefault;
  //aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Title.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.Title.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.Title.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.Title.Font.OutLine.Fill.Style := bsSolid;
  aChart.DepthAxis.Title.Font.OutLine.JoinStyle := jsRound;
  aChart.DepthAxis.Title.Font.OutLine.Mode := pmCopy;
  aChart.DepthAxis.Title.Font.OutLine.SmallDots := False;
  aChart.DepthAxis.Title.Font.OutLine.SmallSpace := 0;
  aChart.DepthAxis.Title.Font.OutLine.Style := psSolid;
  aChart.DepthAxis.Title.Font.OutLine.Visible := False;
  aChart.DepthAxis.Title.Font.OutLine.Width := 1;
  //aChart.DepthAxis.Title.Font.Picture := (TTeePicture);
  //aChart.DepthAxis.Title.Font.Picture.Filters := (TFilterItems);
  aChart.DepthAxis.Title.Font.Pitch := fpDefault;
  aChart.DepthAxis.Title.Font.Quality := fqDefault;
  //aChart.DepthAxis.Title.Font.Shadow := (TTeeShadow);
  aChart.DepthAxis.Title.Font.Shadow.Clip := False;
  aChart.DepthAxis.Title.Font.Shadow.Color := clSilver;
  aChart.DepthAxis.Title.Font.Shadow.HorizSize := 0;
  aChart.DepthAxis.Title.Font.Shadow.Smooth := True;
  aChart.DepthAxis.Title.Font.Shadow.SmoothBlur := 0;
  aChart.DepthAxis.Title.Font.Shadow.Transparency := 50;
  aChart.DepthAxis.Title.Font.Shadow.VertSize := 0;
  aChart.DepthAxis.Title.Font.Shadow.Visible := True;
  aChart.DepthAxis.Title.Font.Size := 8;
  aChart.DepthAxis.Title.Font.SizeFloat := 8;
  //aChart.DepthAxis.Title.Font.Style := [TFontStyles];
  //aChart.DepthAxis.Title.Font.Style.fsBold := False;
  //aChart.DepthAxis.Title.Font.Style.fsItalic := False;
  //aChart.DepthAxis.Title.Font.Style.fsUnderline := False;
  //aChart.DepthAxis.Title.Font.Style.fsStrikeOut := False;
  //aChart.DepthAxis.Title.Gradient := (TTeeGradient);
  aChart.DepthAxis.Title.Gradient.Angle := 0;
  aChart.DepthAxis.Title.Gradient.Balance := 50;
  //aChart.DepthAxis.Title.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Gradient.MidColor := clNone;
  aChart.DepthAxis.Title.Gradient.RadialX := 0;
  aChart.DepthAxis.Title.Gradient.RadialY := 0;
  aChart.DepthAxis.Title.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Title.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Title.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Title.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Title.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Title.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Title.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Title.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Title.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Title.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Title.Gradient.Visible := False;
  //aChart.DepthAxis.Title.Pen := (TTeePen);
  aChart.DepthAxis.Title.Pen.Color := clBlack;
  aChart.DepthAxis.Title.Pen.EndStyle := esRound;
  //aChart.DepthAxis.Title.Pen.Fill := (TTeeBrush);
  aChart.DepthAxis.Title.Pen.Fill.BackColor := clNone;
  aChart.DepthAxis.Title.Pen.Fill.Color := clDefault;
  //aChart.DepthAxis.Title.Pen.Fill.Gradient := (TTeeGradient);
  aChart.DepthAxis.Title.Pen.Fill.Gradient.Angle := 0;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.Balance := 50;
  //aChart.DepthAxis.Title.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.MidColor := clNone;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.RadialX := 0;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.RadialY := 0;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthAxis.Title.Pen.Fill.Gradient.Visible := False;
  //aChart.DepthAxis.Title.Pen.Fill.Image := (TTeePicture);
  //aChart.DepthAxis.Title.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.DepthAxis.Title.Pen.Fill.Style := bsSolid;
  aChart.DepthAxis.Title.Pen.JoinStyle := jsRound;
  aChart.DepthAxis.Title.Pen.Mode := pmCopy;
  aChart.DepthAxis.Title.Pen.SmallDots := False;
  aChart.DepthAxis.Title.Pen.SmallSpace := 0;
  aChart.DepthAxis.Title.Pen.Style := psSolid;
  aChart.DepthAxis.Title.Pen.Visible := True;
  aChart.DepthAxis.Title.Pen.Width := 1;
  //aChart.DepthAxis.Title.Picture := (TBackImage);
  aChart.DepthAxis.Title.Picture.Bottom := 0;
  aChart.DepthAxis.Title.Picture.DrawQuality := sqHigh;
  //aChart.DepthAxis.Title.Picture.Filters := (TFilterItems);
  aChart.DepthAxis.Title.Picture.Inside := False;
  aChart.DepthAxis.Title.Picture.Left := 0;
  aChart.DepthAxis.Title.Picture.Mode := pbmStretch;
  aChart.DepthAxis.Title.Picture.Right := 0;
  aChart.DepthAxis.Title.Picture.Top := 0;
  aChart.DepthAxis.Title.Position := tpCenter;
  aChart.DepthAxis.Title.RoundSize := 16;
  //aChart.DepthAxis.Title.Shadow := (TTeeShadow);
  aChart.DepthAxis.Title.Shadow.Clip := False;
  aChart.DepthAxis.Title.Shadow.Color := clBlack;
  aChart.DepthAxis.Title.Shadow.HorizSize := 3;
  aChart.DepthAxis.Title.Shadow.Smooth := True;
  aChart.DepthAxis.Title.Shadow.SmoothBlur := 0;
  aChart.DepthAxis.Title.Shadow.Transparency := 50;
  aChart.DepthAxis.Title.Shadow.VertSize := 3;
  aChart.DepthAxis.Title.Shadow.Visible := True;
  //aChart.DepthAxis.Title.ShapeCallout := (TShapeCallout);
  aChart.DepthAxis.Title.ShapeCallout.PointPosition := 50;
  aChart.DepthAxis.Title.ShapeCallout.Position := 50;
  aChart.DepthAxis.Title.ShapeCallout.Side := csNone;
  aChart.DepthAxis.Title.ShapeCallout.Size := 25;
  aChart.DepthAxis.Title.ShapeCallout.Width := 20;
  aChart.DepthAxis.Title.ShapeStyle := fosRectangle;
  aChart.DepthAxis.Title.TextAlignment := taCenter;
  aChart.DepthAxis.Title.Transparency := 0;
  aChart.DepthAxis.Title.Transparent := True;
  aChart.DepthAxis.Title.Visible := True;
  aChart.DepthAxis.TitleSize := 0;
  aChart.DepthAxis.UsePartnerAxis := False;
  aChart.DepthAxis.Visible := False;
  aChart.DepthAxis.ZPosition := 0;
  //aChart.DepthTopAxis := (TChartDepthAxis);
  aChart.DepthTopAxis.Automatic := True;
  aChart.DepthTopAxis.AutomaticMaximum := True;
  aChart.DepthTopAxis.AutomaticMinimum := True;
  //aChart.DepthTopAxis.Axis := (TChartAxisPen);
  aChart.DepthTopAxis.Axis.Color := clBlack;
  aChart.DepthTopAxis.Axis.EndStyle := esFlat;
  //aChart.DepthTopAxis.Axis.Fill := (TTeeBrush);
  aChart.DepthTopAxis.Axis.Fill.BackColor := clNone;
  aChart.DepthTopAxis.Axis.Fill.Color := clDefault;
  //aChart.DepthTopAxis.Axis.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Axis.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.Axis.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Axis.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Axis.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Axis.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Axis.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Axis.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Axis.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Axis.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Axis.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Axis.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.Axis.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.Axis.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.Axis.Fill.Style := bsSolid;
  aChart.DepthTopAxis.Axis.JoinStyle := jsRound;
  aChart.DepthTopAxis.Axis.LineMode := lmLine;
  aChart.DepthTopAxis.Axis.Mode := pmCopy;
  aChart.DepthTopAxis.Axis.SmallDots := False;
  aChart.DepthTopAxis.Axis.SmallSpace := 0;
  aChart.DepthTopAxis.Axis.Style := psSolid;
  aChart.DepthTopAxis.Axis.Visible := True;
  aChart.DepthTopAxis.Axis.Width := 2;
  //aChart.DepthTopAxis.AxisValuesFormat := #,##0.###;
  //aChart.DepthTopAxis.DateTimeFormat := ;
  aChart.DepthTopAxis.EndPosition := 100;
  aChart.DepthTopAxis.ExactDateTime := True;
  //aChart.DepthTopAxis.Grid := (TAxisGridPen);
  aChart.DepthTopAxis.Grid.Color := clSilver;
  aChart.DepthTopAxis.Grid.DrawEvery := 1;
  aChart.DepthTopAxis.Grid.EndStyle := esRound;
  //aChart.DepthTopAxis.Grid.Fill := (TTeeBrush);
  aChart.DepthTopAxis.Grid.Fill.BackColor := clNone;
  aChart.DepthTopAxis.Grid.Fill.Color := clDefault;
  //aChart.DepthTopAxis.Grid.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Grid.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.Grid.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Grid.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Grid.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Grid.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Grid.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Grid.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Grid.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Grid.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Grid.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Grid.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.Grid.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.Grid.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.Grid.Fill.Style := bsSolid;
  aChart.DepthTopAxis.Grid.JoinStyle := jsRound;
  aChart.DepthTopAxis.Grid.Mode := pmCopy;
  aChart.DepthTopAxis.Grid.SmallDots := False;
  aChart.DepthTopAxis.Grid.SmallSpace := 0;
  aChart.DepthTopAxis.Grid.Style := psSolid;
  aChart.DepthTopAxis.Grid.Visible := True;
  aChart.DepthTopAxis.Grid.Width := 1;
  aChart.DepthTopAxis.Grid.ZPosition := 0;
  aChart.DepthTopAxis.GridCentered := False;
  aChart.DepthTopAxis.Horizontal := False;
  aChart.DepthTopAxis.Increment := 0;
  aChart.DepthTopAxis.Inverted := False;
  aChart.DepthTopAxis.Labels := True;
  aChart.DepthTopAxis.LabelsAlign := alDefault;
  aChart.DepthTopAxis.LabelsAlternate := False;
  aChart.DepthTopAxis.LabelsAngle := 0;
  aChart.DepthTopAxis.LabelsAsSeriesTitles := True;
  aChart.DepthTopAxis.LabelsBehind := False;
  aChart.DepthTopAxis.LabelsExponent := False;
  //aChart.DepthTopAxis.LabelsFont := Arial, 8 , Normal;
  //aChart.DepthTopAxis.LabelsFont.Brush := (TTeeBrush);
  aChart.DepthTopAxis.LabelsFont.Brush.BackColor := clNone;
  aChart.DepthTopAxis.LabelsFont.Brush.Color := clBlack;
  //aChart.DepthTopAxis.LabelsFont.Brush.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFont.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.LabelsFont.Brush.Gradient.Visible := False;
  //aChart.DepthTopAxis.LabelsFont.Brush.Image := (TTeePicture);
  //aChart.DepthTopAxis.LabelsFont.Brush.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.LabelsFont.Brush.Style := bsSolid;
  aChart.DepthTopAxis.LabelsFont.Charset := 1;
  aChart.DepthTopAxis.LabelsFont.Color := clBlack;
  aChart.DepthTopAxis.LabelsFont.Depth := 0;
  //aChart.DepthTopAxis.LabelsFont.Emboss := (TTeeEmboss);
  aChart.DepthTopAxis.LabelsFont.Emboss.Clip := False;
  aChart.DepthTopAxis.LabelsFont.Emboss.Color := clSilver;
  aChart.DepthTopAxis.LabelsFont.Emboss.HorizSize := 0;
  aChart.DepthTopAxis.LabelsFont.Emboss.Smooth := True;
  aChart.DepthTopAxis.LabelsFont.Emboss.SmoothBlur := 0;
  aChart.DepthTopAxis.LabelsFont.Emboss.Transparency := 50;
  aChart.DepthTopAxis.LabelsFont.Emboss.VertSize := 0;
  aChart.DepthTopAxis.LabelsFont.Emboss.Visible := False;
  //aChart.DepthTopAxis.LabelsFont.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.LabelsFont.Gradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFont.Gradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFont.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFont.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFont.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFont.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFont.Gradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFont.Gradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFont.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.LabelsFont.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.LabelsFont.Gradient.Visible := False;
  aChart.DepthTopAxis.LabelsFont.Height := -11;
  aChart.DepthTopAxis.LabelsFont.InterCharSize := 0;
  //aChart.DepthTopAxis.LabelsFont.Name := Arial;
  aChart.DepthTopAxis.LabelsFont.Orientation := 0;
  //aChart.DepthTopAxis.LabelsFont.OutLine := (TTeeHiddenPen);
  aChart.DepthTopAxis.LabelsFont.OutLine.Color := clBlack;
  aChart.DepthTopAxis.LabelsFont.OutLine.EndStyle := esRound;
  //aChart.DepthTopAxis.LabelsFont.OutLine.Fill := (TTeeBrush);
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.BackColor := clNone;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Color := clDefault;
  //aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.LabelsFont.OutLine.Fill.Style := bsSolid;
  aChart.DepthTopAxis.LabelsFont.OutLine.JoinStyle := jsRound;
  aChart.DepthTopAxis.LabelsFont.OutLine.Mode := pmCopy;
  aChart.DepthTopAxis.LabelsFont.OutLine.SmallDots := False;
  aChart.DepthTopAxis.LabelsFont.OutLine.SmallSpace := 0;
  aChart.DepthTopAxis.LabelsFont.OutLine.Style := psSolid;
  aChart.DepthTopAxis.LabelsFont.OutLine.Visible := False;
  aChart.DepthTopAxis.LabelsFont.OutLine.Width := 1;
  //aChart.DepthTopAxis.LabelsFont.Picture := (TTeePicture);
  //aChart.DepthTopAxis.LabelsFont.Picture.Filters := (TFilterItems);
  aChart.DepthTopAxis.LabelsFont.Pitch := fpDefault;
  aChart.DepthTopAxis.LabelsFont.Quality := fqDefault;
  //aChart.DepthTopAxis.LabelsFont.Shadow := (TTeeShadow);
  aChart.DepthTopAxis.LabelsFont.Shadow.Clip := False;
  aChart.DepthTopAxis.LabelsFont.Shadow.Color := clSilver;
  aChart.DepthTopAxis.LabelsFont.Shadow.HorizSize := 0;
  aChart.DepthTopAxis.LabelsFont.Shadow.Smooth := True;
  aChart.DepthTopAxis.LabelsFont.Shadow.SmoothBlur := 0;
  aChart.DepthTopAxis.LabelsFont.Shadow.Transparency := 50;
  aChart.DepthTopAxis.LabelsFont.Shadow.VertSize := 0;
  aChart.DepthTopAxis.LabelsFont.Shadow.Visible := True;
  aChart.DepthTopAxis.LabelsFont.Size := 8;
  aChart.DepthTopAxis.LabelsFont.SizeFloat := 8;
  //aChart.DepthTopAxis.LabelsFont.Style := [TFontStyles];
  //aChart.DepthTopAxis.LabelsFont.Style.fsBold := False;
  //aChart.DepthTopAxis.LabelsFont.Style.fsItalic := False;
  //aChart.DepthTopAxis.LabelsFont.Style.fsUnderline := False;
  //aChart.DepthTopAxis.LabelsFont.Style.fsStrikeOut := False;
  //aChart.DepthTopAxis.LabelsFormat := (TAxisLabelsFormat);
  aChart.DepthTopAxis.LabelsFormat.Bevel := bvNone;
  aChart.DepthTopAxis.LabelsFormat.BevelWidth := 2;
  //aChart.DepthTopAxis.LabelsFormat.Brush := (TTeeBrush);
  aChart.DepthTopAxis.LabelsFormat.Brush.BackColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Brush.Color := clDefault;
  //aChart.DepthTopAxis.LabelsFormat.Brush.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.LabelsFormat.Brush.Gradient.Visible := False;
  //aChart.DepthTopAxis.LabelsFormat.Brush.Image := (TTeePicture);
  //aChart.DepthTopAxis.LabelsFormat.Brush.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.LabelsFormat.Brush.Style := bsSolid;
  aChart.DepthTopAxis.LabelsFormat.ChildLayout := slTopBottom;
  //aChart.DepthTopAxis.LabelsFormat.Children := (TTeeShapes);
  aChart.DepthTopAxis.LabelsFormat.ClipText := True;
  aChart.DepthTopAxis.LabelsFormat.Cursor := crDefault;
  //aChart.DepthTopAxis.LabelsFormat.Emboss := (TTeeEmboss);
  aChart.DepthTopAxis.LabelsFormat.Emboss.Clip := False;
  aChart.DepthTopAxis.LabelsFormat.Emboss.Color := clBlack;
  aChart.DepthTopAxis.LabelsFormat.Emboss.HorizSize := 3;
  aChart.DepthTopAxis.LabelsFormat.Emboss.Smooth := True;
  aChart.DepthTopAxis.LabelsFormat.Emboss.SmoothBlur := 0;
  aChart.DepthTopAxis.LabelsFormat.Emboss.Transparency := 50;
  aChart.DepthTopAxis.LabelsFormat.Emboss.VertSize := 3;
  aChart.DepthTopAxis.LabelsFormat.Emboss.Visible := False;
  //aChart.DepthTopAxis.LabelsFormat.Font := Arial, 8 , Normal;
  //aChart.DepthTopAxis.LabelsFormat.Font.Brush := (TTeeBrush);
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.BackColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Color := clBlack;
  //aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Gradient.Visible := False;
  //aChart.DepthTopAxis.LabelsFormat.Font.Brush.Image := (TTeePicture);
  //aChart.DepthTopAxis.LabelsFormat.Font.Brush.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.LabelsFormat.Font.Brush.Style := bsSolid;
  aChart.DepthTopAxis.LabelsFormat.Font.Charset := 1;
  aChart.DepthTopAxis.LabelsFormat.Font.Color := clBlack;
  aChart.DepthTopAxis.LabelsFormat.Font.Depth := 0;
  //aChart.DepthTopAxis.LabelsFormat.Font.Emboss := (TTeeEmboss);
  aChart.DepthTopAxis.LabelsFormat.Font.Emboss.Clip := False;
  aChart.DepthTopAxis.LabelsFormat.Font.Emboss.Color := clSilver;
  aChart.DepthTopAxis.LabelsFormat.Font.Emboss.HorizSize := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Emboss.Smooth := True;
  aChart.DepthTopAxis.LabelsFormat.Font.Emboss.SmoothBlur := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Emboss.Transparency := 50;
  aChart.DepthTopAxis.LabelsFormat.Font.Emboss.VertSize := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Emboss.Visible := False;
  //aChart.DepthTopAxis.LabelsFormat.Font.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.LabelsFormat.Font.Gradient.Visible := False;
  aChart.DepthTopAxis.LabelsFormat.Font.Height := -11;
  aChart.DepthTopAxis.LabelsFormat.Font.InterCharSize := 0;
  //aChart.DepthTopAxis.LabelsFormat.Font.Name := Arial;
  aChart.DepthTopAxis.LabelsFormat.Font.Orientation := 0;
  //aChart.DepthTopAxis.LabelsFormat.Font.OutLine := (TTeeHiddenPen);
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Color := clBlack;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.EndStyle := esRound;
  //aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill := (TTeeBrush);
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.BackColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Color := clDefault;
  //aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Fill.Style := bsSolid;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.JoinStyle := jsRound;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Mode := pmCopy;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.SmallDots := False;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.SmallSpace := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Style := psSolid;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Visible := False;
  aChart.DepthTopAxis.LabelsFormat.Font.OutLine.Width := 1;
  //aChart.DepthTopAxis.LabelsFormat.Font.Picture := (TTeePicture);
  //aChart.DepthTopAxis.LabelsFormat.Font.Picture.Filters := (TFilterItems);
  aChart.DepthTopAxis.LabelsFormat.Font.Pitch := fpDefault;
  aChart.DepthTopAxis.LabelsFormat.Font.Quality := fqDefault;
  //aChart.DepthTopAxis.LabelsFormat.Font.Shadow := (TTeeShadow);
  aChart.DepthTopAxis.LabelsFormat.Font.Shadow.Clip := False;
  aChart.DepthTopAxis.LabelsFormat.Font.Shadow.Color := clSilver;
  aChart.DepthTopAxis.LabelsFormat.Font.Shadow.HorizSize := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Shadow.Smooth := True;
  aChart.DepthTopAxis.LabelsFormat.Font.Shadow.SmoothBlur := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Shadow.Transparency := 50;
  aChart.DepthTopAxis.LabelsFormat.Font.Shadow.VertSize := 0;
  aChart.DepthTopAxis.LabelsFormat.Font.Shadow.Visible := True;
  aChart.DepthTopAxis.LabelsFormat.Font.Size := 8;
  aChart.DepthTopAxis.LabelsFormat.Font.SizeFloat := 8;
  //aChart.DepthTopAxis.LabelsFormat.Font.Style := [TFontStyles];
  //aChart.DepthTopAxis.LabelsFormat.Font.Style.fsBold := False;
  //aChart.DepthTopAxis.LabelsFormat.Font.Style.fsItalic := False;
  //aChart.DepthTopAxis.LabelsFormat.Font.Style.fsUnderline := False;
  //aChart.DepthTopAxis.LabelsFormat.Font.Style.fsStrikeOut := False;
  //aChart.DepthTopAxis.LabelsFormat.Frame := (TTeePen);
  aChart.DepthTopAxis.LabelsFormat.Frame.Color := clBlack;
  aChart.DepthTopAxis.LabelsFormat.Frame.EndStyle := esRound;
  //aChart.DepthTopAxis.LabelsFormat.Frame.Fill := (TTeeBrush);
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.BackColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Color := clDefault;
  //aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.LabelsFormat.Frame.Fill.Style := bsSolid;
  aChart.DepthTopAxis.LabelsFormat.Frame.JoinStyle := jsRound;
  aChart.DepthTopAxis.LabelsFormat.Frame.Mode := pmCopy;
  aChart.DepthTopAxis.LabelsFormat.Frame.SmallDots := False;
  aChart.DepthTopAxis.LabelsFormat.Frame.SmallSpace := 0;
  aChart.DepthTopAxis.LabelsFormat.Frame.Style := psSolid;
  aChart.DepthTopAxis.LabelsFormat.Frame.Visible := True;
  aChart.DepthTopAxis.LabelsFormat.Frame.Width := 1;
  //aChart.DepthTopAxis.LabelsFormat.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.LabelsFormat.Gradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Gradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Gradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Gradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.LabelsFormat.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.LabelsFormat.Gradient.Visible := False;
  //aChart.DepthTopAxis.LabelsFormat.Margins := (TMargins);
  aChart.DepthTopAxis.LabelsFormat.Margins.Bottom := 5;
  aChart.DepthTopAxis.LabelsFormat.Margins.Left := 10;
  aChart.DepthTopAxis.LabelsFormat.Margins.Right := 10;
  aChart.DepthTopAxis.LabelsFormat.Margins.Top := 5;
  aChart.DepthTopAxis.LabelsFormat.Margins.Units := maPercentFont;
  //aChart.DepthTopAxis.LabelsFormat.Picture := (TBackImage);
  aChart.DepthTopAxis.LabelsFormat.Picture.Bottom := 0;
  aChart.DepthTopAxis.LabelsFormat.Picture.DrawQuality := sqHigh;
  //aChart.DepthTopAxis.LabelsFormat.Picture.Filters := (TFilterItems);
  aChart.DepthTopAxis.LabelsFormat.Picture.Inside := False;
  aChart.DepthTopAxis.LabelsFormat.Picture.Left := 0;
  aChart.DepthTopAxis.LabelsFormat.Picture.Mode := pbmStretch;
  aChart.DepthTopAxis.LabelsFormat.Picture.Right := 0;
  aChart.DepthTopAxis.LabelsFormat.Picture.Top := 0;
  aChart.DepthTopAxis.LabelsFormat.RoundSize := 16;
  //aChart.DepthTopAxis.LabelsFormat.Shadow := (TTeeShadow);
  aChart.DepthTopAxis.LabelsFormat.Shadow.Clip := False;
  aChart.DepthTopAxis.LabelsFormat.Shadow.Color := clBlack;
  aChart.DepthTopAxis.LabelsFormat.Shadow.HorizSize := 3;
  aChart.DepthTopAxis.LabelsFormat.Shadow.Smooth := True;
  aChart.DepthTopAxis.LabelsFormat.Shadow.SmoothBlur := 0;
  aChart.DepthTopAxis.LabelsFormat.Shadow.Transparency := 50;
  aChart.DepthTopAxis.LabelsFormat.Shadow.VertSize := 3;
  aChart.DepthTopAxis.LabelsFormat.Shadow.Visible := True;
  aChart.DepthTopAxis.LabelsFormat.ShapeStyle := fosRectangle;
  aChart.DepthTopAxis.LabelsFormat.TextAlignment := taCenter;
  aChart.DepthTopAxis.LabelsFormat.TextFormat := ttfNormal;
  aChart.DepthTopAxis.LabelsFormat.Transparency := 0;
  aChart.DepthTopAxis.LabelsFormat.Transparent := True;
  aChart.DepthTopAxis.LabelsFormat.VertTextAlign := vtaCenter;
  aChart.DepthTopAxis.LabelsFormat.Visible := True;
  aChart.DepthTopAxis.LabelsGridIgnoresLabelSize := False;
  aChart.DepthTopAxis.LabelsMultiLine := False;
  aChart.DepthTopAxis.LabelsOnAxis := True;
  aChart.DepthTopAxis.LabelsSeparation := 10;
  aChart.DepthTopAxis.LabelsSize := 0;
  aChart.DepthTopAxis.LabelStyle := talAuto;
  aChart.DepthTopAxis.Logarithmic := False;
  aChart.DepthTopAxis.LogarithmicBase := 10;
  aChart.DepthTopAxis.Maximum := 0.5;
  aChart.DepthTopAxis.MaximumOffset := 0;
  aChart.DepthTopAxis.MaximumRound := False;
  aChart.DepthTopAxis.Minimum := -0.5;
  aChart.DepthTopAxis.MinimumOffset := 0;
  aChart.DepthTopAxis.MinimumRound := False;
  //aChart.DepthTopAxis.MinorGrid := (TTeeHiddenPen);
  aChart.DepthTopAxis.MinorGrid.Color := clBlack;
  aChart.DepthTopAxis.MinorGrid.EndStyle := esRound;
  //aChart.DepthTopAxis.MinorGrid.Fill := (TTeeBrush);
  aChart.DepthTopAxis.MinorGrid.Fill.BackColor := clNone;
  aChart.DepthTopAxis.MinorGrid.Fill.Color := clDefault;
  //aChart.DepthTopAxis.MinorGrid.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.MinorGrid.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.MinorGrid.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.MinorGrid.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.MinorGrid.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.MinorGrid.Fill.Style := bsSolid;
  aChart.DepthTopAxis.MinorGrid.JoinStyle := jsRound;
  aChart.DepthTopAxis.MinorGrid.Mode := pmCopy;
  aChart.DepthTopAxis.MinorGrid.SmallDots := False;
  aChart.DepthTopAxis.MinorGrid.SmallSpace := 0;
  aChart.DepthTopAxis.MinorGrid.Style := psSolid;
  aChart.DepthTopAxis.MinorGrid.Visible := False;
  aChart.DepthTopAxis.MinorGrid.Width := 1;
  aChart.DepthTopAxis.MinorTickCount := 3;
  aChart.DepthTopAxis.MinorTickLength := 2;
  //aChart.DepthTopAxis.MinorTicks := (TTicks);
  aChart.DepthTopAxis.MinorTicks.Color := clGray;
  aChart.DepthTopAxis.MinorTicks.EndStyle := esRound;
  //aChart.DepthTopAxis.MinorTicks.Fill := (TTeeBrush);
  aChart.DepthTopAxis.MinorTicks.Fill.BackColor := clNone;
  aChart.DepthTopAxis.MinorTicks.Fill.Color := clDefault;
  //aChart.DepthTopAxis.MinorTicks.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.MinorTicks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.MinorTicks.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.MinorTicks.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.MinorTicks.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.MinorTicks.Fill.Style := bsSolid;
  aChart.DepthTopAxis.MinorTicks.JoinStyle := jsRound;
  aChart.DepthTopAxis.MinorTicks.Mode := pmCopy;
  aChart.DepthTopAxis.MinorTicks.SmallDots := False;
  aChart.DepthTopAxis.MinorTicks.SmallSpace := 0;
  aChart.DepthTopAxis.MinorTicks.Style := psSolid;
  aChart.DepthTopAxis.MinorTicks.Visible := True;
  aChart.DepthTopAxis.MinorTicks.Width := 1;
  aChart.DepthTopAxis.OtherSide := False;
  aChart.DepthTopAxis.PartnerAxis := nil;
  aChart.DepthTopAxis.PositionPercent := 0;
  aChart.DepthTopAxis.PositionUnits := muPercent;
  aChart.DepthTopAxis.RoundFirstLabel := True;
  //aChart.DepthTopAxis.Shape := (TAxisBackShape);
  aChart.DepthTopAxis.Shape.Angle := 0;
  aChart.DepthTopAxis.Shape.Bevel := bvNone;
  aChart.DepthTopAxis.Shape.BevelWidth := 2;
  aChart.DepthTopAxis.Shape.ChildLayout := slTopBottom;
  //aChart.DepthTopAxis.Shape.Children := (TTeeShapes);
  aChart.DepthTopAxis.Shape.Color := clWhite;
  //aChart.DepthTopAxis.Shape.Corners := (TTeeCorners);
  //aChart.DepthTopAxis.Shape.Corners.LeftBottom := (TTeeCorner);
  aChart.DepthTopAxis.Shape.Corners.LeftBottom.Style := cosRound;
  //aChart.DepthTopAxis.Shape.Corners.LeftTop := (TTeeCorner);
  aChart.DepthTopAxis.Shape.Corners.LeftTop.Style := cosRound;
  //aChart.DepthTopAxis.Shape.Corners.RightBottom := (TTeeCorner);
  aChart.DepthTopAxis.Shape.Corners.RightBottom.Style := cosRound;
  //aChart.DepthTopAxis.Shape.Corners.RightTop := (TTeeCorner);
  aChart.DepthTopAxis.Shape.Corners.RightTop.Style := cosRound;
  //aChart.DepthTopAxis.Shape.Emboss := (TTeeEmboss);
  aChart.DepthTopAxis.Shape.Emboss.Clip := False;
  aChart.DepthTopAxis.Shape.Emboss.Color := clBlack;
  aChart.DepthTopAxis.Shape.Emboss.HorizSize := 3;
  aChart.DepthTopAxis.Shape.Emboss.Smooth := True;
  aChart.DepthTopAxis.Shape.Emboss.SmoothBlur := 0;
  aChart.DepthTopAxis.Shape.Emboss.Transparency := 50;
  aChart.DepthTopAxis.Shape.Emboss.VertSize := 3;
  aChart.DepthTopAxis.Shape.Emboss.Visible := False;
  //aChart.DepthTopAxis.Shape.Font := Arial, 8 , Normal;
  //aChart.DepthTopAxis.Shape.Font.Brush := (TTeeBrush);
  aChart.DepthTopAxis.Shape.Font.Brush.BackColor := clNone;
  aChart.DepthTopAxis.Shape.Font.Brush.Color := clBlack;
  //aChart.DepthTopAxis.Shape.Font.Brush.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.Angle := 0;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Shape.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Shape.Font.Brush.Gradient.Visible := False;
  //aChart.DepthTopAxis.Shape.Font.Brush.Image := (TTeePicture);
  //aChart.DepthTopAxis.Shape.Font.Brush.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.Shape.Font.Brush.Style := bsSolid;
  aChart.DepthTopAxis.Shape.Font.Charset := 1;
  aChart.DepthTopAxis.Shape.Font.Color := clBlack;
  aChart.DepthTopAxis.Shape.Font.Depth := 0;
  //aChart.DepthTopAxis.Shape.Font.Emboss := (TTeeEmboss);
  aChart.DepthTopAxis.Shape.Font.Emboss.Clip := False;
  aChart.DepthTopAxis.Shape.Font.Emboss.Color := clSilver;
  aChart.DepthTopAxis.Shape.Font.Emboss.HorizSize := 0;
  aChart.DepthTopAxis.Shape.Font.Emboss.Smooth := True;
  aChart.DepthTopAxis.Shape.Font.Emboss.SmoothBlur := 0;
  aChart.DepthTopAxis.Shape.Font.Emboss.Transparency := 50;
  aChart.DepthTopAxis.Shape.Font.Emboss.VertSize := 0;
  aChart.DepthTopAxis.Shape.Font.Emboss.Visible := False;
  //aChart.DepthTopAxis.Shape.Font.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Shape.Font.Gradient.Angle := 0;
  aChart.DepthTopAxis.Shape.Font.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Shape.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Shape.Font.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Shape.Font.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Shape.Font.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Shape.Font.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Shape.Font.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Shape.Font.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Shape.Font.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Shape.Font.Gradient.Visible := False;
  aChart.DepthTopAxis.Shape.Font.Height := -11;
  aChart.DepthTopAxis.Shape.Font.InterCharSize := 0;
  //aChart.DepthTopAxis.Shape.Font.Name := Arial;
  aChart.DepthTopAxis.Shape.Font.Orientation := 0;
  //aChart.DepthTopAxis.Shape.Font.OutLine := (TTeeHiddenPen);
  aChart.DepthTopAxis.Shape.Font.OutLine.Color := clBlack;
  aChart.DepthTopAxis.Shape.Font.OutLine.EndStyle := esRound;
  //aChart.DepthTopAxis.Shape.Font.OutLine.Fill := (TTeeBrush);
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.BackColor := clNone;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Color := clDefault;
  //aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.Shape.Font.OutLine.Fill.Style := bsSolid;
  aChart.DepthTopAxis.Shape.Font.OutLine.JoinStyle := jsRound;
  aChart.DepthTopAxis.Shape.Font.OutLine.Mode := pmCopy;
  aChart.DepthTopAxis.Shape.Font.OutLine.SmallDots := False;
  aChart.DepthTopAxis.Shape.Font.OutLine.SmallSpace := 0;
  aChart.DepthTopAxis.Shape.Font.OutLine.Style := psSolid;
  aChart.DepthTopAxis.Shape.Font.OutLine.Visible := False;
  aChart.DepthTopAxis.Shape.Font.OutLine.Width := 1;
  //aChart.DepthTopAxis.Shape.Font.Picture := (TTeePicture);
  //aChart.DepthTopAxis.Shape.Font.Picture.Filters := (TFilterItems);
  aChart.DepthTopAxis.Shape.Font.Pitch := fpDefault;
  aChart.DepthTopAxis.Shape.Font.Quality := fqDefault;
  //aChart.DepthTopAxis.Shape.Font.Shadow := (TTeeShadow);
  aChart.DepthTopAxis.Shape.Font.Shadow.Clip := False;
  aChart.DepthTopAxis.Shape.Font.Shadow.Color := clSilver;
  aChart.DepthTopAxis.Shape.Font.Shadow.HorizSize := 0;
  aChart.DepthTopAxis.Shape.Font.Shadow.Smooth := True;
  aChart.DepthTopAxis.Shape.Font.Shadow.SmoothBlur := 0;
  aChart.DepthTopAxis.Shape.Font.Shadow.Transparency := 50;
  aChart.DepthTopAxis.Shape.Font.Shadow.VertSize := 0;
  aChart.DepthTopAxis.Shape.Font.Shadow.Visible := True;
  aChart.DepthTopAxis.Shape.Font.Size := 8;
  aChart.DepthTopAxis.Shape.Font.SizeFloat := 8;
  //aChart.DepthTopAxis.Shape.Font.Style := [TFontStyles];
  //aChart.DepthTopAxis.Shape.Font.Style.fsBold := False;
  //aChart.DepthTopAxis.Shape.Font.Style.fsItalic := False;
  //aChart.DepthTopAxis.Shape.Font.Style.fsUnderline := False;
  //aChart.DepthTopAxis.Shape.Font.Style.fsStrikeOut := False;
  //aChart.DepthTopAxis.Shape.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Shape.Gradient.Angle := 0;
  aChart.DepthTopAxis.Shape.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Shape.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Shape.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Shape.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Shape.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Shape.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Shape.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Shape.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Shape.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Shape.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Shape.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Shape.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Shape.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Shape.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Shape.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Shape.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Shape.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Shape.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Shape.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Shape.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Shape.Gradient.Visible := False;
  //aChart.DepthTopAxis.Shape.Picture := (TBackImage);
  aChart.DepthTopAxis.Shape.Picture.Bottom := 0;
  aChart.DepthTopAxis.Shape.Picture.DrawQuality := sqHigh;
  //aChart.DepthTopAxis.Shape.Picture.Filters := (TFilterItems);
  aChart.DepthTopAxis.Shape.Picture.Inside := False;
  aChart.DepthTopAxis.Shape.Picture.Left := 0;
  aChart.DepthTopAxis.Shape.Picture.Mode := pbmStretch;
  aChart.DepthTopAxis.Shape.Picture.Right := 0;
  aChart.DepthTopAxis.Shape.Picture.Top := 0;
  aChart.DepthTopAxis.Shape.RoundSize := 16;
  //aChart.DepthTopAxis.Shape.Shadow := (TTeeShadow);
  aChart.DepthTopAxis.Shape.Shadow.Clip := False;
  aChart.DepthTopAxis.Shape.Shadow.Color := clBlack;
  aChart.DepthTopAxis.Shape.Shadow.HorizSize := 3;
  aChart.DepthTopAxis.Shape.Shadow.Smooth := True;
  aChart.DepthTopAxis.Shape.Shadow.SmoothBlur := 0;
  aChart.DepthTopAxis.Shape.Shadow.Transparency := 50;
  aChart.DepthTopAxis.Shape.Shadow.VertSize := 3;
  aChart.DepthTopAxis.Shape.Shadow.Visible := False;
  //aChart.DepthTopAxis.Shape.ShapeCallout := (TShapeCallout);
  aChart.DepthTopAxis.Shape.ShapeCallout.PointPosition := 50;
  aChart.DepthTopAxis.Shape.ShapeCallout.Position := 50;
  aChart.DepthTopAxis.Shape.ShapeCallout.Side := csNone;
  aChart.DepthTopAxis.Shape.ShapeCallout.Size := 25;
  aChart.DepthTopAxis.Shape.ShapeCallout.Width := 20;
  aChart.DepthTopAxis.Shape.ShapeStyle := fosRectangle;
  aChart.DepthTopAxis.Shape.Transparency := 0;
  aChart.DepthTopAxis.Shape.Transparent := False;
  aChart.DepthTopAxis.Shape.Visible := False;
  aChart.DepthTopAxis.StartPosition := 0;
  //aChart.DepthTopAxis.SubAxes := (TChartCustomAxes);
  aChart.DepthTopAxis.TickInnerLength := 0;
  aChart.DepthTopAxis.TickLength := 4;
  aChart.DepthTopAxis.TickOnLabelsOnly := True;
  //aChart.DepthTopAxis.Ticks := (TTicks);
  aChart.DepthTopAxis.Ticks.Color := clGray;
  aChart.DepthTopAxis.Ticks.EndStyle := esRound;
  //aChart.DepthTopAxis.Ticks.Fill := (TTeeBrush);
  aChart.DepthTopAxis.Ticks.Fill.BackColor := clNone;
  aChart.DepthTopAxis.Ticks.Fill.Color := clDefault;
  //aChart.DepthTopAxis.Ticks.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Ticks.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Ticks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Ticks.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Ticks.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.Ticks.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.Ticks.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.Ticks.Fill.Style := bsSolid;
  aChart.DepthTopAxis.Ticks.JoinStyle := jsRound;
  aChart.DepthTopAxis.Ticks.Mode := pmCopy;
  aChart.DepthTopAxis.Ticks.SmallDots := False;
  aChart.DepthTopAxis.Ticks.SmallSpace := 0;
  aChart.DepthTopAxis.Ticks.Style := psSolid;
  aChart.DepthTopAxis.Ticks.Visible := True;
  aChart.DepthTopAxis.Ticks.Width := 1;
  //aChart.DepthTopAxis.TicksInner := (TTicks);
  aChart.DepthTopAxis.TicksInner.Color := clGray;
  aChart.DepthTopAxis.TicksInner.EndStyle := esRound;
  //aChart.DepthTopAxis.TicksInner.Fill := (TTeeBrush);
  aChart.DepthTopAxis.TicksInner.Fill.BackColor := clNone;
  aChart.DepthTopAxis.TicksInner.Fill.Color := clDefault;
  //aChart.DepthTopAxis.TicksInner.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.TicksInner.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.TicksInner.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.TicksInner.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.TicksInner.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.TicksInner.Fill.Style := bsSolid;
  aChart.DepthTopAxis.TicksInner.JoinStyle := jsRound;
  aChart.DepthTopAxis.TicksInner.Mode := pmCopy;
  aChart.DepthTopAxis.TicksInner.SmallDots := False;
  aChart.DepthTopAxis.TicksInner.SmallSpace := 0;
  aChart.DepthTopAxis.TicksInner.Style := psSolid;
  aChart.DepthTopAxis.TicksInner.Visible := True;
  aChart.DepthTopAxis.TicksInner.Width := 1;
  //aChart.DepthTopAxis.Title := (TChartAxisTitle);
  aChart.DepthTopAxis.Title.Angle := 0;
  aChart.DepthTopAxis.Title.Bevel := bvNone;
  aChart.DepthTopAxis.Title.BevelWidth := 2;
  //aChart.DepthTopAxis.Title.Brush := (TTeeBrush);
  aChart.DepthTopAxis.Title.Brush.BackColor := clNone;
  aChart.DepthTopAxis.Title.Brush.Color := clDefault;
  //aChart.DepthTopAxis.Title.Brush.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Title.Brush.Gradient.Angle := 0;
  aChart.DepthTopAxis.Title.Brush.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Brush.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Brush.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Brush.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Brush.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Title.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Title.Brush.Gradient.Visible := False;
  //aChart.DepthTopAxis.Title.Brush.Image := (TTeePicture);
  //aChart.DepthTopAxis.Title.Brush.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.Title.Brush.Style := bsSolid;
  //aChart.DepthTopAxis.Title.Caption := ;
  aChart.DepthTopAxis.Title.ChildLayout := slTopBottom;
  //aChart.DepthTopAxis.Title.Children := (TTeeShapes);
  aChart.DepthTopAxis.Title.Color := clWhite;
  //aChart.DepthTopAxis.Title.Emboss := (TTeeEmboss);
  aChart.DepthTopAxis.Title.Emboss.Clip := False;
  aChart.DepthTopAxis.Title.Emboss.Color := clBlack;
  aChart.DepthTopAxis.Title.Emboss.HorizSize := 3;
  aChart.DepthTopAxis.Title.Emboss.Smooth := True;
  aChart.DepthTopAxis.Title.Emboss.SmoothBlur := 0;
  aChart.DepthTopAxis.Title.Emboss.Transparency := 50;
  aChart.DepthTopAxis.Title.Emboss.VertSize := 3;
  aChart.DepthTopAxis.Title.Emboss.Visible := False;
  //aChart.DepthTopAxis.Title.Font := Arial, 8 , Normal;
  //aChart.DepthTopAxis.Title.Font.Brush := (TTeeBrush);
  aChart.DepthTopAxis.Title.Font.Brush.BackColor := clNone;
  aChart.DepthTopAxis.Title.Font.Brush.Color := clBlack;
  //aChart.DepthTopAxis.Title.Font.Brush.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.Angle := 0;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Title.Font.Brush.Gradient.Visible := False;
  //aChart.DepthTopAxis.Title.Font.Brush.Image := (TTeePicture);
  //aChart.DepthTopAxis.Title.Font.Brush.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.Title.Font.Brush.Style := bsSolid;
  aChart.DepthTopAxis.Title.Font.Charset := 1;
  aChart.DepthTopAxis.Title.Font.Color := clBlack;
  aChart.DepthTopAxis.Title.Font.Depth := 0;
  //aChart.DepthTopAxis.Title.Font.Emboss := (TTeeEmboss);
  aChart.DepthTopAxis.Title.Font.Emboss.Clip := False;
  aChart.DepthTopAxis.Title.Font.Emboss.Color := clSilver;
  aChart.DepthTopAxis.Title.Font.Emboss.HorizSize := 0;
  aChart.DepthTopAxis.Title.Font.Emboss.Smooth := True;
  aChart.DepthTopAxis.Title.Font.Emboss.SmoothBlur := 0;
  aChart.DepthTopAxis.Title.Font.Emboss.Transparency := 50;
  aChart.DepthTopAxis.Title.Font.Emboss.VertSize := 0;
  aChart.DepthTopAxis.Title.Font.Emboss.Visible := False;
  //aChart.DepthTopAxis.Title.Font.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Title.Font.Gradient.Angle := 0;
  aChart.DepthTopAxis.Title.Font.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Font.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Font.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Font.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Font.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Font.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Font.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Title.Font.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Title.Font.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Title.Font.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Font.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Font.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Title.Font.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Title.Font.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Title.Font.Gradient.Visible := False;
  aChart.DepthTopAxis.Title.Font.Height := -11;
  aChart.DepthTopAxis.Title.Font.InterCharSize := 0;
  //aChart.DepthTopAxis.Title.Font.Name := Arial;
  aChart.DepthTopAxis.Title.Font.Orientation := 0;
  //aChart.DepthTopAxis.Title.Font.OutLine := (TTeeHiddenPen);
  aChart.DepthTopAxis.Title.Font.OutLine.Color := clBlack;
  aChart.DepthTopAxis.Title.Font.OutLine.EndStyle := esRound;
  //aChart.DepthTopAxis.Title.Font.OutLine.Fill := (TTeeBrush);
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.BackColor := clNone;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Color := clDefault;
  //aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.Title.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.Title.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.Title.Font.OutLine.Fill.Style := bsSolid;
  aChart.DepthTopAxis.Title.Font.OutLine.JoinStyle := jsRound;
  aChart.DepthTopAxis.Title.Font.OutLine.Mode := pmCopy;
  aChart.DepthTopAxis.Title.Font.OutLine.SmallDots := False;
  aChart.DepthTopAxis.Title.Font.OutLine.SmallSpace := 0;
  aChart.DepthTopAxis.Title.Font.OutLine.Style := psSolid;
  aChart.DepthTopAxis.Title.Font.OutLine.Visible := False;
  aChart.DepthTopAxis.Title.Font.OutLine.Width := 1;
  //aChart.DepthTopAxis.Title.Font.Picture := (TTeePicture);
  //aChart.DepthTopAxis.Title.Font.Picture.Filters := (TFilterItems);
  aChart.DepthTopAxis.Title.Font.Pitch := fpDefault;
  aChart.DepthTopAxis.Title.Font.Quality := fqDefault;
  //aChart.DepthTopAxis.Title.Font.Shadow := (TTeeShadow);
  aChart.DepthTopAxis.Title.Font.Shadow.Clip := False;
  aChart.DepthTopAxis.Title.Font.Shadow.Color := clSilver;
  aChart.DepthTopAxis.Title.Font.Shadow.HorizSize := 0;
  aChart.DepthTopAxis.Title.Font.Shadow.Smooth := True;
  aChart.DepthTopAxis.Title.Font.Shadow.SmoothBlur := 0;
  aChart.DepthTopAxis.Title.Font.Shadow.Transparency := 50;
  aChart.DepthTopAxis.Title.Font.Shadow.VertSize := 0;
  aChart.DepthTopAxis.Title.Font.Shadow.Visible := True;
  aChart.DepthTopAxis.Title.Font.Size := 8;
  aChart.DepthTopAxis.Title.Font.SizeFloat := 8;
  //aChart.DepthTopAxis.Title.Font.Style := [TFontStyles];
  //aChart.DepthTopAxis.Title.Font.Style.fsBold := False;
  //aChart.DepthTopAxis.Title.Font.Style.fsItalic := False;
  //aChart.DepthTopAxis.Title.Font.Style.fsUnderline := False;
  //aChart.DepthTopAxis.Title.Font.Style.fsStrikeOut := False;
  //aChart.DepthTopAxis.Title.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Title.Gradient.Angle := 0;
  aChart.DepthTopAxis.Title.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Title.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Title.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Title.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Title.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Title.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Title.Gradient.Visible := False;
  //aChart.DepthTopAxis.Title.Pen := (TTeePen);
  aChart.DepthTopAxis.Title.Pen.Color := clBlack;
  aChart.DepthTopAxis.Title.Pen.EndStyle := esRound;
  //aChart.DepthTopAxis.Title.Pen.Fill := (TTeeBrush);
  aChart.DepthTopAxis.Title.Pen.Fill.BackColor := clNone;
  aChart.DepthTopAxis.Title.Pen.Fill.Color := clDefault;
  //aChart.DepthTopAxis.Title.Pen.Fill.Gradient := (TTeeGradient);
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.Angle := 0;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.DepthTopAxis.Title.Pen.Fill.Gradient.Visible := False;
  //aChart.DepthTopAxis.Title.Pen.Fill.Image := (TTeePicture);
  //aChart.DepthTopAxis.Title.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.DepthTopAxis.Title.Pen.Fill.Style := bsSolid;
  aChart.DepthTopAxis.Title.Pen.JoinStyle := jsRound;
  aChart.DepthTopAxis.Title.Pen.Mode := pmCopy;
  aChart.DepthTopAxis.Title.Pen.SmallDots := False;
  aChart.DepthTopAxis.Title.Pen.SmallSpace := 0;
  aChart.DepthTopAxis.Title.Pen.Style := psSolid;
  aChart.DepthTopAxis.Title.Pen.Visible := True;
  aChart.DepthTopAxis.Title.Pen.Width := 1;
  //aChart.DepthTopAxis.Title.Picture := (TBackImage);
  aChart.DepthTopAxis.Title.Picture.Bottom := 0;
  aChart.DepthTopAxis.Title.Picture.DrawQuality := sqHigh;
  //aChart.DepthTopAxis.Title.Picture.Filters := (TFilterItems);
  aChart.DepthTopAxis.Title.Picture.Inside := False;
  aChart.DepthTopAxis.Title.Picture.Left := 0;
  aChart.DepthTopAxis.Title.Picture.Mode := pbmStretch;
  aChart.DepthTopAxis.Title.Picture.Right := 0;
  aChart.DepthTopAxis.Title.Picture.Top := 0;
  aChart.DepthTopAxis.Title.Position := tpCenter;
  aChart.DepthTopAxis.Title.RoundSize := 16;
  //aChart.DepthTopAxis.Title.Shadow := (TTeeShadow);
  aChart.DepthTopAxis.Title.Shadow.Clip := False;
  aChart.DepthTopAxis.Title.Shadow.Color := clBlack;
  aChart.DepthTopAxis.Title.Shadow.HorizSize := 3;
  aChart.DepthTopAxis.Title.Shadow.Smooth := True;
  aChart.DepthTopAxis.Title.Shadow.SmoothBlur := 0;
  aChart.DepthTopAxis.Title.Shadow.Transparency := 50;
  aChart.DepthTopAxis.Title.Shadow.VertSize := 3;
  aChart.DepthTopAxis.Title.Shadow.Visible := True;
  //aChart.DepthTopAxis.Title.ShapeCallout := (TShapeCallout);
  aChart.DepthTopAxis.Title.ShapeCallout.PointPosition := 50;
  aChart.DepthTopAxis.Title.ShapeCallout.Position := 50;
  aChart.DepthTopAxis.Title.ShapeCallout.Side := csNone;
  aChart.DepthTopAxis.Title.ShapeCallout.Size := 25;
  aChart.DepthTopAxis.Title.ShapeCallout.Width := 20;
  aChart.DepthTopAxis.Title.ShapeStyle := fosRectangle;
  aChart.DepthTopAxis.Title.TextAlignment := taCenter;
  aChart.DepthTopAxis.Title.Transparency := 0;
  aChart.DepthTopAxis.Title.Transparent := True;
  aChart.DepthTopAxis.Title.Visible := True;
  aChart.DepthTopAxis.TitleSize := 0;
  aChart.DepthTopAxis.UsePartnerAxis := False;
  aChart.DepthTopAxis.Visible := False;
  aChart.DepthTopAxis.ZPosition := 0;
  aChart.DockSite := False;
  aChart.DragCursor := crDrag;
  aChart.DragKind := dkDrag;
  aChart.DragMode := dmManual;
  //aChart.Emboss := (TTeeEmboss);
  aChart.Emboss.Clip := False;
  aChart.Emboss.Color := clSilver;
  aChart.Emboss.HorizSize := 0;
  aChart.Emboss.Smooth := True;
  aChart.Emboss.SmoothBlur := 0;
  aChart.Emboss.Transparency := 50;
  aChart.Emboss.VertSize := 0;
  aChart.Emboss.Visible := False;
  aChart.Enabled := True;
  //aChart.Foot := (TChartTitle);
  aChart.Foot.AdjustFrame := True;
  aChart.Foot.Alignment := taCenter;
  aChart.Foot.Angle := 0;
  aChart.Foot.AutoSize := True;
  aChart.Foot.Bevel := bvNone;
  aChart.Foot.BevelWidth := 2;
  //aChart.Foot.Brush := (TTeeBrush);
  aChart.Foot.Brush.BackColor := clNone;
  aChart.Foot.Brush.Color := clDefault;
  //aChart.Foot.Brush.Gradient := (TTeeGradient);
  aChart.Foot.Brush.Gradient.Angle := 0;
  aChart.Foot.Brush.Gradient.Balance := 50;
  //aChart.Foot.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.Foot.Brush.Gradient.Direction := gdTopBottom;
  aChart.Foot.Brush.Gradient.EndColor := clYellow;
  aChart.Foot.Brush.Gradient.MidColor := clNone;
  aChart.Foot.Brush.Gradient.RadialX := 0;
  aChart.Foot.Brush.Gradient.RadialY := 0;
  aChart.Foot.Brush.Gradient.StartColor := clWhite;
  //aChart.Foot.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.Foot.Brush.Gradient.SubGradient.Angle := 0;
  aChart.Foot.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.Foot.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Foot.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Foot.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.Foot.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.Foot.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.Foot.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.Foot.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.Foot.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.Foot.Brush.Gradient.SubGradient.Visible := False;
  aChart.Foot.Brush.Gradient.Visible := False;
  //aChart.Foot.Brush.Image := (TTeePicture);
  //aChart.Foot.Brush.Image.Filters := (TFilterItems);
  aChart.Foot.Brush.Style := bsSolid;
  aChart.Foot.ChildLayout := slTopBottom;
  //aChart.Foot.Children := (TTeeShapes);
  aChart.Foot.ClipText := True;
  aChart.Foot.Color := clWhite;
  aChart.Foot.Cursor := crDefault;
  aChart.Foot.CustomPosition := False;
  //aChart.Foot.Emboss := (TTeeEmboss);
  aChart.Foot.Emboss.Clip := False;
  aChart.Foot.Emboss.Color := clBlack;
  aChart.Foot.Emboss.HorizSize := 3;
  aChart.Foot.Emboss.Smooth := True;
  aChart.Foot.Emboss.SmoothBlur := 0;
  aChart.Foot.Emboss.Transparency := 50;
  aChart.Foot.Emboss.VertSize := 3;
  aChart.Foot.Emboss.Visible := False;
  //aChart.Foot.Font := Arial, 8 , Italic;
  //aChart.Foot.Font.Brush := (TTeeBrush);
  aChart.Foot.Font.Brush.BackColor := clNone;
  aChart.Foot.Font.Brush.Color := clRed;
  //aChart.Foot.Font.Brush.Gradient := (TTeeGradient);
  aChart.Foot.Font.Brush.Gradient.Angle := 0;
  aChart.Foot.Font.Brush.Gradient.Balance := 50;
  //aChart.Foot.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.Foot.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.Foot.Font.Brush.Gradient.EndColor := clYellow;
  aChart.Foot.Font.Brush.Gradient.MidColor := clNone;
  aChart.Foot.Font.Brush.Gradient.RadialX := 0;
  aChart.Foot.Font.Brush.Gradient.RadialY := 0;
  aChart.Foot.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.Foot.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.Foot.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.Foot.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.Foot.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Foot.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Foot.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.Foot.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.Foot.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.Foot.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.Foot.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.Foot.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.Foot.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.Foot.Font.Brush.Gradient.Visible := False;
  //aChart.Foot.Font.Brush.Image := (TTeePicture);
  //aChart.Foot.Font.Brush.Image.Filters := (TFilterItems);
  aChart.Foot.Font.Brush.Style := bsSolid;
  aChart.Foot.Font.Charset := 1;
  aChart.Foot.Font.Color := clRed;
  aChart.Foot.Font.Depth := 0;
  //aChart.Foot.Font.Emboss := (TTeeEmboss);
  aChart.Foot.Font.Emboss.Clip := False;
  aChart.Foot.Font.Emboss.Color := clSilver;
  aChart.Foot.Font.Emboss.HorizSize := 0;
  aChart.Foot.Font.Emboss.Smooth := True;
  aChart.Foot.Font.Emboss.SmoothBlur := 0;
  aChart.Foot.Font.Emboss.Transparency := 50;
  aChart.Foot.Font.Emboss.VertSize := 0;
  aChart.Foot.Font.Emboss.Visible := False;
  //aChart.Foot.Font.Gradient := (TTeeGradient);
  aChart.Foot.Font.Gradient.Angle := 0;
  aChart.Foot.Font.Gradient.Balance := 50;
  //aChart.Foot.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.Foot.Font.Gradient.Direction := gdTopBottom;
  aChart.Foot.Font.Gradient.EndColor := clYellow;
  aChart.Foot.Font.Gradient.MidColor := clNone;
  aChart.Foot.Font.Gradient.RadialX := 0;
  aChart.Foot.Font.Gradient.RadialY := 0;
  aChart.Foot.Font.Gradient.StartColor := clWhite;
  //aChart.Foot.Font.Gradient.SubGradient := (TSubGradient);
  aChart.Foot.Font.Gradient.SubGradient.Angle := 0;
  aChart.Foot.Font.Gradient.SubGradient.Balance := 50;
  //aChart.Foot.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Foot.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Foot.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.Foot.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.Foot.Font.Gradient.SubGradient.RadialX := 0;
  aChart.Foot.Font.Gradient.SubGradient.RadialY := 0;
  aChart.Foot.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.Foot.Font.Gradient.SubGradient.Transparency := 50;
  aChart.Foot.Font.Gradient.SubGradient.Visible := False;
  aChart.Foot.Font.Gradient.Visible := False;
  aChart.Foot.Font.Height := -11;
  aChart.Foot.Font.InterCharSize := 0;
  //aChart.Foot.Font.Name := Arial;
  aChart.Foot.Font.Orientation := 0;
  //aChart.Foot.Font.OutLine := (TTeeHiddenPen);
  aChart.Foot.Font.OutLine.Color := clBlack;
  aChart.Foot.Font.OutLine.EndStyle := esRound;
  //aChart.Foot.Font.OutLine.Fill := (TTeeBrush);
  aChart.Foot.Font.OutLine.Fill.BackColor := clNone;
  aChart.Foot.Font.OutLine.Fill.Color := clDefault;
  //aChart.Foot.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.Foot.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.Foot.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.Foot.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Foot.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.Foot.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.Foot.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.Foot.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.Foot.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.Foot.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Foot.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.Foot.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.Foot.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.Foot.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.Foot.Font.OutLine.Fill.Style := bsSolid;
  aChart.Foot.Font.OutLine.JoinStyle := jsRound;
  aChart.Foot.Font.OutLine.Mode := pmCopy;
  aChart.Foot.Font.OutLine.SmallDots := False;
  aChart.Foot.Font.OutLine.SmallSpace := 0;
  aChart.Foot.Font.OutLine.Style := psSolid;
  aChart.Foot.Font.OutLine.Visible := False;
  aChart.Foot.Font.OutLine.Width := 1;
  //aChart.Foot.Font.Picture := (TTeePicture);
  //aChart.Foot.Font.Picture.Filters := (TFilterItems);
  aChart.Foot.Font.Pitch := fpDefault;
  aChart.Foot.Font.Quality := fqDefault;
  //aChart.Foot.Font.Shadow := (TTeeShadow);
  aChart.Foot.Font.Shadow.Clip := False;
  aChart.Foot.Font.Shadow.Color := clSilver;
  aChart.Foot.Font.Shadow.HorizSize := 0;
  aChart.Foot.Font.Shadow.Smooth := True;
  aChart.Foot.Font.Shadow.SmoothBlur := 0;
  aChart.Foot.Font.Shadow.Transparency := 50;
  aChart.Foot.Font.Shadow.VertSize := 0;
  aChart.Foot.Font.Shadow.Visible := True;
  aChart.Foot.Font.Size := 8;
  aChart.Foot.Font.SizeFloat := 8;
  //aChart.Foot.Font.Style := [TFontStyles];
  //aChart.Foot.Font.Style.fsBold := False;
  //aChart.Foot.Font.Style.fsItalic := True;
  //aChart.Foot.Font.Style.fsUnderline := False;
  //aChart.Foot.Font.Style.fsStrikeOut := False;
  //aChart.Foot.Frame := (TTeePen);
  aChart.Foot.Frame.Color := clBlack;
  aChart.Foot.Frame.EndStyle := esRound;
  //aChart.Foot.Frame.Fill := (TTeeBrush);
  aChart.Foot.Frame.Fill.BackColor := clNone;
  aChart.Foot.Frame.Fill.Color := clDefault;
  //aChart.Foot.Frame.Fill.Gradient := (TTeeGradient);
  aChart.Foot.Frame.Fill.Gradient.Angle := 0;
  aChart.Foot.Frame.Fill.Gradient.Balance := 50;
  //aChart.Foot.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Foot.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.Foot.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.Foot.Frame.Fill.Gradient.MidColor := clNone;
  aChart.Foot.Frame.Fill.Gradient.RadialX := 0;
  aChart.Foot.Frame.Fill.Gradient.RadialY := 0;
  aChart.Foot.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.Foot.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Foot.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Foot.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Foot.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Foot.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Foot.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Foot.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Foot.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Foot.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Foot.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Foot.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Foot.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.Foot.Frame.Fill.Gradient.Visible := False;
  //aChart.Foot.Frame.Fill.Image := (TTeePicture);
  //aChart.Foot.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.Foot.Frame.Fill.Style := bsSolid;
  aChart.Foot.Frame.JoinStyle := jsRound;
  aChart.Foot.Frame.Mode := pmCopy;
  aChart.Foot.Frame.SmallDots := False;
  aChart.Foot.Frame.SmallSpace := 0;
  aChart.Foot.Frame.Style := psSolid;
  aChart.Foot.Frame.Visible := True;
  aChart.Foot.Frame.Width := 1;
  //aChart.Foot.Gradient := (TTeeGradient);
  aChart.Foot.Gradient.Angle := 0;
  aChart.Foot.Gradient.Balance := 50;
  //aChart.Foot.Gradient.Colors := (TTeeGradientColors);
  aChart.Foot.Gradient.Direction := gdTopBottom;
  aChart.Foot.Gradient.EndColor := clYellow;
  aChart.Foot.Gradient.MidColor := clNone;
  aChart.Foot.Gradient.RadialX := 0;
  aChart.Foot.Gradient.RadialY := 0;
  aChart.Foot.Gradient.StartColor := clWhite;
  //aChart.Foot.Gradient.SubGradient := (TSubGradient);
  aChart.Foot.Gradient.SubGradient.Angle := 0;
  aChart.Foot.Gradient.SubGradient.Balance := 50;
  //aChart.Foot.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Foot.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Foot.Gradient.SubGradient.EndColor := clYellow;
  aChart.Foot.Gradient.SubGradient.MidColor := clNone;
  aChart.Foot.Gradient.SubGradient.RadialX := 0;
  aChart.Foot.Gradient.SubGradient.RadialY := 0;
  aChart.Foot.Gradient.SubGradient.StartColor := clWhite;
  aChart.Foot.Gradient.SubGradient.Transparency := 50;
  aChart.Foot.Gradient.SubGradient.Visible := False;
  aChart.Foot.Gradient.Visible := False;
  aChart.Foot.Left := 0;
  //aChart.Foot.Margins := (TMargins);
  aChart.Foot.Margins.Bottom := 5;
  aChart.Foot.Margins.Left := 10;
  aChart.Foot.Margins.Right := 10;
  aChart.Foot.Margins.Top := 5;
  aChart.Foot.Margins.Units := maPercentFont;
  //aChart.Foot.Picture := (TBackImage);
  aChart.Foot.Picture.Bottom := 0;
  aChart.Foot.Picture.DrawQuality := sqHigh;
  //aChart.Foot.Picture.Filters := (TFilterItems);
  aChart.Foot.Picture.Inside := False;
  aChart.Foot.Picture.Left := 0;
  aChart.Foot.Picture.Mode := pbmStretch;
  aChart.Foot.Picture.Right := 0;
  aChart.Foot.Picture.Top := 0;
  //aChart.Foot.Shadow := (TTeeShadow);
  aChart.Foot.Shadow.Clip := False;
  aChart.Foot.Shadow.Color := clBlack;
  aChart.Foot.Shadow.HorizSize := 3;
  aChart.Foot.Shadow.Smooth := True;
  aChart.Foot.Shadow.SmoothBlur := 0;
  aChart.Foot.Shadow.Transparency := 50;
  aChart.Foot.Shadow.VertSize := 3;
  aChart.Foot.Shadow.Visible := True;
  //aChart.Foot.ShapeCallout := (TShapeCallout);
  aChart.Foot.ShapeCallout.PointPosition := 50;
  aChart.Foot.ShapeCallout.Position := 50;
  aChart.Foot.ShapeCallout.Side := csNone;
  aChart.Foot.ShapeCallout.Size := 25;
  aChart.Foot.ShapeCallout.Width := 20;
  aChart.Foot.ShapeStyle := fosRectangle;
  //aChart.Foot.Text := (TStrings);
  aChart.Foot.TextAlignment := taCenter;
  aChart.Foot.TextFormat := ttfNormal;
  aChart.Foot.Top := 0;
  aChart.Foot.Transparency := 0;
  aChart.Foot.Transparent := True;
  aChart.Foot.VertMargin := 5;
  aChart.Foot.VertTextAlign := vtaCenter;
  aChart.Foot.Visible := True;
  //aChart.Frame := (TTeePen);
  aChart.Frame.Color := clBlack;
  aChart.Frame.EndStyle := esRound;
  //aChart.Frame.Fill := (TTeeBrush);
  aChart.Frame.Fill.BackColor := clNone;
  aChart.Frame.Fill.Color := clDefault;
  //aChart.Frame.Fill.Gradient := (TTeeGradient);
  aChart.Frame.Fill.Gradient.Angle := 0;
  aChart.Frame.Fill.Gradient.Balance := 50;
  //aChart.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.Frame.Fill.Gradient.MidColor := clNone;
  aChart.Frame.Fill.Gradient.RadialX := 0;
  aChart.Frame.Fill.Gradient.RadialY := 0;
  aChart.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.Frame.Fill.Gradient.Visible := False;
  //aChart.Frame.Fill.Image := (TTeePicture);
  //aChart.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.Frame.Fill.Style := bsSolid;
  aChart.Frame.JoinStyle := jsRound;
  aChart.Frame.Mode := pmCopy;
  aChart.Frame.SmallDots := False;
  aChart.Frame.SmallSpace := 0;
  aChart.Frame.Style := psSolid;
  aChart.Frame.Visible := True;
  aChart.Frame.Width := 1;
  //aChart.Gradient := (TTeeGradient);
  aChart.Gradient.Angle := 0;
  aChart.Gradient.Balance := 50;
  //aChart.Gradient.Colors := (TTeeGradientColors);
  aChart.Gradient.Direction := gdTopBottom;
  aChart.Gradient.EndColor := clYellow;
  aChart.Gradient.MidColor := clNone;
  aChart.Gradient.RadialX := 0;
  aChart.Gradient.RadialY := 0;
  aChart.Gradient.StartColor := clWhite;
  //aChart.Gradient.SubGradient := (TSubGradient);
  aChart.Gradient.SubGradient.Angle := 0;
  aChart.Gradient.SubGradient.Balance := 50;
  //aChart.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Gradient.SubGradient.EndColor := clYellow;
  aChart.Gradient.SubGradient.MidColor := clNone;
  aChart.Gradient.SubGradient.RadialX := 0;
  aChart.Gradient.SubGradient.RadialY := 0;
  aChart.Gradient.SubGradient.StartColor := clWhite;
  aChart.Gradient.SubGradient.Transparency := 50;
  aChart.Gradient.SubGradient.Visible := False;
  aChart.Gradient.Visible := False;
  aChart.Height := 252;
  aChart.HelpContext := 0;
  //aChart.HelpKeyword := ;
  aChart.HelpType := htContext;
  //aChart.Hint := ;
  aChart.Left := 0;
  //aChart.LeftAxis := (TChartAxis);
  aChart.LeftAxis.Automatic := True;
  aChart.LeftAxis.AutomaticMaximum := True;
  aChart.LeftAxis.AutomaticMinimum := True;
  //aChart.LeftAxis.Axis := (TChartAxisPen);
  aChart.LeftAxis.Axis.Color := clBlack;
  aChart.LeftAxis.Axis.EndStyle := esFlat;
  //aChart.LeftAxis.Axis.Fill := (TTeeBrush);
  aChart.LeftAxis.Axis.Fill.BackColor := clNone;
  aChart.LeftAxis.Axis.Fill.Color := clDefault;
  //aChart.LeftAxis.Axis.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.Axis.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.Axis.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.Axis.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Axis.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Axis.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Axis.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.Axis.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.Axis.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.Axis.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Axis.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Axis.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Axis.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Axis.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Axis.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Axis.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Axis.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Axis.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Axis.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Axis.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Axis.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Axis.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Axis.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.Axis.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.Axis.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.Axis.Fill.Style := bsSolid;
  aChart.LeftAxis.Axis.JoinStyle := jsRound;
  aChart.LeftAxis.Axis.LineMode := lmLine;
  aChart.LeftAxis.Axis.Mode := pmCopy;
  aChart.LeftAxis.Axis.SmallDots := False;
  aChart.LeftAxis.Axis.SmallSpace := 0;
  aChart.LeftAxis.Axis.Style := psSolid;
  aChart.LeftAxis.Axis.Visible := True;
  aChart.LeftAxis.Axis.Width := 1;
  //aChart.LeftAxis.AxisValuesFormat := #,##0.###;
  //aChart.LeftAxis.DateTimeFormat := ;
  aChart.LeftAxis.EndPosition := 100;
  aChart.LeftAxis.ExactDateTime := True;
  //aChart.LeftAxis.Grid := (TAxisGridPen);
  aChart.LeftAxis.Grid.Color := clSilver;
  aChart.LeftAxis.Grid.DrawEvery := 1;
  aChart.LeftAxis.Grid.EndStyle := esRound;
  //aChart.LeftAxis.Grid.Fill := (TTeeBrush);
  aChart.LeftAxis.Grid.Fill.BackColor := clNone;
  aChart.LeftAxis.Grid.Fill.Color := clDefault;
  //aChart.LeftAxis.Grid.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.Grid.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.Grid.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.Grid.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Grid.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Grid.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Grid.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.Grid.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.Grid.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.Grid.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Grid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Grid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Grid.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Grid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Grid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Grid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Grid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Grid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Grid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Grid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Grid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Grid.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Grid.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.Grid.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.Grid.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.Grid.Fill.Style := bsSolid;
  aChart.LeftAxis.Grid.JoinStyle := jsRound;
  aChart.LeftAxis.Grid.Mode := pmCopy;
  aChart.LeftAxis.Grid.SmallDots := False;
  aChart.LeftAxis.Grid.SmallSpace := 0;
  aChart.LeftAxis.Grid.Style := psDot;
  aChart.LeftAxis.Grid.Visible := True;
  aChart.LeftAxis.Grid.Width := 1;
  aChart.LeftAxis.Grid.ZPosition := 0;
  aChart.LeftAxis.GridCentered := False;
  aChart.LeftAxis.Horizontal := False;
  aChart.LeftAxis.Increment := 0;
  aChart.LeftAxis.Inverted := False;
  aChart.LeftAxis.Labels := True;
  aChart.LeftAxis.LabelsAlign := alDefault;
  aChart.LeftAxis.LabelsAlternate := False;
  aChart.LeftAxis.LabelsAngle := 0;
  aChart.LeftAxis.LabelsBehind := False;
  aChart.LeftAxis.LabelsExponent := False;
  //aChart.LeftAxis.LabelsFont := Arial, 9 , Normal;
  //aChart.LeftAxis.LabelsFont.Brush := (TTeeBrush);
  aChart.LeftAxis.LabelsFont.Brush.BackColor := clNone;
  aChart.LeftAxis.LabelsFont.Brush.Color := clBlack;
  //aChart.LeftAxis.LabelsFont.Brush.Gradient := (TTeeGradient);
  aChart.LeftAxis.LabelsFont.Brush.Gradient.Angle := 0;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.Balance := 50;
  //aChart.LeftAxis.LabelsFont.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFont.Brush.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.RadialX := 0;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.RadialY := 0;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.LabelsFont.Brush.Gradient.Visible := False;
  //aChart.LeftAxis.LabelsFont.Brush.Image := (TTeePicture);
  //aChart.LeftAxis.LabelsFont.Brush.Image.Filters := (TFilterItems);
  aChart.LeftAxis.LabelsFont.Brush.Style := bsSolid;
  aChart.LeftAxis.LabelsFont.Charset := 1;
  aChart.LeftAxis.LabelsFont.Color := clBlack;
  aChart.LeftAxis.LabelsFont.Depth := 0;
  //aChart.LeftAxis.LabelsFont.Emboss := (TTeeEmboss);
  aChart.LeftAxis.LabelsFont.Emboss.Clip := False;
  aChart.LeftAxis.LabelsFont.Emboss.Color := clSilver;
  aChart.LeftAxis.LabelsFont.Emboss.HorizSize := 0;
  aChart.LeftAxis.LabelsFont.Emboss.Smooth := True;
  aChart.LeftAxis.LabelsFont.Emboss.SmoothBlur := 0;
  aChart.LeftAxis.LabelsFont.Emboss.Transparency := 50;
  aChart.LeftAxis.LabelsFont.Emboss.VertSize := 0;
  aChart.LeftAxis.LabelsFont.Emboss.Visible := False;
  //aChart.LeftAxis.LabelsFont.Gradient := (TTeeGradient);
  aChart.LeftAxis.LabelsFont.Gradient.Angle := 0;
  aChart.LeftAxis.LabelsFont.Gradient.Balance := 50;
  //aChart.LeftAxis.LabelsFont.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFont.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFont.Gradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFont.Gradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFont.Gradient.RadialX := 0;
  aChart.LeftAxis.LabelsFont.Gradient.RadialY := 0;
  aChart.LeftAxis.LabelsFont.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.LabelsFont.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.LabelsFont.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.LabelsFont.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.LabelsFont.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFont.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFont.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFont.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFont.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.LabelsFont.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.LabelsFont.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.LabelsFont.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.LabelsFont.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.LabelsFont.Gradient.Visible := False;
  aChart.LeftAxis.LabelsFont.Height := -12;
  aChart.LeftAxis.LabelsFont.InterCharSize := 0;
  //aChart.LeftAxis.LabelsFont.Name := Arial;
  aChart.LeftAxis.LabelsFont.Orientation := 0;
  //aChart.LeftAxis.LabelsFont.OutLine := (TTeeHiddenPen);
  aChart.LeftAxis.LabelsFont.OutLine.Color := clBlack;
  aChart.LeftAxis.LabelsFont.OutLine.EndStyle := esRound;
  //aChart.LeftAxis.LabelsFont.OutLine.Fill := (TTeeBrush);
  aChart.LeftAxis.LabelsFont.OutLine.Fill.BackColor := clNone;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Color := clDefault;
  //aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.LabelsFont.OutLine.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.LabelsFont.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.LabelsFont.OutLine.Fill.Style := bsSolid;
  aChart.LeftAxis.LabelsFont.OutLine.JoinStyle := jsRound;
  aChart.LeftAxis.LabelsFont.OutLine.Mode := pmCopy;
  aChart.LeftAxis.LabelsFont.OutLine.SmallDots := False;
  aChart.LeftAxis.LabelsFont.OutLine.SmallSpace := 0;
  aChart.LeftAxis.LabelsFont.OutLine.Style := psSolid;
  aChart.LeftAxis.LabelsFont.OutLine.Visible := False;
  aChart.LeftAxis.LabelsFont.OutLine.Width := 1;
  //aChart.LeftAxis.LabelsFont.Picture := (TTeePicture);
  //aChart.LeftAxis.LabelsFont.Picture.Filters := (TFilterItems);
  aChart.LeftAxis.LabelsFont.Pitch := fpDefault;
  aChart.LeftAxis.LabelsFont.Quality := fqDefault;
  //aChart.LeftAxis.LabelsFont.Shadow := (TTeeShadow);
  aChart.LeftAxis.LabelsFont.Shadow.Clip := False;
  aChart.LeftAxis.LabelsFont.Shadow.Color := clSilver;
  aChart.LeftAxis.LabelsFont.Shadow.HorizSize := 0;
  aChart.LeftAxis.LabelsFont.Shadow.Smooth := True;
  aChart.LeftAxis.LabelsFont.Shadow.SmoothBlur := 0;
  aChart.LeftAxis.LabelsFont.Shadow.Transparency := 50;
  aChart.LeftAxis.LabelsFont.Shadow.VertSize := 0;
  aChart.LeftAxis.LabelsFont.Shadow.Visible := True;
  aChart.LeftAxis.LabelsFont.Size := 9;
  aChart.LeftAxis.LabelsFont.SizeFloat := 9;
  //aChart.LeftAxis.LabelsFont.Style := [TFontStyles];
  //aChart.LeftAxis.LabelsFont.Style.fsBold := False;
  //aChart.LeftAxis.LabelsFont.Style.fsItalic := False;
  //aChart.LeftAxis.LabelsFont.Style.fsUnderline := False;
  //aChart.LeftAxis.LabelsFont.Style.fsStrikeOut := False;
  //aChart.LeftAxis.LabelsFormat := (TAxisLabelsFormat);
  aChart.LeftAxis.LabelsFormat.Bevel := bvNone;
  aChart.LeftAxis.LabelsFormat.BevelWidth := 2;
  //aChart.LeftAxis.LabelsFormat.Brush := (TTeeBrush);
  aChart.LeftAxis.LabelsFormat.Brush.BackColor := clNone;
  aChart.LeftAxis.LabelsFormat.Brush.Color := clDefault;
  //aChart.LeftAxis.LabelsFormat.Brush.Gradient := (TTeeGradient);
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.LabelsFormat.Brush.Gradient.Visible := False;
  //aChart.LeftAxis.LabelsFormat.Brush.Image := (TTeePicture);
  //aChart.LeftAxis.LabelsFormat.Brush.Image.Filters := (TFilterItems);
  aChart.LeftAxis.LabelsFormat.Brush.Style := bsSolid;
  aChart.LeftAxis.LabelsFormat.ChildLayout := slTopBottom;
  //aChart.LeftAxis.LabelsFormat.Children := (TTeeShapes);
  aChart.LeftAxis.LabelsFormat.ClipText := True;
  aChart.LeftAxis.LabelsFormat.Cursor := crDefault;
  //aChart.LeftAxis.LabelsFormat.Emboss := (TTeeEmboss);
  aChart.LeftAxis.LabelsFormat.Emboss.Clip := False;
  aChart.LeftAxis.LabelsFormat.Emboss.Color := clBlack;
  aChart.LeftAxis.LabelsFormat.Emboss.HorizSize := 3;
  aChart.LeftAxis.LabelsFormat.Emboss.Smooth := True;
  aChart.LeftAxis.LabelsFormat.Emboss.SmoothBlur := 0;
  aChart.LeftAxis.LabelsFormat.Emboss.Transparency := 50;
  aChart.LeftAxis.LabelsFormat.Emboss.VertSize := 3;
  aChart.LeftAxis.LabelsFormat.Emboss.Visible := False;
  //aChart.LeftAxis.LabelsFormat.Font := Arial, 9 , Normal;
  //aChart.LeftAxis.LabelsFormat.Font.Brush := (TTeeBrush);
  aChart.LeftAxis.LabelsFormat.Font.Brush.BackColor := clNone;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Color := clBlack;
  //aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient := (TTeeGradient);
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.LabelsFormat.Font.Brush.Gradient.Visible := False;
  //aChart.LeftAxis.LabelsFormat.Font.Brush.Image := (TTeePicture);
  //aChart.LeftAxis.LabelsFormat.Font.Brush.Image.Filters := (TFilterItems);
  aChart.LeftAxis.LabelsFormat.Font.Brush.Style := bsSolid;
  aChart.LeftAxis.LabelsFormat.Font.Charset := 1;
  aChart.LeftAxis.LabelsFormat.Font.Color := clBlack;
  aChart.LeftAxis.LabelsFormat.Font.Depth := 0;
  //aChart.LeftAxis.LabelsFormat.Font.Emboss := (TTeeEmboss);
  aChart.LeftAxis.LabelsFormat.Font.Emboss.Clip := False;
  aChart.LeftAxis.LabelsFormat.Font.Emboss.Color := clSilver;
  aChart.LeftAxis.LabelsFormat.Font.Emboss.HorizSize := 0;
  aChart.LeftAxis.LabelsFormat.Font.Emboss.Smooth := True;
  aChart.LeftAxis.LabelsFormat.Font.Emboss.SmoothBlur := 0;
  aChart.LeftAxis.LabelsFormat.Font.Emboss.Transparency := 50;
  aChart.LeftAxis.LabelsFormat.Font.Emboss.VertSize := 0;
  aChart.LeftAxis.LabelsFormat.Font.Emboss.Visible := False;
  //aChart.LeftAxis.LabelsFormat.Font.Gradient := (TTeeGradient);
  aChart.LeftAxis.LabelsFormat.Font.Gradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Font.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.LabelsFormat.Font.Gradient.Visible := False;
  aChart.LeftAxis.LabelsFormat.Font.Height := -12;
  aChart.LeftAxis.LabelsFormat.Font.InterCharSize := 0;
  //aChart.LeftAxis.LabelsFormat.Font.Name := Arial;
  aChart.LeftAxis.LabelsFormat.Font.Orientation := 0;
  //aChart.LeftAxis.LabelsFormat.Font.OutLine := (TTeeHiddenPen);
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Color := clBlack;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.EndStyle := esRound;
  //aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill := (TTeeBrush);
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.BackColor := clNone;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Color := clDefault;
  //aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Fill.Style := bsSolid;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.JoinStyle := jsRound;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Mode := pmCopy;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.SmallDots := False;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.SmallSpace := 0;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Style := psSolid;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Visible := False;
  aChart.LeftAxis.LabelsFormat.Font.OutLine.Width := 1;
  //aChart.LeftAxis.LabelsFormat.Font.Picture := (TTeePicture);
  //aChart.LeftAxis.LabelsFormat.Font.Picture.Filters := (TFilterItems);
  aChart.LeftAxis.LabelsFormat.Font.Pitch := fpDefault;
  aChart.LeftAxis.LabelsFormat.Font.Quality := fqDefault;
  //aChart.LeftAxis.LabelsFormat.Font.Shadow := (TTeeShadow);
  aChart.LeftAxis.LabelsFormat.Font.Shadow.Clip := False;
  aChart.LeftAxis.LabelsFormat.Font.Shadow.Color := clSilver;
  aChart.LeftAxis.LabelsFormat.Font.Shadow.HorizSize := 0;
  aChart.LeftAxis.LabelsFormat.Font.Shadow.Smooth := True;
  aChart.LeftAxis.LabelsFormat.Font.Shadow.SmoothBlur := 0;
  aChart.LeftAxis.LabelsFormat.Font.Shadow.Transparency := 50;
  aChart.LeftAxis.LabelsFormat.Font.Shadow.VertSize := 0;
  aChart.LeftAxis.LabelsFormat.Font.Shadow.Visible := True;
  aChart.LeftAxis.LabelsFormat.Font.Size := 9;
  aChart.LeftAxis.LabelsFormat.Font.SizeFloat := 9;
  //aChart.LeftAxis.LabelsFormat.Font.Style := [TFontStyles];
  //aChart.LeftAxis.LabelsFormat.Font.Style.fsBold := False;
  //aChart.LeftAxis.LabelsFormat.Font.Style.fsItalic := False;
  //aChart.LeftAxis.LabelsFormat.Font.Style.fsUnderline := False;
  //aChart.LeftAxis.LabelsFormat.Font.Style.fsStrikeOut := False;
  //aChart.LeftAxis.LabelsFormat.Frame := (TTeePen);
  aChart.LeftAxis.LabelsFormat.Frame.Color := clBlack;
  aChart.LeftAxis.LabelsFormat.Frame.EndStyle := esRound;
  //aChart.LeftAxis.LabelsFormat.Frame.Fill := (TTeeBrush);
  aChart.LeftAxis.LabelsFormat.Frame.Fill.BackColor := clNone;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Color := clDefault;
  //aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.LabelsFormat.Frame.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.LabelsFormat.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.LabelsFormat.Frame.Fill.Style := bsSolid;
  aChart.LeftAxis.LabelsFormat.Frame.JoinStyle := jsRound;
  aChart.LeftAxis.LabelsFormat.Frame.Mode := pmCopy;
  aChart.LeftAxis.LabelsFormat.Frame.SmallDots := False;
  aChart.LeftAxis.LabelsFormat.Frame.SmallSpace := 0;
  aChart.LeftAxis.LabelsFormat.Frame.Style := psSolid;
  aChart.LeftAxis.LabelsFormat.Frame.Visible := True;
  aChart.LeftAxis.LabelsFormat.Frame.Width := 1;
  //aChart.LeftAxis.LabelsFormat.Gradient := (TTeeGradient);
  aChart.LeftAxis.LabelsFormat.Gradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Gradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Gradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Gradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Gradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Gradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.LabelsFormat.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.LabelsFormat.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.LabelsFormat.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.LabelsFormat.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.LabelsFormat.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.LabelsFormat.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.LabelsFormat.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.LabelsFormat.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.LabelsFormat.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.LabelsFormat.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.LabelsFormat.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.LabelsFormat.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.LabelsFormat.Gradient.Visible := False;
  //aChart.LeftAxis.LabelsFormat.Margins := (TMargins);
  aChart.LeftAxis.LabelsFormat.Margins.Bottom := 5;
  aChart.LeftAxis.LabelsFormat.Margins.Left := 10;
  aChart.LeftAxis.LabelsFormat.Margins.Right := 10;
  aChart.LeftAxis.LabelsFormat.Margins.Top := 5;
  aChart.LeftAxis.LabelsFormat.Margins.Units := maPercentFont;
  //aChart.LeftAxis.LabelsFormat.Picture := (TBackImage);
  aChart.LeftAxis.LabelsFormat.Picture.Bottom := 0;
  aChart.LeftAxis.LabelsFormat.Picture.DrawQuality := sqHigh;
  //aChart.LeftAxis.LabelsFormat.Picture.Filters := (TFilterItems);
  aChart.LeftAxis.LabelsFormat.Picture.Inside := False;
  aChart.LeftAxis.LabelsFormat.Picture.Left := 0;
  aChart.LeftAxis.LabelsFormat.Picture.Mode := pbmStretch;
  aChart.LeftAxis.LabelsFormat.Picture.Right := 0;
  aChart.LeftAxis.LabelsFormat.Picture.Top := 0;
  aChart.LeftAxis.LabelsFormat.RoundSize := 16;
  //aChart.LeftAxis.LabelsFormat.Shadow := (TTeeShadow);
  aChart.LeftAxis.LabelsFormat.Shadow.Clip := False;
  aChart.LeftAxis.LabelsFormat.Shadow.Color := clBlack;
  aChart.LeftAxis.LabelsFormat.Shadow.HorizSize := 3;
  aChart.LeftAxis.LabelsFormat.Shadow.Smooth := True;
  aChart.LeftAxis.LabelsFormat.Shadow.SmoothBlur := 0;
  aChart.LeftAxis.LabelsFormat.Shadow.Transparency := 50;
  aChart.LeftAxis.LabelsFormat.Shadow.VertSize := 3;
  aChart.LeftAxis.LabelsFormat.Shadow.Visible := True;
  aChart.LeftAxis.LabelsFormat.ShapeStyle := fosRectangle;
  aChart.LeftAxis.LabelsFormat.TextAlignment := taCenter;
  aChart.LeftAxis.LabelsFormat.TextFormat := ttfNormal;
  aChart.LeftAxis.LabelsFormat.Transparency := 0;
  aChart.LeftAxis.LabelsFormat.Transparent := True;
  aChart.LeftAxis.LabelsFormat.VertTextAlign := vtaCenter;
  aChart.LeftAxis.LabelsFormat.Visible := True;
  aChart.LeftAxis.LabelsGridIgnoresLabelSize := False;
  aChart.LeftAxis.LabelsMultiLine := False;
  aChart.LeftAxis.LabelsOnAxis := True;
  aChart.LeftAxis.LabelsSeparation := 100;
  aChart.LeftAxis.LabelsSize := 0;
  aChart.LeftAxis.LabelStyle := talAuto;
  aChart.LeftAxis.Logarithmic := False;
  aChart.LeftAxis.LogarithmicBase := 10;
  aChart.LeftAxis.Maximum := 0;
  aChart.LeftAxis.MaximumOffset := 0;
  aChart.LeftAxis.MaximumRound := False;
  aChart.LeftAxis.Minimum := 0;
  aChart.LeftAxis.MinimumOffset := 0;
  aChart.LeftAxis.MinimumRound := False;
  //aChart.LeftAxis.MinorGrid := (TTeeHiddenPen);
  aChart.LeftAxis.MinorGrid.Color := clBlack;
  aChart.LeftAxis.MinorGrid.EndStyle := esRound;
  //aChart.LeftAxis.MinorGrid.Fill := (TTeeBrush);
  aChart.LeftAxis.MinorGrid.Fill.BackColor := clNone;
  aChart.LeftAxis.MinorGrid.Fill.Color := clDefault;
  //aChart.LeftAxis.MinorGrid.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.MinorGrid.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.MinorGrid.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.MinorGrid.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.MinorGrid.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.MinorGrid.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.MinorGrid.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.MinorGrid.Fill.Style := bsSolid;
  aChart.LeftAxis.MinorGrid.JoinStyle := jsRound;
  aChart.LeftAxis.MinorGrid.Mode := pmCopy;
  aChart.LeftAxis.MinorGrid.SmallDots := False;
  aChart.LeftAxis.MinorGrid.SmallSpace := 0;
  aChart.LeftAxis.MinorGrid.Style := psSolid;
  aChart.LeftAxis.MinorGrid.Visible := False;
  aChart.LeftAxis.MinorGrid.Width := 1;
  aChart.LeftAxis.MinorTickCount := 3;
  aChart.LeftAxis.MinorTickLength := 2;
  //aChart.LeftAxis.MinorTicks := (TTicks);
  aChart.LeftAxis.MinorTicks.Color := clGray;
  aChart.LeftAxis.MinorTicks.EndStyle := esRound;
  //aChart.LeftAxis.MinorTicks.Fill := (TTeeBrush);
  aChart.LeftAxis.MinorTicks.Fill.BackColor := clNone;
  aChart.LeftAxis.MinorTicks.Fill.Color := clDefault;
  //aChart.LeftAxis.MinorTicks.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.MinorTicks.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.MinorTicks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.MinorTicks.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.MinorTicks.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.MinorTicks.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.MinorTicks.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.MinorTicks.Fill.Style := bsSolid;
  aChart.LeftAxis.MinorTicks.JoinStyle := jsRound;
  aChart.LeftAxis.MinorTicks.Mode := pmCopy;
  aChart.LeftAxis.MinorTicks.SmallDots := False;
  aChart.LeftAxis.MinorTicks.SmallSpace := 0;
  aChart.LeftAxis.MinorTicks.Style := psSolid;
  aChart.LeftAxis.MinorTicks.Visible := False;
  aChart.LeftAxis.MinorTicks.Width := 1;
  aChart.LeftAxis.OtherSide := False;
  aChart.LeftAxis.PartnerAxis := nil;
  aChart.LeftAxis.PositionPercent := 0;
  aChart.LeftAxis.PositionUnits := muPercent;
  aChart.LeftAxis.RoundFirstLabel := True;
  //aChart.LeftAxis.Shape := (TAxisBackShape);
  aChart.LeftAxis.Shape.Angle := 0;
  aChart.LeftAxis.Shape.Bevel := bvNone;
  aChart.LeftAxis.Shape.BevelWidth := 2;
  aChart.LeftAxis.Shape.ChildLayout := slTopBottom;
  //aChart.LeftAxis.Shape.Children := (TTeeShapes);
  aChart.LeftAxis.Shape.Color := clWhite;
  //aChart.LeftAxis.Shape.Corners := (TTeeCorners);
  //aChart.LeftAxis.Shape.Corners.LeftBottom := (TTeeCorner);
  aChart.LeftAxis.Shape.Corners.LeftBottom.Style := cosRound;
  //aChart.LeftAxis.Shape.Corners.LeftTop := (TTeeCorner);
  aChart.LeftAxis.Shape.Corners.LeftTop.Style := cosRound;
  //aChart.LeftAxis.Shape.Corners.RightBottom := (TTeeCorner);
  aChart.LeftAxis.Shape.Corners.RightBottom.Style := cosRound;
  //aChart.LeftAxis.Shape.Corners.RightTop := (TTeeCorner);
  aChart.LeftAxis.Shape.Corners.RightTop.Style := cosRound;
  //aChart.LeftAxis.Shape.Emboss := (TTeeEmboss);
  aChart.LeftAxis.Shape.Emboss.Clip := False;
  aChart.LeftAxis.Shape.Emboss.Color := clBlack;
  aChart.LeftAxis.Shape.Emboss.HorizSize := 3;
  aChart.LeftAxis.Shape.Emboss.Smooth := True;
  aChart.LeftAxis.Shape.Emboss.SmoothBlur := 0;
  aChart.LeftAxis.Shape.Emboss.Transparency := 50;
  aChart.LeftAxis.Shape.Emboss.VertSize := 3;
  aChart.LeftAxis.Shape.Emboss.Visible := False;
  //aChart.LeftAxis.Shape.Font := Arial, 8 , Normal;
  //aChart.LeftAxis.Shape.Font.Brush := (TTeeBrush);
  aChart.LeftAxis.Shape.Font.Brush.BackColor := clNone;
  aChart.LeftAxis.Shape.Font.Brush.Color := clBlack;
  //aChart.LeftAxis.Shape.Font.Brush.Gradient := (TTeeGradient);
  aChart.LeftAxis.Shape.Font.Brush.Gradient.Angle := 0;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.Balance := 50;
  //aChart.LeftAxis.Shape.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Shape.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.MidColor := clNone;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.RadialX := 0;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.RadialY := 0;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Shape.Font.Brush.Gradient.Visible := False;
  //aChart.LeftAxis.Shape.Font.Brush.Image := (TTeePicture);
  //aChart.LeftAxis.Shape.Font.Brush.Image.Filters := (TFilterItems);
  aChart.LeftAxis.Shape.Font.Brush.Style := bsSolid;
  aChart.LeftAxis.Shape.Font.Charset := 1;
  aChart.LeftAxis.Shape.Font.Color := clBlack;
  aChart.LeftAxis.Shape.Font.Depth := 0;
  //aChart.LeftAxis.Shape.Font.Emboss := (TTeeEmboss);
  aChart.LeftAxis.Shape.Font.Emboss.Clip := False;
  aChart.LeftAxis.Shape.Font.Emboss.Color := clSilver;
  aChart.LeftAxis.Shape.Font.Emboss.HorizSize := 0;
  aChart.LeftAxis.Shape.Font.Emboss.Smooth := True;
  aChart.LeftAxis.Shape.Font.Emboss.SmoothBlur := 0;
  aChart.LeftAxis.Shape.Font.Emboss.Transparency := 50;
  aChart.LeftAxis.Shape.Font.Emboss.VertSize := 0;
  aChart.LeftAxis.Shape.Font.Emboss.Visible := False;
  //aChart.LeftAxis.Shape.Font.Gradient := (TTeeGradient);
  aChart.LeftAxis.Shape.Font.Gradient.Angle := 0;
  aChart.LeftAxis.Shape.Font.Gradient.Balance := 50;
  //aChart.LeftAxis.Shape.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Shape.Font.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Shape.Font.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Shape.Font.Gradient.MidColor := clNone;
  aChart.LeftAxis.Shape.Font.Gradient.RadialX := 0;
  aChart.LeftAxis.Shape.Font.Gradient.RadialY := 0;
  aChart.LeftAxis.Shape.Font.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Shape.Font.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Shape.Font.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Shape.Font.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Shape.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Shape.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Shape.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Shape.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Shape.Font.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Shape.Font.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Shape.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Shape.Font.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Shape.Font.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Shape.Font.Gradient.Visible := False;
  aChart.LeftAxis.Shape.Font.Height := -11;
  aChart.LeftAxis.Shape.Font.InterCharSize := 0;
  //aChart.LeftAxis.Shape.Font.Name := Arial;
  aChart.LeftAxis.Shape.Font.Orientation := 0;
  //aChart.LeftAxis.Shape.Font.OutLine := (TTeeHiddenPen);
  aChart.LeftAxis.Shape.Font.OutLine.Color := clBlack;
  aChart.LeftAxis.Shape.Font.OutLine.EndStyle := esRound;
  //aChart.LeftAxis.Shape.Font.OutLine.Fill := (TTeeBrush);
  aChart.LeftAxis.Shape.Font.OutLine.Fill.BackColor := clNone;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Color := clDefault;
  //aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.Shape.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.Shape.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.Shape.Font.OutLine.Fill.Style := bsSolid;
  aChart.LeftAxis.Shape.Font.OutLine.JoinStyle := jsRound;
  aChart.LeftAxis.Shape.Font.OutLine.Mode := pmCopy;
  aChart.LeftAxis.Shape.Font.OutLine.SmallDots := False;
  aChart.LeftAxis.Shape.Font.OutLine.SmallSpace := 0;
  aChart.LeftAxis.Shape.Font.OutLine.Style := psSolid;
  aChart.LeftAxis.Shape.Font.OutLine.Visible := False;
  aChart.LeftAxis.Shape.Font.OutLine.Width := 1;
  //aChart.LeftAxis.Shape.Font.Picture := (TTeePicture);
  //aChart.LeftAxis.Shape.Font.Picture.Filters := (TFilterItems);
  aChart.LeftAxis.Shape.Font.Pitch := fpDefault;
  aChart.LeftAxis.Shape.Font.Quality := fqDefault;
  //aChart.LeftAxis.Shape.Font.Shadow := (TTeeShadow);
  aChart.LeftAxis.Shape.Font.Shadow.Clip := False;
  aChart.LeftAxis.Shape.Font.Shadow.Color := clSilver;
  aChart.LeftAxis.Shape.Font.Shadow.HorizSize := 0;
  aChart.LeftAxis.Shape.Font.Shadow.Smooth := True;
  aChart.LeftAxis.Shape.Font.Shadow.SmoothBlur := 0;
  aChart.LeftAxis.Shape.Font.Shadow.Transparency := 50;
  aChart.LeftAxis.Shape.Font.Shadow.VertSize := 0;
  aChart.LeftAxis.Shape.Font.Shadow.Visible := True;
  aChart.LeftAxis.Shape.Font.Size := 8;
  aChart.LeftAxis.Shape.Font.SizeFloat := 8;
  //aChart.LeftAxis.Shape.Font.Style := [TFontStyles];
  //aChart.LeftAxis.Shape.Font.Style.fsBold := False;
  //aChart.LeftAxis.Shape.Font.Style.fsItalic := False;
  //aChart.LeftAxis.Shape.Font.Style.fsUnderline := False;
  //aChart.LeftAxis.Shape.Font.Style.fsStrikeOut := False;
  //aChart.LeftAxis.Shape.Gradient := (TTeeGradient);
  aChart.LeftAxis.Shape.Gradient.Angle := 0;
  aChart.LeftAxis.Shape.Gradient.Balance := 50;
  //aChart.LeftAxis.Shape.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Shape.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Shape.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Shape.Gradient.MidColor := clNone;
  aChart.LeftAxis.Shape.Gradient.RadialX := 0;
  aChart.LeftAxis.Shape.Gradient.RadialY := 0;
  aChart.LeftAxis.Shape.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Shape.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Shape.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Shape.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Shape.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Shape.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Shape.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Shape.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Shape.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Shape.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Shape.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Shape.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Shape.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Shape.Gradient.Visible := False;
  //aChart.LeftAxis.Shape.Picture := (TBackImage);
  aChart.LeftAxis.Shape.Picture.Bottom := 0;
  aChart.LeftAxis.Shape.Picture.DrawQuality := sqHigh;
  //aChart.LeftAxis.Shape.Picture.Filters := (TFilterItems);
  aChart.LeftAxis.Shape.Picture.Inside := False;
  aChart.LeftAxis.Shape.Picture.Left := 0;
  aChart.LeftAxis.Shape.Picture.Mode := pbmStretch;
  aChart.LeftAxis.Shape.Picture.Right := 0;
  aChart.LeftAxis.Shape.Picture.Top := 0;
  aChart.LeftAxis.Shape.RoundSize := 16;
  //aChart.LeftAxis.Shape.Shadow := (TTeeShadow);
  aChart.LeftAxis.Shape.Shadow.Clip := False;
  aChart.LeftAxis.Shape.Shadow.Color := clBlack;
  aChart.LeftAxis.Shape.Shadow.HorizSize := 3;
  aChart.LeftAxis.Shape.Shadow.Smooth := True;
  aChart.LeftAxis.Shape.Shadow.SmoothBlur := 0;
  aChart.LeftAxis.Shape.Shadow.Transparency := 50;
  aChart.LeftAxis.Shape.Shadow.VertSize := 3;
  aChart.LeftAxis.Shape.Shadow.Visible := False;
  //aChart.LeftAxis.Shape.ShapeCallout := (TShapeCallout);
  aChart.LeftAxis.Shape.ShapeCallout.PointPosition := 50;
  aChart.LeftAxis.Shape.ShapeCallout.Position := 50;
  aChart.LeftAxis.Shape.ShapeCallout.Side := csNone;
  aChart.LeftAxis.Shape.ShapeCallout.Size := 25;
  aChart.LeftAxis.Shape.ShapeCallout.Width := 20;
  aChart.LeftAxis.Shape.ShapeStyle := fosRectangle;
  aChart.LeftAxis.Shape.Transparency := 0;
  aChart.LeftAxis.Shape.Transparent := False;
  aChart.LeftAxis.Shape.Visible := False;
  aChart.LeftAxis.StartPosition := 0;
  //aChart.LeftAxis.SubAxes := (TChartCustomAxes);
  aChart.LeftAxis.TickInnerLength := 0;
  aChart.LeftAxis.TickLength := 4;
  aChart.LeftAxis.TickOnLabelsOnly := True;
  //aChart.LeftAxis.Ticks := (TTicks);
  aChart.LeftAxis.Ticks.Color := clGray;
  aChart.LeftAxis.Ticks.EndStyle := esRound;
  //aChart.LeftAxis.Ticks.Fill := (TTeeBrush);
  aChart.LeftAxis.Ticks.Fill.BackColor := clNone;
  aChart.LeftAxis.Ticks.Fill.Color := clDefault;
  //aChart.LeftAxis.Ticks.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.Ticks.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.Ticks.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.Ticks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Ticks.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Ticks.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Ticks.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.Ticks.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.Ticks.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.Ticks.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Ticks.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Ticks.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.Ticks.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.Ticks.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.Ticks.Fill.Style := bsSolid;
  aChart.LeftAxis.Ticks.JoinStyle := jsRound;
  aChart.LeftAxis.Ticks.Mode := pmCopy;
  aChart.LeftAxis.Ticks.SmallDots := False;
  aChart.LeftAxis.Ticks.SmallSpace := 0;
  aChart.LeftAxis.Ticks.Style := psSolid;
  aChart.LeftAxis.Ticks.Visible := False;
  aChart.LeftAxis.Ticks.Width := 1;
  //aChart.LeftAxis.TicksInner := (TTicks);
  aChart.LeftAxis.TicksInner.Color := clGray;
  aChart.LeftAxis.TicksInner.EndStyle := esRound;
  //aChart.LeftAxis.TicksInner.Fill := (TTeeBrush);
  aChart.LeftAxis.TicksInner.Fill.BackColor := clNone;
  aChart.LeftAxis.TicksInner.Fill.Color := clDefault;
  //aChart.LeftAxis.TicksInner.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.TicksInner.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.TicksInner.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.TicksInner.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.TicksInner.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.TicksInner.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.TicksInner.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.TicksInner.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.TicksInner.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.TicksInner.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.TicksInner.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.TicksInner.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.TicksInner.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.TicksInner.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.TicksInner.Fill.Style := bsSolid;
  aChart.LeftAxis.TicksInner.JoinStyle := jsRound;
  aChart.LeftAxis.TicksInner.Mode := pmCopy;
  aChart.LeftAxis.TicksInner.SmallDots := False;
  aChart.LeftAxis.TicksInner.SmallSpace := 0;
  aChart.LeftAxis.TicksInner.Style := psSolid;
  aChart.LeftAxis.TicksInner.Visible := False;
  aChart.LeftAxis.TicksInner.Width := 1;
  //aChart.LeftAxis.Title := (TChartAxisTitle);
  aChart.LeftAxis.Title.Angle := 90;
  aChart.LeftAxis.Title.Bevel := bvNone;
  aChart.LeftAxis.Title.BevelWidth := 2;
  //aChart.LeftAxis.Title.Brush := (TTeeBrush);
  aChart.LeftAxis.Title.Brush.BackColor := clNone;
  aChart.LeftAxis.Title.Brush.Color := clDefault;
  //aChart.LeftAxis.Title.Brush.Gradient := (TTeeGradient);
  aChart.LeftAxis.Title.Brush.Gradient.Angle := 0;
  aChart.LeftAxis.Title.Brush.Gradient.Balance := 50;
  //aChart.LeftAxis.Title.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Brush.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Brush.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Brush.Gradient.MidColor := clNone;
  aChart.LeftAxis.Title.Brush.Gradient.RadialX := 0;
  aChart.LeftAxis.Title.Brush.Gradient.RadialY := 0;
  aChart.LeftAxis.Title.Brush.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Title.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Title.Brush.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Title.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Title.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Title.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Title.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Title.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Title.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Title.Brush.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Title.Brush.Gradient.Visible := False;
  //aChart.LeftAxis.Title.Brush.Image := (TTeePicture);
  //aChart.LeftAxis.Title.Brush.Image.Filters := (TFilterItems);
  aChart.LeftAxis.Title.Brush.Style := bsSolid;
  //aChart.LeftAxis.Title.Caption := ;
  aChart.LeftAxis.Title.ChildLayout := slTopBottom;
  //aChart.LeftAxis.Title.Children := (TTeeShapes);
  aChart.LeftAxis.Title.Color := clWhite;
  //aChart.LeftAxis.Title.Emboss := (TTeeEmboss);
  aChart.LeftAxis.Title.Emboss.Clip := False;
  aChart.LeftAxis.Title.Emboss.Color := clBlack;
  aChart.LeftAxis.Title.Emboss.HorizSize := 3;
  aChart.LeftAxis.Title.Emboss.Smooth := True;
  aChart.LeftAxis.Title.Emboss.SmoothBlur := 0;
  aChart.LeftAxis.Title.Emboss.Transparency := 50;
  aChart.LeftAxis.Title.Emboss.VertSize := 3;
  aChart.LeftAxis.Title.Emboss.Visible := False;
  //aChart.LeftAxis.Title.Font := Arial, 10 , Bold;
  //aChart.LeftAxis.Title.Font.Brush := (TTeeBrush);
  aChart.LeftAxis.Title.Font.Brush.BackColor := clNone;
  aChart.LeftAxis.Title.Font.Brush.Color := clBlack;
  //aChart.LeftAxis.Title.Font.Brush.Gradient := (TTeeGradient);
  aChart.LeftAxis.Title.Font.Brush.Gradient.Angle := 0;
  aChart.LeftAxis.Title.Font.Brush.Gradient.Balance := 50;
  //aChart.LeftAxis.Title.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Font.Brush.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Font.Brush.Gradient.MidColor := clNone;
  aChart.LeftAxis.Title.Font.Brush.Gradient.RadialX := 0;
  aChart.LeftAxis.Title.Font.Brush.Gradient.RadialY := 0;
  aChart.LeftAxis.Title.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Title.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Title.Font.Brush.Gradient.Visible := False;
  //aChart.LeftAxis.Title.Font.Brush.Image := (TTeePicture);
  //aChart.LeftAxis.Title.Font.Brush.Image.Filters := (TFilterItems);
  aChart.LeftAxis.Title.Font.Brush.Style := bsSolid;
  aChart.LeftAxis.Title.Font.Charset := 1;
  aChart.LeftAxis.Title.Font.Color := clBlack;
  aChart.LeftAxis.Title.Font.Depth := 0;
  //aChart.LeftAxis.Title.Font.Emboss := (TTeeEmboss);
  aChart.LeftAxis.Title.Font.Emboss.Clip := False;
  aChart.LeftAxis.Title.Font.Emboss.Color := clSilver;
  aChart.LeftAxis.Title.Font.Emboss.HorizSize := 0;
  aChart.LeftAxis.Title.Font.Emboss.Smooth := True;
  aChart.LeftAxis.Title.Font.Emboss.SmoothBlur := 0;
  aChart.LeftAxis.Title.Font.Emboss.Transparency := 50;
  aChart.LeftAxis.Title.Font.Emboss.VertSize := 0;
  aChart.LeftAxis.Title.Font.Emboss.Visible := False;
  //aChart.LeftAxis.Title.Font.Gradient := (TTeeGradient);
  aChart.LeftAxis.Title.Font.Gradient.Angle := 0;
  aChart.LeftAxis.Title.Font.Gradient.Balance := 50;
  //aChart.LeftAxis.Title.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Font.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Font.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Font.Gradient.MidColor := clNone;
  aChart.LeftAxis.Title.Font.Gradient.RadialX := 0;
  aChart.LeftAxis.Title.Font.Gradient.RadialY := 0;
  aChart.LeftAxis.Title.Font.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Title.Font.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Title.Font.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Title.Font.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Title.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Title.Font.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Title.Font.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Title.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Title.Font.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Title.Font.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Title.Font.Gradient.Visible := False;
  aChart.LeftAxis.Title.Font.Height := -13;
  aChart.LeftAxis.Title.Font.InterCharSize := 0;
  //aChart.LeftAxis.Title.Font.Name := Arial;
  aChart.LeftAxis.Title.Font.Orientation := 0;
  //aChart.LeftAxis.Title.Font.OutLine := (TTeeHiddenPen);
  aChart.LeftAxis.Title.Font.OutLine.Color := clBlack;
  aChart.LeftAxis.Title.Font.OutLine.EndStyle := esRound;
  //aChart.LeftAxis.Title.Font.OutLine.Fill := (TTeeBrush);
  aChart.LeftAxis.Title.Font.OutLine.Fill.BackColor := clNone;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Color := clDefault;
  //aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Title.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.Title.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.Title.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.Title.Font.OutLine.Fill.Style := bsSolid;
  aChart.LeftAxis.Title.Font.OutLine.JoinStyle := jsRound;
  aChart.LeftAxis.Title.Font.OutLine.Mode := pmCopy;
  aChart.LeftAxis.Title.Font.OutLine.SmallDots := False;
  aChart.LeftAxis.Title.Font.OutLine.SmallSpace := 0;
  aChart.LeftAxis.Title.Font.OutLine.Style := psSolid;
  aChart.LeftAxis.Title.Font.OutLine.Visible := False;
  aChart.LeftAxis.Title.Font.OutLine.Width := 1;
  //aChart.LeftAxis.Title.Font.Picture := (TTeePicture);
  //aChart.LeftAxis.Title.Font.Picture.Filters := (TFilterItems);
  aChart.LeftAxis.Title.Font.Pitch := fpDefault;
  aChart.LeftAxis.Title.Font.Quality := fqDefault;
  //aChart.LeftAxis.Title.Font.Shadow := (TTeeShadow);
  aChart.LeftAxis.Title.Font.Shadow.Clip := False;
  aChart.LeftAxis.Title.Font.Shadow.Color := clSilver;
  aChart.LeftAxis.Title.Font.Shadow.HorizSize := 0;
  aChart.LeftAxis.Title.Font.Shadow.Smooth := True;
  aChart.LeftAxis.Title.Font.Shadow.SmoothBlur := 0;
  aChart.LeftAxis.Title.Font.Shadow.Transparency := 50;
  aChart.LeftAxis.Title.Font.Shadow.VertSize := 0;
  aChart.LeftAxis.Title.Font.Shadow.Visible := True;
  aChart.LeftAxis.Title.Font.Size := 10;
  aChart.LeftAxis.Title.Font.SizeFloat := 10;
  //aChart.LeftAxis.Title.Font.Style := [TFontStyles];
  //aChart.LeftAxis.Title.Font.Style.fsBold := True;
  //aChart.LeftAxis.Title.Font.Style.fsItalic := False;
  //aChart.LeftAxis.Title.Font.Style.fsUnderline := False;
  //aChart.LeftAxis.Title.Font.Style.fsStrikeOut := False;
  //aChart.LeftAxis.Title.Gradient := (TTeeGradient);
  aChart.LeftAxis.Title.Gradient.Angle := 0;
  aChart.LeftAxis.Title.Gradient.Balance := 50;
  //aChart.LeftAxis.Title.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Gradient.MidColor := clNone;
  aChart.LeftAxis.Title.Gradient.RadialX := 0;
  aChart.LeftAxis.Title.Gradient.RadialY := 0;
  aChart.LeftAxis.Title.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Title.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Title.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Title.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Title.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Title.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Title.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Title.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Title.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Title.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Title.Gradient.Visible := False;
  //aChart.LeftAxis.Title.Pen := (TTeePen);
  aChart.LeftAxis.Title.Pen.Color := clBlack;
  aChart.LeftAxis.Title.Pen.EndStyle := esRound;
  //aChart.LeftAxis.Title.Pen.Fill := (TTeeBrush);
  aChart.LeftAxis.Title.Pen.Fill.BackColor := clNone;
  aChart.LeftAxis.Title.Pen.Fill.Color := clDefault;
  //aChart.LeftAxis.Title.Pen.Fill.Gradient := (TTeeGradient);
  aChart.LeftAxis.Title.Pen.Fill.Gradient.Angle := 0;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.Balance := 50;
  //aChart.LeftAxis.Title.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.MidColor := clNone;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.RadialX := 0;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.RadialY := 0;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftAxis.Title.Pen.Fill.Gradient.Visible := False;
  //aChart.LeftAxis.Title.Pen.Fill.Image := (TTeePicture);
  //aChart.LeftAxis.Title.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.LeftAxis.Title.Pen.Fill.Style := bsSolid;
  aChart.LeftAxis.Title.Pen.JoinStyle := jsRound;
  aChart.LeftAxis.Title.Pen.Mode := pmCopy;
  aChart.LeftAxis.Title.Pen.SmallDots := False;
  aChart.LeftAxis.Title.Pen.SmallSpace := 0;
  aChart.LeftAxis.Title.Pen.Style := psSolid;
  aChart.LeftAxis.Title.Pen.Visible := True;
  aChart.LeftAxis.Title.Pen.Width := 1;
  //aChart.LeftAxis.Title.Picture := (TBackImage);
  aChart.LeftAxis.Title.Picture.Bottom := 0;
  aChart.LeftAxis.Title.Picture.DrawQuality := sqHigh;
  //aChart.LeftAxis.Title.Picture.Filters := (TFilterItems);
  aChart.LeftAxis.Title.Picture.Inside := False;
  aChart.LeftAxis.Title.Picture.Left := 0;
  aChart.LeftAxis.Title.Picture.Mode := pbmStretch;
  aChart.LeftAxis.Title.Picture.Right := 0;
  aChart.LeftAxis.Title.Picture.Top := 0;
  aChart.LeftAxis.Title.Position := tpCenter;
  aChart.LeftAxis.Title.RoundSize := 16;
  //aChart.LeftAxis.Title.Shadow := (TTeeShadow);
  aChart.LeftAxis.Title.Shadow.Clip := False;
  aChart.LeftAxis.Title.Shadow.Color := clBlack;
  aChart.LeftAxis.Title.Shadow.HorizSize := 3;
  aChart.LeftAxis.Title.Shadow.Smooth := True;
  aChart.LeftAxis.Title.Shadow.SmoothBlur := 0;
  aChart.LeftAxis.Title.Shadow.Transparency := 50;
  aChart.LeftAxis.Title.Shadow.VertSize := 3;
  aChart.LeftAxis.Title.Shadow.Visible := True;
  //aChart.LeftAxis.Title.ShapeCallout := (TShapeCallout);
  aChart.LeftAxis.Title.ShapeCallout.PointPosition := 50;
  aChart.LeftAxis.Title.ShapeCallout.Position := 50;
  aChart.LeftAxis.Title.ShapeCallout.Side := csNone;
  aChart.LeftAxis.Title.ShapeCallout.Size := 25;
  aChart.LeftAxis.Title.ShapeCallout.Width := 20;
  aChart.LeftAxis.Title.ShapeStyle := fosRectangle;
  aChart.LeftAxis.Title.TextAlignment := taCenter;
  aChart.LeftAxis.Title.Transparency := 0;
  aChart.LeftAxis.Title.Transparent := True;
  aChart.LeftAxis.Title.Visible := True;
  aChart.LeftAxis.TitleSize := 0;
  aChart.LeftAxis.UsePartnerAxis := False;
  aChart.LeftAxis.Visible := True;
  aChart.LeftAxis.ZPosition := 0;
  //aChart.LeftWall := (TChartLeftWall);
  aChart.LeftWall.AutoHide := False;
  //aChart.LeftWall.Brush := (TTeeBrush);
  aChart.LeftWall.Brush.BackColor := clNone;
  aChart.LeftWall.Brush.Color := clDefault;
  //aChart.LeftWall.Brush.Gradient := (TTeeGradient);
  aChart.LeftWall.Brush.Gradient.Angle := 0;
  aChart.LeftWall.Brush.Gradient.Balance := 50;
  //aChart.LeftWall.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftWall.Brush.Gradient.Direction := gdTopBottom;
  aChart.LeftWall.Brush.Gradient.EndColor := clYellow;
  aChart.LeftWall.Brush.Gradient.MidColor := clNone;
  aChart.LeftWall.Brush.Gradient.RadialX := 0;
  aChart.LeftWall.Brush.Gradient.RadialY := 0;
  aChart.LeftWall.Brush.Gradient.StartColor := clWhite;
  //aChart.LeftWall.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.LeftWall.Brush.Gradient.SubGradient.Angle := 0;
  aChart.LeftWall.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.LeftWall.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftWall.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftWall.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftWall.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftWall.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.LeftWall.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.LeftWall.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftWall.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.LeftWall.Brush.Gradient.SubGradient.Visible := False;
  aChart.LeftWall.Brush.Gradient.Visible := False;
  //aChart.LeftWall.Brush.Image := (TTeePicture);
  //aChart.LeftWall.Brush.Image.Filters := (TFilterItems);
  aChart.LeftWall.Brush.Style := bsSolid;
  aChart.LeftWall.Color := clWhite;
  aChart.LeftWall.Dark3D := True;
  aChart.LeftWall.EndPosition := 100;
  //aChart.LeftWall.Gradient := (TTeeGradient);
  aChart.LeftWall.Gradient.Angle := 0;
  aChart.LeftWall.Gradient.Balance := 50;
  //aChart.LeftWall.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftWall.Gradient.Direction := gdTopBottom;
  aChart.LeftWall.Gradient.EndColor := clYellow;
  aChart.LeftWall.Gradient.MidColor := clNone;
  aChart.LeftWall.Gradient.RadialX := 0;
  aChart.LeftWall.Gradient.RadialY := 0;
  aChart.LeftWall.Gradient.StartColor := clWhite;
  //aChart.LeftWall.Gradient.SubGradient := (TSubGradient);
  aChart.LeftWall.Gradient.SubGradient.Angle := 0;
  aChart.LeftWall.Gradient.SubGradient.Balance := 50;
  //aChart.LeftWall.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftWall.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftWall.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftWall.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftWall.Gradient.SubGradient.RadialX := 0;
  aChart.LeftWall.Gradient.SubGradient.RadialY := 0;
  aChart.LeftWall.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftWall.Gradient.SubGradient.Transparency := 50;
  aChart.LeftWall.Gradient.SubGradient.Visible := False;
  aChart.LeftWall.Gradient.Visible := False;
  //aChart.LeftWall.Pen := (TTeePen);
  aChart.LeftWall.Pen.Color := clBlack;
  aChart.LeftWall.Pen.EndStyle := esRound;
  //aChart.LeftWall.Pen.Fill := (TTeeBrush);
  aChart.LeftWall.Pen.Fill.BackColor := clNone;
  aChart.LeftWall.Pen.Fill.Color := clDefault;
  //aChart.LeftWall.Pen.Fill.Gradient := (TTeeGradient);
  aChart.LeftWall.Pen.Fill.Gradient.Angle := 0;
  aChart.LeftWall.Pen.Fill.Gradient.Balance := 50;
  //aChart.LeftWall.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.LeftWall.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.LeftWall.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.LeftWall.Pen.Fill.Gradient.MidColor := clNone;
  aChart.LeftWall.Pen.Fill.Gradient.RadialX := 0;
  aChart.LeftWall.Pen.Fill.Gradient.RadialY := 0;
  aChart.LeftWall.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.LeftWall.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.LeftWall.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.LeftWall.Pen.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.LeftWall.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.LeftWall.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.LeftWall.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.LeftWall.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.LeftWall.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.LeftWall.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.LeftWall.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.LeftWall.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.LeftWall.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.LeftWall.Pen.Fill.Gradient.Visible := False;
  //aChart.LeftWall.Pen.Fill.Image := (TTeePicture);
  //aChart.LeftWall.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.LeftWall.Pen.Fill.Style := bsSolid;
  aChart.LeftWall.Pen.JoinStyle := jsRound;
  aChart.LeftWall.Pen.Mode := pmCopy;
  aChart.LeftWall.Pen.SmallDots := False;
  aChart.LeftWall.Pen.SmallSpace := 0;
  aChart.LeftWall.Pen.Style := psSolid;
  aChart.LeftWall.Pen.Visible := True;
  aChart.LeftWall.Pen.Width := 1;
  //aChart.LeftWall.Picture := (TBackImage);
  aChart.LeftWall.Picture.Bottom := 0;
  aChart.LeftWall.Picture.DrawQuality := sqHigh;
  //aChart.LeftWall.Picture.Filters := (TFilterItems);
  aChart.LeftWall.Picture.Inside := False;
  aChart.LeftWall.Picture.Left := 0;
  aChart.LeftWall.Picture.Mode := pbmStretch;
  aChart.LeftWall.Picture.Right := 0;
  aChart.LeftWall.Picture.Top := 0;
  aChart.LeftWall.RoundSize := 16;
  aChart.LeftWall.Size := 0;
  aChart.LeftWall.StartPosition := 0;
  aChart.LeftWall.Transparency := 0;
  aChart.LeftWall.Transparent := False;
  aChart.LeftWall.Visible := True;
  //aChart.Legend := (TChartLegend);
  aChart.Legend.Alignment := laRight;
  aChart.Legend.Bevel := bvNone;
  aChart.Legend.BevelWidth := 2;
  //aChart.Legend.Brush := (TTeeBrush);
  aChart.Legend.Brush.BackColor := clNone;
  aChart.Legend.Brush.Color := clDefault;
  //aChart.Legend.Brush.Gradient := (TTeeGradient);
  aChart.Legend.Brush.Gradient.Angle := 0;
  aChart.Legend.Brush.Gradient.Balance := 50;
  //aChart.Legend.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Brush.Gradient.Direction := gdRightLeft;
  aChart.Legend.Brush.Gradient.EndColor := clWhite;
  aChart.Legend.Brush.Gradient.MidColor := clNone;
  aChart.Legend.Brush.Gradient.RadialX := 0;
  aChart.Legend.Brush.Gradient.RadialY := 0;
  aChart.Legend.Brush.Gradient.StartColor := clSilver;
  //aChart.Legend.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Brush.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Brush.Gradient.SubGradient.Visible := False;
  aChart.Legend.Brush.Gradient.Visible := False;
  //aChart.Legend.Brush.Image := (TTeePicture);
  //aChart.Legend.Brush.Image.Filters := (TFilterItems);
  aChart.Legend.Brush.Style := bsSolid;
  aChart.Legend.CheckBoxes := False;
  aChart.Legend.CheckBoxesStyle := cbsCheck;
  //aChart.Legend.Children := (TTeeShapes);
  aChart.Legend.ClipText := True;
  aChart.Legend.Color := clWhite;
  aChart.Legend.ColorWidth := 20;
  aChart.Legend.CurrentPage := True;
  aChart.Legend.Cursor := crDefault;
  aChart.Legend.CustomPosition := False;
  //aChart.Legend.DividingLines := (TTeeHiddenPen);
  aChart.Legend.DividingLines.Color := clBlack;
  aChart.Legend.DividingLines.EndStyle := esRound;
  //aChart.Legend.DividingLines.Fill := (TTeeBrush);
  aChart.Legend.DividingLines.Fill.BackColor := clNone;
  aChart.Legend.DividingLines.Fill.Color := clDefault;
  //aChart.Legend.DividingLines.Fill.Gradient := (TTeeGradient);
  aChart.Legend.DividingLines.Fill.Gradient.Angle := 0;
  aChart.Legend.DividingLines.Fill.Gradient.Balance := 50;
  //aChart.Legend.DividingLines.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.DividingLines.Fill.Gradient.Direction := gdTopBottom;
  aChart.Legend.DividingLines.Fill.Gradient.EndColor := clYellow;
  aChart.Legend.DividingLines.Fill.Gradient.MidColor := clNone;
  aChart.Legend.DividingLines.Fill.Gradient.RadialX := 0;
  aChart.Legend.DividingLines.Fill.Gradient.RadialY := 0;
  aChart.Legend.DividingLines.Fill.Gradient.StartColor := clWhite;
  //aChart.Legend.DividingLines.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.DividingLines.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Legend.DividingLines.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.DividingLines.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.DividingLines.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.DividingLines.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.DividingLines.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.DividingLines.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.DividingLines.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.DividingLines.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.DividingLines.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.DividingLines.Fill.Gradient.SubGradient.Visible := False;
  aChart.Legend.DividingLines.Fill.Gradient.Visible := False;
  //aChart.Legend.DividingLines.Fill.Image := (TTeePicture);
  //aChart.Legend.DividingLines.Fill.Image.Filters := (TFilterItems);
  aChart.Legend.DividingLines.Fill.Style := bsSolid;
  aChart.Legend.DividingLines.JoinStyle := jsRound;
  aChart.Legend.DividingLines.Mode := pmCopy;
  aChart.Legend.DividingLines.SmallDots := False;
  aChart.Legend.DividingLines.SmallSpace := 0;
  aChart.Legend.DividingLines.Style := psSolid;
  aChart.Legend.DividingLines.Visible := False;
  aChart.Legend.DividingLines.Width := 1;
  aChart.Legend.DrawBehind := False;
  //aChart.Legend.Emboss := (TTeeEmboss);
  aChart.Legend.Emboss.Clip := False;
  aChart.Legend.Emboss.Color := clBlack;
  aChart.Legend.Emboss.HorizSize := 3;
  aChart.Legend.Emboss.Smooth := True;
  aChart.Legend.Emboss.SmoothBlur := 0;
  aChart.Legend.Emboss.Transparency := 50;
  aChart.Legend.Emboss.VertSize := 3;
  aChart.Legend.Emboss.Visible := False;
  aChart.Legend.FirstValue := 0;
  //aChart.Legend.Font := Arial, 9 , Normal;
  //aChart.Legend.Font.Brush := (TTeeBrush);
  aChart.Legend.Font.Brush.BackColor := clNone;
  aChart.Legend.Font.Brush.Color := clBlack;
  //aChart.Legend.Font.Brush.Gradient := (TTeeGradient);
  aChart.Legend.Font.Brush.Gradient.Angle := 0;
  aChart.Legend.Font.Brush.Gradient.Balance := 50;
  //aChart.Legend.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.Legend.Font.Brush.Gradient.EndColor := clYellow;
  aChart.Legend.Font.Brush.Gradient.MidColor := clNone;
  aChart.Legend.Font.Brush.Gradient.RadialX := 0;
  aChart.Legend.Font.Brush.Gradient.RadialY := 0;
  aChart.Legend.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.Legend.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.Legend.Font.Brush.Gradient.Visible := False;
  //aChart.Legend.Font.Brush.Image := (TTeePicture);
  //aChart.Legend.Font.Brush.Image.Filters := (TFilterItems);
  aChart.Legend.Font.Brush.Style := bsSolid;
  aChart.Legend.Font.Charset := 1;
  aChart.Legend.Font.Color := clBlack;
  aChart.Legend.Font.Depth := 0;
  //aChart.Legend.Font.Emboss := (TTeeEmboss);
  aChart.Legend.Font.Emboss.Clip := False;
  aChart.Legend.Font.Emboss.Color := clSilver;
  aChart.Legend.Font.Emboss.HorizSize := 0;
  aChart.Legend.Font.Emboss.Smooth := True;
  aChart.Legend.Font.Emboss.SmoothBlur := 0;
  aChart.Legend.Font.Emboss.Transparency := 50;
  aChart.Legend.Font.Emboss.VertSize := 0;
  aChart.Legend.Font.Emboss.Visible := False;
  //aChart.Legend.Font.Gradient := (TTeeGradient);
  aChart.Legend.Font.Gradient.Angle := 0;
  aChart.Legend.Font.Gradient.Balance := 50;
  //aChart.Legend.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Font.Gradient.Direction := gdTopBottom;
  aChart.Legend.Font.Gradient.EndColor := clYellow;
  aChart.Legend.Font.Gradient.MidColor := clNone;
  aChart.Legend.Font.Gradient.RadialX := 0;
  aChart.Legend.Font.Gradient.RadialY := 0;
  aChart.Legend.Font.Gradient.StartColor := clWhite;
  //aChart.Legend.Font.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Font.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Font.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Font.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Font.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Font.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Font.Gradient.SubGradient.Visible := False;
  aChart.Legend.Font.Gradient.Visible := False;
  aChart.Legend.Font.Height := -12;
  aChart.Legend.Font.InterCharSize := 0;
  //aChart.Legend.Font.Name := Arial;
  aChart.Legend.Font.Orientation := 0;
  //aChart.Legend.Font.OutLine := (TTeeHiddenPen);
  aChart.Legend.Font.OutLine.Color := clBlack;
  aChart.Legend.Font.OutLine.EndStyle := esRound;
  //aChart.Legend.Font.OutLine.Fill := (TTeeBrush);
  aChart.Legend.Font.OutLine.Fill.BackColor := clNone;
  aChart.Legend.Font.OutLine.Fill.Color := clDefault;
  //aChart.Legend.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.Legend.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.Legend.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.Legend.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.Legend.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.Legend.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.Legend.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.Legend.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.Legend.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.Legend.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.Legend.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.Legend.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.Legend.Font.OutLine.Fill.Style := bsSolid;
  aChart.Legend.Font.OutLine.JoinStyle := jsRound;
  aChart.Legend.Font.OutLine.Mode := pmCopy;
  aChart.Legend.Font.OutLine.SmallDots := False;
  aChart.Legend.Font.OutLine.SmallSpace := 0;
  aChart.Legend.Font.OutLine.Style := psSolid;
  aChart.Legend.Font.OutLine.Visible := False;
  aChart.Legend.Font.OutLine.Width := 1;
  //aChart.Legend.Font.Picture := (TTeePicture);
  //aChart.Legend.Font.Picture.Filters := (TFilterItems);
  aChart.Legend.Font.Pitch := fpDefault;
  aChart.Legend.Font.Quality := fqDefault;
  //aChart.Legend.Font.Shadow := (TTeeShadow);
  aChart.Legend.Font.Shadow.Clip := False;
  aChart.Legend.Font.Shadow.Color := clSilver;
  aChart.Legend.Font.Shadow.HorizSize := 0;
  aChart.Legend.Font.Shadow.Smooth := True;
  aChart.Legend.Font.Shadow.SmoothBlur := 0;
  aChart.Legend.Font.Shadow.Transparency := 50;
  aChart.Legend.Font.Shadow.VertSize := 0;
  aChart.Legend.Font.Shadow.Visible := True;
  aChart.Legend.Font.Size := 9;
  aChart.Legend.Font.SizeFloat := 9;
  //aChart.Legend.Font.Style := [TFontStyles];
  //aChart.Legend.Font.Style.fsBold := False;
  //aChart.Legend.Font.Style.fsItalic := False;
  //aChart.Legend.Font.Style.fsUnderline := False;
  //aChart.Legend.Font.Style.fsStrikeOut := False;
  aChart.Legend.FontSeriesColor := False;
  //aChart.Legend.Frame := (TTeePen);
  aChart.Legend.Frame.Color := clBlack;
  aChart.Legend.Frame.EndStyle := esRound;
  //aChart.Legend.Frame.Fill := (TTeeBrush);
  aChart.Legend.Frame.Fill.BackColor := clNone;
  aChart.Legend.Frame.Fill.Color := clDefault;
  //aChart.Legend.Frame.Fill.Gradient := (TTeeGradient);
  aChart.Legend.Frame.Fill.Gradient.Angle := 0;
  aChart.Legend.Frame.Fill.Gradient.Balance := 50;
  //aChart.Legend.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.Legend.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.Legend.Frame.Fill.Gradient.MidColor := clNone;
  aChart.Legend.Frame.Fill.Gradient.RadialX := 0;
  aChart.Legend.Frame.Fill.Gradient.RadialY := 0;
  aChart.Legend.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.Legend.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.Legend.Frame.Fill.Gradient.Visible := False;
  //aChart.Legend.Frame.Fill.Image := (TTeePicture);
  //aChart.Legend.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.Legend.Frame.Fill.Style := bsSolid;
  aChart.Legend.Frame.JoinStyle := jsRound;
  aChart.Legend.Frame.Mode := pmCopy;
  aChart.Legend.Frame.SmallDots := False;
  aChart.Legend.Frame.SmallSpace := 0;
  aChart.Legend.Frame.Style := psSolid;
  aChart.Legend.Frame.Visible := False;
  aChart.Legend.Frame.Width := 1;
  aChart.Legend.GlobalTransparency := 0;
  //aChart.Legend.Gradient := (TTeeGradient);
  aChart.Legend.Gradient.Angle := 0;
  aChart.Legend.Gradient.Balance := 50;
  //aChart.Legend.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Gradient.Direction := gdRightLeft;
  aChart.Legend.Gradient.EndColor := clWhite;
  aChart.Legend.Gradient.MidColor := clNone;
  aChart.Legend.Gradient.RadialX := 0;
  aChart.Legend.Gradient.RadialY := 0;
  aChart.Legend.Gradient.StartColor := clSilver;
  //aChart.Legend.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Gradient.SubGradient.Visible := False;
  aChart.Legend.Gradient.Visible := False;
  aChart.Legend.HorizMargin := 0;
  aChart.Legend.Inverted := False;
  aChart.Legend.Left := 0;
  aChart.Legend.LeftPercent := 0;
  aChart.Legend.LegendStyle := lsAuto;
  //aChart.Legend.Margins := (TMargins);
  aChart.Legend.Margins.Bottom := 5;
  aChart.Legend.Margins.Left := 10;
  aChart.Legend.Margins.Right := 10;
  aChart.Legend.Margins.Top := 5;
  aChart.Legend.Margins.Units := maPercentFont;
  aChart.Legend.MaxNumRows := 0;
  //aChart.Legend.Picture := (TBackImage);
  aChart.Legend.Picture.Bottom := 0;
  aChart.Legend.Picture.DrawQuality := sqHigh;
  //aChart.Legend.Picture.Filters := (TFilterItems);
  aChart.Legend.Picture.Inside := False;
  aChart.Legend.Picture.Left := 0;
  aChart.Legend.Picture.Mode := pbmStretch;
  aChart.Legend.Picture.Right := 0;
  aChart.Legend.Picture.Top := 0;
  aChart.Legend.PositionUnits := muPixels;
  aChart.Legend.ResizeChart := True;
  aChart.Legend.RoundSize := 16;
  //aChart.Legend.Shadow := (TTeeShadow);
  aChart.Legend.Shadow.Clip := False;
  aChart.Legend.Shadow.Color := clBlack;
  aChart.Legend.Shadow.HorizSize := 3;
  aChart.Legend.Shadow.Smooth := True;
  aChart.Legend.Shadow.SmoothBlur := 0;
  aChart.Legend.Shadow.Transparency := 50;
  aChart.Legend.Shadow.VertSize := 3;
  aChart.Legend.Shadow.Visible := False;
  //aChart.Legend.ShapeCallout := (TShapeCallout);
  aChart.Legend.ShapeCallout.PointPosition := 50;
  aChart.Legend.ShapeCallout.Position := 50;
  aChart.Legend.ShapeCallout.Side := csNone;
  aChart.Legend.ShapeCallout.Size := 25;
  aChart.Legend.ShapeCallout.Width := 20;
  aChart.Legend.ShapeStyle := fosRectangle;
  //aChart.Legend.Symbol := (TLegendSymbol);
  aChart.Legend.Symbol.Continuous := False;
  aChart.Legend.Symbol.DefaultPen := True;
  //aChart.Legend.Symbol.Emboss := (TTeeEmboss);
  aChart.Legend.Symbol.Emboss.Clip := False;
  aChart.Legend.Symbol.Emboss.Color := clSilver;
  aChart.Legend.Symbol.Emboss.HorizSize := 1;
  aChart.Legend.Symbol.Emboss.Smooth := True;
  aChart.Legend.Symbol.Emboss.SmoothBlur := 0;
  aChart.Legend.Symbol.Emboss.Transparency := 50;
  aChart.Legend.Symbol.Emboss.VertSize := 1;
  aChart.Legend.Symbol.Emboss.Visible := False;
  //aChart.Legend.Symbol.Gradient := (TTeeGradient);
  aChart.Legend.Symbol.Gradient.Angle := 0;
  aChart.Legend.Symbol.Gradient.Balance := 50;
  //aChart.Legend.Symbol.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Symbol.Gradient.Direction := gdTopBottom;
  aChart.Legend.Symbol.Gradient.EndColor := clYellow;
  aChart.Legend.Symbol.Gradient.MidColor := clNone;
  aChart.Legend.Symbol.Gradient.RadialX := 0;
  aChart.Legend.Symbol.Gradient.RadialY := 0;
  aChart.Legend.Symbol.Gradient.StartColor := clWhite;
  //aChart.Legend.Symbol.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Symbol.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Symbol.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Symbol.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Symbol.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Symbol.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Symbol.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Symbol.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Symbol.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Symbol.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Symbol.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Symbol.Gradient.SubGradient.Visible := False;
  aChart.Legend.Symbol.Gradient.Visible := False;
  aChart.Legend.Symbol.Height := 100;
  aChart.Legend.Symbol.HeightUnits := lcsPercent;
  //aChart.Legend.Symbol.Pen := (TTeePen);
  aChart.Legend.Symbol.Pen.Color := clBlack;
  aChart.Legend.Symbol.Pen.EndStyle := esRound;
  //aChart.Legend.Symbol.Pen.Fill := (TTeeBrush);
  aChart.Legend.Symbol.Pen.Fill.BackColor := clNone;
  aChart.Legend.Symbol.Pen.Fill.Color := clDefault;
  //aChart.Legend.Symbol.Pen.Fill.Gradient := (TTeeGradient);
  aChart.Legend.Symbol.Pen.Fill.Gradient.Angle := 0;
  aChart.Legend.Symbol.Pen.Fill.Gradient.Balance := 50;
  //aChart.Legend.Symbol.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Symbol.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.Legend.Symbol.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.Legend.Symbol.Pen.Fill.Gradient.MidColor := clNone;
  aChart.Legend.Symbol.Pen.Fill.Gradient.RadialX := 0;
  aChart.Legend.Symbol.Pen.Fill.Gradient.RadialY := 0;
  aChart.Legend.Symbol.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Symbol.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.Legend.Symbol.Pen.Fill.Gradient.Visible := False;
  //aChart.Legend.Symbol.Pen.Fill.Image := (TTeePicture);
  //aChart.Legend.Symbol.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.Legend.Symbol.Pen.Fill.Style := bsSolid;
  aChart.Legend.Symbol.Pen.JoinStyle := jsRound;
  aChart.Legend.Symbol.Pen.Mode := pmCopy;
  aChart.Legend.Symbol.Pen.SmallDots := False;
  aChart.Legend.Symbol.Pen.SmallSpace := 0;
  aChart.Legend.Symbol.Pen.Style := psSolid;
  aChart.Legend.Symbol.Pen.Visible := False;
  aChart.Legend.Symbol.Pen.Width := 1;
  aChart.Legend.Symbol.Position := spLeft;
  //aChart.Legend.Symbol.Shadow := (TTeeShadow);
  aChart.Legend.Symbol.Shadow.Clip := False;
  aChart.Legend.Symbol.Shadow.Color := clSilver;
  aChart.Legend.Symbol.Shadow.HorizSize := 1;
  aChart.Legend.Symbol.Shadow.Smooth := True;
  aChart.Legend.Symbol.Shadow.SmoothBlur := 0;
  aChart.Legend.Symbol.Shadow.Transparency := 50;
  aChart.Legend.Symbol.Shadow.VertSize := 1;
  aChart.Legend.Symbol.Shadow.Visible := False;
  aChart.Legend.Symbol.Squared := True;
  aChart.Legend.Symbol.Visible := True;
  aChart.Legend.Symbol.Width := 20;
  aChart.Legend.Symbol.WidthUnits := lcsPercent;
  aChart.Legend.TextFormat := ttfNormal;
  aChart.Legend.TextStyle := ltsLeftValue;
  aChart.Legend.TextSymbolGap := 2;
  //aChart.Legend.Title := (TLegendTitle);
  aChart.Legend.Title.Alignment := taLeftJustify;
  aChart.Legend.Title.Angle := 0;
  aChart.Legend.Title.AutoSize := True;
  aChart.Legend.Title.Bevel := bvNone;
  aChart.Legend.Title.BevelWidth := 2;
  //aChart.Legend.Title.Brush := (TTeeBrush);
  aChart.Legend.Title.Brush.BackColor := clNone;
  aChart.Legend.Title.Brush.Color := clDefault;
  //aChart.Legend.Title.Brush.Gradient := (TTeeGradient);
  aChart.Legend.Title.Brush.Gradient.Angle := 0;
  aChart.Legend.Title.Brush.Gradient.Balance := 50;
  //aChart.Legend.Title.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Brush.Gradient.Direction := gdTopBottom;
  aChart.Legend.Title.Brush.Gradient.EndColor := clYellow;
  aChart.Legend.Title.Brush.Gradient.MidColor := clNone;
  aChart.Legend.Title.Brush.Gradient.RadialX := 0;
  aChart.Legend.Title.Brush.Gradient.RadialY := 0;
  aChart.Legend.Title.Brush.Gradient.StartColor := clWhite;
  //aChart.Legend.Title.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Title.Brush.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Title.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Title.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Title.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Title.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Title.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Title.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Title.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Title.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Title.Brush.Gradient.SubGradient.Visible := False;
  aChart.Legend.Title.Brush.Gradient.Visible := False;
  //aChart.Legend.Title.Brush.Image := (TTeePicture);
  //aChart.Legend.Title.Brush.Image.Filters := (TFilterItems);
  aChart.Legend.Title.Brush.Style := bsSolid;
  aChart.Legend.Title.ChildLayout := slTopBottom;
  //aChart.Legend.Title.Children := (TTeeShapes);
  aChart.Legend.Title.ClipText := True;
  aChart.Legend.Title.Color := clWhite;
  aChart.Legend.Title.Cursor := crDefault;
  aChart.Legend.Title.CustomPosition := False;
  //aChart.Legend.Title.Emboss := (TTeeEmboss);
  aChart.Legend.Title.Emboss.Clip := False;
  aChart.Legend.Title.Emboss.Color := clSilver;
  aChart.Legend.Title.Emboss.HorizSize := 2;
  aChart.Legend.Title.Emboss.Smooth := True;
  aChart.Legend.Title.Emboss.SmoothBlur := 0;
  aChart.Legend.Title.Emboss.Transparency := 50;
  aChart.Legend.Title.Emboss.VertSize := 2;
  aChart.Legend.Title.Emboss.Visible := False;
  //aChart.Legend.Title.Font := Arial, 8 , Bold;
  //aChart.Legend.Title.Font.Brush := (TTeeBrush);
  aChart.Legend.Title.Font.Brush.BackColor := clNone;
  aChart.Legend.Title.Font.Brush.Color := clBlack;
  //aChart.Legend.Title.Font.Brush.Gradient := (TTeeGradient);
  aChart.Legend.Title.Font.Brush.Gradient.Angle := 0;
  aChart.Legend.Title.Font.Brush.Gradient.Balance := 50;
  //aChart.Legend.Title.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.Legend.Title.Font.Brush.Gradient.EndColor := clYellow;
  aChart.Legend.Title.Font.Brush.Gradient.MidColor := clNone;
  aChart.Legend.Title.Font.Brush.Gradient.RadialX := 0;
  aChart.Legend.Title.Font.Brush.Gradient.RadialY := 0;
  aChart.Legend.Title.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.Legend.Title.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Title.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Title.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Title.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Title.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Title.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Title.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Title.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Title.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Title.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Title.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.Legend.Title.Font.Brush.Gradient.Visible := False;
  //aChart.Legend.Title.Font.Brush.Image := (TTeePicture);
  //aChart.Legend.Title.Font.Brush.Image.Filters := (TFilterItems);
  aChart.Legend.Title.Font.Brush.Style := bsSolid;
  aChart.Legend.Title.Font.Charset := 1;
  aChart.Legend.Title.Font.Color := clBlack;
  aChart.Legend.Title.Font.Depth := 0;
  //aChart.Legend.Title.Font.Emboss := (TTeeEmboss);
  aChart.Legend.Title.Font.Emboss.Clip := False;
  aChart.Legend.Title.Font.Emboss.Color := clSilver;
  aChart.Legend.Title.Font.Emboss.HorizSize := 0;
  aChart.Legend.Title.Font.Emboss.Smooth := True;
  aChart.Legend.Title.Font.Emboss.SmoothBlur := 0;
  aChart.Legend.Title.Font.Emboss.Transparency := 50;
  aChart.Legend.Title.Font.Emboss.VertSize := 0;
  aChart.Legend.Title.Font.Emboss.Visible := False;
  //aChart.Legend.Title.Font.Gradient := (TTeeGradient);
  aChart.Legend.Title.Font.Gradient.Angle := 0;
  aChart.Legend.Title.Font.Gradient.Balance := 50;
  //aChart.Legend.Title.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Font.Gradient.Direction := gdTopBottom;
  aChart.Legend.Title.Font.Gradient.EndColor := clYellow;
  aChart.Legend.Title.Font.Gradient.MidColor := clNone;
  aChart.Legend.Title.Font.Gradient.RadialX := 0;
  aChart.Legend.Title.Font.Gradient.RadialY := 0;
  aChart.Legend.Title.Font.Gradient.StartColor := clWhite;
  //aChart.Legend.Title.Font.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Title.Font.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Title.Font.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Title.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Title.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Title.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Title.Font.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Title.Font.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Title.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Title.Font.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Title.Font.Gradient.SubGradient.Visible := False;
  aChart.Legend.Title.Font.Gradient.Visible := False;
  aChart.Legend.Title.Font.Height := -11;
  aChart.Legend.Title.Font.InterCharSize := 0;
  //aChart.Legend.Title.Font.Name := Arial;
  aChart.Legend.Title.Font.Orientation := 0;
  //aChart.Legend.Title.Font.OutLine := (TTeeHiddenPen);
  aChart.Legend.Title.Font.OutLine.Color := clBlack;
  aChart.Legend.Title.Font.OutLine.EndStyle := esRound;
  //aChart.Legend.Title.Font.OutLine.Fill := (TTeeBrush);
  aChart.Legend.Title.Font.OutLine.Fill.BackColor := clNone;
  aChart.Legend.Title.Font.OutLine.Fill.Color := clDefault;
  //aChart.Legend.Title.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.Legend.Title.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.Legend.Title.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.Legend.Title.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.Legend.Title.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.Legend.Title.Font.OutLine.Fill.Style := bsSolid;
  aChart.Legend.Title.Font.OutLine.JoinStyle := jsRound;
  aChart.Legend.Title.Font.OutLine.Mode := pmCopy;
  aChart.Legend.Title.Font.OutLine.SmallDots := False;
  aChart.Legend.Title.Font.OutLine.SmallSpace := 0;
  aChart.Legend.Title.Font.OutLine.Style := psSolid;
  aChart.Legend.Title.Font.OutLine.Visible := False;
  aChart.Legend.Title.Font.OutLine.Width := 1;
  //aChart.Legend.Title.Font.Picture := (TTeePicture);
  //aChart.Legend.Title.Font.Picture.Filters := (TFilterItems);
  aChart.Legend.Title.Font.Pitch := fpDefault;
  aChart.Legend.Title.Font.Quality := fqDefault;
  //aChart.Legend.Title.Font.Shadow := (TTeeShadow);
  aChart.Legend.Title.Font.Shadow.Clip := False;
  aChart.Legend.Title.Font.Shadow.Color := clSilver;
  aChart.Legend.Title.Font.Shadow.HorizSize := 0;
  aChart.Legend.Title.Font.Shadow.Smooth := True;
  aChart.Legend.Title.Font.Shadow.SmoothBlur := 0;
  aChart.Legend.Title.Font.Shadow.Transparency := 50;
  aChart.Legend.Title.Font.Shadow.VertSize := 0;
  aChart.Legend.Title.Font.Shadow.Visible := True;
  aChart.Legend.Title.Font.Size := 8;
  aChart.Legend.Title.Font.SizeFloat := 8;
  //aChart.Legend.Title.Font.Style := [TFontStyles];
  //aChart.Legend.Title.Font.Style.fsBold := True;
  //aChart.Legend.Title.Font.Style.fsItalic := False;
  //aChart.Legend.Title.Font.Style.fsUnderline := False;
  //aChart.Legend.Title.Font.Style.fsStrikeOut := False;
  //aChart.Legend.Title.Frame := (TTeePen);
  aChart.Legend.Title.Frame.Color := clBlack;
  aChart.Legend.Title.Frame.EndStyle := esRound;
  //aChart.Legend.Title.Frame.Fill := (TTeeBrush);
  aChart.Legend.Title.Frame.Fill.BackColor := clNone;
  aChart.Legend.Title.Frame.Fill.Color := clDefault;
  //aChart.Legend.Title.Frame.Fill.Gradient := (TTeeGradient);
  aChart.Legend.Title.Frame.Fill.Gradient.Angle := 0;
  aChart.Legend.Title.Frame.Fill.Gradient.Balance := 50;
  //aChart.Legend.Title.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.Legend.Title.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.Legend.Title.Frame.Fill.Gradient.MidColor := clNone;
  aChart.Legend.Title.Frame.Fill.Gradient.RadialX := 0;
  aChart.Legend.Title.Frame.Fill.Gradient.RadialY := 0;
  aChart.Legend.Title.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.Legend.Title.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Title.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Title.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Title.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Title.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Title.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Title.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Title.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Title.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Title.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Title.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.Legend.Title.Frame.Fill.Gradient.Visible := False;
  //aChart.Legend.Title.Frame.Fill.Image := (TTeePicture);
  //aChart.Legend.Title.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.Legend.Title.Frame.Fill.Style := bsSolid;
  aChart.Legend.Title.Frame.JoinStyle := jsRound;
  aChart.Legend.Title.Frame.Mode := pmCopy;
  aChart.Legend.Title.Frame.SmallDots := False;
  aChart.Legend.Title.Frame.SmallSpace := 0;
  aChart.Legend.Title.Frame.Style := psSolid;
  aChart.Legend.Title.Frame.Visible := True;
  aChart.Legend.Title.Frame.Width := 1;
  //aChart.Legend.Title.Gradient := (TTeeGradient);
  aChart.Legend.Title.Gradient.Angle := 0;
  aChart.Legend.Title.Gradient.Balance := 50;
  //aChart.Legend.Title.Gradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Gradient.Direction := gdTopBottom;
  aChart.Legend.Title.Gradient.EndColor := clYellow;
  aChart.Legend.Title.Gradient.MidColor := clNone;
  aChart.Legend.Title.Gradient.RadialX := 0;
  aChart.Legend.Title.Gradient.RadialY := 0;
  aChart.Legend.Title.Gradient.StartColor := clWhite;
  //aChart.Legend.Title.Gradient.SubGradient := (TSubGradient);
  aChart.Legend.Title.Gradient.SubGradient.Angle := 0;
  aChart.Legend.Title.Gradient.SubGradient.Balance := 50;
  //aChart.Legend.Title.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Legend.Title.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Legend.Title.Gradient.SubGradient.EndColor := clYellow;
  aChart.Legend.Title.Gradient.SubGradient.MidColor := clNone;
  aChart.Legend.Title.Gradient.SubGradient.RadialX := 0;
  aChart.Legend.Title.Gradient.SubGradient.RadialY := 0;
  aChart.Legend.Title.Gradient.SubGradient.StartColor := clWhite;
  aChart.Legend.Title.Gradient.SubGradient.Transparency := 50;
  aChart.Legend.Title.Gradient.SubGradient.Visible := False;
  aChart.Legend.Title.Gradient.Visible := False;
  aChart.Legend.Title.Left := 0;
  //aChart.Legend.Title.Margins := (TMargins);
  aChart.Legend.Title.Margins.Bottom := 5;
  aChart.Legend.Title.Margins.Left := 10;
  aChart.Legend.Title.Margins.Right := 10;
  aChart.Legend.Title.Margins.Top := 5;
  aChart.Legend.Title.Margins.Units := maPercentFont;
  //aChart.Legend.Title.Picture := (TBackImage);
  aChart.Legend.Title.Picture.Bottom := 0;
  aChart.Legend.Title.Picture.DrawQuality := sqHigh;
  //aChart.Legend.Title.Picture.Filters := (TFilterItems);
  aChart.Legend.Title.Picture.Inside := False;
  aChart.Legend.Title.Picture.Left := 0;
  aChart.Legend.Title.Picture.Mode := pbmStretch;
  aChart.Legend.Title.Picture.Right := 0;
  aChart.Legend.Title.Picture.Top := 0;
  //aChart.Legend.Title.Shadow := (TTeeShadow);
  aChart.Legend.Title.Shadow.Clip := False;
  aChart.Legend.Title.Shadow.Color := clSilver;
  aChart.Legend.Title.Shadow.HorizSize := 2;
  aChart.Legend.Title.Shadow.Smooth := True;
  aChart.Legend.Title.Shadow.SmoothBlur := 0;
  aChart.Legend.Title.Shadow.Transparency := 50;
  aChart.Legend.Title.Shadow.VertSize := 2;
  aChart.Legend.Title.Shadow.Visible := True;
  //aChart.Legend.Title.ShapeCallout := (TShapeCallout);
  aChart.Legend.Title.ShapeCallout.PointPosition := 50;
  aChart.Legend.Title.ShapeCallout.Position := 50;
  aChart.Legend.Title.ShapeCallout.Side := csNone;
  aChart.Legend.Title.ShapeCallout.Size := 25;
  aChart.Legend.Title.ShapeCallout.Width := 20;
  aChart.Legend.Title.ShapeStyle := fosRectangle;
  //aChart.Legend.Title.Text := (TStrings);
  aChart.Legend.Title.TextAlignment := taLeftJustify;
  aChart.Legend.Title.TextFormat := ttfNormal;
  aChart.Legend.Title.Top := 0;
  aChart.Legend.Title.Transparency := 0;
  aChart.Legend.Title.Transparent := True;
  aChart.Legend.Title.VertTextAlign := vtaCenter;
  aChart.Legend.Title.Visible := False;
  aChart.Legend.Top := 0;
  aChart.Legend.TopPercent := 0;
  aChart.Legend.TopPos := 10;
  aChart.Legend.Transparency := 0;
  aChart.Legend.Transparent := False;
  aChart.Legend.VertMargin := 0;
  aChart.Legend.VertSpacing := 0;
  aChart.Legend.Visible := False;
  aChart.Locked := False;
  aChart.MarginBottom := 4;
  aChart.MarginLeft := 3;
  aChart.MarginRight := 3;
  //aChart.Margins := (TMargins);
  aChart.Margins.Bottom := 3;
  aChart.Margins.Left := 3;
  aChart.Margins.Right := 3;
  aChart.Margins.Top := 3;
  aChart.MarginTop := 4;
  aChart.MarginUnits := muPercent;
  aChart.Monochrome := False;
  //aChart.Name := chrtContribs;
  //aChart.Pages := (TChartPage);
  aChart.Pages.AutoScale := False;
  aChart.Pages.Current := 1;
  aChart.Pages.MaxPointsPerPage := 0;
  aChart.Pages.ScaleLastPage := True;
  //aChart.Panning := (TTeePanning);
  aChart.Panning.InsideBounds := False;
  aChart.Panning.MouseWheel := pmwNormal;
  aChart.ParentColor := False;
  aChart.ParentCustomHint := True;
  aChart.ParentShowHint := True;
  aChart.PopupMenu := nil;
  aChart.PrintProportional := True;
  //aChart.RightAxis := (TChartAxis);
  aChart.RightAxis.Automatic := True;
  aChart.RightAxis.AutomaticMaximum := True;
  aChart.RightAxis.AutomaticMinimum := True;
  //aChart.RightAxis.Axis := (TChartAxisPen);
  aChart.RightAxis.Axis.Color := clBlack;
  aChart.RightAxis.Axis.EndStyle := esFlat;
  //aChart.RightAxis.Axis.Fill := (TTeeBrush);
  aChart.RightAxis.Axis.Fill.BackColor := clNone;
  aChart.RightAxis.Axis.Fill.Color := clDefault;
  //aChart.RightAxis.Axis.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.Axis.Fill.Gradient.Angle := 0;
  aChart.RightAxis.Axis.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.Axis.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Axis.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Axis.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.Axis.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.Axis.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.Axis.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.Axis.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Axis.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Axis.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Axis.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Axis.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Axis.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Axis.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Axis.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Axis.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Axis.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Axis.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Axis.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Axis.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Axis.Fill.Gradient.Visible := False;
  //aChart.RightAxis.Axis.Fill.Image := (TTeePicture);
  //aChart.RightAxis.Axis.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.Axis.Fill.Style := bsSolid;
  aChart.RightAxis.Axis.JoinStyle := jsRound;
  aChart.RightAxis.Axis.LineMode := lmLine;
  aChart.RightAxis.Axis.Mode := pmCopy;
  aChart.RightAxis.Axis.SmallDots := False;
  aChart.RightAxis.Axis.SmallSpace := 0;
  aChart.RightAxis.Axis.Style := psSolid;
  aChart.RightAxis.Axis.Visible := True;
  aChart.RightAxis.Axis.Width := 2;
  //aChart.RightAxis.AxisValuesFormat := #,##0.###;
  //aChart.RightAxis.DateTimeFormat := ;
  aChart.RightAxis.EndPosition := 100;
  aChart.RightAxis.ExactDateTime := True;
  //aChart.RightAxis.Grid := (TAxisGridPen);
  aChart.RightAxis.Grid.Color := clSilver;
  aChart.RightAxis.Grid.DrawEvery := 1;
  aChart.RightAxis.Grid.EndStyle := esRound;
  //aChart.RightAxis.Grid.Fill := (TTeeBrush);
  aChart.RightAxis.Grid.Fill.BackColor := clNone;
  aChart.RightAxis.Grid.Fill.Color := clDefault;
  //aChart.RightAxis.Grid.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.Grid.Fill.Gradient.Angle := 0;
  aChart.RightAxis.Grid.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.Grid.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Grid.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Grid.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.Grid.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.Grid.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.Grid.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.Grid.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Grid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Grid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Grid.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Grid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Grid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Grid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Grid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Grid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Grid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Grid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Grid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Grid.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Grid.Fill.Gradient.Visible := False;
  //aChart.RightAxis.Grid.Fill.Image := (TTeePicture);
  //aChart.RightAxis.Grid.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.Grid.Fill.Style := bsSolid;
  aChart.RightAxis.Grid.JoinStyle := jsRound;
  aChart.RightAxis.Grid.Mode := pmCopy;
  aChart.RightAxis.Grid.SmallDots := False;
  aChart.RightAxis.Grid.SmallSpace := 0;
  aChart.RightAxis.Grid.Style := psSolid;
  aChart.RightAxis.Grid.Visible := True;
  aChart.RightAxis.Grid.Width := 1;
  aChart.RightAxis.Grid.ZPosition := 100;
  aChart.RightAxis.GridCentered := False;
  aChart.RightAxis.Horizontal := False;
  aChart.RightAxis.Increment := 0;
  aChart.RightAxis.Inverted := False;
  aChart.RightAxis.Labels := True;
  aChart.RightAxis.LabelsAlign := alDefault;
  aChart.RightAxis.LabelsAlternate := False;
  aChart.RightAxis.LabelsAngle := 0;
  aChart.RightAxis.LabelsBehind := False;
  aChart.RightAxis.LabelsExponent := False;
  //aChart.RightAxis.LabelsFont := Arial, 8 , Normal;
  //aChart.RightAxis.LabelsFont.Brush := (TTeeBrush);
  aChart.RightAxis.LabelsFont.Brush.BackColor := clNone;
  aChart.RightAxis.LabelsFont.Brush.Color := clBlack;
  //aChart.RightAxis.LabelsFont.Brush.Gradient := (TTeeGradient);
  aChart.RightAxis.LabelsFont.Brush.Gradient.Angle := 0;
  aChart.RightAxis.LabelsFont.Brush.Gradient.Balance := 50;
  //aChart.RightAxis.LabelsFont.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFont.Brush.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFont.Brush.Gradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFont.Brush.Gradient.MidColor := clNone;
  aChart.RightAxis.LabelsFont.Brush.Gradient.RadialX := 0;
  aChart.RightAxis.LabelsFont.Brush.Gradient.RadialY := 0;
  aChart.RightAxis.LabelsFont.Brush.Gradient.StartColor := clWhite;
  //aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.LabelsFont.Brush.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.LabelsFont.Brush.Gradient.Visible := False;
  //aChart.RightAxis.LabelsFont.Brush.Image := (TTeePicture);
  //aChart.RightAxis.LabelsFont.Brush.Image.Filters := (TFilterItems);
  aChart.RightAxis.LabelsFont.Brush.Style := bsSolid;
  aChart.RightAxis.LabelsFont.Charset := 1;
  aChart.RightAxis.LabelsFont.Color := clBlack;
  aChart.RightAxis.LabelsFont.Depth := 0;
  //aChart.RightAxis.LabelsFont.Emboss := (TTeeEmboss);
  aChart.RightAxis.LabelsFont.Emboss.Clip := False;
  aChart.RightAxis.LabelsFont.Emboss.Color := clSilver;
  aChart.RightAxis.LabelsFont.Emboss.HorizSize := 0;
  aChart.RightAxis.LabelsFont.Emboss.Smooth := True;
  aChart.RightAxis.LabelsFont.Emboss.SmoothBlur := 0;
  aChart.RightAxis.LabelsFont.Emboss.Transparency := 50;
  aChart.RightAxis.LabelsFont.Emboss.VertSize := 0;
  aChart.RightAxis.LabelsFont.Emboss.Visible := False;
  //aChart.RightAxis.LabelsFont.Gradient := (TTeeGradient);
  aChart.RightAxis.LabelsFont.Gradient.Angle := 0;
  aChart.RightAxis.LabelsFont.Gradient.Balance := 50;
  //aChart.RightAxis.LabelsFont.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFont.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFont.Gradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFont.Gradient.MidColor := clNone;
  aChart.RightAxis.LabelsFont.Gradient.RadialX := 0;
  aChart.RightAxis.LabelsFont.Gradient.RadialY := 0;
  aChart.RightAxis.LabelsFont.Gradient.StartColor := clWhite;
  //aChart.RightAxis.LabelsFont.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.LabelsFont.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.LabelsFont.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.LabelsFont.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFont.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFont.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFont.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.LabelsFont.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.LabelsFont.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.LabelsFont.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.LabelsFont.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.LabelsFont.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.LabelsFont.Gradient.Visible := False;
  aChart.RightAxis.LabelsFont.Height := -11;
  aChart.RightAxis.LabelsFont.InterCharSize := 0;
  //aChart.RightAxis.LabelsFont.Name := Arial;
  aChart.RightAxis.LabelsFont.Orientation := 0;
  //aChart.RightAxis.LabelsFont.OutLine := (TTeeHiddenPen);
  aChart.RightAxis.LabelsFont.OutLine.Color := clBlack;
  aChart.RightAxis.LabelsFont.OutLine.EndStyle := esRound;
  //aChart.RightAxis.LabelsFont.OutLine.Fill := (TTeeBrush);
  aChart.RightAxis.LabelsFont.OutLine.Fill.BackColor := clNone;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Color := clDefault;
  //aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.Angle := 0;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.LabelsFont.OutLine.Fill.Gradient.Visible := False;
  //aChart.RightAxis.LabelsFont.OutLine.Fill.Image := (TTeePicture);
  //aChart.RightAxis.LabelsFont.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.LabelsFont.OutLine.Fill.Style := bsSolid;
  aChart.RightAxis.LabelsFont.OutLine.JoinStyle := jsRound;
  aChart.RightAxis.LabelsFont.OutLine.Mode := pmCopy;
  aChart.RightAxis.LabelsFont.OutLine.SmallDots := False;
  aChart.RightAxis.LabelsFont.OutLine.SmallSpace := 0;
  aChart.RightAxis.LabelsFont.OutLine.Style := psSolid;
  aChart.RightAxis.LabelsFont.OutLine.Visible := False;
  aChart.RightAxis.LabelsFont.OutLine.Width := 1;
  //aChart.RightAxis.LabelsFont.Picture := (TTeePicture);
  //aChart.RightAxis.LabelsFont.Picture.Filters := (TFilterItems);
  aChart.RightAxis.LabelsFont.Pitch := fpDefault;
  aChart.RightAxis.LabelsFont.Quality := fqDefault;
  //aChart.RightAxis.LabelsFont.Shadow := (TTeeShadow);
  aChart.RightAxis.LabelsFont.Shadow.Clip := False;
  aChart.RightAxis.LabelsFont.Shadow.Color := clSilver;
  aChart.RightAxis.LabelsFont.Shadow.HorizSize := 0;
  aChart.RightAxis.LabelsFont.Shadow.Smooth := True;
  aChart.RightAxis.LabelsFont.Shadow.SmoothBlur := 0;
  aChart.RightAxis.LabelsFont.Shadow.Transparency := 50;
  aChart.RightAxis.LabelsFont.Shadow.VertSize := 0;
  aChart.RightAxis.LabelsFont.Shadow.Visible := True;
  aChart.RightAxis.LabelsFont.Size := 8;
  aChart.RightAxis.LabelsFont.SizeFloat := 8;
  //aChart.RightAxis.LabelsFont.Style := [TFontStyles];
  //aChart.RightAxis.LabelsFont.Style.fsBold := False;
  //aChart.RightAxis.LabelsFont.Style.fsItalic := False;
  //aChart.RightAxis.LabelsFont.Style.fsUnderline := False;
  //aChart.RightAxis.LabelsFont.Style.fsStrikeOut := False;
  //aChart.RightAxis.LabelsFormat := (TAxisLabelsFormat);
  aChart.RightAxis.LabelsFormat.Bevel := bvNone;
  aChart.RightAxis.LabelsFormat.BevelWidth := 2;
  //aChart.RightAxis.LabelsFormat.Brush := (TTeeBrush);
  aChart.RightAxis.LabelsFormat.Brush.BackColor := clNone;
  aChart.RightAxis.LabelsFormat.Brush.Color := clDefault;
  //aChart.RightAxis.LabelsFormat.Brush.Gradient := (TTeeGradient);
  aChart.RightAxis.LabelsFormat.Brush.Gradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Brush.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.StartColor := clWhite;
  //aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.LabelsFormat.Brush.Gradient.Visible := False;
  //aChart.RightAxis.LabelsFormat.Brush.Image := (TTeePicture);
  //aChart.RightAxis.LabelsFormat.Brush.Image.Filters := (TFilterItems);
  aChart.RightAxis.LabelsFormat.Brush.Style := bsSolid;
  aChart.RightAxis.LabelsFormat.ChildLayout := slTopBottom;
  //aChart.RightAxis.LabelsFormat.Children := (TTeeShapes);
  aChart.RightAxis.LabelsFormat.ClipText := True;
  aChart.RightAxis.LabelsFormat.Cursor := crDefault;
  //aChart.RightAxis.LabelsFormat.Emboss := (TTeeEmboss);
  aChart.RightAxis.LabelsFormat.Emboss.Clip := False;
  aChart.RightAxis.LabelsFormat.Emboss.Color := clBlack;
  aChart.RightAxis.LabelsFormat.Emboss.HorizSize := 3;
  aChart.RightAxis.LabelsFormat.Emboss.Smooth := True;
  aChart.RightAxis.LabelsFormat.Emboss.SmoothBlur := 0;
  aChart.RightAxis.LabelsFormat.Emboss.Transparency := 50;
  aChart.RightAxis.LabelsFormat.Emboss.VertSize := 3;
  aChart.RightAxis.LabelsFormat.Emboss.Visible := False;
  //aChart.RightAxis.LabelsFormat.Font := Arial, 8 , Normal;
  //aChart.RightAxis.LabelsFormat.Font.Brush := (TTeeBrush);
  aChart.RightAxis.LabelsFormat.Font.Brush.BackColor := clNone;
  aChart.RightAxis.LabelsFormat.Font.Brush.Color := clBlack;
  //aChart.RightAxis.LabelsFormat.Font.Brush.Gradient := (TTeeGradient);
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.LabelsFormat.Font.Brush.Gradient.Visible := False;
  //aChart.RightAxis.LabelsFormat.Font.Brush.Image := (TTeePicture);
  //aChart.RightAxis.LabelsFormat.Font.Brush.Image.Filters := (TFilterItems);
  aChart.RightAxis.LabelsFormat.Font.Brush.Style := bsSolid;
  aChart.RightAxis.LabelsFormat.Font.Charset := 1;
  aChart.RightAxis.LabelsFormat.Font.Color := clBlack;
  aChart.RightAxis.LabelsFormat.Font.Depth := 0;
  //aChart.RightAxis.LabelsFormat.Font.Emboss := (TTeeEmboss);
  aChart.RightAxis.LabelsFormat.Font.Emboss.Clip := False;
  aChart.RightAxis.LabelsFormat.Font.Emboss.Color := clSilver;
  aChart.RightAxis.LabelsFormat.Font.Emboss.HorizSize := 0;
  aChart.RightAxis.LabelsFormat.Font.Emboss.Smooth := True;
  aChart.RightAxis.LabelsFormat.Font.Emboss.SmoothBlur := 0;
  aChart.RightAxis.LabelsFormat.Font.Emboss.Transparency := 50;
  aChart.RightAxis.LabelsFormat.Font.Emboss.VertSize := 0;
  aChart.RightAxis.LabelsFormat.Font.Emboss.Visible := False;
  //aChart.RightAxis.LabelsFormat.Font.Gradient := (TTeeGradient);
  aChart.RightAxis.LabelsFormat.Font.Gradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Font.Gradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Font.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Font.Gradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Font.Gradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Font.Gradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Font.Gradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Font.Gradient.StartColor := clWhite;
  //aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.LabelsFormat.Font.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.LabelsFormat.Font.Gradient.Visible := False;
  aChart.RightAxis.LabelsFormat.Font.Height := -11;
  aChart.RightAxis.LabelsFormat.Font.InterCharSize := 0;
  //aChart.RightAxis.LabelsFormat.Font.Name := Arial;
  aChart.RightAxis.LabelsFormat.Font.Orientation := 0;
  //aChart.RightAxis.LabelsFormat.Font.OutLine := (TTeeHiddenPen);
  aChart.RightAxis.LabelsFormat.Font.OutLine.Color := clBlack;
  aChart.RightAxis.LabelsFormat.Font.OutLine.EndStyle := esRound;
  //aChart.RightAxis.LabelsFormat.Font.OutLine.Fill := (TTeeBrush);
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.BackColor := clNone;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Color := clDefault;
  //aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.LabelsFormat.Font.OutLine.Fill.Style := bsSolid;
  aChart.RightAxis.LabelsFormat.Font.OutLine.JoinStyle := jsRound;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Mode := pmCopy;
  aChart.RightAxis.LabelsFormat.Font.OutLine.SmallDots := False;
  aChart.RightAxis.LabelsFormat.Font.OutLine.SmallSpace := 0;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Style := psSolid;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Visible := False;
  aChart.RightAxis.LabelsFormat.Font.OutLine.Width := 1;
  //aChart.RightAxis.LabelsFormat.Font.Picture := (TTeePicture);
  //aChart.RightAxis.LabelsFormat.Font.Picture.Filters := (TFilterItems);
  aChart.RightAxis.LabelsFormat.Font.Pitch := fpDefault;
  aChart.RightAxis.LabelsFormat.Font.Quality := fqDefault;
  //aChart.RightAxis.LabelsFormat.Font.Shadow := (TTeeShadow);
  aChart.RightAxis.LabelsFormat.Font.Shadow.Clip := False;
  aChart.RightAxis.LabelsFormat.Font.Shadow.Color := clSilver;
  aChart.RightAxis.LabelsFormat.Font.Shadow.HorizSize := 0;
  aChart.RightAxis.LabelsFormat.Font.Shadow.Smooth := True;
  aChart.RightAxis.LabelsFormat.Font.Shadow.SmoothBlur := 0;
  aChart.RightAxis.LabelsFormat.Font.Shadow.Transparency := 50;
  aChart.RightAxis.LabelsFormat.Font.Shadow.VertSize := 0;
  aChart.RightAxis.LabelsFormat.Font.Shadow.Visible := True;
  aChart.RightAxis.LabelsFormat.Font.Size := 8;
  aChart.RightAxis.LabelsFormat.Font.SizeFloat := 8;
  //aChart.RightAxis.LabelsFormat.Font.Style := [TFontStyles];
  //aChart.RightAxis.LabelsFormat.Font.Style.fsBold := False;
  //aChart.RightAxis.LabelsFormat.Font.Style.fsItalic := False;
  //aChart.RightAxis.LabelsFormat.Font.Style.fsUnderline := False;
  //aChart.RightAxis.LabelsFormat.Font.Style.fsStrikeOut := False;
  //aChart.RightAxis.LabelsFormat.Frame := (TTeePen);
  aChart.RightAxis.LabelsFormat.Frame.Color := clBlack;
  aChart.RightAxis.LabelsFormat.Frame.EndStyle := esRound;
  //aChart.RightAxis.LabelsFormat.Frame.Fill := (TTeeBrush);
  aChart.RightAxis.LabelsFormat.Frame.Fill.BackColor := clNone;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Color := clDefault;
  //aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.LabelsFormat.Frame.Fill.Gradient.Visible := False;
  //aChart.RightAxis.LabelsFormat.Frame.Fill.Image := (TTeePicture);
  //aChart.RightAxis.LabelsFormat.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.LabelsFormat.Frame.Fill.Style := bsSolid;
  aChart.RightAxis.LabelsFormat.Frame.JoinStyle := jsRound;
  aChart.RightAxis.LabelsFormat.Frame.Mode := pmCopy;
  aChart.RightAxis.LabelsFormat.Frame.SmallDots := False;
  aChart.RightAxis.LabelsFormat.Frame.SmallSpace := 0;
  aChart.RightAxis.LabelsFormat.Frame.Style := psSolid;
  aChart.RightAxis.LabelsFormat.Frame.Visible := True;
  aChart.RightAxis.LabelsFormat.Frame.Width := 1;
  //aChart.RightAxis.LabelsFormat.Gradient := (TTeeGradient);
  aChart.RightAxis.LabelsFormat.Gradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Gradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Gradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Gradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Gradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Gradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Gradient.StartColor := clWhite;
  //aChart.RightAxis.LabelsFormat.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.LabelsFormat.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.LabelsFormat.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.LabelsFormat.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.LabelsFormat.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.LabelsFormat.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.LabelsFormat.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.LabelsFormat.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.LabelsFormat.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.LabelsFormat.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.LabelsFormat.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.LabelsFormat.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.LabelsFormat.Gradient.Visible := False;
  //aChart.RightAxis.LabelsFormat.Margins := (TMargins);
  aChart.RightAxis.LabelsFormat.Margins.Bottom := 5;
  aChart.RightAxis.LabelsFormat.Margins.Left := 10;
  aChart.RightAxis.LabelsFormat.Margins.Right := 10;
  aChart.RightAxis.LabelsFormat.Margins.Top := 5;
  aChart.RightAxis.LabelsFormat.Margins.Units := maPercentFont;
  //aChart.RightAxis.LabelsFormat.Picture := (TBackImage);
  aChart.RightAxis.LabelsFormat.Picture.Bottom := 0;
  aChart.RightAxis.LabelsFormat.Picture.DrawQuality := sqHigh;
  //aChart.RightAxis.LabelsFormat.Picture.Filters := (TFilterItems);
  aChart.RightAxis.LabelsFormat.Picture.Inside := False;
  aChart.RightAxis.LabelsFormat.Picture.Left := 0;
  aChart.RightAxis.LabelsFormat.Picture.Mode := pbmStretch;
  aChart.RightAxis.LabelsFormat.Picture.Right := 0;
  aChart.RightAxis.LabelsFormat.Picture.Top := 0;
  aChart.RightAxis.LabelsFormat.RoundSize := 16;
  //aChart.RightAxis.LabelsFormat.Shadow := (TTeeShadow);
  aChart.RightAxis.LabelsFormat.Shadow.Clip := False;
  aChart.RightAxis.LabelsFormat.Shadow.Color := clBlack;
  aChart.RightAxis.LabelsFormat.Shadow.HorizSize := 3;
  aChart.RightAxis.LabelsFormat.Shadow.Smooth := True;
  aChart.RightAxis.LabelsFormat.Shadow.SmoothBlur := 0;
  aChart.RightAxis.LabelsFormat.Shadow.Transparency := 50;
  aChart.RightAxis.LabelsFormat.Shadow.VertSize := 3;
  aChart.RightAxis.LabelsFormat.Shadow.Visible := True;
  aChart.RightAxis.LabelsFormat.ShapeStyle := fosRectangle;
  aChart.RightAxis.LabelsFormat.TextAlignment := taCenter;
  aChart.RightAxis.LabelsFormat.TextFormat := ttfNormal;
  aChart.RightAxis.LabelsFormat.Transparency := 0;
  aChart.RightAxis.LabelsFormat.Transparent := True;
  aChart.RightAxis.LabelsFormat.VertTextAlign := vtaCenter;
  aChart.RightAxis.LabelsFormat.Visible := True;
  aChart.RightAxis.LabelsGridIgnoresLabelSize := False;
  aChart.RightAxis.LabelsMultiLine := False;
  aChart.RightAxis.LabelsOnAxis := True;
  aChart.RightAxis.LabelsSeparation := 10;
  aChart.RightAxis.LabelsSize := 0;
  aChart.RightAxis.LabelStyle := talAuto;
  aChart.RightAxis.Logarithmic := False;
  aChart.RightAxis.LogarithmicBase := 10;
  aChart.RightAxis.Maximum := 0;
  aChart.RightAxis.MaximumOffset := 0;
  aChart.RightAxis.MaximumRound := False;
  aChart.RightAxis.Minimum := 0;
  aChart.RightAxis.MinimumOffset := 0;
  aChart.RightAxis.MinimumRound := False;
  //aChart.RightAxis.MinorGrid := (TTeeHiddenPen);
  aChart.RightAxis.MinorGrid.Color := clBlack;
  aChart.RightAxis.MinorGrid.EndStyle := esRound;
  //aChart.RightAxis.MinorGrid.Fill := (TTeeBrush);
  aChart.RightAxis.MinorGrid.Fill.BackColor := clNone;
  aChart.RightAxis.MinorGrid.Fill.Color := clDefault;
  //aChart.RightAxis.MinorGrid.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.MinorGrid.Fill.Gradient.Angle := 0;
  aChart.RightAxis.MinorGrid.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.MinorGrid.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.MinorGrid.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.MinorGrid.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.MinorGrid.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.MinorGrid.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.MinorGrid.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.MinorGrid.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.MinorGrid.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.MinorGrid.Fill.Gradient.Visible := False;
  //aChart.RightAxis.MinorGrid.Fill.Image := (TTeePicture);
  //aChart.RightAxis.MinorGrid.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.MinorGrid.Fill.Style := bsSolid;
  aChart.RightAxis.MinorGrid.JoinStyle := jsRound;
  aChart.RightAxis.MinorGrid.Mode := pmCopy;
  aChart.RightAxis.MinorGrid.SmallDots := False;
  aChart.RightAxis.MinorGrid.SmallSpace := 0;
  aChart.RightAxis.MinorGrid.Style := psSolid;
  aChart.RightAxis.MinorGrid.Visible := False;
  aChart.RightAxis.MinorGrid.Width := 1;
  aChart.RightAxis.MinorTickCount := 3;
  aChart.RightAxis.MinorTickLength := 2;
  //aChart.RightAxis.MinorTicks := (TTicks);
  aChart.RightAxis.MinorTicks.Color := clGray;
  aChart.RightAxis.MinorTicks.EndStyle := esRound;
  //aChart.RightAxis.MinorTicks.Fill := (TTeeBrush);
  aChart.RightAxis.MinorTicks.Fill.BackColor := clNone;
  aChart.RightAxis.MinorTicks.Fill.Color := clDefault;
  //aChart.RightAxis.MinorTicks.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.MinorTicks.Fill.Gradient.Angle := 0;
  aChart.RightAxis.MinorTicks.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.MinorTicks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.MinorTicks.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.MinorTicks.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.MinorTicks.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.MinorTicks.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.MinorTicks.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.MinorTicks.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.MinorTicks.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.MinorTicks.Fill.Gradient.Visible := False;
  //aChart.RightAxis.MinorTicks.Fill.Image := (TTeePicture);
  //aChart.RightAxis.MinorTicks.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.MinorTicks.Fill.Style := bsSolid;
  aChart.RightAxis.MinorTicks.JoinStyle := jsRound;
  aChart.RightAxis.MinorTicks.Mode := pmCopy;
  aChart.RightAxis.MinorTicks.SmallDots := False;
  aChart.RightAxis.MinorTicks.SmallSpace := 0;
  aChart.RightAxis.MinorTicks.Style := psSolid;
  aChart.RightAxis.MinorTicks.Visible := True;
  aChart.RightAxis.MinorTicks.Width := 1;
  aChart.RightAxis.OtherSide := True;
  aChart.RightAxis.PartnerAxis := nil;
  aChart.RightAxis.PositionPercent := 0;
  aChart.RightAxis.PositionUnits := muPercent;
  aChart.RightAxis.RoundFirstLabel := True;
  //aChart.RightAxis.Shape := (TAxisBackShape);
  aChart.RightAxis.Shape.Angle := 0;
  aChart.RightAxis.Shape.Bevel := bvNone;
  aChart.RightAxis.Shape.BevelWidth := 2;
  aChart.RightAxis.Shape.ChildLayout := slTopBottom;
  //aChart.RightAxis.Shape.Children := (TTeeShapes);
  aChart.RightAxis.Shape.Color := clWhite;
  //aChart.RightAxis.Shape.Corners := (TTeeCorners);
  //aChart.RightAxis.Shape.Corners.LeftBottom := (TTeeCorner);
  aChart.RightAxis.Shape.Corners.LeftBottom.Style := cosRound;
  //aChart.RightAxis.Shape.Corners.LeftTop := (TTeeCorner);
  aChart.RightAxis.Shape.Corners.LeftTop.Style := cosRound;
  //aChart.RightAxis.Shape.Corners.RightBottom := (TTeeCorner);
  aChart.RightAxis.Shape.Corners.RightBottom.Style := cosRound;
  //aChart.RightAxis.Shape.Corners.RightTop := (TTeeCorner);
  aChart.RightAxis.Shape.Corners.RightTop.Style := cosRound;
  //aChart.RightAxis.Shape.Emboss := (TTeeEmboss);
  aChart.RightAxis.Shape.Emboss.Clip := False;
  aChart.RightAxis.Shape.Emboss.Color := clBlack;
  aChart.RightAxis.Shape.Emboss.HorizSize := 3;
  aChart.RightAxis.Shape.Emboss.Smooth := True;
  aChart.RightAxis.Shape.Emboss.SmoothBlur := 0;
  aChart.RightAxis.Shape.Emboss.Transparency := 50;
  aChart.RightAxis.Shape.Emboss.VertSize := 3;
  aChart.RightAxis.Shape.Emboss.Visible := False;
  //aChart.RightAxis.Shape.Font := Arial, 8 , Normal;
  //aChart.RightAxis.Shape.Font.Brush := (TTeeBrush);
  aChart.RightAxis.Shape.Font.Brush.BackColor := clNone;
  aChart.RightAxis.Shape.Font.Brush.Color := clBlack;
  //aChart.RightAxis.Shape.Font.Brush.Gradient := (TTeeGradient);
  aChart.RightAxis.Shape.Font.Brush.Gradient.Angle := 0;
  aChart.RightAxis.Shape.Font.Brush.Gradient.Balance := 50;
  //aChart.RightAxis.Shape.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Shape.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Shape.Font.Brush.Gradient.EndColor := clYellow;
  aChart.RightAxis.Shape.Font.Brush.Gradient.MidColor := clNone;
  aChart.RightAxis.Shape.Font.Brush.Gradient.RadialX := 0;
  aChart.RightAxis.Shape.Font.Brush.Gradient.RadialY := 0;
  aChart.RightAxis.Shape.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Shape.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Shape.Font.Brush.Gradient.Visible := False;
  //aChart.RightAxis.Shape.Font.Brush.Image := (TTeePicture);
  //aChart.RightAxis.Shape.Font.Brush.Image.Filters := (TFilterItems);
  aChart.RightAxis.Shape.Font.Brush.Style := bsSolid;
  aChart.RightAxis.Shape.Font.Charset := 1;
  aChart.RightAxis.Shape.Font.Color := clBlack;
  aChart.RightAxis.Shape.Font.Depth := 0;
  //aChart.RightAxis.Shape.Font.Emboss := (TTeeEmboss);
  aChart.RightAxis.Shape.Font.Emboss.Clip := False;
  aChart.RightAxis.Shape.Font.Emboss.Color := clSilver;
  aChart.RightAxis.Shape.Font.Emboss.HorizSize := 0;
  aChart.RightAxis.Shape.Font.Emboss.Smooth := True;
  aChart.RightAxis.Shape.Font.Emboss.SmoothBlur := 0;
  aChart.RightAxis.Shape.Font.Emboss.Transparency := 50;
  aChart.RightAxis.Shape.Font.Emboss.VertSize := 0;
  aChart.RightAxis.Shape.Font.Emboss.Visible := False;
  //aChart.RightAxis.Shape.Font.Gradient := (TTeeGradient);
  aChart.RightAxis.Shape.Font.Gradient.Angle := 0;
  aChart.RightAxis.Shape.Font.Gradient.Balance := 50;
  //aChart.RightAxis.Shape.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Shape.Font.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Shape.Font.Gradient.EndColor := clYellow;
  aChart.RightAxis.Shape.Font.Gradient.MidColor := clNone;
  aChart.RightAxis.Shape.Font.Gradient.RadialX := 0;
  aChart.RightAxis.Shape.Font.Gradient.RadialY := 0;
  aChart.RightAxis.Shape.Font.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Shape.Font.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Shape.Font.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Shape.Font.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Shape.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Shape.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Shape.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Shape.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Shape.Font.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Shape.Font.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Shape.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Shape.Font.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Shape.Font.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Shape.Font.Gradient.Visible := False;
  aChart.RightAxis.Shape.Font.Height := -11;
  aChart.RightAxis.Shape.Font.InterCharSize := 0;
  //aChart.RightAxis.Shape.Font.Name := Arial;
  aChart.RightAxis.Shape.Font.Orientation := 0;
  //aChart.RightAxis.Shape.Font.OutLine := (TTeeHiddenPen);
  aChart.RightAxis.Shape.Font.OutLine.Color := clBlack;
  aChart.RightAxis.Shape.Font.OutLine.EndStyle := esRound;
  //aChart.RightAxis.Shape.Font.OutLine.Fill := (TTeeBrush);
  aChart.RightAxis.Shape.Font.OutLine.Fill.BackColor := clNone;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Color := clDefault;
  //aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Shape.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.RightAxis.Shape.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.RightAxis.Shape.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.Shape.Font.OutLine.Fill.Style := bsSolid;
  aChart.RightAxis.Shape.Font.OutLine.JoinStyle := jsRound;
  aChart.RightAxis.Shape.Font.OutLine.Mode := pmCopy;
  aChart.RightAxis.Shape.Font.OutLine.SmallDots := False;
  aChart.RightAxis.Shape.Font.OutLine.SmallSpace := 0;
  aChart.RightAxis.Shape.Font.OutLine.Style := psSolid;
  aChart.RightAxis.Shape.Font.OutLine.Visible := False;
  aChart.RightAxis.Shape.Font.OutLine.Width := 1;
  //aChart.RightAxis.Shape.Font.Picture := (TTeePicture);
  //aChart.RightAxis.Shape.Font.Picture.Filters := (TFilterItems);
  aChart.RightAxis.Shape.Font.Pitch := fpDefault;
  aChart.RightAxis.Shape.Font.Quality := fqDefault;
  //aChart.RightAxis.Shape.Font.Shadow := (TTeeShadow);
  aChart.RightAxis.Shape.Font.Shadow.Clip := False;
  aChart.RightAxis.Shape.Font.Shadow.Color := clSilver;
  aChart.RightAxis.Shape.Font.Shadow.HorizSize := 0;
  aChart.RightAxis.Shape.Font.Shadow.Smooth := True;
  aChart.RightAxis.Shape.Font.Shadow.SmoothBlur := 0;
  aChart.RightAxis.Shape.Font.Shadow.Transparency := 50;
  aChart.RightAxis.Shape.Font.Shadow.VertSize := 0;
  aChart.RightAxis.Shape.Font.Shadow.Visible := True;
  aChart.RightAxis.Shape.Font.Size := 8;
  aChart.RightAxis.Shape.Font.SizeFloat := 8;
  //aChart.RightAxis.Shape.Font.Style := [TFontStyles];
  //aChart.RightAxis.Shape.Font.Style.fsBold := False;
  //aChart.RightAxis.Shape.Font.Style.fsItalic := False;
  //aChart.RightAxis.Shape.Font.Style.fsUnderline := False;
  //aChart.RightAxis.Shape.Font.Style.fsStrikeOut := False;
  //aChart.RightAxis.Shape.Gradient := (TTeeGradient);
  aChart.RightAxis.Shape.Gradient.Angle := 0;
  aChart.RightAxis.Shape.Gradient.Balance := 50;
  //aChart.RightAxis.Shape.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Shape.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Shape.Gradient.EndColor := clYellow;
  aChart.RightAxis.Shape.Gradient.MidColor := clNone;
  aChart.RightAxis.Shape.Gradient.RadialX := 0;
  aChart.RightAxis.Shape.Gradient.RadialY := 0;
  aChart.RightAxis.Shape.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Shape.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Shape.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Shape.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Shape.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Shape.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Shape.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Shape.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Shape.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Shape.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Shape.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Shape.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Shape.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Shape.Gradient.Visible := False;
  //aChart.RightAxis.Shape.Picture := (TBackImage);
  aChart.RightAxis.Shape.Picture.Bottom := 0;
  aChart.RightAxis.Shape.Picture.DrawQuality := sqHigh;
  //aChart.RightAxis.Shape.Picture.Filters := (TFilterItems);
  aChart.RightAxis.Shape.Picture.Inside := False;
  aChart.RightAxis.Shape.Picture.Left := 0;
  aChart.RightAxis.Shape.Picture.Mode := pbmStretch;
  aChart.RightAxis.Shape.Picture.Right := 0;
  aChart.RightAxis.Shape.Picture.Top := 0;
  aChart.RightAxis.Shape.RoundSize := 16;
  //aChart.RightAxis.Shape.Shadow := (TTeeShadow);
  aChart.RightAxis.Shape.Shadow.Clip := False;
  aChart.RightAxis.Shape.Shadow.Color := clBlack;
  aChart.RightAxis.Shape.Shadow.HorizSize := 3;
  aChart.RightAxis.Shape.Shadow.Smooth := True;
  aChart.RightAxis.Shape.Shadow.SmoothBlur := 0;
  aChart.RightAxis.Shape.Shadow.Transparency := 50;
  aChart.RightAxis.Shape.Shadow.VertSize := 3;
  aChart.RightAxis.Shape.Shadow.Visible := False;
  //aChart.RightAxis.Shape.ShapeCallout := (TShapeCallout);
  aChart.RightAxis.Shape.ShapeCallout.PointPosition := 50;
  aChart.RightAxis.Shape.ShapeCallout.Position := 50;
  aChart.RightAxis.Shape.ShapeCallout.Side := csNone;
  aChart.RightAxis.Shape.ShapeCallout.Size := 25;
  aChart.RightAxis.Shape.ShapeCallout.Width := 20;
  aChart.RightAxis.Shape.ShapeStyle := fosRectangle;
  aChart.RightAxis.Shape.Transparency := 0;
  aChart.RightAxis.Shape.Transparent := False;
  aChart.RightAxis.Shape.Visible := False;
  aChart.RightAxis.StartPosition := 0;
  //aChart.RightAxis.SubAxes := (TChartCustomAxes);
  aChart.RightAxis.TickInnerLength := 0;
  aChart.RightAxis.TickLength := 4;
  aChart.RightAxis.TickOnLabelsOnly := True;
  //aChart.RightAxis.Ticks := (TTicks);
  aChart.RightAxis.Ticks.Color := clGray;
  aChart.RightAxis.Ticks.EndStyle := esRound;
  //aChart.RightAxis.Ticks.Fill := (TTeeBrush);
  aChart.RightAxis.Ticks.Fill.BackColor := clNone;
  aChart.RightAxis.Ticks.Fill.Color := clDefault;
  //aChart.RightAxis.Ticks.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.Ticks.Fill.Gradient.Angle := 0;
  aChart.RightAxis.Ticks.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.Ticks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Ticks.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Ticks.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.Ticks.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.Ticks.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.Ticks.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.Ticks.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Ticks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Ticks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Ticks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Ticks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Ticks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Ticks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Ticks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Ticks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Ticks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Ticks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Ticks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Ticks.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Ticks.Fill.Gradient.Visible := False;
  //aChart.RightAxis.Ticks.Fill.Image := (TTeePicture);
  //aChart.RightAxis.Ticks.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.Ticks.Fill.Style := bsSolid;
  aChart.RightAxis.Ticks.JoinStyle := jsRound;
  aChart.RightAxis.Ticks.Mode := pmCopy;
  aChart.RightAxis.Ticks.SmallDots := False;
  aChart.RightAxis.Ticks.SmallSpace := 0;
  aChart.RightAxis.Ticks.Style := psSolid;
  aChart.RightAxis.Ticks.Visible := True;
  aChart.RightAxis.Ticks.Width := 1;
  //aChart.RightAxis.TicksInner := (TTicks);
  aChart.RightAxis.TicksInner.Color := clGray;
  aChart.RightAxis.TicksInner.EndStyle := esRound;
  //aChart.RightAxis.TicksInner.Fill := (TTeeBrush);
  aChart.RightAxis.TicksInner.Fill.BackColor := clNone;
  aChart.RightAxis.TicksInner.Fill.Color := clDefault;
  //aChart.RightAxis.TicksInner.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.TicksInner.Fill.Gradient.Angle := 0;
  aChart.RightAxis.TicksInner.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.TicksInner.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.TicksInner.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.TicksInner.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.TicksInner.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.TicksInner.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.TicksInner.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.TicksInner.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.TicksInner.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.TicksInner.Fill.Gradient.Visible := False;
  //aChart.RightAxis.TicksInner.Fill.Image := (TTeePicture);
  //aChart.RightAxis.TicksInner.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.TicksInner.Fill.Style := bsSolid;
  aChart.RightAxis.TicksInner.JoinStyle := jsRound;
  aChart.RightAxis.TicksInner.Mode := pmCopy;
  aChart.RightAxis.TicksInner.SmallDots := False;
  aChart.RightAxis.TicksInner.SmallSpace := 0;
  aChart.RightAxis.TicksInner.Style := psSolid;
  aChart.RightAxis.TicksInner.Visible := True;
  aChart.RightAxis.TicksInner.Width := 1;
  //aChart.RightAxis.Title := (TChartAxisTitle);
  aChart.RightAxis.Title.Angle := 270;
  aChart.RightAxis.Title.Bevel := bvNone;
  aChart.RightAxis.Title.BevelWidth := 2;
  //aChart.RightAxis.Title.Brush := (TTeeBrush);
  aChart.RightAxis.Title.Brush.BackColor := clNone;
  aChart.RightAxis.Title.Brush.Color := clDefault;
  //aChart.RightAxis.Title.Brush.Gradient := (TTeeGradient);
  aChart.RightAxis.Title.Brush.Gradient.Angle := 0;
  aChart.RightAxis.Title.Brush.Gradient.Balance := 50;
  //aChart.RightAxis.Title.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Brush.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Brush.Gradient.EndColor := clYellow;
  aChart.RightAxis.Title.Brush.Gradient.MidColor := clNone;
  aChart.RightAxis.Title.Brush.Gradient.RadialX := 0;
  aChart.RightAxis.Title.Brush.Gradient.RadialY := 0;
  aChart.RightAxis.Title.Brush.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Title.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Title.Brush.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Title.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Title.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Title.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Title.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Title.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Title.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Title.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Title.Brush.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Title.Brush.Gradient.Visible := False;
  //aChart.RightAxis.Title.Brush.Image := (TTeePicture);
  //aChart.RightAxis.Title.Brush.Image.Filters := (TFilterItems);
  aChart.RightAxis.Title.Brush.Style := bsSolid;
  //aChart.RightAxis.Title.Caption := ;
  aChart.RightAxis.Title.ChildLayout := slTopBottom;
  //aChart.RightAxis.Title.Children := (TTeeShapes);
  aChart.RightAxis.Title.Color := clWhite;
  //aChart.RightAxis.Title.Emboss := (TTeeEmboss);
  aChart.RightAxis.Title.Emboss.Clip := False;
  aChart.RightAxis.Title.Emboss.Color := clBlack;
  aChart.RightAxis.Title.Emboss.HorizSize := 3;
  aChart.RightAxis.Title.Emboss.Smooth := True;
  aChart.RightAxis.Title.Emboss.SmoothBlur := 0;
  aChart.RightAxis.Title.Emboss.Transparency := 50;
  aChart.RightAxis.Title.Emboss.VertSize := 3;
  aChart.RightAxis.Title.Emboss.Visible := False;
  //aChart.RightAxis.Title.Font := Arial, 8 , Normal;
  //aChart.RightAxis.Title.Font.Brush := (TTeeBrush);
  aChart.RightAxis.Title.Font.Brush.BackColor := clNone;
  aChart.RightAxis.Title.Font.Brush.Color := clBlack;
  //aChart.RightAxis.Title.Font.Brush.Gradient := (TTeeGradient);
  aChart.RightAxis.Title.Font.Brush.Gradient.Angle := 0;
  aChart.RightAxis.Title.Font.Brush.Gradient.Balance := 50;
  //aChart.RightAxis.Title.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Font.Brush.Gradient.EndColor := clYellow;
  aChart.RightAxis.Title.Font.Brush.Gradient.MidColor := clNone;
  aChart.RightAxis.Title.Font.Brush.Gradient.RadialX := 0;
  aChart.RightAxis.Title.Font.Brush.Gradient.RadialY := 0;
  aChart.RightAxis.Title.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Title.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Title.Font.Brush.Gradient.Visible := False;
  //aChart.RightAxis.Title.Font.Brush.Image := (TTeePicture);
  //aChart.RightAxis.Title.Font.Brush.Image.Filters := (TFilterItems);
  aChart.RightAxis.Title.Font.Brush.Style := bsSolid;
  aChart.RightAxis.Title.Font.Charset := 1;
  aChart.RightAxis.Title.Font.Color := clBlack;
  aChart.RightAxis.Title.Font.Depth := 0;
  //aChart.RightAxis.Title.Font.Emboss := (TTeeEmboss);
  aChart.RightAxis.Title.Font.Emboss.Clip := False;
  aChart.RightAxis.Title.Font.Emboss.Color := clSilver;
  aChart.RightAxis.Title.Font.Emboss.HorizSize := 0;
  aChart.RightAxis.Title.Font.Emboss.Smooth := True;
  aChart.RightAxis.Title.Font.Emboss.SmoothBlur := 0;
  aChart.RightAxis.Title.Font.Emboss.Transparency := 50;
  aChart.RightAxis.Title.Font.Emboss.VertSize := 0;
  aChart.RightAxis.Title.Font.Emboss.Visible := False;
  //aChart.RightAxis.Title.Font.Gradient := (TTeeGradient);
  aChart.RightAxis.Title.Font.Gradient.Angle := 0;
  aChart.RightAxis.Title.Font.Gradient.Balance := 50;
  //aChart.RightAxis.Title.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Font.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Font.Gradient.EndColor := clYellow;
  aChart.RightAxis.Title.Font.Gradient.MidColor := clNone;
  aChart.RightAxis.Title.Font.Gradient.RadialX := 0;
  aChart.RightAxis.Title.Font.Gradient.RadialY := 0;
  aChart.RightAxis.Title.Font.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Title.Font.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Title.Font.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Title.Font.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Title.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Title.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Title.Font.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Title.Font.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Title.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Title.Font.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Title.Font.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Title.Font.Gradient.Visible := False;
  aChart.RightAxis.Title.Font.Height := -11;
  aChart.RightAxis.Title.Font.InterCharSize := 0;
  //aChart.RightAxis.Title.Font.Name := Arial;
  aChart.RightAxis.Title.Font.Orientation := 0;
  //aChart.RightAxis.Title.Font.OutLine := (TTeeHiddenPen);
  aChart.RightAxis.Title.Font.OutLine.Color := clBlack;
  aChart.RightAxis.Title.Font.OutLine.EndStyle := esRound;
  //aChart.RightAxis.Title.Font.OutLine.Fill := (TTeeBrush);
  aChart.RightAxis.Title.Font.OutLine.Fill.BackColor := clNone;
  aChart.RightAxis.Title.Font.OutLine.Fill.Color := clDefault;
  //aChart.RightAxis.Title.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Title.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.RightAxis.Title.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.RightAxis.Title.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.Title.Font.OutLine.Fill.Style := bsSolid;
  aChart.RightAxis.Title.Font.OutLine.JoinStyle := jsRound;
  aChart.RightAxis.Title.Font.OutLine.Mode := pmCopy;
  aChart.RightAxis.Title.Font.OutLine.SmallDots := False;
  aChart.RightAxis.Title.Font.OutLine.SmallSpace := 0;
  aChart.RightAxis.Title.Font.OutLine.Style := psSolid;
  aChart.RightAxis.Title.Font.OutLine.Visible := False;
  aChart.RightAxis.Title.Font.OutLine.Width := 1;
  //aChart.RightAxis.Title.Font.Picture := (TTeePicture);
  //aChart.RightAxis.Title.Font.Picture.Filters := (TFilterItems);
  aChart.RightAxis.Title.Font.Pitch := fpDefault;
  aChart.RightAxis.Title.Font.Quality := fqDefault;
  //aChart.RightAxis.Title.Font.Shadow := (TTeeShadow);
  aChart.RightAxis.Title.Font.Shadow.Clip := False;
  aChart.RightAxis.Title.Font.Shadow.Color := clSilver;
  aChart.RightAxis.Title.Font.Shadow.HorizSize := 0;
  aChart.RightAxis.Title.Font.Shadow.Smooth := True;
  aChart.RightAxis.Title.Font.Shadow.SmoothBlur := 0;
  aChart.RightAxis.Title.Font.Shadow.Transparency := 50;
  aChart.RightAxis.Title.Font.Shadow.VertSize := 0;
  aChart.RightAxis.Title.Font.Shadow.Visible := True;
  aChart.RightAxis.Title.Font.Size := 8;
  aChart.RightAxis.Title.Font.SizeFloat := 8;
  //aChart.RightAxis.Title.Font.Style := [TFontStyles];
  //aChart.RightAxis.Title.Font.Style.fsBold := False;
  //aChart.RightAxis.Title.Font.Style.fsItalic := False;
  //aChart.RightAxis.Title.Font.Style.fsUnderline := False;
  //aChart.RightAxis.Title.Font.Style.fsStrikeOut := False;
  //aChart.RightAxis.Title.Gradient := (TTeeGradient);
  aChart.RightAxis.Title.Gradient.Angle := 0;
  aChart.RightAxis.Title.Gradient.Balance := 50;
  //aChart.RightAxis.Title.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Gradient.EndColor := clYellow;
  aChart.RightAxis.Title.Gradient.MidColor := clNone;
  aChart.RightAxis.Title.Gradient.RadialX := 0;
  aChart.RightAxis.Title.Gradient.RadialY := 0;
  aChart.RightAxis.Title.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Title.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Title.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Title.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Title.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Title.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Title.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Title.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Title.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Title.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Title.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Title.Gradient.Visible := False;
  //aChart.RightAxis.Title.Pen := (TTeePen);
  aChart.RightAxis.Title.Pen.Color := clBlack;
  aChart.RightAxis.Title.Pen.EndStyle := esRound;
  //aChart.RightAxis.Title.Pen.Fill := (TTeeBrush);
  aChart.RightAxis.Title.Pen.Fill.BackColor := clNone;
  aChart.RightAxis.Title.Pen.Fill.Color := clDefault;
  //aChart.RightAxis.Title.Pen.Fill.Gradient := (TTeeGradient);
  aChart.RightAxis.Title.Pen.Fill.Gradient.Angle := 0;
  aChart.RightAxis.Title.Pen.Fill.Gradient.Balance := 50;
  //aChart.RightAxis.Title.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.RightAxis.Title.Pen.Fill.Gradient.MidColor := clNone;
  aChart.RightAxis.Title.Pen.Fill.Gradient.RadialX := 0;
  aChart.RightAxis.Title.Pen.Fill.Gradient.RadialY := 0;
  aChart.RightAxis.Title.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightAxis.Title.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightAxis.Title.Pen.Fill.Gradient.Visible := False;
  //aChart.RightAxis.Title.Pen.Fill.Image := (TTeePicture);
  //aChart.RightAxis.Title.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.RightAxis.Title.Pen.Fill.Style := bsSolid;
  aChart.RightAxis.Title.Pen.JoinStyle := jsRound;
  aChart.RightAxis.Title.Pen.Mode := pmCopy;
  aChart.RightAxis.Title.Pen.SmallDots := False;
  aChart.RightAxis.Title.Pen.SmallSpace := 0;
  aChart.RightAxis.Title.Pen.Style := psSolid;
  aChart.RightAxis.Title.Pen.Visible := True;
  aChart.RightAxis.Title.Pen.Width := 1;
  //aChart.RightAxis.Title.Picture := (TBackImage);
  aChart.RightAxis.Title.Picture.Bottom := 0;
  aChart.RightAxis.Title.Picture.DrawQuality := sqHigh;
  //aChart.RightAxis.Title.Picture.Filters := (TFilterItems);
  aChart.RightAxis.Title.Picture.Inside := False;
  aChart.RightAxis.Title.Picture.Left := 0;
  aChart.RightAxis.Title.Picture.Mode := pbmStretch;
  aChart.RightAxis.Title.Picture.Right := 0;
  aChart.RightAxis.Title.Picture.Top := 0;
  aChart.RightAxis.Title.Position := tpCenter;
  aChart.RightAxis.Title.RoundSize := 16;
  //aChart.RightAxis.Title.Shadow := (TTeeShadow);
  aChart.RightAxis.Title.Shadow.Clip := False;
  aChart.RightAxis.Title.Shadow.Color := clBlack;
  aChart.RightAxis.Title.Shadow.HorizSize := 3;
  aChart.RightAxis.Title.Shadow.Smooth := True;
  aChart.RightAxis.Title.Shadow.SmoothBlur := 0;
  aChart.RightAxis.Title.Shadow.Transparency := 50;
  aChart.RightAxis.Title.Shadow.VertSize := 3;
  aChart.RightAxis.Title.Shadow.Visible := True;
  //aChart.RightAxis.Title.ShapeCallout := (TShapeCallout);
  aChart.RightAxis.Title.ShapeCallout.PointPosition := 50;
  aChart.RightAxis.Title.ShapeCallout.Position := 50;
  aChart.RightAxis.Title.ShapeCallout.Side := csNone;
  aChart.RightAxis.Title.ShapeCallout.Size := 25;
  aChart.RightAxis.Title.ShapeCallout.Width := 20;
  aChart.RightAxis.Title.ShapeStyle := fosRectangle;
  aChart.RightAxis.Title.TextAlignment := taCenter;
  aChart.RightAxis.Title.Transparency := 0;
  aChart.RightAxis.Title.Transparent := True;
  aChart.RightAxis.Title.Visible := True;
  aChart.RightAxis.TitleSize := 0;
  aChart.RightAxis.UsePartnerAxis := False;
  aChart.RightAxis.Visible := False;
  aChart.RightAxis.ZPosition := 100;
  //aChart.RightWall := (TChartRightWall);
  aChart.RightWall.AutoHide := False;
  //aChart.RightWall.Brush := (TTeeBrush);
  aChart.RightWall.Brush.BackColor := clNone;
  aChart.RightWall.Brush.Color := clDefault;
  //aChart.RightWall.Brush.Gradient := (TTeeGradient);
  aChart.RightWall.Brush.Gradient.Angle := 0;
  aChart.RightWall.Brush.Gradient.Balance := 50;
  //aChart.RightWall.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.RightWall.Brush.Gradient.Direction := gdTopBottom;
  aChart.RightWall.Brush.Gradient.EndColor := clYellow;
  aChart.RightWall.Brush.Gradient.MidColor := clNone;
  aChart.RightWall.Brush.Gradient.RadialX := 0;
  aChart.RightWall.Brush.Gradient.RadialY := 0;
  aChart.RightWall.Brush.Gradient.StartColor := clWhite;
  //aChart.RightWall.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.RightWall.Brush.Gradient.SubGradient.Angle := 0;
  aChart.RightWall.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.RightWall.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightWall.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightWall.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightWall.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.RightWall.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.RightWall.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.RightWall.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightWall.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.RightWall.Brush.Gradient.SubGradient.Visible := False;
  aChart.RightWall.Brush.Gradient.Visible := False;
  //aChart.RightWall.Brush.Image := (TTeePicture);
  //aChart.RightWall.Brush.Image.Filters := (TFilterItems);
  aChart.RightWall.Brush.Style := bsSolid;
  aChart.RightWall.Color := clSilver;
  aChart.RightWall.Dark3D := True;
  aChart.RightWall.EndPosition := 100;
  //aChart.RightWall.Gradient := (TTeeGradient);
  aChart.RightWall.Gradient.Angle := 0;
  aChart.RightWall.Gradient.Balance := 50;
  //aChart.RightWall.Gradient.Colors := (TTeeGradientColors);
  aChart.RightWall.Gradient.Direction := gdTopBottom;
  aChart.RightWall.Gradient.EndColor := clYellow;
  aChart.RightWall.Gradient.MidColor := clNone;
  aChart.RightWall.Gradient.RadialX := 0;
  aChart.RightWall.Gradient.RadialY := 0;
  aChart.RightWall.Gradient.StartColor := clWhite;
  //aChart.RightWall.Gradient.SubGradient := (TSubGradient);
  aChart.RightWall.Gradient.SubGradient.Angle := 0;
  aChart.RightWall.Gradient.SubGradient.Balance := 50;
  //aChart.RightWall.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightWall.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightWall.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightWall.Gradient.SubGradient.MidColor := clNone;
  aChart.RightWall.Gradient.SubGradient.RadialX := 0;
  aChart.RightWall.Gradient.SubGradient.RadialY := 0;
  aChart.RightWall.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightWall.Gradient.SubGradient.Transparency := 50;
  aChart.RightWall.Gradient.SubGradient.Visible := False;
  aChart.RightWall.Gradient.Visible := False;
  //aChart.RightWall.Pen := (TTeePen);
  aChart.RightWall.Pen.Color := clBlack;
  aChart.RightWall.Pen.EndStyle := esRound;
  //aChart.RightWall.Pen.Fill := (TTeeBrush);
  aChart.RightWall.Pen.Fill.BackColor := clNone;
  aChart.RightWall.Pen.Fill.Color := clDefault;
  //aChart.RightWall.Pen.Fill.Gradient := (TTeeGradient);
  aChart.RightWall.Pen.Fill.Gradient.Angle := 0;
  aChart.RightWall.Pen.Fill.Gradient.Balance := 50;
  //aChart.RightWall.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.RightWall.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.RightWall.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.RightWall.Pen.Fill.Gradient.MidColor := clNone;
  aChart.RightWall.Pen.Fill.Gradient.RadialX := 0;
  aChart.RightWall.Pen.Fill.Gradient.RadialY := 0;
  aChart.RightWall.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.RightWall.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.RightWall.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.RightWall.Pen.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.RightWall.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.RightWall.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.RightWall.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.RightWall.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.RightWall.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.RightWall.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.RightWall.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.RightWall.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.RightWall.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.RightWall.Pen.Fill.Gradient.Visible := False;
  //aChart.RightWall.Pen.Fill.Image := (TTeePicture);
  //aChart.RightWall.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.RightWall.Pen.Fill.Style := bsSolid;
  aChart.RightWall.Pen.JoinStyle := jsRound;
  aChart.RightWall.Pen.Mode := pmCopy;
  aChart.RightWall.Pen.SmallDots := False;
  aChart.RightWall.Pen.SmallSpace := 0;
  aChart.RightWall.Pen.Style := psSolid;
  aChart.RightWall.Pen.Visible := True;
  aChart.RightWall.Pen.Width := 1;
  //aChart.RightWall.Picture := (TBackImage);
  aChart.RightWall.Picture.Bottom := 0;
  aChart.RightWall.Picture.DrawQuality := sqHigh;
  //aChart.RightWall.Picture.Filters := (TFilterItems);
  aChart.RightWall.Picture.Inside := False;
  aChart.RightWall.Picture.Left := 0;
  aChart.RightWall.Picture.Mode := pbmStretch;
  aChart.RightWall.Picture.Right := 0;
  aChart.RightWall.Picture.Top := 0;
  aChart.RightWall.RoundSize := 16;
  aChart.RightWall.Size := 0;
  aChart.RightWall.StartPosition := 0;
  aChart.RightWall.Transparency := 0;
  aChart.RightWall.Transparent := False;
  aChart.RightWall.Visible := False;
  aChart.ScrollMouseButton := mbRight;
  //aChart.SeriesGroups := (TSeriesGroups);
  //aChart.SeriesList := (TChartSeriesList);
  //aChart.Shadow := (TTeeShadow);
  aChart.Shadow.Clip := False;
  aChart.Shadow.Color := clSilver;
  aChart.Shadow.HorizSize := 0;
  aChart.Shadow.Smooth := True;
  aChart.Shadow.SmoothBlur := 0;
  aChart.Shadow.Transparency := 50;
  aChart.Shadow.VertSize := 0;
  aChart.Shadow.Visible := False;
  aChart.ShowHint := False;
  //aChart.SubFoot := (TChartTitle);
  aChart.SubFoot.AdjustFrame := True;
  aChart.SubFoot.Alignment := taCenter;
  aChart.SubFoot.Angle := 0;
  aChart.SubFoot.AutoSize := True;
  aChart.SubFoot.Bevel := bvNone;
  aChart.SubFoot.BevelWidth := 2;
  //aChart.SubFoot.Brush := (TTeeBrush);
  aChart.SubFoot.Brush.BackColor := clNone;
  aChart.SubFoot.Brush.Color := clDefault;
  //aChart.SubFoot.Brush.Gradient := (TTeeGradient);
  aChart.SubFoot.Brush.Gradient.Angle := 0;
  aChart.SubFoot.Brush.Gradient.Balance := 50;
  //aChart.SubFoot.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Brush.Gradient.Direction := gdTopBottom;
  aChart.SubFoot.Brush.Gradient.EndColor := clYellow;
  aChart.SubFoot.Brush.Gradient.MidColor := clNone;
  aChart.SubFoot.Brush.Gradient.RadialX := 0;
  aChart.SubFoot.Brush.Gradient.RadialY := 0;
  aChart.SubFoot.Brush.Gradient.StartColor := clWhite;
  //aChart.SubFoot.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.SubFoot.Brush.Gradient.SubGradient.Angle := 0;
  aChart.SubFoot.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.SubFoot.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubFoot.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubFoot.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.SubFoot.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.SubFoot.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.SubFoot.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubFoot.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.SubFoot.Brush.Gradient.SubGradient.Visible := False;
  aChart.SubFoot.Brush.Gradient.Visible := False;
  //aChart.SubFoot.Brush.Image := (TTeePicture);
  //aChart.SubFoot.Brush.Image.Filters := (TFilterItems);
  aChart.SubFoot.Brush.Style := bsSolid;
  aChart.SubFoot.ChildLayout := slTopBottom;
  //aChart.SubFoot.Children := (TTeeShapes);
  aChart.SubFoot.ClipText := True;
  aChart.SubFoot.Color := clWhite;
  aChart.SubFoot.Cursor := crDefault;
  aChart.SubFoot.CustomPosition := False;
  //aChart.SubFoot.Emboss := (TTeeEmboss);
  aChart.SubFoot.Emboss.Clip := False;
  aChart.SubFoot.Emboss.Color := clBlack;
  aChart.SubFoot.Emboss.HorizSize := 3;
  aChart.SubFoot.Emboss.Smooth := True;
  aChart.SubFoot.Emboss.SmoothBlur := 0;
  aChart.SubFoot.Emboss.Transparency := 50;
  aChart.SubFoot.Emboss.VertSize := 3;
  aChart.SubFoot.Emboss.Visible := False;
  //aChart.SubFoot.Font := Arial, 8 , Italic;
  //aChart.SubFoot.Font.Brush := (TTeeBrush);
  aChart.SubFoot.Font.Brush.BackColor := clNone;
  aChart.SubFoot.Font.Brush.Color := clRed;
  //aChart.SubFoot.Font.Brush.Gradient := (TTeeGradient);
  aChart.SubFoot.Font.Brush.Gradient.Angle := 0;
  aChart.SubFoot.Font.Brush.Gradient.Balance := 50;
  //aChart.SubFoot.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.SubFoot.Font.Brush.Gradient.EndColor := clYellow;
  aChart.SubFoot.Font.Brush.Gradient.MidColor := clNone;
  aChart.SubFoot.Font.Brush.Gradient.RadialX := 0;
  aChart.SubFoot.Font.Brush.Gradient.RadialY := 0;
  aChart.SubFoot.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.SubFoot.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.SubFoot.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.SubFoot.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.SubFoot.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubFoot.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubFoot.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.SubFoot.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.SubFoot.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.SubFoot.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubFoot.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.SubFoot.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.SubFoot.Font.Brush.Gradient.Visible := False;
  //aChart.SubFoot.Font.Brush.Image := (TTeePicture);
  //aChart.SubFoot.Font.Brush.Image.Filters := (TFilterItems);
  aChart.SubFoot.Font.Brush.Style := bsSolid;
  aChart.SubFoot.Font.Charset := 1;
  aChart.SubFoot.Font.Color := clRed;
  aChart.SubFoot.Font.Depth := 0;
  //aChart.SubFoot.Font.Emboss := (TTeeEmboss);
  aChart.SubFoot.Font.Emboss.Clip := False;
  aChart.SubFoot.Font.Emboss.Color := clSilver;
  aChart.SubFoot.Font.Emboss.HorizSize := 0;
  aChart.SubFoot.Font.Emboss.Smooth := True;
  aChart.SubFoot.Font.Emboss.SmoothBlur := 0;
  aChart.SubFoot.Font.Emboss.Transparency := 50;
  aChart.SubFoot.Font.Emboss.VertSize := 0;
  aChart.SubFoot.Font.Emboss.Visible := False;
  //aChart.SubFoot.Font.Gradient := (TTeeGradient);
  aChart.SubFoot.Font.Gradient.Angle := 0;
  aChart.SubFoot.Font.Gradient.Balance := 50;
  //aChart.SubFoot.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Font.Gradient.Direction := gdTopBottom;
  aChart.SubFoot.Font.Gradient.EndColor := clYellow;
  aChart.SubFoot.Font.Gradient.MidColor := clNone;
  aChart.SubFoot.Font.Gradient.RadialX := 0;
  aChart.SubFoot.Font.Gradient.RadialY := 0;
  aChart.SubFoot.Font.Gradient.StartColor := clWhite;
  //aChart.SubFoot.Font.Gradient.SubGradient := (TSubGradient);
  aChart.SubFoot.Font.Gradient.SubGradient.Angle := 0;
  aChart.SubFoot.Font.Gradient.SubGradient.Balance := 50;
  //aChart.SubFoot.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubFoot.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubFoot.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.SubFoot.Font.Gradient.SubGradient.RadialX := 0;
  aChart.SubFoot.Font.Gradient.SubGradient.RadialY := 0;
  aChart.SubFoot.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubFoot.Font.Gradient.SubGradient.Transparency := 50;
  aChart.SubFoot.Font.Gradient.SubGradient.Visible := False;
  aChart.SubFoot.Font.Gradient.Visible := False;
  aChart.SubFoot.Font.Height := -11;
  aChart.SubFoot.Font.InterCharSize := 0;
  //aChart.SubFoot.Font.Name := Arial;
  aChart.SubFoot.Font.Orientation := 0;
  //aChart.SubFoot.Font.OutLine := (TTeeHiddenPen);
  aChart.SubFoot.Font.OutLine.Color := clBlack;
  aChart.SubFoot.Font.OutLine.EndStyle := esRound;
  //aChart.SubFoot.Font.OutLine.Fill := (TTeeBrush);
  aChart.SubFoot.Font.OutLine.Fill.BackColor := clNone;
  aChart.SubFoot.Font.OutLine.Fill.Color := clDefault;
  //aChart.SubFoot.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.SubFoot.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.SubFoot.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.SubFoot.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.SubFoot.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.SubFoot.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.SubFoot.Font.OutLine.Fill.Style := bsSolid;
  aChart.SubFoot.Font.OutLine.JoinStyle := jsRound;
  aChart.SubFoot.Font.OutLine.Mode := pmCopy;
  aChart.SubFoot.Font.OutLine.SmallDots := False;
  aChart.SubFoot.Font.OutLine.SmallSpace := 0;
  aChart.SubFoot.Font.OutLine.Style := psSolid;
  aChart.SubFoot.Font.OutLine.Visible := False;
  aChart.SubFoot.Font.OutLine.Width := 1;
  //aChart.SubFoot.Font.Picture := (TTeePicture);
  //aChart.SubFoot.Font.Picture.Filters := (TFilterItems);
  aChart.SubFoot.Font.Pitch := fpDefault;
  aChart.SubFoot.Font.Quality := fqDefault;
  //aChart.SubFoot.Font.Shadow := (TTeeShadow);
  aChart.SubFoot.Font.Shadow.Clip := False;
  aChart.SubFoot.Font.Shadow.Color := clSilver;
  aChart.SubFoot.Font.Shadow.HorizSize := 0;
  aChart.SubFoot.Font.Shadow.Smooth := True;
  aChart.SubFoot.Font.Shadow.SmoothBlur := 0;
  aChart.SubFoot.Font.Shadow.Transparency := 50;
  aChart.SubFoot.Font.Shadow.VertSize := 0;
  aChart.SubFoot.Font.Shadow.Visible := True;
  aChart.SubFoot.Font.Size := 8;
  aChart.SubFoot.Font.SizeFloat := 8;
  //aChart.SubFoot.Font.Style := [TFontStyles];
  //aChart.SubFoot.Font.Style.fsBold := False;
  //aChart.SubFoot.Font.Style.fsItalic := True;
  //aChart.SubFoot.Font.Style.fsUnderline := False;
  //aChart.SubFoot.Font.Style.fsStrikeOut := False;
  //aChart.SubFoot.Frame := (TTeePen);
  aChart.SubFoot.Frame.Color := clBlack;
  aChart.SubFoot.Frame.EndStyle := esRound;
  //aChart.SubFoot.Frame.Fill := (TTeeBrush);
  aChart.SubFoot.Frame.Fill.BackColor := clNone;
  aChart.SubFoot.Frame.Fill.Color := clDefault;
  //aChart.SubFoot.Frame.Fill.Gradient := (TTeeGradient);
  aChart.SubFoot.Frame.Fill.Gradient.Angle := 0;
  aChart.SubFoot.Frame.Fill.Gradient.Balance := 50;
  //aChart.SubFoot.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.SubFoot.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.SubFoot.Frame.Fill.Gradient.MidColor := clNone;
  aChart.SubFoot.Frame.Fill.Gradient.RadialX := 0;
  aChart.SubFoot.Frame.Fill.Gradient.RadialY := 0;
  aChart.SubFoot.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.SubFoot.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.SubFoot.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.SubFoot.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.SubFoot.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubFoot.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubFoot.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.SubFoot.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.SubFoot.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.SubFoot.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubFoot.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.SubFoot.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.SubFoot.Frame.Fill.Gradient.Visible := False;
  //aChart.SubFoot.Frame.Fill.Image := (TTeePicture);
  //aChart.SubFoot.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.SubFoot.Frame.Fill.Style := bsSolid;
  aChart.SubFoot.Frame.JoinStyle := jsRound;
  aChart.SubFoot.Frame.Mode := pmCopy;
  aChart.SubFoot.Frame.SmallDots := False;
  aChart.SubFoot.Frame.SmallSpace := 0;
  aChart.SubFoot.Frame.Style := psSolid;
  aChart.SubFoot.Frame.Visible := True;
  aChart.SubFoot.Frame.Width := 1;
  //aChart.SubFoot.Gradient := (TTeeGradient);
  aChart.SubFoot.Gradient.Angle := 0;
  aChart.SubFoot.Gradient.Balance := 50;
  //aChart.SubFoot.Gradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Gradient.Direction := gdTopBottom;
  aChart.SubFoot.Gradient.EndColor := clYellow;
  aChart.SubFoot.Gradient.MidColor := clNone;
  aChart.SubFoot.Gradient.RadialX := 0;
  aChart.SubFoot.Gradient.RadialY := 0;
  aChart.SubFoot.Gradient.StartColor := clWhite;
  //aChart.SubFoot.Gradient.SubGradient := (TSubGradient);
  aChart.SubFoot.Gradient.SubGradient.Angle := 0;
  aChart.SubFoot.Gradient.SubGradient.Balance := 50;
  //aChart.SubFoot.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubFoot.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubFoot.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubFoot.Gradient.SubGradient.MidColor := clNone;
  aChart.SubFoot.Gradient.SubGradient.RadialX := 0;
  aChart.SubFoot.Gradient.SubGradient.RadialY := 0;
  aChart.SubFoot.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubFoot.Gradient.SubGradient.Transparency := 50;
  aChart.SubFoot.Gradient.SubGradient.Visible := False;
  aChart.SubFoot.Gradient.Visible := False;
  aChart.SubFoot.Left := 0;
  //aChart.SubFoot.Margins := (TMargins);
  aChart.SubFoot.Margins.Bottom := 5;
  aChart.SubFoot.Margins.Left := 10;
  aChart.SubFoot.Margins.Right := 10;
  aChart.SubFoot.Margins.Top := 5;
  aChart.SubFoot.Margins.Units := maPercentFont;
  //aChart.SubFoot.Picture := (TBackImage);
  aChart.SubFoot.Picture.Bottom := 0;
  aChart.SubFoot.Picture.DrawQuality := sqHigh;
  //aChart.SubFoot.Picture.Filters := (TFilterItems);
  aChart.SubFoot.Picture.Inside := False;
  aChart.SubFoot.Picture.Left := 0;
  aChart.SubFoot.Picture.Mode := pbmStretch;
  aChart.SubFoot.Picture.Right := 0;
  aChart.SubFoot.Picture.Top := 0;
  //aChart.SubFoot.Shadow := (TTeeShadow);
  aChart.SubFoot.Shadow.Clip := False;
  aChart.SubFoot.Shadow.Color := clBlack;
  aChart.SubFoot.Shadow.HorizSize := 3;
  aChart.SubFoot.Shadow.Smooth := True;
  aChart.SubFoot.Shadow.SmoothBlur := 0;
  aChart.SubFoot.Shadow.Transparency := 50;
  aChart.SubFoot.Shadow.VertSize := 3;
  aChart.SubFoot.Shadow.Visible := True;
  //aChart.SubFoot.ShapeCallout := (TShapeCallout);
  aChart.SubFoot.ShapeCallout.PointPosition := 50;
  aChart.SubFoot.ShapeCallout.Position := 50;
  aChart.SubFoot.ShapeCallout.Side := csNone;
  aChart.SubFoot.ShapeCallout.Size := 25;
  aChart.SubFoot.ShapeCallout.Width := 20;
  aChart.SubFoot.ShapeStyle := fosRectangle;
  //aChart.SubFoot.Text := (TStrings);
  aChart.SubFoot.TextAlignment := taCenter;
  aChart.SubFoot.TextFormat := ttfNormal;
  aChart.SubFoot.Top := 0;
  aChart.SubFoot.Transparency := 0;
  aChart.SubFoot.Transparent := True;
  aChart.SubFoot.VertMargin := 5;
  aChart.SubFoot.VertTextAlign := vtaCenter;
  aChart.SubFoot.Visible := True;
  //aChart.SubTitle := (TChartTitle);
  aChart.SubTitle.AdjustFrame := True;
  aChart.SubTitle.Alignment := taCenter;
  aChart.SubTitle.Angle := 0;
  aChart.SubTitle.AutoSize := True;
  aChart.SubTitle.Bevel := bvNone;
  aChart.SubTitle.BevelWidth := 2;
  //aChart.SubTitle.Brush := (TTeeBrush);
  aChart.SubTitle.Brush.BackColor := clNone;
  aChart.SubTitle.Brush.Color := clDefault;
  //aChart.SubTitle.Brush.Gradient := (TTeeGradient);
  aChart.SubTitle.Brush.Gradient.Angle := 0;
  aChart.SubTitle.Brush.Gradient.Balance := 50;
  //aChart.SubTitle.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Brush.Gradient.Direction := gdTopBottom;
  aChart.SubTitle.Brush.Gradient.EndColor := clYellow;
  aChart.SubTitle.Brush.Gradient.MidColor := clNone;
  aChart.SubTitle.Brush.Gradient.RadialX := 0;
  aChart.SubTitle.Brush.Gradient.RadialY := 0;
  aChart.SubTitle.Brush.Gradient.StartColor := clWhite;
  //aChart.SubTitle.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.SubTitle.Brush.Gradient.SubGradient.Angle := 0;
  aChart.SubTitle.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.SubTitle.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubTitle.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubTitle.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.SubTitle.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.SubTitle.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.SubTitle.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubTitle.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.SubTitle.Brush.Gradient.SubGradient.Visible := False;
  aChart.SubTitle.Brush.Gradient.Visible := False;
  //aChart.SubTitle.Brush.Image := (TTeePicture);
  //aChart.SubTitle.Brush.Image.Filters := (TFilterItems);
  aChart.SubTitle.Brush.Style := bsSolid;
  aChart.SubTitle.ChildLayout := slTopBottom;
  //aChart.SubTitle.Children := (TTeeShapes);
  aChart.SubTitle.ClipText := True;
  aChart.SubTitle.Color := clWhite;
  aChart.SubTitle.Cursor := crDefault;
  aChart.SubTitle.CustomPosition := False;
  //aChart.SubTitle.Emboss := (TTeeEmboss);
  aChart.SubTitle.Emboss.Clip := False;
  aChart.SubTitle.Emboss.Color := clBlack;
  aChart.SubTitle.Emboss.HorizSize := 3;
  aChart.SubTitle.Emboss.Smooth := True;
  aChart.SubTitle.Emboss.SmoothBlur := 0;
  aChart.SubTitle.Emboss.Transparency := 50;
  aChart.SubTitle.Emboss.VertSize := 3;
  aChart.SubTitle.Emboss.Visible := False;
  //aChart.SubTitle.Font := Arial, 8 , Normal;
  //aChart.SubTitle.Font.Brush := (TTeeBrush);
  aChart.SubTitle.Font.Brush.BackColor := clNone;
  aChart.SubTitle.Font.Brush.Color := clBlue;
  //aChart.SubTitle.Font.Brush.Gradient := (TTeeGradient);
  aChart.SubTitle.Font.Brush.Gradient.Angle := 0;
  aChart.SubTitle.Font.Brush.Gradient.Balance := 50;
  //aChart.SubTitle.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.SubTitle.Font.Brush.Gradient.EndColor := clYellow;
  aChart.SubTitle.Font.Brush.Gradient.MidColor := clNone;
  aChart.SubTitle.Font.Brush.Gradient.RadialX := 0;
  aChart.SubTitle.Font.Brush.Gradient.RadialY := 0;
  aChart.SubTitle.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.SubTitle.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.SubTitle.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.SubTitle.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.SubTitle.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubTitle.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubTitle.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.SubTitle.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.SubTitle.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.SubTitle.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubTitle.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.SubTitle.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.SubTitle.Font.Brush.Gradient.Visible := False;
  //aChart.SubTitle.Font.Brush.Image := (TTeePicture);
  //aChart.SubTitle.Font.Brush.Image.Filters := (TFilterItems);
  aChart.SubTitle.Font.Brush.Style := bsSolid;
  aChart.SubTitle.Font.Charset := 1;
  aChart.SubTitle.Font.Color := clBlue;
  aChart.SubTitle.Font.Depth := 0;
  //aChart.SubTitle.Font.Emboss := (TTeeEmboss);
  aChart.SubTitle.Font.Emboss.Clip := False;
  aChart.SubTitle.Font.Emboss.Color := clSilver;
  aChart.SubTitle.Font.Emboss.HorizSize := 0;
  aChart.SubTitle.Font.Emboss.Smooth := True;
  aChart.SubTitle.Font.Emboss.SmoothBlur := 0;
  aChart.SubTitle.Font.Emboss.Transparency := 50;
  aChart.SubTitle.Font.Emboss.VertSize := 0;
  aChart.SubTitle.Font.Emboss.Visible := False;
  //aChart.SubTitle.Font.Gradient := (TTeeGradient);
  aChart.SubTitle.Font.Gradient.Angle := 0;
  aChart.SubTitle.Font.Gradient.Balance := 50;
  //aChart.SubTitle.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Font.Gradient.Direction := gdTopBottom;
  aChart.SubTitle.Font.Gradient.EndColor := clYellow;
  aChart.SubTitle.Font.Gradient.MidColor := clNone;
  aChart.SubTitle.Font.Gradient.RadialX := 0;
  aChart.SubTitle.Font.Gradient.RadialY := 0;
  aChart.SubTitle.Font.Gradient.StartColor := clWhite;
  //aChart.SubTitle.Font.Gradient.SubGradient := (TSubGradient);
  aChart.SubTitle.Font.Gradient.SubGradient.Angle := 0;
  aChart.SubTitle.Font.Gradient.SubGradient.Balance := 50;
  //aChart.SubTitle.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubTitle.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubTitle.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.SubTitle.Font.Gradient.SubGradient.RadialX := 0;
  aChart.SubTitle.Font.Gradient.SubGradient.RadialY := 0;
  aChart.SubTitle.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubTitle.Font.Gradient.SubGradient.Transparency := 50;
  aChart.SubTitle.Font.Gradient.SubGradient.Visible := False;
  aChart.SubTitle.Font.Gradient.Visible := False;
  aChart.SubTitle.Font.Height := -11;
  aChart.SubTitle.Font.InterCharSize := 0;
  //aChart.SubTitle.Font.Name := Arial;
  aChart.SubTitle.Font.Orientation := 0;
  //aChart.SubTitle.Font.OutLine := (TTeeHiddenPen);
  aChart.SubTitle.Font.OutLine.Color := clBlack;
  aChart.SubTitle.Font.OutLine.EndStyle := esRound;
  //aChart.SubTitle.Font.OutLine.Fill := (TTeeBrush);
  aChart.SubTitle.Font.OutLine.Fill.BackColor := clNone;
  aChart.SubTitle.Font.OutLine.Fill.Color := clDefault;
  //aChart.SubTitle.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.SubTitle.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.SubTitle.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.SubTitle.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.SubTitle.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.SubTitle.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.SubTitle.Font.OutLine.Fill.Style := bsSolid;
  aChart.SubTitle.Font.OutLine.JoinStyle := jsRound;
  aChart.SubTitle.Font.OutLine.Mode := pmCopy;
  aChart.SubTitle.Font.OutLine.SmallDots := False;
  aChart.SubTitle.Font.OutLine.SmallSpace := 0;
  aChart.SubTitle.Font.OutLine.Style := psSolid;
  aChart.SubTitle.Font.OutLine.Visible := False;
  aChart.SubTitle.Font.OutLine.Width := 1;
  //aChart.SubTitle.Font.Picture := (TTeePicture);
  //aChart.SubTitle.Font.Picture.Filters := (TFilterItems);
  aChart.SubTitle.Font.Pitch := fpDefault;
  aChart.SubTitle.Font.Quality := fqDefault;
  //aChart.SubTitle.Font.Shadow := (TTeeShadow);
  aChart.SubTitle.Font.Shadow.Clip := False;
  aChart.SubTitle.Font.Shadow.Color := clSilver;
  aChart.SubTitle.Font.Shadow.HorizSize := 0;
  aChart.SubTitle.Font.Shadow.Smooth := True;
  aChart.SubTitle.Font.Shadow.SmoothBlur := 0;
  aChart.SubTitle.Font.Shadow.Transparency := 50;
  aChart.SubTitle.Font.Shadow.VertSize := 0;
  aChart.SubTitle.Font.Shadow.Visible := True;
  aChart.SubTitle.Font.Size := 8;
  aChart.SubTitle.Font.SizeFloat := 8;
  //aChart.SubTitle.Font.Style := [TFontStyles];
  //aChart.SubTitle.Font.Style.fsBold := False;
  //aChart.SubTitle.Font.Style.fsItalic := False;
  //aChart.SubTitle.Font.Style.fsUnderline := False;
  //aChart.SubTitle.Font.Style.fsStrikeOut := False;
  //aChart.SubTitle.Frame := (TTeePen);
  aChart.SubTitle.Frame.Color := clBlack;
  aChart.SubTitle.Frame.EndStyle := esRound;
  //aChart.SubTitle.Frame.Fill := (TTeeBrush);
  aChart.SubTitle.Frame.Fill.BackColor := clNone;
  aChart.SubTitle.Frame.Fill.Color := clDefault;
  //aChart.SubTitle.Frame.Fill.Gradient := (TTeeGradient);
  aChart.SubTitle.Frame.Fill.Gradient.Angle := 0;
  aChart.SubTitle.Frame.Fill.Gradient.Balance := 50;
  //aChart.SubTitle.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.SubTitle.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.SubTitle.Frame.Fill.Gradient.MidColor := clNone;
  aChart.SubTitle.Frame.Fill.Gradient.RadialX := 0;
  aChart.SubTitle.Frame.Fill.Gradient.RadialY := 0;
  aChart.SubTitle.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.SubTitle.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.SubTitle.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.SubTitle.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.SubTitle.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubTitle.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubTitle.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.SubTitle.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.SubTitle.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.SubTitle.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubTitle.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.SubTitle.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.SubTitle.Frame.Fill.Gradient.Visible := False;
  //aChart.SubTitle.Frame.Fill.Image := (TTeePicture);
  //aChart.SubTitle.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.SubTitle.Frame.Fill.Style := bsSolid;
  aChart.SubTitle.Frame.JoinStyle := jsRound;
  aChart.SubTitle.Frame.Mode := pmCopy;
  aChart.SubTitle.Frame.SmallDots := False;
  aChart.SubTitle.Frame.SmallSpace := 0;
  aChart.SubTitle.Frame.Style := psSolid;
  aChart.SubTitle.Frame.Visible := True;
  aChart.SubTitle.Frame.Width := 1;
  //aChart.SubTitle.Gradient := (TTeeGradient);
  aChart.SubTitle.Gradient.Angle := 0;
  aChart.SubTitle.Gradient.Balance := 50;
  //aChart.SubTitle.Gradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Gradient.Direction := gdTopBottom;
  aChart.SubTitle.Gradient.EndColor := clYellow;
  aChart.SubTitle.Gradient.MidColor := clNone;
  aChart.SubTitle.Gradient.RadialX := 0;
  aChart.SubTitle.Gradient.RadialY := 0;
  aChart.SubTitle.Gradient.StartColor := clWhite;
  //aChart.SubTitle.Gradient.SubGradient := (TSubGradient);
  aChart.SubTitle.Gradient.SubGradient.Angle := 0;
  aChart.SubTitle.Gradient.SubGradient.Balance := 50;
  //aChart.SubTitle.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.SubTitle.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.SubTitle.Gradient.SubGradient.EndColor := clYellow;
  aChart.SubTitle.Gradient.SubGradient.MidColor := clNone;
  aChart.SubTitle.Gradient.SubGradient.RadialX := 0;
  aChart.SubTitle.Gradient.SubGradient.RadialY := 0;
  aChart.SubTitle.Gradient.SubGradient.StartColor := clWhite;
  aChart.SubTitle.Gradient.SubGradient.Transparency := 50;
  aChart.SubTitle.Gradient.SubGradient.Visible := False;
  aChart.SubTitle.Gradient.Visible := False;
  aChart.SubTitle.Left := 0;
  //aChart.SubTitle.Margins := (TMargins);
  aChart.SubTitle.Margins.Bottom := 5;
  aChart.SubTitle.Margins.Left := 10;
  aChart.SubTitle.Margins.Right := 10;
  aChart.SubTitle.Margins.Top := 5;
  aChart.SubTitle.Margins.Units := maPercentFont;
  //aChart.SubTitle.Picture := (TBackImage);
  aChart.SubTitle.Picture.Bottom := 0;
  aChart.SubTitle.Picture.DrawQuality := sqHigh;
  //aChart.SubTitle.Picture.Filters := (TFilterItems);
  aChart.SubTitle.Picture.Inside := False;
  aChart.SubTitle.Picture.Left := 0;
  aChart.SubTitle.Picture.Mode := pbmStretch;
  aChart.SubTitle.Picture.Right := 0;
  aChart.SubTitle.Picture.Top := 0;
  //aChart.SubTitle.Shadow := (TTeeShadow);
  aChart.SubTitle.Shadow.Clip := False;
  aChart.SubTitle.Shadow.Color := clBlack;
  aChart.SubTitle.Shadow.HorizSize := 3;
  aChart.SubTitle.Shadow.Smooth := True;
  aChart.SubTitle.Shadow.SmoothBlur := 0;
  aChart.SubTitle.Shadow.Transparency := 50;
  aChart.SubTitle.Shadow.VertSize := 3;
  aChart.SubTitle.Shadow.Visible := True;
  //aChart.SubTitle.ShapeCallout := (TShapeCallout);
  aChart.SubTitle.ShapeCallout.PointPosition := 50;
  aChart.SubTitle.ShapeCallout.Position := 50;
  aChart.SubTitle.ShapeCallout.Side := csNone;
  aChart.SubTitle.ShapeCallout.Size := 25;
  aChart.SubTitle.ShapeCallout.Width := 20;
  aChart.SubTitle.ShapeStyle := fosRectangle;
  //aChart.SubTitle.Text := (TStrings);
  aChart.SubTitle.TextAlignment := taCenter;
  aChart.SubTitle.TextFormat := ttfNormal;
  aChart.SubTitle.Top := 0;
  aChart.SubTitle.Transparency := 0;
  aChart.SubTitle.Transparent := True;
  aChart.SubTitle.VertMargin := 5;
  aChart.SubTitle.VertTextAlign := vtaCenter;
  aChart.SubTitle.Visible := True;
  aChart.TabOrder := 0;
  aChart.TabStop := True;
  aChart.Tag := 0;
  //aChart.Title := (TChartTitle);
  aChart.Title.AdjustFrame := True;
  aChart.Title.Alignment := taCenter;
  aChart.Title.Angle := 0;
  aChart.Title.AutoSize := True;
  aChart.Title.Bevel := bvNone;
  aChart.Title.BevelWidth := 2;
  //aChart.Title.Brush := (TTeeBrush);
  aChart.Title.Brush.BackColor := clNone;
  aChart.Title.Brush.Color := clDefault;
  //aChart.Title.Brush.Gradient := (TTeeGradient);
  aChart.Title.Brush.Gradient.Angle := 0;
  aChart.Title.Brush.Gradient.Balance := 50;
  //aChart.Title.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.Title.Brush.Gradient.Direction := gdTopBottom;
  aChart.Title.Brush.Gradient.EndColor := clYellow;
  aChart.Title.Brush.Gradient.MidColor := clNone;
  aChart.Title.Brush.Gradient.RadialX := 0;
  aChart.Title.Brush.Gradient.RadialY := 0;
  aChart.Title.Brush.Gradient.StartColor := clWhite;
  //aChart.Title.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.Title.Brush.Gradient.SubGradient.Angle := 0;
  aChart.Title.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.Title.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Title.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Title.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.Title.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.Title.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.Title.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.Title.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.Title.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.Title.Brush.Gradient.SubGradient.Visible := False;
  aChart.Title.Brush.Gradient.Visible := False;
  //aChart.Title.Brush.Image := (TTeePicture);
  //aChart.Title.Brush.Image.Filters := (TFilterItems);
  aChart.Title.Brush.Style := bsSolid;
  aChart.Title.ChildLayout := slTopBottom;
  //aChart.Title.Children := (TTeeShapes);
  aChart.Title.ClipText := True;
  aChart.Title.Color := clWhite;
  aChart.Title.Cursor := crDefault;
  aChart.Title.CustomPosition := False;
  //aChart.Title.Emboss := (TTeeEmboss);
  aChart.Title.Emboss.Clip := False;
  aChart.Title.Emboss.Color := clBlack;
  aChart.Title.Emboss.HorizSize := 3;
  aChart.Title.Emboss.Smooth := True;
  aChart.Title.Emboss.SmoothBlur := 0;
  aChart.Title.Emboss.Transparency := 50;
  aChart.Title.Emboss.VertSize := 3;
  aChart.Title.Emboss.Visible := False;
  //aChart.Title.Font := Arial, 12 , Bold;
  //aChart.Title.Font.Brush := (TTeeBrush);
  aChart.Title.Font.Brush.BackColor := clNone;
  aChart.Title.Font.Brush.Color := clBlue;
  //aChart.Title.Font.Brush.Gradient := (TTeeGradient);
  aChart.Title.Font.Brush.Gradient.Angle := 0;
  aChart.Title.Font.Brush.Gradient.Balance := 50;
  //aChart.Title.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.Title.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.Title.Font.Brush.Gradient.EndColor := clYellow;
  aChart.Title.Font.Brush.Gradient.MidColor := clNone;
  aChart.Title.Font.Brush.Gradient.RadialX := 0;
  aChart.Title.Font.Brush.Gradient.RadialY := 0;
  aChart.Title.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.Title.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.Title.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.Title.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.Title.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Title.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Title.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.Title.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.Title.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.Title.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.Title.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.Title.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.Title.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.Title.Font.Brush.Gradient.Visible := False;
  //aChart.Title.Font.Brush.Image := (TTeePicture);
  //aChart.Title.Font.Brush.Image.Filters := (TFilterItems);
  aChart.Title.Font.Brush.Style := bsSolid;
  aChart.Title.Font.Charset := 1;
  aChart.Title.Font.Color := clNavy;
  aChart.Title.Font.Depth := 0;
  //aChart.Title.Font.Emboss := (TTeeEmboss);
  aChart.Title.Font.Emboss.Clip := False;
  aChart.Title.Font.Emboss.Color := clSilver;
  aChart.Title.Font.Emboss.HorizSize := 0;
  aChart.Title.Font.Emboss.Smooth := True;
  aChart.Title.Font.Emboss.SmoothBlur := 0;
  aChart.Title.Font.Emboss.Transparency := 50;
  aChart.Title.Font.Emboss.VertSize := 0;
  aChart.Title.Font.Emboss.Visible := False;
  //aChart.Title.Font.Gradient := (TTeeGradient);
  aChart.Title.Font.Gradient.Angle := 0;
  aChart.Title.Font.Gradient.Balance := 50;
  //aChart.Title.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.Title.Font.Gradient.Direction := gdTopBottom;
  aChart.Title.Font.Gradient.EndColor := clYellow;
  aChart.Title.Font.Gradient.MidColor := clNone;
  aChart.Title.Font.Gradient.RadialX := 0;
  aChart.Title.Font.Gradient.RadialY := 0;
  aChart.Title.Font.Gradient.StartColor := clWhite;
  //aChart.Title.Font.Gradient.SubGradient := (TSubGradient);
  aChart.Title.Font.Gradient.SubGradient.Angle := 0;
  aChart.Title.Font.Gradient.SubGradient.Balance := 50;
  //aChart.Title.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Title.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Title.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.Title.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.Title.Font.Gradient.SubGradient.RadialX := 0;
  aChart.Title.Font.Gradient.SubGradient.RadialY := 0;
  aChart.Title.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.Title.Font.Gradient.SubGradient.Transparency := 50;
  aChart.Title.Font.Gradient.SubGradient.Visible := False;
  aChart.Title.Font.Gradient.Visible := False;
  aChart.Title.Font.Height := -16;
  aChart.Title.Font.InterCharSize := 0;
  //aChart.Title.Font.Name := Arial;
  aChart.Title.Font.Orientation := 0;
  //aChart.Title.Font.OutLine := (TTeeHiddenPen);
  aChart.Title.Font.OutLine.Color := clBlack;
  aChart.Title.Font.OutLine.EndStyle := esRound;
  //aChart.Title.Font.OutLine.Fill := (TTeeBrush);
  aChart.Title.Font.OutLine.Fill.BackColor := clNone;
  aChart.Title.Font.OutLine.Fill.Color := clDefault;
  //aChart.Title.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.Title.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.Title.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.Title.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Title.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.Title.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.Title.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.Title.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.Title.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.Title.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.Title.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Title.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Title.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Title.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Title.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Title.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Title.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Title.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Title.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Title.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.Title.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.Title.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.Title.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.Title.Font.OutLine.Fill.Style := bsSolid;
  aChart.Title.Font.OutLine.JoinStyle := jsRound;
  aChart.Title.Font.OutLine.Mode := pmCopy;
  aChart.Title.Font.OutLine.SmallDots := False;
  aChart.Title.Font.OutLine.SmallSpace := 0;
  aChart.Title.Font.OutLine.Style := psSolid;
  aChart.Title.Font.OutLine.Visible := False;
  aChart.Title.Font.OutLine.Width := 1;
  //aChart.Title.Font.Picture := (TTeePicture);
  //aChart.Title.Font.Picture.Filters := (TFilterItems);
  aChart.Title.Font.Pitch := fpDefault;
  aChart.Title.Font.Quality := fqDefault;
  //aChart.Title.Font.Shadow := (TTeeShadow);
  aChart.Title.Font.Shadow.Clip := False;
  aChart.Title.Font.Shadow.Color := clSilver;
  aChart.Title.Font.Shadow.HorizSize := 0;
  aChart.Title.Font.Shadow.Smooth := True;
  aChart.Title.Font.Shadow.SmoothBlur := 0;
  aChart.Title.Font.Shadow.Transparency := 50;
  aChart.Title.Font.Shadow.VertSize := 0;
  aChart.Title.Font.Shadow.Visible := True;
  aChart.Title.Font.Size := 12;
  aChart.Title.Font.SizeFloat := 12;
  //aChart.Title.Font.Style := [TFontStyles];
  //aChart.Title.Font.Style.fsBold := True;
  //aChart.Title.Font.Style.fsItalic := False;
  //aChart.Title.Font.Style.fsUnderline := False;
  //aChart.Title.Font.Style.fsStrikeOut := False;
  //aChart.Title.Frame := (TTeePen);
  aChart.Title.Frame.Color := clBlack;
  aChart.Title.Frame.EndStyle := esRound;
  //aChart.Title.Frame.Fill := (TTeeBrush);
  aChart.Title.Frame.Fill.BackColor := clNone;
  aChart.Title.Frame.Fill.Color := clDefault;
  //aChart.Title.Frame.Fill.Gradient := (TTeeGradient);
  aChart.Title.Frame.Fill.Gradient.Angle := 0;
  aChart.Title.Frame.Fill.Gradient.Balance := 50;
  //aChart.Title.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Title.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.Title.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.Title.Frame.Fill.Gradient.MidColor := clNone;
  aChart.Title.Frame.Fill.Gradient.RadialX := 0;
  aChart.Title.Frame.Fill.Gradient.RadialY := 0;
  aChart.Title.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.Title.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Title.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Title.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Title.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Title.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Title.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Title.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Title.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Title.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Title.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Title.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Title.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.Title.Frame.Fill.Gradient.Visible := False;
  //aChart.Title.Frame.Fill.Image := (TTeePicture);
  //aChart.Title.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.Title.Frame.Fill.Style := bsSolid;
  aChart.Title.Frame.JoinStyle := jsRound;
  aChart.Title.Frame.Mode := pmCopy;
  aChart.Title.Frame.SmallDots := False;
  aChart.Title.Frame.SmallSpace := 0;
  aChart.Title.Frame.Style := psSolid;
  aChart.Title.Frame.Visible := True;
  aChart.Title.Frame.Width := 1;
  //aChart.Title.Gradient := (TTeeGradient);
  aChart.Title.Gradient.Angle := 0;
  aChart.Title.Gradient.Balance := 50;
  //aChart.Title.Gradient.Colors := (TTeeGradientColors);
  aChart.Title.Gradient.Direction := gdTopBottom;
  aChart.Title.Gradient.EndColor := clYellow;
  aChart.Title.Gradient.MidColor := clNone;
  aChart.Title.Gradient.RadialX := 0;
  aChart.Title.Gradient.RadialY := 0;
  aChart.Title.Gradient.StartColor := clWhite;
  //aChart.Title.Gradient.SubGradient := (TSubGradient);
  aChart.Title.Gradient.SubGradient.Angle := 0;
  aChart.Title.Gradient.SubGradient.Balance := 50;
  //aChart.Title.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Title.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Title.Gradient.SubGradient.EndColor := clYellow;
  aChart.Title.Gradient.SubGradient.MidColor := clNone;
  aChart.Title.Gradient.SubGradient.RadialX := 0;
  aChart.Title.Gradient.SubGradient.RadialY := 0;
  aChart.Title.Gradient.SubGradient.StartColor := clWhite;
  aChart.Title.Gradient.SubGradient.Transparency := 50;
  aChart.Title.Gradient.SubGradient.Visible := False;
  aChart.Title.Gradient.Visible := False;
  aChart.Title.Left := 0;
  //aChart.Title.Margins := (TMargins);
  aChart.Title.Margins.Bottom := 5;
  aChart.Title.Margins.Left := 10;
  aChart.Title.Margins.Right := 10;
  aChart.Title.Margins.Top := 5;
  aChart.Title.Margins.Units := maPercentFont;
  //aChart.Title.Picture := (TBackImage);
  aChart.Title.Picture.Bottom := 0;
  aChart.Title.Picture.DrawQuality := sqHigh;
  //aChart.Title.Picture.Filters := (TFilterItems);
  aChart.Title.Picture.Inside := False;
  aChart.Title.Picture.Left := 0;
  aChart.Title.Picture.Mode := pbmStretch;
  aChart.Title.Picture.Right := 0;
  aChart.Title.Picture.Top := 0;
  //aChart.Title.Shadow := (TTeeShadow);
  aChart.Title.Shadow.Clip := False;
  aChart.Title.Shadow.Color := clBlack;
  aChart.Title.Shadow.HorizSize := 3;
  aChart.Title.Shadow.Smooth := True;
  aChart.Title.Shadow.SmoothBlur := 0;
  aChart.Title.Shadow.Transparency := 50;
  aChart.Title.Shadow.VertSize := 3;
  aChart.Title.Shadow.Visible := True;
  //aChart.Title.ShapeCallout := (TShapeCallout);
  aChart.Title.ShapeCallout.PointPosition := 50;
  aChart.Title.ShapeCallout.Position := 50;
  aChart.Title.ShapeCallout.Side := csNone;
  aChart.Title.ShapeCallout.Size := 25;
  aChart.Title.ShapeCallout.Width := 20;
  aChart.Title.ShapeStyle := fosRectangle;
  //aChart.Title.Text := (TStrings);
  aChart.Title.TextAlignment := taCenter;
  aChart.Title.TextFormat := ttfNormal;
  aChart.Title.Top := 0;
  aChart.Title.Transparency := 0;
  aChart.Title.Transparent := True;
  aChart.Title.VertMargin := 5;
  aChart.Title.VertTextAlign := vtaCenter;
  aChart.Title.Visible := False;
  //aChart.Tools := (TChartTools);
  aChart.Top := 27;
  //aChart.TopAxis := (TChartAxis);
  aChart.TopAxis.Automatic := True;
  aChart.TopAxis.AutomaticMaximum := True;
  aChart.TopAxis.AutomaticMinimum := True;
  //aChart.TopAxis.Axis := (TChartAxisPen);
  aChart.TopAxis.Axis.Color := clBlack;
  aChart.TopAxis.Axis.EndStyle := esFlat;
  //aChart.TopAxis.Axis.Fill := (TTeeBrush);
  aChart.TopAxis.Axis.Fill.BackColor := clNone;
  aChart.TopAxis.Axis.Fill.Color := clDefault;
  //aChart.TopAxis.Axis.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.Axis.Fill.Gradient.Angle := 0;
  aChart.TopAxis.Axis.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.Axis.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Axis.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Axis.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.Axis.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.Axis.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.Axis.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.Axis.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Axis.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Axis.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Axis.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Axis.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Axis.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Axis.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Axis.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Axis.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Axis.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Axis.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Axis.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Axis.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Axis.Fill.Gradient.Visible := False;
  //aChart.TopAxis.Axis.Fill.Image := (TTeePicture);
  //aChart.TopAxis.Axis.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.Axis.Fill.Style := bsSolid;
  aChart.TopAxis.Axis.JoinStyle := jsRound;
  aChart.TopAxis.Axis.LineMode := lmLine;
  aChart.TopAxis.Axis.Mode := pmCopy;
  aChart.TopAxis.Axis.SmallDots := False;
  aChart.TopAxis.Axis.SmallSpace := 0;
  aChart.TopAxis.Axis.Style := psSolid;
  aChart.TopAxis.Axis.Visible := True;
  aChart.TopAxis.Axis.Width := 2;
  //aChart.TopAxis.AxisValuesFormat := #,##0.###;
  //aChart.TopAxis.DateTimeFormat := ;
  aChart.TopAxis.EndPosition := 100;
  aChart.TopAxis.ExactDateTime := True;
  //aChart.TopAxis.Grid := (TAxisGridPen);
  aChart.TopAxis.Grid.Color := clSilver;
  aChart.TopAxis.Grid.DrawEvery := 1;
  aChart.TopAxis.Grid.EndStyle := esRound;
  //aChart.TopAxis.Grid.Fill := (TTeeBrush);
  aChart.TopAxis.Grid.Fill.BackColor := clNone;
  aChart.TopAxis.Grid.Fill.Color := clDefault;
  //aChart.TopAxis.Grid.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.Grid.Fill.Gradient.Angle := 0;
  aChart.TopAxis.Grid.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.Grid.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Grid.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Grid.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.Grid.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.Grid.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.Grid.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.Grid.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Grid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Grid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Grid.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Grid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Grid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Grid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Grid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Grid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Grid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Grid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Grid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Grid.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Grid.Fill.Gradient.Visible := False;
  //aChart.TopAxis.Grid.Fill.Image := (TTeePicture);
  //aChart.TopAxis.Grid.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.Grid.Fill.Style := bsSolid;
  aChart.TopAxis.Grid.JoinStyle := jsRound;
  aChart.TopAxis.Grid.Mode := pmCopy;
  aChart.TopAxis.Grid.SmallDots := False;
  aChart.TopAxis.Grid.SmallSpace := 0;
  aChart.TopAxis.Grid.Style := psSolid;
  aChart.TopAxis.Grid.Visible := True;
  aChart.TopAxis.Grid.Width := 1;
  aChart.TopAxis.Grid.ZPosition := 100;
  aChart.TopAxis.GridCentered := False;
  aChart.TopAxis.Horizontal := True;
  aChart.TopAxis.Increment := 0;
  aChart.TopAxis.Inverted := False;
  aChart.TopAxis.Labels := True;
  aChart.TopAxis.LabelsAlign := alDefault;
  aChart.TopAxis.LabelsAlternate := False;
  aChart.TopAxis.LabelsAngle := 0;
  aChart.TopAxis.LabelsBehind := False;
  aChart.TopAxis.LabelsExponent := False;
  //aChart.TopAxis.LabelsFont := Arial, 8 , Normal;
  //aChart.TopAxis.LabelsFont.Brush := (TTeeBrush);
  aChart.TopAxis.LabelsFont.Brush.BackColor := clNone;
  aChart.TopAxis.LabelsFont.Brush.Color := clBlack;
  //aChart.TopAxis.LabelsFont.Brush.Gradient := (TTeeGradient);
  aChart.TopAxis.LabelsFont.Brush.Gradient.Angle := 0;
  aChart.TopAxis.LabelsFont.Brush.Gradient.Balance := 50;
  //aChart.TopAxis.LabelsFont.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFont.Brush.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFont.Brush.Gradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFont.Brush.Gradient.MidColor := clNone;
  aChart.TopAxis.LabelsFont.Brush.Gradient.RadialX := 0;
  aChart.TopAxis.LabelsFont.Brush.Gradient.RadialY := 0;
  aChart.TopAxis.LabelsFont.Brush.Gradient.StartColor := clWhite;
  //aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.LabelsFont.Brush.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.LabelsFont.Brush.Gradient.Visible := False;
  //aChart.TopAxis.LabelsFont.Brush.Image := (TTeePicture);
  //aChart.TopAxis.LabelsFont.Brush.Image.Filters := (TFilterItems);
  aChart.TopAxis.LabelsFont.Brush.Style := bsSolid;
  aChart.TopAxis.LabelsFont.Charset := 1;
  aChart.TopAxis.LabelsFont.Color := clBlack;
  aChart.TopAxis.LabelsFont.Depth := 0;
  //aChart.TopAxis.LabelsFont.Emboss := (TTeeEmboss);
  aChart.TopAxis.LabelsFont.Emboss.Clip := False;
  aChart.TopAxis.LabelsFont.Emboss.Color := clSilver;
  aChart.TopAxis.LabelsFont.Emboss.HorizSize := 0;
  aChart.TopAxis.LabelsFont.Emboss.Smooth := True;
  aChart.TopAxis.LabelsFont.Emboss.SmoothBlur := 0;
  aChart.TopAxis.LabelsFont.Emboss.Transparency := 50;
  aChart.TopAxis.LabelsFont.Emboss.VertSize := 0;
  aChart.TopAxis.LabelsFont.Emboss.Visible := False;
  //aChart.TopAxis.LabelsFont.Gradient := (TTeeGradient);
  aChart.TopAxis.LabelsFont.Gradient.Angle := 0;
  aChart.TopAxis.LabelsFont.Gradient.Balance := 50;
  //aChart.TopAxis.LabelsFont.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFont.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFont.Gradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFont.Gradient.MidColor := clNone;
  aChart.TopAxis.LabelsFont.Gradient.RadialX := 0;
  aChart.TopAxis.LabelsFont.Gradient.RadialY := 0;
  aChart.TopAxis.LabelsFont.Gradient.StartColor := clWhite;
  //aChart.TopAxis.LabelsFont.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.LabelsFont.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.LabelsFont.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.LabelsFont.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFont.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFont.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFont.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.LabelsFont.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.LabelsFont.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.LabelsFont.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.LabelsFont.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.LabelsFont.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.LabelsFont.Gradient.Visible := False;
  aChart.TopAxis.LabelsFont.Height := -11;
  aChart.TopAxis.LabelsFont.InterCharSize := 0;
  //aChart.TopAxis.LabelsFont.Name := Arial;
  aChart.TopAxis.LabelsFont.Orientation := 0;
  //aChart.TopAxis.LabelsFont.OutLine := (TTeeHiddenPen);
  aChart.TopAxis.LabelsFont.OutLine.Color := clBlack;
  aChart.TopAxis.LabelsFont.OutLine.EndStyle := esRound;
  //aChart.TopAxis.LabelsFont.OutLine.Fill := (TTeeBrush);
  aChart.TopAxis.LabelsFont.OutLine.Fill.BackColor := clNone;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Color := clDefault;
  //aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.Angle := 0;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.LabelsFont.OutLine.Fill.Gradient.Visible := False;
  //aChart.TopAxis.LabelsFont.OutLine.Fill.Image := (TTeePicture);
  //aChart.TopAxis.LabelsFont.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.LabelsFont.OutLine.Fill.Style := bsSolid;
  aChart.TopAxis.LabelsFont.OutLine.JoinStyle := jsRound;
  aChart.TopAxis.LabelsFont.OutLine.Mode := pmCopy;
  aChart.TopAxis.LabelsFont.OutLine.SmallDots := False;
  aChart.TopAxis.LabelsFont.OutLine.SmallSpace := 0;
  aChart.TopAxis.LabelsFont.OutLine.Style := psSolid;
  aChart.TopAxis.LabelsFont.OutLine.Visible := False;
  aChart.TopAxis.LabelsFont.OutLine.Width := 1;
  //aChart.TopAxis.LabelsFont.Picture := (TTeePicture);
  //aChart.TopAxis.LabelsFont.Picture.Filters := (TFilterItems);
  aChart.TopAxis.LabelsFont.Pitch := fpDefault;
  aChart.TopAxis.LabelsFont.Quality := fqDefault;
  //aChart.TopAxis.LabelsFont.Shadow := (TTeeShadow);
  aChart.TopAxis.LabelsFont.Shadow.Clip := False;
  aChart.TopAxis.LabelsFont.Shadow.Color := clSilver;
  aChart.TopAxis.LabelsFont.Shadow.HorizSize := 0;
  aChart.TopAxis.LabelsFont.Shadow.Smooth := True;
  aChart.TopAxis.LabelsFont.Shadow.SmoothBlur := 0;
  aChart.TopAxis.LabelsFont.Shadow.Transparency := 50;
  aChart.TopAxis.LabelsFont.Shadow.VertSize := 0;
  aChart.TopAxis.LabelsFont.Shadow.Visible := True;
  aChart.TopAxis.LabelsFont.Size := 8;
  aChart.TopAxis.LabelsFont.SizeFloat := 8;
  //aChart.TopAxis.LabelsFont.Style := [TFontStyles];
  //aChart.TopAxis.LabelsFont.Style.fsBold := False;
  //aChart.TopAxis.LabelsFont.Style.fsItalic := False;
  //aChart.TopAxis.LabelsFont.Style.fsUnderline := False;
  //aChart.TopAxis.LabelsFont.Style.fsStrikeOut := False;
  //aChart.TopAxis.LabelsFormat := (TAxisLabelsFormat);
  aChart.TopAxis.LabelsFormat.Bevel := bvNone;
  aChart.TopAxis.LabelsFormat.BevelWidth := 2;
  //aChart.TopAxis.LabelsFormat.Brush := (TTeeBrush);
  aChart.TopAxis.LabelsFormat.Brush.BackColor := clNone;
  aChart.TopAxis.LabelsFormat.Brush.Color := clDefault;
  //aChart.TopAxis.LabelsFormat.Brush.Gradient := (TTeeGradient);
  aChart.TopAxis.LabelsFormat.Brush.Gradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Brush.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.StartColor := clWhite;
  //aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.LabelsFormat.Brush.Gradient.Visible := False;
  //aChart.TopAxis.LabelsFormat.Brush.Image := (TTeePicture);
  //aChart.TopAxis.LabelsFormat.Brush.Image.Filters := (TFilterItems);
  aChart.TopAxis.LabelsFormat.Brush.Style := bsSolid;
  aChart.TopAxis.LabelsFormat.ChildLayout := slTopBottom;
  //aChart.TopAxis.LabelsFormat.Children := (TTeeShapes);
  aChart.TopAxis.LabelsFormat.ClipText := True;
  aChart.TopAxis.LabelsFormat.Cursor := crDefault;
  //aChart.TopAxis.LabelsFormat.Emboss := (TTeeEmboss);
  aChart.TopAxis.LabelsFormat.Emboss.Clip := False;
  aChart.TopAxis.LabelsFormat.Emboss.Color := clBlack;
  aChart.TopAxis.LabelsFormat.Emboss.HorizSize := 3;
  aChart.TopAxis.LabelsFormat.Emboss.Smooth := True;
  aChart.TopAxis.LabelsFormat.Emboss.SmoothBlur := 0;
  aChart.TopAxis.LabelsFormat.Emboss.Transparency := 50;
  aChart.TopAxis.LabelsFormat.Emboss.VertSize := 3;
  aChart.TopAxis.LabelsFormat.Emboss.Visible := False;
  //aChart.TopAxis.LabelsFormat.Font := Arial, 8 , Normal;
  //aChart.TopAxis.LabelsFormat.Font.Brush := (TTeeBrush);
  aChart.TopAxis.LabelsFormat.Font.Brush.BackColor := clNone;
  aChart.TopAxis.LabelsFormat.Font.Brush.Color := clBlack;
  //aChart.TopAxis.LabelsFormat.Font.Brush.Gradient := (TTeeGradient);
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.LabelsFormat.Font.Brush.Gradient.Visible := False;
  //aChart.TopAxis.LabelsFormat.Font.Brush.Image := (TTeePicture);
  //aChart.TopAxis.LabelsFormat.Font.Brush.Image.Filters := (TFilterItems);
  aChart.TopAxis.LabelsFormat.Font.Brush.Style := bsSolid;
  aChart.TopAxis.LabelsFormat.Font.Charset := 1;
  aChart.TopAxis.LabelsFormat.Font.Color := clBlack;
  aChart.TopAxis.LabelsFormat.Font.Depth := 0;
  //aChart.TopAxis.LabelsFormat.Font.Emboss := (TTeeEmboss);
  aChart.TopAxis.LabelsFormat.Font.Emboss.Clip := False;
  aChart.TopAxis.LabelsFormat.Font.Emboss.Color := clSilver;
  aChart.TopAxis.LabelsFormat.Font.Emboss.HorizSize := 0;
  aChart.TopAxis.LabelsFormat.Font.Emboss.Smooth := True;
  aChart.TopAxis.LabelsFormat.Font.Emboss.SmoothBlur := 0;
  aChart.TopAxis.LabelsFormat.Font.Emboss.Transparency := 50;
  aChart.TopAxis.LabelsFormat.Font.Emboss.VertSize := 0;
  aChart.TopAxis.LabelsFormat.Font.Emboss.Visible := False;
  //aChart.TopAxis.LabelsFormat.Font.Gradient := (TTeeGradient);
  aChart.TopAxis.LabelsFormat.Font.Gradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Font.Gradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Font.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Font.Gradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Font.Gradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Font.Gradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Font.Gradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Font.Gradient.StartColor := clWhite;
  //aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.LabelsFormat.Font.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.LabelsFormat.Font.Gradient.Visible := False;
  aChart.TopAxis.LabelsFormat.Font.Height := -11;
  aChart.TopAxis.LabelsFormat.Font.InterCharSize := 0;
  //aChart.TopAxis.LabelsFormat.Font.Name := Arial;
  aChart.TopAxis.LabelsFormat.Font.Orientation := 0;
  //aChart.TopAxis.LabelsFormat.Font.OutLine := (TTeeHiddenPen);
  aChart.TopAxis.LabelsFormat.Font.OutLine.Color := clBlack;
  aChart.TopAxis.LabelsFormat.Font.OutLine.EndStyle := esRound;
  //aChart.TopAxis.LabelsFormat.Font.OutLine.Fill := (TTeeBrush);
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.BackColor := clNone;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Color := clDefault;
  //aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.LabelsFormat.Font.OutLine.Fill.Style := bsSolid;
  aChart.TopAxis.LabelsFormat.Font.OutLine.JoinStyle := jsRound;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Mode := pmCopy;
  aChart.TopAxis.LabelsFormat.Font.OutLine.SmallDots := False;
  aChart.TopAxis.LabelsFormat.Font.OutLine.SmallSpace := 0;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Style := psSolid;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Visible := False;
  aChart.TopAxis.LabelsFormat.Font.OutLine.Width := 1;
  //aChart.TopAxis.LabelsFormat.Font.Picture := (TTeePicture);
  //aChart.TopAxis.LabelsFormat.Font.Picture.Filters := (TFilterItems);
  aChart.TopAxis.LabelsFormat.Font.Pitch := fpDefault;
  aChart.TopAxis.LabelsFormat.Font.Quality := fqDefault;
  //aChart.TopAxis.LabelsFormat.Font.Shadow := (TTeeShadow);
  aChart.TopAxis.LabelsFormat.Font.Shadow.Clip := False;
  aChart.TopAxis.LabelsFormat.Font.Shadow.Color := clSilver;
  aChart.TopAxis.LabelsFormat.Font.Shadow.HorizSize := 0;
  aChart.TopAxis.LabelsFormat.Font.Shadow.Smooth := True;
  aChart.TopAxis.LabelsFormat.Font.Shadow.SmoothBlur := 0;
  aChart.TopAxis.LabelsFormat.Font.Shadow.Transparency := 50;
  aChart.TopAxis.LabelsFormat.Font.Shadow.VertSize := 0;
  aChart.TopAxis.LabelsFormat.Font.Shadow.Visible := True;
  aChart.TopAxis.LabelsFormat.Font.Size := 8;
  aChart.TopAxis.LabelsFormat.Font.SizeFloat := 8;
  //aChart.TopAxis.LabelsFormat.Font.Style := [TFontStyles];
  //aChart.TopAxis.LabelsFormat.Font.Style.fsBold := False;
  //aChart.TopAxis.LabelsFormat.Font.Style.fsItalic := False;
  //aChart.TopAxis.LabelsFormat.Font.Style.fsUnderline := False;
  //aChart.TopAxis.LabelsFormat.Font.Style.fsStrikeOut := False;
  //aChart.TopAxis.LabelsFormat.Frame := (TTeePen);
  aChart.TopAxis.LabelsFormat.Frame.Color := clBlack;
  aChart.TopAxis.LabelsFormat.Frame.EndStyle := esRound;
  //aChart.TopAxis.LabelsFormat.Frame.Fill := (TTeeBrush);
  aChart.TopAxis.LabelsFormat.Frame.Fill.BackColor := clNone;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Color := clDefault;
  //aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.LabelsFormat.Frame.Fill.Gradient.Visible := False;
  //aChart.TopAxis.LabelsFormat.Frame.Fill.Image := (TTeePicture);
  //aChart.TopAxis.LabelsFormat.Frame.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.LabelsFormat.Frame.Fill.Style := bsSolid;
  aChart.TopAxis.LabelsFormat.Frame.JoinStyle := jsRound;
  aChart.TopAxis.LabelsFormat.Frame.Mode := pmCopy;
  aChart.TopAxis.LabelsFormat.Frame.SmallDots := False;
  aChart.TopAxis.LabelsFormat.Frame.SmallSpace := 0;
  aChart.TopAxis.LabelsFormat.Frame.Style := psSolid;
  aChart.TopAxis.LabelsFormat.Frame.Visible := True;
  aChart.TopAxis.LabelsFormat.Frame.Width := 1;
  //aChart.TopAxis.LabelsFormat.Gradient := (TTeeGradient);
  aChart.TopAxis.LabelsFormat.Gradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Gradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Gradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Gradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Gradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Gradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Gradient.StartColor := clWhite;
  //aChart.TopAxis.LabelsFormat.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.LabelsFormat.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.LabelsFormat.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.LabelsFormat.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.LabelsFormat.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.LabelsFormat.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.LabelsFormat.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.LabelsFormat.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.LabelsFormat.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.LabelsFormat.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.LabelsFormat.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.LabelsFormat.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.LabelsFormat.Gradient.Visible := False;
  //aChart.TopAxis.LabelsFormat.Margins := (TMargins);
  aChart.TopAxis.LabelsFormat.Margins.Bottom := 5;
  aChart.TopAxis.LabelsFormat.Margins.Left := 10;
  aChart.TopAxis.LabelsFormat.Margins.Right := 10;
  aChart.TopAxis.LabelsFormat.Margins.Top := 5;
  aChart.TopAxis.LabelsFormat.Margins.Units := maPercentFont;
  //aChart.TopAxis.LabelsFormat.Picture := (TBackImage);
  aChart.TopAxis.LabelsFormat.Picture.Bottom := 0;
  aChart.TopAxis.LabelsFormat.Picture.DrawQuality := sqHigh;
  //aChart.TopAxis.LabelsFormat.Picture.Filters := (TFilterItems);
  aChart.TopAxis.LabelsFormat.Picture.Inside := False;
  aChart.TopAxis.LabelsFormat.Picture.Left := 0;
  aChart.TopAxis.LabelsFormat.Picture.Mode := pbmStretch;
  aChart.TopAxis.LabelsFormat.Picture.Right := 0;
  aChart.TopAxis.LabelsFormat.Picture.Top := 0;
  aChart.TopAxis.LabelsFormat.RoundSize := 16;
  //aChart.TopAxis.LabelsFormat.Shadow := (TTeeShadow);
  aChart.TopAxis.LabelsFormat.Shadow.Clip := False;
  aChart.TopAxis.LabelsFormat.Shadow.Color := clBlack;
  aChart.TopAxis.LabelsFormat.Shadow.HorizSize := 3;
  aChart.TopAxis.LabelsFormat.Shadow.Smooth := True;
  aChart.TopAxis.LabelsFormat.Shadow.SmoothBlur := 0;
  aChart.TopAxis.LabelsFormat.Shadow.Transparency := 50;
  aChart.TopAxis.LabelsFormat.Shadow.VertSize := 3;
  aChart.TopAxis.LabelsFormat.Shadow.Visible := True;
  aChart.TopAxis.LabelsFormat.ShapeStyle := fosRectangle;
  aChart.TopAxis.LabelsFormat.TextAlignment := taCenter;
  aChart.TopAxis.LabelsFormat.TextFormat := ttfNormal;
  aChart.TopAxis.LabelsFormat.Transparency := 0;
  aChart.TopAxis.LabelsFormat.Transparent := True;
  aChart.TopAxis.LabelsFormat.VertTextAlign := vtaCenter;
  aChart.TopAxis.LabelsFormat.Visible := True;
  aChart.TopAxis.LabelsGridIgnoresLabelSize := False;
  aChart.TopAxis.LabelsMultiLine := False;
  aChart.TopAxis.LabelsOnAxis := True;
  aChart.TopAxis.LabelsSeparation := 10;
  aChart.TopAxis.LabelsSize := 0;
  aChart.TopAxis.LabelStyle := talAuto;
  aChart.TopAxis.Logarithmic := False;
  aChart.TopAxis.LogarithmicBase := 10;
  aChart.TopAxis.Maximum := 0;
  aChart.TopAxis.MaximumOffset := 0;
  aChart.TopAxis.MaximumRound := False;
  aChart.TopAxis.Minimum := 0;
  aChart.TopAxis.MinimumOffset := 0;
  aChart.TopAxis.MinimumRound := False;
  //aChart.TopAxis.MinorGrid := (TTeeHiddenPen);
  aChart.TopAxis.MinorGrid.Color := clBlack;
  aChart.TopAxis.MinorGrid.EndStyle := esRound;
  //aChart.TopAxis.MinorGrid.Fill := (TTeeBrush);
  aChart.TopAxis.MinorGrid.Fill.BackColor := clNone;
  aChart.TopAxis.MinorGrid.Fill.Color := clDefault;
  //aChart.TopAxis.MinorGrid.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.MinorGrid.Fill.Gradient.Angle := 0;
  aChart.TopAxis.MinorGrid.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.MinorGrid.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.MinorGrid.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.MinorGrid.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.MinorGrid.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.MinorGrid.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.MinorGrid.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.MinorGrid.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.MinorGrid.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.MinorGrid.Fill.Gradient.Visible := False;
  //aChart.TopAxis.MinorGrid.Fill.Image := (TTeePicture);
  //aChart.TopAxis.MinorGrid.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.MinorGrid.Fill.Style := bsSolid;
  aChart.TopAxis.MinorGrid.JoinStyle := jsRound;
  aChart.TopAxis.MinorGrid.Mode := pmCopy;
  aChart.TopAxis.MinorGrid.SmallDots := False;
  aChart.TopAxis.MinorGrid.SmallSpace := 0;
  aChart.TopAxis.MinorGrid.Style := psSolid;
  aChart.TopAxis.MinorGrid.Visible := False;
  aChart.TopAxis.MinorGrid.Width := 1;
  aChart.TopAxis.MinorTickCount := 3;
  aChart.TopAxis.MinorTickLength := 2;
  //aChart.TopAxis.MinorTicks := (TTicks);
  aChart.TopAxis.MinorTicks.Color := clGray;
  aChart.TopAxis.MinorTicks.EndStyle := esRound;
  //aChart.TopAxis.MinorTicks.Fill := (TTeeBrush);
  aChart.TopAxis.MinorTicks.Fill.BackColor := clNone;
  aChart.TopAxis.MinorTicks.Fill.Color := clDefault;
  //aChart.TopAxis.MinorTicks.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.MinorTicks.Fill.Gradient.Angle := 0;
  aChart.TopAxis.MinorTicks.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.MinorTicks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.MinorTicks.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.MinorTicks.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.MinorTicks.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.MinorTicks.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.MinorTicks.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.MinorTicks.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.MinorTicks.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.MinorTicks.Fill.Gradient.Visible := False;
  //aChart.TopAxis.MinorTicks.Fill.Image := (TTeePicture);
  //aChart.TopAxis.MinorTicks.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.MinorTicks.Fill.Style := bsSolid;
  aChart.TopAxis.MinorTicks.JoinStyle := jsRound;
  aChart.TopAxis.MinorTicks.Mode := pmCopy;
  aChart.TopAxis.MinorTicks.SmallDots := False;
  aChart.TopAxis.MinorTicks.SmallSpace := 0;
  aChart.TopAxis.MinorTicks.Style := psSolid;
  aChart.TopAxis.MinorTicks.Visible := True;
  aChart.TopAxis.MinorTicks.Width := 1;
  aChart.TopAxis.OtherSide := True;
  aChart.TopAxis.PartnerAxis := nil;
  aChart.TopAxis.PositionPercent := 0;
  aChart.TopAxis.PositionUnits := muPercent;
  aChart.TopAxis.RoundFirstLabel := True;
  //aChart.TopAxis.Shape := (TAxisBackShape);
  aChart.TopAxis.Shape.Angle := 0;
  aChart.TopAxis.Shape.Bevel := bvNone;
  aChart.TopAxis.Shape.BevelWidth := 2;
  aChart.TopAxis.Shape.ChildLayout := slTopBottom;
  //aChart.TopAxis.Shape.Children := (TTeeShapes);
  aChart.TopAxis.Shape.Color := clWhite;
  //aChart.TopAxis.Shape.Corners := (TTeeCorners);
  //aChart.TopAxis.Shape.Corners.LeftBottom := (TTeeCorner);
  aChart.TopAxis.Shape.Corners.LeftBottom.Style := cosRound;
  //aChart.TopAxis.Shape.Corners.LeftTop := (TTeeCorner);
  aChart.TopAxis.Shape.Corners.LeftTop.Style := cosRound;
  //aChart.TopAxis.Shape.Corners.RightBottom := (TTeeCorner);
  aChart.TopAxis.Shape.Corners.RightBottom.Style := cosRound;
  //aChart.TopAxis.Shape.Corners.RightTop := (TTeeCorner);
  aChart.TopAxis.Shape.Corners.RightTop.Style := cosRound;
  //aChart.TopAxis.Shape.Emboss := (TTeeEmboss);
  aChart.TopAxis.Shape.Emboss.Clip := False;
  aChart.TopAxis.Shape.Emboss.Color := clBlack;
  aChart.TopAxis.Shape.Emboss.HorizSize := 3;
  aChart.TopAxis.Shape.Emboss.Smooth := True;
  aChart.TopAxis.Shape.Emboss.SmoothBlur := 0;
  aChart.TopAxis.Shape.Emboss.Transparency := 50;
  aChart.TopAxis.Shape.Emboss.VertSize := 3;
  aChart.TopAxis.Shape.Emboss.Visible := False;
  //aChart.TopAxis.Shape.Font := Arial, 8 , Normal;
  //aChart.TopAxis.Shape.Font.Brush := (TTeeBrush);
  aChart.TopAxis.Shape.Font.Brush.BackColor := clNone;
  aChart.TopAxis.Shape.Font.Brush.Color := clBlack;
  //aChart.TopAxis.Shape.Font.Brush.Gradient := (TTeeGradient);
  aChart.TopAxis.Shape.Font.Brush.Gradient.Angle := 0;
  aChart.TopAxis.Shape.Font.Brush.Gradient.Balance := 50;
  //aChart.TopAxis.Shape.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Shape.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Shape.Font.Brush.Gradient.EndColor := clYellow;
  aChart.TopAxis.Shape.Font.Brush.Gradient.MidColor := clNone;
  aChart.TopAxis.Shape.Font.Brush.Gradient.RadialX := 0;
  aChart.TopAxis.Shape.Font.Brush.Gradient.RadialY := 0;
  aChart.TopAxis.Shape.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Shape.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Shape.Font.Brush.Gradient.Visible := False;
  //aChart.TopAxis.Shape.Font.Brush.Image := (TTeePicture);
  //aChart.TopAxis.Shape.Font.Brush.Image.Filters := (TFilterItems);
  aChart.TopAxis.Shape.Font.Brush.Style := bsSolid;
  aChart.TopAxis.Shape.Font.Charset := 1;
  aChart.TopAxis.Shape.Font.Color := clBlack;
  aChart.TopAxis.Shape.Font.Depth := 0;
  //aChart.TopAxis.Shape.Font.Emboss := (TTeeEmboss);
  aChart.TopAxis.Shape.Font.Emboss.Clip := False;
  aChart.TopAxis.Shape.Font.Emboss.Color := clSilver;
  aChart.TopAxis.Shape.Font.Emboss.HorizSize := 0;
  aChart.TopAxis.Shape.Font.Emboss.Smooth := True;
  aChart.TopAxis.Shape.Font.Emboss.SmoothBlur := 0;
  aChart.TopAxis.Shape.Font.Emboss.Transparency := 50;
  aChart.TopAxis.Shape.Font.Emboss.VertSize := 0;
  aChart.TopAxis.Shape.Font.Emboss.Visible := False;
  //aChart.TopAxis.Shape.Font.Gradient := (TTeeGradient);
  aChart.TopAxis.Shape.Font.Gradient.Angle := 0;
  aChart.TopAxis.Shape.Font.Gradient.Balance := 50;
  //aChart.TopAxis.Shape.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Shape.Font.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Shape.Font.Gradient.EndColor := clYellow;
  aChart.TopAxis.Shape.Font.Gradient.MidColor := clNone;
  aChart.TopAxis.Shape.Font.Gradient.RadialX := 0;
  aChart.TopAxis.Shape.Font.Gradient.RadialY := 0;
  aChart.TopAxis.Shape.Font.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Shape.Font.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Shape.Font.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Shape.Font.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Shape.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Shape.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Shape.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Shape.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Shape.Font.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Shape.Font.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Shape.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Shape.Font.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Shape.Font.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Shape.Font.Gradient.Visible := False;
  aChart.TopAxis.Shape.Font.Height := -11;
  aChart.TopAxis.Shape.Font.InterCharSize := 0;
  //aChart.TopAxis.Shape.Font.Name := Arial;
  aChart.TopAxis.Shape.Font.Orientation := 0;
  //aChart.TopAxis.Shape.Font.OutLine := (TTeeHiddenPen);
  aChart.TopAxis.Shape.Font.OutLine.Color := clBlack;
  aChart.TopAxis.Shape.Font.OutLine.EndStyle := esRound;
  //aChart.TopAxis.Shape.Font.OutLine.Fill := (TTeeBrush);
  aChart.TopAxis.Shape.Font.OutLine.Fill.BackColor := clNone;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Color := clDefault;
  //aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Shape.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.TopAxis.Shape.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.TopAxis.Shape.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.Shape.Font.OutLine.Fill.Style := bsSolid;
  aChart.TopAxis.Shape.Font.OutLine.JoinStyle := jsRound;
  aChart.TopAxis.Shape.Font.OutLine.Mode := pmCopy;
  aChart.TopAxis.Shape.Font.OutLine.SmallDots := False;
  aChart.TopAxis.Shape.Font.OutLine.SmallSpace := 0;
  aChart.TopAxis.Shape.Font.OutLine.Style := psSolid;
  aChart.TopAxis.Shape.Font.OutLine.Visible := False;
  aChart.TopAxis.Shape.Font.OutLine.Width := 1;
  //aChart.TopAxis.Shape.Font.Picture := (TTeePicture);
  //aChart.TopAxis.Shape.Font.Picture.Filters := (TFilterItems);
  aChart.TopAxis.Shape.Font.Pitch := fpDefault;
  aChart.TopAxis.Shape.Font.Quality := fqDefault;
  //aChart.TopAxis.Shape.Font.Shadow := (TTeeShadow);
  aChart.TopAxis.Shape.Font.Shadow.Clip := False;
  aChart.TopAxis.Shape.Font.Shadow.Color := clSilver;
  aChart.TopAxis.Shape.Font.Shadow.HorizSize := 0;
  aChart.TopAxis.Shape.Font.Shadow.Smooth := True;
  aChart.TopAxis.Shape.Font.Shadow.SmoothBlur := 0;
  aChart.TopAxis.Shape.Font.Shadow.Transparency := 50;
  aChart.TopAxis.Shape.Font.Shadow.VertSize := 0;
  aChart.TopAxis.Shape.Font.Shadow.Visible := True;
  aChart.TopAxis.Shape.Font.Size := 8;
  aChart.TopAxis.Shape.Font.SizeFloat := 8;
  //aChart.TopAxis.Shape.Font.Style := [TFontStyles];
  //aChart.TopAxis.Shape.Font.Style.fsBold := False;
  //aChart.TopAxis.Shape.Font.Style.fsItalic := False;
  //aChart.TopAxis.Shape.Font.Style.fsUnderline := False;
  //aChart.TopAxis.Shape.Font.Style.fsStrikeOut := False;
  //aChart.TopAxis.Shape.Gradient := (TTeeGradient);
  aChart.TopAxis.Shape.Gradient.Angle := 0;
  aChart.TopAxis.Shape.Gradient.Balance := 50;
  //aChart.TopAxis.Shape.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Shape.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Shape.Gradient.EndColor := clYellow;
  aChart.TopAxis.Shape.Gradient.MidColor := clNone;
  aChart.TopAxis.Shape.Gradient.RadialX := 0;
  aChart.TopAxis.Shape.Gradient.RadialY := 0;
  aChart.TopAxis.Shape.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Shape.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Shape.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Shape.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Shape.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Shape.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Shape.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Shape.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Shape.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Shape.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Shape.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Shape.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Shape.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Shape.Gradient.Visible := False;
  //aChart.TopAxis.Shape.Picture := (TBackImage);
  aChart.TopAxis.Shape.Picture.Bottom := 0;
  aChart.TopAxis.Shape.Picture.DrawQuality := sqHigh;
  //aChart.TopAxis.Shape.Picture.Filters := (TFilterItems);
  aChart.TopAxis.Shape.Picture.Inside := False;
  aChart.TopAxis.Shape.Picture.Left := 0;
  aChart.TopAxis.Shape.Picture.Mode := pbmStretch;
  aChart.TopAxis.Shape.Picture.Right := 0;
  aChart.TopAxis.Shape.Picture.Top := 0;
  aChart.TopAxis.Shape.RoundSize := 16;
  //aChart.TopAxis.Shape.Shadow := (TTeeShadow);
  aChart.TopAxis.Shape.Shadow.Clip := False;
  aChart.TopAxis.Shape.Shadow.Color := clBlack;
  aChart.TopAxis.Shape.Shadow.HorizSize := 3;
  aChart.TopAxis.Shape.Shadow.Smooth := True;
  aChart.TopAxis.Shape.Shadow.SmoothBlur := 0;
  aChart.TopAxis.Shape.Shadow.Transparency := 50;
  aChart.TopAxis.Shape.Shadow.VertSize := 3;
  aChart.TopAxis.Shape.Shadow.Visible := False;
  //aChart.TopAxis.Shape.ShapeCallout := (TShapeCallout);
  aChart.TopAxis.Shape.ShapeCallout.PointPosition := 50;
  aChart.TopAxis.Shape.ShapeCallout.Position := 50;
  aChart.TopAxis.Shape.ShapeCallout.Side := csNone;
  aChart.TopAxis.Shape.ShapeCallout.Size := 25;
  aChart.TopAxis.Shape.ShapeCallout.Width := 20;
  aChart.TopAxis.Shape.ShapeStyle := fosRectangle;
  aChart.TopAxis.Shape.Transparency := 0;
  aChart.TopAxis.Shape.Transparent := False;
  aChart.TopAxis.Shape.Visible := False;
  aChart.TopAxis.StartPosition := 0;
  //aChart.TopAxis.SubAxes := (TChartCustomAxes);
  aChart.TopAxis.TickInnerLength := 0;
  aChart.TopAxis.TickLength := 4;
  aChart.TopAxis.TickOnLabelsOnly := True;
  //aChart.TopAxis.Ticks := (TTicks);
  aChart.TopAxis.Ticks.Color := clGray;
  aChart.TopAxis.Ticks.EndStyle := esRound;
  //aChart.TopAxis.Ticks.Fill := (TTeeBrush);
  aChart.TopAxis.Ticks.Fill.BackColor := clNone;
  aChart.TopAxis.Ticks.Fill.Color := clDefault;
  //aChart.TopAxis.Ticks.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.Ticks.Fill.Gradient.Angle := 0;
  aChart.TopAxis.Ticks.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.Ticks.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Ticks.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Ticks.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.Ticks.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.Ticks.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.Ticks.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.Ticks.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Ticks.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Ticks.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Ticks.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Ticks.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Ticks.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Ticks.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Ticks.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Ticks.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Ticks.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Ticks.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Ticks.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Ticks.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Ticks.Fill.Gradient.Visible := False;
  //aChart.TopAxis.Ticks.Fill.Image := (TTeePicture);
  //aChart.TopAxis.Ticks.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.Ticks.Fill.Style := bsSolid;
  aChart.TopAxis.Ticks.JoinStyle := jsRound;
  aChart.TopAxis.Ticks.Mode := pmCopy;
  aChart.TopAxis.Ticks.SmallDots := False;
  aChart.TopAxis.Ticks.SmallSpace := 0;
  aChart.TopAxis.Ticks.Style := psSolid;
  aChart.TopAxis.Ticks.Visible := True;
  aChart.TopAxis.Ticks.Width := 1;
  //aChart.TopAxis.TicksInner := (TTicks);
  aChart.TopAxis.TicksInner.Color := clGray;
  aChart.TopAxis.TicksInner.EndStyle := esRound;
  //aChart.TopAxis.TicksInner.Fill := (TTeeBrush);
  aChart.TopAxis.TicksInner.Fill.BackColor := clNone;
  aChart.TopAxis.TicksInner.Fill.Color := clDefault;
  //aChart.TopAxis.TicksInner.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.TicksInner.Fill.Gradient.Angle := 0;
  aChart.TopAxis.TicksInner.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.TicksInner.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.TicksInner.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.TicksInner.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.TicksInner.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.TicksInner.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.TicksInner.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.TicksInner.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.TicksInner.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.TicksInner.Fill.Gradient.Visible := False;
  //aChart.TopAxis.TicksInner.Fill.Image := (TTeePicture);
  //aChart.TopAxis.TicksInner.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.TicksInner.Fill.Style := bsSolid;
  aChart.TopAxis.TicksInner.JoinStyle := jsRound;
  aChart.TopAxis.TicksInner.Mode := pmCopy;
  aChart.TopAxis.TicksInner.SmallDots := False;
  aChart.TopAxis.TicksInner.SmallSpace := 0;
  aChart.TopAxis.TicksInner.Style := psSolid;
  aChart.TopAxis.TicksInner.Visible := True;
  aChart.TopAxis.TicksInner.Width := 1;
  //aChart.TopAxis.Title := (TChartAxisTitle);
  aChart.TopAxis.Title.Angle := 0;
  aChart.TopAxis.Title.Bevel := bvNone;
  aChart.TopAxis.Title.BevelWidth := 2;
  //aChart.TopAxis.Title.Brush := (TTeeBrush);
  aChart.TopAxis.Title.Brush.BackColor := clNone;
  aChart.TopAxis.Title.Brush.Color := clDefault;
  //aChart.TopAxis.Title.Brush.Gradient := (TTeeGradient);
  aChart.TopAxis.Title.Brush.Gradient.Angle := 0;
  aChart.TopAxis.Title.Brush.Gradient.Balance := 50;
  //aChart.TopAxis.Title.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Brush.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Brush.Gradient.EndColor := clYellow;
  aChart.TopAxis.Title.Brush.Gradient.MidColor := clNone;
  aChart.TopAxis.Title.Brush.Gradient.RadialX := 0;
  aChart.TopAxis.Title.Brush.Gradient.RadialY := 0;
  aChart.TopAxis.Title.Brush.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Title.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Title.Brush.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Title.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Title.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Title.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Title.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Title.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Title.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Title.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Title.Brush.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Title.Brush.Gradient.Visible := False;
  //aChart.TopAxis.Title.Brush.Image := (TTeePicture);
  //aChart.TopAxis.Title.Brush.Image.Filters := (TFilterItems);
  aChart.TopAxis.Title.Brush.Style := bsSolid;
  //aChart.TopAxis.Title.Caption := ;
  aChart.TopAxis.Title.ChildLayout := slTopBottom;
  //aChart.TopAxis.Title.Children := (TTeeShapes);
  aChart.TopAxis.Title.Color := clWhite;
  //aChart.TopAxis.Title.Emboss := (TTeeEmboss);
  aChart.TopAxis.Title.Emboss.Clip := False;
  aChart.TopAxis.Title.Emboss.Color := clBlack;
  aChart.TopAxis.Title.Emboss.HorizSize := 3;
  aChart.TopAxis.Title.Emboss.Smooth := True;
  aChart.TopAxis.Title.Emboss.SmoothBlur := 0;
  aChart.TopAxis.Title.Emboss.Transparency := 50;
  aChart.TopAxis.Title.Emboss.VertSize := 3;
  aChart.TopAxis.Title.Emboss.Visible := False;
  ///.aChart.TopAxis.Title.Font := Arial, 8 , Normal;
  //aChart.TopAxis.Title.Font.Brush := (TTeeBrush);
  aChart.TopAxis.Title.Font.Brush.BackColor := clNone;
  aChart.TopAxis.Title.Font.Brush.Color := clBlack;
  //aChart.TopAxis.Title.Font.Brush.Gradient := (TTeeGradient);
  aChart.TopAxis.Title.Font.Brush.Gradient.Angle := 0;
  aChart.TopAxis.Title.Font.Brush.Gradient.Balance := 50;
  //aChart.TopAxis.Title.Font.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Font.Brush.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Font.Brush.Gradient.EndColor := clYellow;
  aChart.TopAxis.Title.Font.Brush.Gradient.MidColor := clNone;
  aChart.TopAxis.Title.Font.Brush.Gradient.RadialX := 0;
  aChart.TopAxis.Title.Font.Brush.Gradient.RadialY := 0;
  aChart.TopAxis.Title.Font.Brush.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Title.Font.Brush.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Title.Font.Brush.Gradient.Visible := False;
  //aChart.TopAxis.Title.Font.Brush.Image := (TTeePicture);
  //aChart.TopAxis.Title.Font.Brush.Image.Filters := (TFilterItems);
  aChart.TopAxis.Title.Font.Brush.Style := bsSolid;
  aChart.TopAxis.Title.Font.Charset := 1;
  aChart.TopAxis.Title.Font.Color := clBlack;
  aChart.TopAxis.Title.Font.Depth := 0;
  //aChart.TopAxis.Title.Font.Emboss := (TTeeEmboss);
  aChart.TopAxis.Title.Font.Emboss.Clip := False;
  aChart.TopAxis.Title.Font.Emboss.Color := clSilver;
  aChart.TopAxis.Title.Font.Emboss.HorizSize := 0;
  aChart.TopAxis.Title.Font.Emboss.Smooth := True;
  aChart.TopAxis.Title.Font.Emboss.SmoothBlur := 0;
  aChart.TopAxis.Title.Font.Emboss.Transparency := 50;
  aChart.TopAxis.Title.Font.Emboss.VertSize := 0;
  aChart.TopAxis.Title.Font.Emboss.Visible := False;
  //aChart.TopAxis.Title.Font.Gradient := (TTeeGradient);
  aChart.TopAxis.Title.Font.Gradient.Angle := 0;
  aChart.TopAxis.Title.Font.Gradient.Balance := 50;
  //aChart.TopAxis.Title.Font.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Font.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Font.Gradient.EndColor := clYellow;
  aChart.TopAxis.Title.Font.Gradient.MidColor := clNone;
  aChart.TopAxis.Title.Font.Gradient.RadialX := 0;
  aChart.TopAxis.Title.Font.Gradient.RadialY := 0;
  aChart.TopAxis.Title.Font.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Title.Font.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Title.Font.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Title.Font.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Title.Font.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Font.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Font.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Title.Font.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Title.Font.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Title.Font.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Title.Font.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Title.Font.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Title.Font.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Title.Font.Gradient.Visible := False;
  aChart.TopAxis.Title.Font.Height := -11;
  aChart.TopAxis.Title.Font.InterCharSize := 0;
  //aChart.TopAxis.Title.Font.Name := Arial;
  aChart.TopAxis.Title.Font.Orientation := 0;
  //aChart.TopAxis.Title.Font.OutLine := (TTeeHiddenPen);
  aChart.TopAxis.Title.Font.OutLine.Color := clBlack;
  aChart.TopAxis.Title.Font.OutLine.EndStyle := esRound;
  //aChart.TopAxis.Title.Font.OutLine.Fill := (TTeeBrush);
  aChart.TopAxis.Title.Font.OutLine.Fill.BackColor := clNone;
  aChart.TopAxis.Title.Font.OutLine.Fill.Color := clDefault;
  //aChart.TopAxis.Title.Font.OutLine.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.Angle := 0;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Title.Font.OutLine.Fill.Gradient.Visible := False;
  //aChart.TopAxis.Title.Font.OutLine.Fill.Image := (TTeePicture);
  //aChart.TopAxis.Title.Font.OutLine.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.Title.Font.OutLine.Fill.Style := bsSolid;
  aChart.TopAxis.Title.Font.OutLine.JoinStyle := jsRound;
  aChart.TopAxis.Title.Font.OutLine.Mode := pmCopy;
  aChart.TopAxis.Title.Font.OutLine.SmallDots := False;
  aChart.TopAxis.Title.Font.OutLine.SmallSpace := 0;
  aChart.TopAxis.Title.Font.OutLine.Style := psSolid;
  aChart.TopAxis.Title.Font.OutLine.Visible := False;
  aChart.TopAxis.Title.Font.OutLine.Width := 1;
  //aChart.TopAxis.Title.Font.Picture := (TTeePicture);
  //aChart.TopAxis.Title.Font.Picture.Filters := (TFilterItems);
  aChart.TopAxis.Title.Font.Pitch := fpDefault;
  aChart.TopAxis.Title.Font.Quality := fqDefault;
  //aChart.TopAxis.Title.Font.Shadow := (TTeeShadow);
  aChart.TopAxis.Title.Font.Shadow.Clip := False;
  aChart.TopAxis.Title.Font.Shadow.Color := clSilver;
  aChart.TopAxis.Title.Font.Shadow.HorizSize := 0;
  aChart.TopAxis.Title.Font.Shadow.Smooth := True;
  aChart.TopAxis.Title.Font.Shadow.SmoothBlur := 0;
  aChart.TopAxis.Title.Font.Shadow.Transparency := 50;
  aChart.TopAxis.Title.Font.Shadow.VertSize := 0;
  aChart.TopAxis.Title.Font.Shadow.Visible := True;
  aChart.TopAxis.Title.Font.Size := 8;
  aChart.TopAxis.Title.Font.SizeFloat := 8;
  //aChart.TopAxis.Title.Font.Style := [TFontStyles];
  //aChart.TopAxis.Title.Font.Style.fsBold := False;
  //aChart.TopAxis.Title.Font.Style.fsItalic := False;
  //aChart.TopAxis.Title.Font.Style.fsUnderline := False;
  //aChart.TopAxis.Title.Font.Style.fsStrikeOut := False;
  //aChart.TopAxis.Title.Gradient := (TTeeGradient);
  aChart.TopAxis.Title.Gradient.Angle := 0;
  aChart.TopAxis.Title.Gradient.Balance := 50;
  //aChart.TopAxis.Title.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Gradient.EndColor := clYellow;
  aChart.TopAxis.Title.Gradient.MidColor := clNone;
  aChart.TopAxis.Title.Gradient.RadialX := 0;
  aChart.TopAxis.Title.Gradient.RadialY := 0;
  aChart.TopAxis.Title.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Title.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Title.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Title.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Title.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Title.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Title.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Title.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Title.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Title.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Title.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Title.Gradient.Visible := False;
  //aChart.TopAxis.Title.Pen := (TTeePen);
  aChart.TopAxis.Title.Pen.Color := clBlack;
  aChart.TopAxis.Title.Pen.EndStyle := esRound;
  //aChart.TopAxis.Title.Pen.Fill := (TTeeBrush);
  aChart.TopAxis.Title.Pen.Fill.BackColor := clNone;
  aChart.TopAxis.Title.Pen.Fill.Color := clDefault;
  //aChart.TopAxis.Title.Pen.Fill.Gradient := (TTeeGradient);
  aChart.TopAxis.Title.Pen.Fill.Gradient.Angle := 0;
  aChart.TopAxis.Title.Pen.Fill.Gradient.Balance := 50;
  //aChart.TopAxis.Title.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.TopAxis.Title.Pen.Fill.Gradient.MidColor := clNone;
  aChart.TopAxis.Title.Pen.Fill.Gradient.RadialX := 0;
  aChart.TopAxis.Title.Pen.Fill.Gradient.RadialY := 0;
  aChart.TopAxis.Title.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.TopAxis.Title.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.TopAxis.Title.Pen.Fill.Gradient.Visible := False;
  //aChart.TopAxis.Title.Pen.Fill.Image := (TTeePicture);
  //aChart.TopAxis.Title.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.TopAxis.Title.Pen.Fill.Style := bsSolid;
  aChart.TopAxis.Title.Pen.JoinStyle := jsRound;
  aChart.TopAxis.Title.Pen.Mode := pmCopy;
  aChart.TopAxis.Title.Pen.SmallDots := False;
  aChart.TopAxis.Title.Pen.SmallSpace := 0;
  aChart.TopAxis.Title.Pen.Style := psSolid;
  aChart.TopAxis.Title.Pen.Visible := True;
  aChart.TopAxis.Title.Pen.Width := 1;
  //aChart.TopAxis.Title.Picture := (TBackImage);
  aChart.TopAxis.Title.Picture.Bottom := 0;
  aChart.TopAxis.Title.Picture.DrawQuality := sqHigh;
  //aChart.TopAxis.Title.Picture.Filters := (TFilterItems);
  aChart.TopAxis.Title.Picture.Inside := False;
  aChart.TopAxis.Title.Picture.Left := 0;
  aChart.TopAxis.Title.Picture.Mode := pbmStretch;
  aChart.TopAxis.Title.Picture.Right := 0;
  aChart.TopAxis.Title.Picture.Top := 0;
  aChart.TopAxis.Title.Position := tpCenter;
  aChart.TopAxis.Title.RoundSize := 16;
  //aChart.TopAxis.Title.Shadow := (TTeeShadow);
  aChart.TopAxis.Title.Shadow.Clip := False;
  aChart.TopAxis.Title.Shadow.Color := clBlack;
  aChart.TopAxis.Title.Shadow.HorizSize := 3;
  aChart.TopAxis.Title.Shadow.Smooth := True;
  aChart.TopAxis.Title.Shadow.SmoothBlur := 0;
  aChart.TopAxis.Title.Shadow.Transparency := 50;
  aChart.TopAxis.Title.Shadow.VertSize := 3;
  aChart.TopAxis.Title.Shadow.Visible := True;
  //aChart.TopAxis.Title.ShapeCallout := (TShapeCallout);
  aChart.TopAxis.Title.ShapeCallout.PointPosition := 50;
  aChart.TopAxis.Title.ShapeCallout.Position := 50;
  aChart.TopAxis.Title.ShapeCallout.Side := csNone;
  aChart.TopAxis.Title.ShapeCallout.Size := 25;
  aChart.TopAxis.Title.ShapeCallout.Width := 20;
  aChart.TopAxis.Title.ShapeStyle := fosRectangle;
  aChart.TopAxis.Title.TextAlignment := taCenter;
  aChart.TopAxis.Title.Transparency := 0;
  aChart.TopAxis.Title.Transparent := True;
  aChart.TopAxis.Title.Visible := True;
  aChart.TopAxis.TitleSize := 0;
  aChart.TopAxis.UsePartnerAxis := False;
  aChart.TopAxis.Visible := False;
  aChart.TopAxis.ZPosition := 100;
  //aChart.Touch := (TTouchManager);
  aChart.Touch.GestureManager := nil;
  //aChart.Touch.InteractiveGestureOptions := [TInteractiveGestureOptions];
  //aChart.Touch.InteractiveGestureOptions.igoPanSingleFingerHorizontal := False;
  //aChart.Touch.InteractiveGestureOptions.igoPanSingleFingerVertical := False;
  //aChart.Touch.InteractiveGestureOptions.igoPanInertia := False;
  //aChart.Touch.InteractiveGestureOptions.igoPanGutter := False;
  //aChart.Touch.InteractiveGestureOptions.igoParentPassthrough := True;
  //aChart.Touch.InteractiveGestures := [TInteractiveGestures];
  //aChart.Touch.InteractiveGestures.igZoom := False;
  //aChart.Touch.InteractiveGestures.igPan := False;
  //aChart.Touch.InteractiveGestures.igRotate := False;
  //aChart.Touch.InteractiveGestures.igTwoFingerTap := False;
  //aChart.Touch.InteractiveGestures.igPressAndTap := True;
  //aChart.Touch.ParentTabletOptions := True;
  //aChart.Touch.TabletOptions := [TTabletOptions];
  //aChart.Touch.TabletOptions.toPressAndHold := True;
  //aChart.Touch.TabletOptions.toPenTapFeedback := False;
  //aChart.Touch.TabletOptions.toPenBarrelFeedback := False;
  //aChart.Touch.TabletOptions.toTouchUIForceOn := False;
  //aChart.Touch.TabletOptions.toTouchUIForceOff := False;
  //aChart.Touch.TabletOptions.toTouchSwitch := False;
  //aChart.Touch.TabletOptions.toFlicks := False;
  //aChart.Touch.TabletOptions.toSmoothScrolling := False;
  //aChart.Touch.TabletOptions.toFlickFallbackKeys := False;
  //aChart.UseDockManager := True;
  aChart.View3D := False;
  //aChart.View3DOptions := (TView3DOptions);
  aChart.View3DOptions.Elevation := 315;
  aChart.View3DOptions.FontZoom := 100;
  aChart.View3DOptions.HorizOffset := 0;
  aChart.View3DOptions.OrthoAngle := 90;
  aChart.View3DOptions.Orthogonal := False;
  aChart.View3DOptions.Perspective := 0;
  aChart.View3DOptions.Rotation := 360;
  aChart.View3DOptions.Tilt := 0;
  aChart.View3DOptions.VertOffset := 0;
  aChart.View3DOptions.Zoom := 100;
  aChart.View3DOptions.ZoomText := ztManual;
  aChart.View3DWalls := False;
  aChart.Visible := True;
  aChart.Width := 700;
  //aChart.Zoom := (TTeeZoom);
  aChart.Zoom.Allow := False;
  aChart.Zoom.Animated := False;
  aChart.Zoom.AnimatedSteps := 8;
  //aChart.Zoom.Brush := (TTeeZoomBrush);
  aChart.Zoom.Brush.BackColor := clNone;
  aChart.Zoom.Brush.Color := clWhite;
  //aChart.Zoom.Brush.Gradient := (TTeeGradient);
  aChart.Zoom.Brush.Gradient.Angle := 0;
  aChart.Zoom.Brush.Gradient.Balance := 50;
  //aChart.Zoom.Brush.Gradient.Colors := (TTeeGradientColors);
  aChart.Zoom.Brush.Gradient.Direction := gdTopBottom;
  aChart.Zoom.Brush.Gradient.EndColor := clYellow;
  aChart.Zoom.Brush.Gradient.MidColor := clNone;
  aChart.Zoom.Brush.Gradient.RadialX := 0;
  aChart.Zoom.Brush.Gradient.RadialY := 0;
  aChart.Zoom.Brush.Gradient.StartColor := clWhite;
  //aChart.Zoom.Brush.Gradient.SubGradient := (TSubGradient);
  aChart.Zoom.Brush.Gradient.SubGradient.Angle := 0;
  aChart.Zoom.Brush.Gradient.SubGradient.Balance := 50;
  //aChart.Zoom.Brush.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Zoom.Brush.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Zoom.Brush.Gradient.SubGradient.EndColor := clYellow;
  aChart.Zoom.Brush.Gradient.SubGradient.MidColor := clNone;
  aChart.Zoom.Brush.Gradient.SubGradient.RadialX := 0;
  aChart.Zoom.Brush.Gradient.SubGradient.RadialY := 0;
  aChart.Zoom.Brush.Gradient.SubGradient.StartColor := clWhite;
  aChart.Zoom.Brush.Gradient.SubGradient.Transparency := 50;
  aChart.Zoom.Brush.Gradient.SubGradient.Visible := False;
  aChart.Zoom.Brush.Gradient.Visible := False;
  //aChart.Zoom.Brush.Image := (TTeePicture);
  //aChart.Zoom.Brush.Image.Filters := (TFilterItems);
  aChart.Zoom.Brush.Style := bsClear;
  aChart.Zoom.Direction := tzdBoth;
  aChart.Zoom.History := False;
  aChart.Zoom.KeepAspectRatio := False;
  //aChart.Zoom.KeyShift := [TShiftState];
  //aChart.Zoom.KeyShift.ssShift := False;
  //aChart.Zoom.KeyShift.ssAlt := False;
  //aChart.Zoom.KeyShift.ssCtrl := False;
  //aChart.Zoom.KeyShift.ssLeft := False;
  //aChart.Zoom.KeyShift.ssRight := False;
  //aChart.Zoom.KeyShift.ssMiddle := False;
  //aChart.Zoom.KeyShift.ssDouble := False;
  //aChart.Zoom.KeyShift.ssTouch := False;
  //aChart.Zoom.KeyShift.ssPen := False;
  //aChart.Zoom.KeyShift.ssCommand := False;
  aChart.Zoom.MinimumPixels := 16;
  aChart.Zoom.MouseButton := mbLeft;
  aChart.Zoom.MouseWheel := pmwNone;
  //aChart.Zoom.Pen := (TTeeZoomPen);
  aChart.Zoom.Pen.Color := clSilver;
  aChart.Zoom.Pen.EndStyle := esFlat;
  //aChart.Zoom.Pen.Fill := (TTeeBrush);
  aChart.Zoom.Pen.Fill.BackColor := clNone;
  aChart.Zoom.Pen.Fill.Color := clDefault;
  //aChart.Zoom.Pen.Fill.Gradient := (TTeeGradient);
  aChart.Zoom.Pen.Fill.Gradient.Angle := 0;
  aChart.Zoom.Pen.Fill.Gradient.Balance := 50;
  //aChart.Zoom.Pen.Fill.Gradient.Colors := (TTeeGradientColors);
  aChart.Zoom.Pen.Fill.Gradient.Direction := gdTopBottom;
  aChart.Zoom.Pen.Fill.Gradient.EndColor := clYellow;
  aChart.Zoom.Pen.Fill.Gradient.MidColor := clNone;
  aChart.Zoom.Pen.Fill.Gradient.RadialX := 0;
  aChart.Zoom.Pen.Fill.Gradient.RadialY := 0;
  aChart.Zoom.Pen.Fill.Gradient.StartColor := clWhite;
  //aChart.Zoom.Pen.Fill.Gradient.SubGradient := (TSubGradient);
  aChart.Zoom.Pen.Fill.Gradient.SubGradient.Angle := 0;
  aChart.Zoom.Pen.Fill.Gradient.SubGradient.Balance := 50;
  //aChart.Zoom.Pen.Fill.Gradient.SubGradient.Colors := (TTeeGradientColors);
  aChart.Zoom.Pen.Fill.Gradient.SubGradient.Direction := gdTopBottom;
  aChart.Zoom.Pen.Fill.Gradient.SubGradient.EndColor := clYellow;
  aChart.Zoom.Pen.Fill.Gradient.SubGradient.MidColor := clNone;
  aChart.Zoom.Pen.Fill.Gradient.SubGradient.RadialX := 0;
  aChart.Zoom.Pen.Fill.Gradient.SubGradient.RadialY := 0;
  aChart.Zoom.Pen.Fill.Gradient.SubGradient.StartColor := clWhite;
  aChart.Zoom.Pen.Fill.Gradient.SubGradient.Transparency := 50;
  aChart.Zoom.Pen.Fill.Gradient.SubGradient.Visible := False;
  aChart.Zoom.Pen.Fill.Gradient.Visible := False;
  //aChart.Zoom.Pen.Fill.Image := (TTeePicture);
  //aChart.Zoom.Pen.Fill.Image.Filters := (TFilterItems);
  aChart.Zoom.Pen.Fill.Style := bsSolid;
  aChart.Zoom.Pen.JoinStyle := jsRound;
  aChart.Zoom.Pen.Mode := pmCopy;
  aChart.Zoom.Pen.SmallDots := False;
  aChart.Zoom.Pen.SmallSpace := 0;
  aChart.Zoom.Pen.Style := psSolid;
  aChart.Zoom.Pen.Visible := True;
  aChart.Zoom.Pen.Width := 3;
  aChart.Zoom.UpLeftZooms := False;
  aChart.ZoomWheel := pmwNone;


end;


constructor TForm1.Create(aOwner: TComponent);
var
  I: Integer;
  lSrs: TBarSeries;
begin
  inherited;

  srsCurrContribAlloc.FillSampleValues(10);
  srsCurrBalance.FillSampleValues(10);
  srsRetireBalance.FillSampleValues(10);

  lblChartVersion.Caption := TeeMsg_Version;

  ConfigChart(chrtContribs, false);
end;


{procedure AssignChartToGraphic(aChart: TChart; const aRect: TRect; aGraphic: TGraphic);
var
  lHoldShadow: boolean;
  I: Integer;
  lBoolArray: array of boolean;
  lHoldBevel: TPanelBevel;
  lHoldColor: TColor;
  lHoldGradientVisible: boolean;
  lMetafile: TMetafile;
  lBmp: TBitmap;
begin
  lHoldGradientVisible := aChart.Gradient.Visible;
  lHoldColor := aChart.Color;
  lHoldBevel := aChart.BevelOuter;
  lHoldShadow := aChart.Shadow.Visible;
  try
    SetLength(lBoolArray, aChart.SeriesCount);
    for I := 0 to aChart.SeriesCount - 1 do    // Iterate
      if aChart.Series[I] is TPieSeries then
      begin
        lBoolArray[I] := TPieSeries(aChart.Series[I]).Circled;
        TPieSeries(aChart.Series[I]).Circled := True;
      end
      else
        lBoolArray[I] := True;


    aChart.Gradient.Visible  := false;
    aChart.Color := clWhite;
    aChart.BevelOuter := bvNone;
    aChart.Shadow.Visible := False;

    if aGraphic is TMetafile then
    begin
      lMetafile := aChart.TeeCreateMetafile(false, aRect);
      try
        aGraphic.Assign(lMetafile);
      finally
        lMetafile.Free;
      end;
    end
    else
    begin
      lBmp := aChart.TeeCreateBitmap(clWhite, aRect);
      try
        aGraphic.Assign(lBmp);
      finally
        lBmp.Free;
      end;
    end;
  finally
    aChart.Shadow.Visible := lHoldShadow;
    aChart.Gradient.Visible := lHoldGradientVisible;
    aChart.Color := lHoldColor;
    aChart.BevelOuter := lHoldBevel;
    for I := 0 to aChart.SeriesCount - 1 do    // Iterate
      if aChart.Series[I] is TPieSeries then
        TPieSeries(aChart.Series[I]).Circled := lBoolArray[I];
  end;
end;{}

procedure AssignChartToGraphic(aChart: TChart; const aRect: TRect; aGraphic: TGraphic; aTransparent: boolean = false);
var
  lHoldShadow: boolean;
  I: Integer;
  lBoolArray: array of boolean;
  lHoldBevel: TBevelCut;
  lHoldColor: TColor;
  lHoldGradientVisible: boolean;
  lMetafile: TMetafile;
  lBmp: TBitmap;
begin
  Assert(aChart.Canvas is TGDIPlusCanvas);
  aChart.Canvas := TTeeCanvas3D.Create;

  lHoldGradientVisible := aChart.Gradient.Visible;
  lHoldColor := aChart.Color;
  lHoldBevel := aChart.BevelOuter;
  lHoldShadow := aChart.Shadow.Visible;

  try
    SetLength(lBoolArray, aChart.SeriesCount);
    for I := 0 to aChart.SeriesCount - 1 do    // Iterate
      if aChart.Series[I] is TPieSeries then
      begin
        lBoolArray[I] := TPieSeries(aChart.Series[I]).Circled;
        TPieSeries(aChart.Series[I]).Circled := True;
      end
      else
        lBoolArray[I] := True;


    aChart.Gradient.Visible  := false;
    if not aTransparent then
      aChart.Color := clWhite
    else
      aChart.Color := clNone; //clWhite;
    aChart.BevelOuter := bvNone;
    aChart.BevelInner := bvNone;
    aChart.Shadow.Visible := False;

    if aGraphic is TMetafile then
    begin
      lMetafile := aChart.TeeCreateMetafile(True, aRect);
      try
        aGraphic.Assign(lMetafile);
      finally
        lMetafile.Free;
      end;
    end
    else
    begin
      lBmp := aChart.TeeCreateBitmap(clWhite, aRect);
      try
        aGraphic.Assign(lBmp);
      finally
        lBmp.Free;
      end;
    end;
  finally
    aChart.Shadow.Visible := lHoldShadow;
    aChart.Gradient.Visible := lHoldGradientVisible;
    aChart.Color := lHoldColor;
    aChart.BevelOuter := lHoldBevel;
    for I := 0 to aChart.SeriesCount - 1 do    // Iterate
      if aChart.Series[I] is TPieSeries then
        TPieSeries(aChart.Series[I]).Circled := lBoolArray[I];
    aChart.Canvas := TGDIPlusCanvas.Create;
  end;
end;


procedure TForm1.Button1Click(Sender: TObject);
begin
  UpdateImage;
end;

procedure TForm1.chrtContribsBeforeDrawAxes(Sender: TObject);
begin
//
end;

function TForm1.GetCurrentContribRect(aChart: TChart): TRect;
begin
  result := aChart.ChartRect;
end;

procedure TForm1.Series1BeforeDrawValues(Sender: TObject);
var
  lSrs: TPieSeries;
  lChart: TChart;
begin
  Assert(Sender is TPieSeries);
  lSrs := TPieSeries(Sender);
  Assert(lSrs.ParentChart is TChart);


  lChart := TChart(lSrs.ParentChart);
  lChart.ChartRect := GetCurrentContribRect(lChart);
end;

procedure TForm1.UpdateImage;
const
  REDUCE = 10;
var
  lGraphic: {$if defined(UseMetafile)} TMetafile {$else} TBitmap {$ifend};
  lRect: TRect;
begin
  {$if defined(UseMetafile)}
  lGraphic := TMetafile.Create;
  lGraphic.Width := Image1.Width-REDUCE;
  lGraphic.Height := Image1.Height-REDUCE;
  {$else}
  lGraphic := TBitmap.Create;
  lGraphic.Width := Image1.Width-REDUCE;
  lGraphic.Height := Image1.Height-REDUCE;
  {$ifend}

  srsCurrBalance.Visible := false;
  srsRetireBalance.Visible := false;

  CodeSite.Send('chrtContribs', chrtContribs);
  lRect := Rect(1, 1, Image1.Width-REDUCE, Image1.Height-REDUCE);
  AssignChartToGraphic(chrtContribs, lRect, lGraphic);

  CodeSite.Send('lGraphic', lGraphic);
  Image1.Picture.Graphic := lGraphic;
  lGraphic.Free;

end;



end.
